using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace IO.Swagger.Model {

  /// <summary>
  /// 
  /// </summary>
  [DataContract]
  public class AccountInfo {
    
    /// <summary>
    /// 用户ID
    /// </summary>
    /// <value>用户ID</value>
    [DataMember(Name="id", EmitDefaultValue=false)]
    public string Id { get; set; }

    
    /// <summary>
    /// 用户真实姓名
    /// </summary>
    /// <value>用户真实姓名</value>
    [DataMember(Name="realname", EmitDefaultValue=false)]
    public string Realname { get; set; }

    
    /// <summary>
    /// 性别
    /// </summary>
    /// <value>性别</value>
    [DataMember(Name="gender", EmitDefaultValue=false)]
    public int? Gender { get; set; }

    
    /// <summary>
    /// 电话
    /// </summary>
    /// <value>电话</value>
    [DataMember(Name="phone", EmitDefaultValue=false)]
    public string Phone { get; set; }

    
    /// <summary>
    /// 头像的URL
    /// </summary>
    /// <value>头像的URL</value>
    [DataMember(Name="avatar", EmitDefaultValue=false)]
    public string Avatar { get; set; }

    
    /// <summary>
    /// 服务器端头像文件的fileName，可以用于APP端缓存，下次重用。比如后续调用的时候，发现这个字段没有变化，可以不发出URL请求，而是直接用APP端缓存。
    /// </summary>
    /// <value>服务器端头像文件的fileName，可以用于APP端缓存，下次重用。比如后续调用的时候，发现这个字段没有变化，可以不发出URL请求，而是直接用APP端缓存。</value>
    [DataMember(Name="avatarCacheId", EmitDefaultValue=false)]
    public string AvatarCacheId { get; set; }

    
    /// <summary>
    /// 身份证号
    /// </summary>
    /// <value>身份证号</value>
    [DataMember(Name="socialId", EmitDefaultValue=false)]
    public string SocialId { get; set; }

    
    /// <summary>
    /// 年龄
    /// </summary>
    /// <value>年龄</value>
    [DataMember(Name="age", EmitDefaultValue=false)]
    public int? Age { get; set; }

    
    /// <summary>
    /// 用户级别,如果是联盟成员的用户。
    /// </summary>
    /// <value>用户级别,如果是联盟成员的用户。</value>
    [DataMember(Name="level", EmitDefaultValue=false)]
    public int? Level { get; set; }

    
    /// <summary>
    /// 用户积分，如果是联盟成员用户。
    /// </summary>
    /// <value>用户积分，如果是联盟成员用户。</value>
    [DataMember(Name="score", EmitDefaultValue=false)]
    public int? Score { get; set; }

    
    /// <summary>
    /// 所属企业名
    /// </summary>
    /// <value>所属企业名</value>
    [DataMember(Name="company", EmitDefaultValue=false)]
    public string Company { get; set; }

    
    /// <summary>
    /// 所属的企业ID。 如果是系统用户，该值为'0000000000'
    /// </summary>
    /// <value>所属的企业ID。 如果是系统用户，该值为'0000000000'</value>
    [DataMember(Name="companyId", EmitDefaultValue=false)]
    public string CompanyId { get; set; }

    
    /// <summary>
    /// 总公司ID。如果他就是总公司用户，该值与companyId相同。如果用户类别是客户企业、系统管理员，该字段空。
    /// </summary>
    /// <value>总公司ID。如果他就是总公司用户，该值与companyId相同。如果用户类别是客户企业、系统管理员，该字段空。</value>
    [DataMember(Name="headquarterCompanyId", EmitDefaultValue=false)]
    public string HeadquarterCompanyId { get; set; }

    
    /// <summary>
    /// 角色ID
    /// </summary>
    /// <value>角色ID</value>
    [DataMember(Name="roleid", EmitDefaultValue=false)]
    public int? Roleid { get; set; }

    
    /// <summary>
    /// 用户的类型（In Excel）
    /// </summary>
    /// <value>用户的类型（In Excel）</value>
    [DataMember(Name="userType", EmitDefaultValue=false)]
    public int? UserType { get; set; }

    
    /// <summary>
    /// Gets or Sets Error
    /// </summary>
    [DataMember(Name="error", EmitDefaultValue=false)]
    public ApiError Error { get; set; }

    

    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class AccountInfo {\n");
      
      sb.Append("  Id: ").Append(Id).Append("\n");
      
      sb.Append("  Realname: ").Append(Realname).Append("\n");
      
      sb.Append("  Gender: ").Append(Gender).Append("\n");
      
      sb.Append("  Phone: ").Append(Phone).Append("\n");
      
      sb.Append("  Avatar: ").Append(Avatar).Append("\n");
      
      sb.Append("  AvatarCacheId: ").Append(AvatarCacheId).Append("\n");
      
      sb.Append("  SocialId: ").Append(SocialId).Append("\n");
      
      sb.Append("  Age: ").Append(Age).Append("\n");
      
      sb.Append("  Level: ").Append(Level).Append("\n");
      
      sb.Append("  Score: ").Append(Score).Append("\n");
      
      sb.Append("  Company: ").Append(Company).Append("\n");
      
      sb.Append("  CompanyId: ").Append(CompanyId).Append("\n");
      
      sb.Append("  HeadquarterCompanyId: ").Append(HeadquarterCompanyId).Append("\n");
      
      sb.Append("  Roleid: ").Append(Roleid).Append("\n");
      
      sb.Append("  UserType: ").Append(UserType).Append("\n");
      
      sb.Append("  Error: ").Append(Error).Append("\n");
      
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
