using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace IO.Swagger.Model {

  /// <summary>
  /// 
  /// </summary>
  [DataContract]
  public class BriefOrder {
    
    /// <summary>
    /// 订单ID
    /// </summary>
    /// <value>订单ID</value>
    [DataMember(Name="id", EmitDefaultValue=false)]
    public string Id { get; set; }

    
    /// <summary>
    /// 紧急程度
    /// </summary>
    /// <value>紧急程度</value>
    [DataMember(Name="urgency", EmitDefaultValue=false)]
    public int? Urgency { get; set; }

    
    /// <summary>
    /// 任务类型，安装，维护
    /// </summary>
    /// <value>任务类型，安装，维护</value>
    [DataMember(Name="taskType", EmitDefaultValue=false)]
    public string TaskType { get; set; }

    
    /// <summary>
    /// 提示区显示的内容
    /// </summary>
    /// <value>提示区显示的内容</value>
    [DataMember(Name="tips", EmitDefaultValue=false)]
    public string Tips { get; set; }

    
    /// <summary>
    /// 工作地点名称
    /// </summary>
    /// <value>工作地点名称</value>
    [DataMember(Name="workAddrName", EmitDefaultValue=false)]
    public string WorkAddrName { get; set; }

    
    /// <summary>
    /// 工作详细地址
    /// </summary>
    /// <value>工作详细地址</value>
    [DataMember(Name="workAddr", EmitDefaultValue=false)]
    public string WorkAddr { get; set; }

    
    /// <summary>
    /// 工作地址电话
    /// </summary>
    /// <value>工作地址电话</value>
    [DataMember(Name="workAddrPhone", EmitDefaultValue=false)]
    public string WorkAddrPhone { get; set; }

    
    /// <summary>
    /// 状态名
    /// </summary>
    /// <value>状态名</value>
    [DataMember(Name="stateName", EmitDefaultValue=false)]
    public string StateName { get; set; }

    
    /// <summary>
    /// 状态时间
    /// </summary>
    /// <value>状态时间</value>
    [DataMember(Name="stateTime", EmitDefaultValue=false)]
    public string StateTime { get; set; }

    
    /// <summary>
    /// 车牌照
    /// </summary>
    /// <value>车牌照</value>
    [DataMember(Name="vehiclePlate", EmitDefaultValue=false)]
    public string VehiclePlate { get; set; }

    
    /// <summary>
    /// 车辆类别
    /// </summary>
    /// <value>车辆类别</value>
    [DataMember(Name="vehicleType", EmitDefaultValue=false)]
    public string VehicleType { get; set; }

    
    /// <summary>
    /// 数量
    /// </summary>
    /// <value>数量</value>
    [DataMember(Name="vehicleNum", EmitDefaultValue=false)]
    public int? VehicleNum { get; set; }

    
    /// <summary>
    /// 需要安装的车辆总数。如果是维护订单，这个值将为0。
    /// </summary>
    /// <value>需要安装的车辆总数。如果是维护订单，这个值将为0。</value>
    [DataMember(Name="numberOfVehiclesToInstall", EmitDefaultValue=false)]
    public int? NumberOfVehiclesToInstall { get; set; }

    
    /// <summary>
    /// 价格
    /// </summary>
    /// <value>价格</value>
    [DataMember(Name="price", EmitDefaultValue=false)]
    public float? Price { get; set; }

    
    /// <summary>
    /// 可以进行的操作。如果数组中，没有内容，说明该用户没有可执行操作。如果有1个成员，直接显示这个action。 如果有多个，应该显示一个“处理”按钮，点击后，在多个按钮中选择一个。
    /// </summary>
    /// <value>可以进行的操作。如果数组中，没有内容，说明该用户没有可执行操作。如果有1个成员，直接显示这个action。 如果有多个，应该显示一个“处理”按钮，点击后，在多个按钮中选择一个。</value>
    [DataMember(Name="actions", EmitDefaultValue=false)]
    public List<Action> Actions { get; set; }

    

    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class BriefOrder {\n");
      
      sb.Append("  Id: ").Append(Id).Append("\n");
      
      sb.Append("  Urgency: ").Append(Urgency).Append("\n");
      
      sb.Append("  TaskType: ").Append(TaskType).Append("\n");
      
      sb.Append("  Tips: ").Append(Tips).Append("\n");
      
      sb.Append("  WorkAddrName: ").Append(WorkAddrName).Append("\n");
      
      sb.Append("  WorkAddr: ").Append(WorkAddr).Append("\n");
      
      sb.Append("  WorkAddrPhone: ").Append(WorkAddrPhone).Append("\n");
      
      sb.Append("  StateName: ").Append(StateName).Append("\n");
      
      sb.Append("  StateTime: ").Append(StateTime).Append("\n");
      
      sb.Append("  VehiclePlate: ").Append(VehiclePlate).Append("\n");
      
      sb.Append("  VehicleType: ").Append(VehicleType).Append("\n");
      
      sb.Append("  VehicleNum: ").Append(VehicleNum).Append("\n");
      
      sb.Append("  NumberOfVehiclesToInstall: ").Append(NumberOfVehiclesToInstall).Append("\n");
      
      sb.Append("  Price: ").Append(Price).Append("\n");
      
      sb.Append("  Actions: ").Append(Actions).Append("\n");
      
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
