using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace IO.Swagger.Model {

  /// <summary>
  /// 
  /// </summary>
  [DataContract]
  public class BriefVehicle {
    
    /// <summary>
    /// 车辆的ID
    /// </summary>
    /// <value>车辆的ID</value>
    [DataMember(Name="id", EmitDefaultValue=false)]
    public string Id { get; set; }

    
    /// <summary>
    /// 车牌照
    /// </summary>
    /// <value>车牌照</value>
    [DataMember(Name="plate", EmitDefaultValue=false)]
    public string Plate { get; set; }

    
    /// <summary>
    /// 车辆图片URL
    /// </summary>
    /// <value>车辆图片URL</value>
    [DataMember(Name="imgUrl", EmitDefaultValue=false)]
    public string ImgUrl { get; set; }

    
    /// <summary>
    /// 服务器端图片的filename，用于客户端APP缓存照片时的ID。如果该ID在APP端存在缓存，则不必请求新图片。
    /// </summary>
    /// <value>服务器端图片的filename，用于客户端APP缓存照片时的ID。如果该ID在APP端存在缓存，则不必请求新图片。</value>
    [DataMember(Name="imgCacheId", EmitDefaultValue=false)]
    public string ImgCacheId { get; set; }

    
    /// <summary>
    /// 车辆类型
    /// </summary>
    /// <value>车辆类型</value>
    [DataMember(Name="type", EmitDefaultValue=false)]
    public int? Type { get; set; }

    
    /// <summary>
    /// 车辆类型的文字描述
    /// </summary>
    /// <value>车辆类型的文字描述</value>
    [DataMember(Name="typeStr", EmitDefaultValue=false)]
    public string TypeStr { get; set; }

    
    /// <summary>
    /// 车辆别名
    /// </summary>
    /// <value>车辆别名</value>
    [DataMember(Name="alias", EmitDefaultValue=false)]
    public string Alias { get; set; }

    

    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class BriefVehicle {\n");
      
      sb.Append("  Id: ").Append(Id).Append("\n");
      
      sb.Append("  Plate: ").Append(Plate).Append("\n");
      
      sb.Append("  ImgUrl: ").Append(ImgUrl).Append("\n");
      
      sb.Append("  ImgCacheId: ").Append(ImgCacheId).Append("\n");
      
      sb.Append("  Type: ").Append(Type).Append("\n");
      
      sb.Append("  TypeStr: ").Append(TypeStr).Append("\n");
      
      sb.Append("  Alias: ").Append(Alias).Append("\n");
      
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
