using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace IO.Swagger.Model {

  /// <summary>
  /// 用于返回所有设备品牌列表,按首字母分组。
  /// </summary>
  [DataContract]
  public class DeviceBrandGroupsByInitials {
    
    /// <summary>
    /// 品牌分组
    /// </summary>
    /// <value>品牌分组</value>
    [DataMember(Name="groups", EmitDefaultValue=false)]
    public List<DeviceBrandListByInitial> Groups { get; set; }

    
    /// <summary>
    /// Gets or Sets Error
    /// </summary>
    [DataMember(Name="error", EmitDefaultValue=false)]
    public ApiError Error { get; set; }

    

    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class DeviceBrandGroupsByInitials {\n");
      
      sb.Append("  Groups: ").Append(Groups).Append("\n");
      
      sb.Append("  Error: ").Append(Error).Append("\n");
      
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
