using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace IO.Swagger.Model {

  /// <summary>
  /// sim卡GPRS在线状态查询结果
  /// </summary>
  [DataContract]
  public class GprsInfo {
    
    /// <summary>
    /// 查询结果代码。0表示成功。其他值均为异常
    /// </summary>
    /// <value>查询结果代码。0表示成功。其他值均为异常</value>
    [DataMember(Name="resultCode", EmitDefaultValue=false)]
    public int? ResultCode { get; set; }

    
    /// <summary>
    /// 查询结果描述
    /// </summary>
    /// <value>查询结果描述</value>
    [DataMember(Name="resultMsg", EmitDefaultValue=false)]
    public string ResultMsg { get; set; }

    
    /// <summary>
    /// GPRS在线状态
    /// </summary>
    /// <value>GPRS在线状态</value>
    [DataMember(Name="gprsStatus", EmitDefaultValue=false)]
    public string GprsStatus { get; set; }

    
    /// <summary>
    /// 当前IP
    /// </summary>
    /// <value>当前IP</value>
    [DataMember(Name="gprsIp", EmitDefaultValue=false)]
    public string GprsIp { get; set; }

    
    /// <summary>
    /// APN名称
    /// </summary>
    /// <value>APN名称</value>
    [DataMember(Name="apn", EmitDefaultValue=false)]
    public string Apn { get; set; }

    
    /// <summary>
    /// 网络类型
    /// </summary>
    /// <value>网络类型</value>
    [DataMember(Name="rat", EmitDefaultValue=false)]
    public string Rat { get; set; }

    

    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class GprsInfo {\n");
      
      sb.Append("  ResultCode: ").Append(ResultCode).Append("\n");
      
      sb.Append("  ResultMsg: ").Append(ResultMsg).Append("\n");
      
      sb.Append("  GprsStatus: ").Append(GprsStatus).Append("\n");
      
      sb.Append("  GprsIp: ").Append(GprsIp).Append("\n");
      
      sb.Append("  Apn: ").Append(Apn).Append("\n");
      
      sb.Append("  Rat: ").Append(Rat).Append("\n");
      
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
