using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace IO.Swagger.Model {

  /// <summary>
  /// 
  /// </summary>
  [DataContract]
  public class HistoryOrderApplication {
    
    /// <summary>
    /// 订单ID
    /// </summary>
    /// <value>订单ID</value>
    [DataMember(Name="orderId", EmitDefaultValue=false)]
    public string OrderId { get; set; }

    
    /// <summary>
    /// 订单类型（安装、维护， In Excel）
    /// </summary>
    /// <value>订单类型（安装、维护， In Excel）</value>
    [DataMember(Name="orderType", EmitDefaultValue=false)]
    public int? OrderType { get; set; }

    
    /// <summary>
    /// 工作地点
    /// </summary>
    /// <value>工作地点</value>
    [DataMember(Name="workAddr", EmitDefaultValue=false)]
    public string WorkAddr { get; set; }

    
    /// <summary>
    /// 发布抢单的公司
    /// </summary>
    /// <value>发布抢单的公司</value>
    [DataMember(Name="publisherCompany", EmitDefaultValue=false)]
    public string PublisherCompany { get; set; }

    
    /// <summary>
    /// 抢单时间
    /// </summary>
    /// <value>抢单时间</value>
    [DataMember(Name="applyTime", EmitDefaultValue=false)]
    public string ApplyTime { get; set; }

    
    /// <summary>
    /// 抢单备注
    /// </summary>
    /// <value>抢单备注</value>
    [DataMember(Name="memo", EmitDefaultValue=false)]
    public string Memo { get; set; }

    
    /// <summary>
    /// 撤销时间（NULL表示未撤销）
    /// </summary>
    /// <value>撤销时间（NULL表示未撤销）</value>
    [DataMember(Name="cancelTime", EmitDefaultValue=false)]
    public string CancelTime { get; set; }

    
    /// <summary>
    /// 撤销抢单备注（撤销时间非NULL时有效）
    /// </summary>
    /// <value>撤销抢单备注（撤销时间非NULL时有效）</value>
    [DataMember(Name="cancelMemo", EmitDefaultValue=false)]
    public string CancelMemo { get; set; }

    
    /// <summary>
    /// 抢单价格
    /// </summary>
    /// <value>抢单价格</value>
    [DataMember(Name="applyPrice", EmitDefaultValue=false)]
    public float? ApplyPrice { get; set; }

    
    /// <summary>
    /// 抢单用户姓名
    /// </summary>
    /// <value>抢单用户姓名</value>
    [DataMember(Name="applyBy", EmitDefaultValue=false)]
    public string ApplyBy { get; set; }

    
    /// <summary>
    /// 是否可以查看详情(0,不可以； 1，可以。如果在抢单中，可以查看，否则不可以）
    /// </summary>
    /// <value>是否可以查看详情(0,不可以； 1，可以。如果在抢单中，可以查看，否则不可以）</value>
    [DataMember(Name="isOpen", EmitDefaultValue=false)]
    public int? IsOpen { get; set; }

    

    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class HistoryOrderApplication {\n");
      
      sb.Append("  OrderId: ").Append(OrderId).Append("\n");
      
      sb.Append("  OrderType: ").Append(OrderType).Append("\n");
      
      sb.Append("  WorkAddr: ").Append(WorkAddr).Append("\n");
      
      sb.Append("  PublisherCompany: ").Append(PublisherCompany).Append("\n");
      
      sb.Append("  ApplyTime: ").Append(ApplyTime).Append("\n");
      
      sb.Append("  Memo: ").Append(Memo).Append("\n");
      
      sb.Append("  CancelTime: ").Append(CancelTime).Append("\n");
      
      sb.Append("  CancelMemo: ").Append(CancelMemo).Append("\n");
      
      sb.Append("  ApplyPrice: ").Append(ApplyPrice).Append("\n");
      
      sb.Append("  ApplyBy: ").Append(ApplyBy).Append("\n");
      
      sb.Append("  IsOpen: ").Append(IsOpen).Append("\n");
      
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
