using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace IO.Swagger.Model {

  /// <summary>
  /// APP端下拉列表项，如常见故障、外围设备等。
  /// </summary>
  [DataContract]
  public class IntKVPair {
    
    /// <summary>
    /// 数字值
    /// </summary>
    /// <value>数字值</value>
    [DataMember(Name="intKey", EmitDefaultValue=false)]
    public int? IntKey { get; set; }

    
    /// <summary>
    /// 字符串值
    /// </summary>
    /// <value>字符串值</value>
    [DataMember(Name="strValue", EmitDefaultValue=false)]
    public string StrValue { get; set; }

    

    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class IntKVPair {\n");
      
      sb.Append("  IntKey: ").Append(IntKey).Append("\n");
      
      sb.Append("  StrValue: ").Append(StrValue).Append("\n");
      
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
