using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace IO.Swagger.Model {

  /// <summary>
  /// 用于返回候选的列表项。如，常见故障，外围设备等。客户端APP可以考虑缓存（比如缓存的有效期为1天），节约网络流量，减轻服务器压力。
  /// </summary>
  [DataContract]
  public class IntKVPairResp {
    
    /// <summary>
    /// 所有候选项
    /// </summary>
    /// <value>所有候选项</value>
    [DataMember(Name="values", EmitDefaultValue=false)]
    public List<IntKVPair> Values { get; set; }

    
    /// <summary>
    /// Gets or Sets Error
    /// </summary>
    [DataMember(Name="error", EmitDefaultValue=false)]
    public ApiError Error { get; set; }

    

    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class IntKVPairResp {\n");
      
      sb.Append("  Values: ").Append(Values).Append("\n");
      
      sb.Append("  Error: ").Append(Error).Append("\n");
      
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
