using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace IO.Swagger.Model {

  /// <summary>
  /// 
  /// </summary>
  [DataContract]
  public class LoginResult {
    
    /// <summary>
    /// 登录key,后续的api调用,只要需要用户登录,都需要传入这个key.否则视为未登录。
    /// </summary>
    /// <value>登录key,后续的api调用,只要需要用户登录,都需要传入这个key.否则视为未登录。</value>
    [DataMember(Name="key", EmitDefaultValue=false)]
    public string Key { get; set; }

    
    /// <summary>
    /// 用户类型 Excel
    /// </summary>
    /// <value>用户类型 Excel</value>
    [DataMember(Name="userType", EmitDefaultValue=false)]
    public int? UserType { get; set; }

    
    /// <summary>
    /// 如果userType为ServiceUser，那么这个字段表示该用户的角色（客服、管理员、工程师）
    /// </summary>
    /// <value>如果userType为ServiceUser，那么这个字段表示该用户的角色（客服、管理员、工程师）</value>
    [DataMember(Name="userRole", EmitDefaultValue=false)]
    public int? UserRole { get; set; }

    
    /// <summary>
    /// Gets or Sets Error
    /// </summary>
    [DataMember(Name="error", EmitDefaultValue=false)]
    public ApiError Error { get; set; }

    

    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class LoginResult {\n");
      
      sb.Append("  Key: ").Append(Key).Append("\n");
      
      sb.Append("  UserType: ").Append(UserType).Append("\n");
      
      sb.Append("  UserRole: ").Append(UserRole).Append("\n");
      
      sb.Append("  Error: ").Append(Error).Append("\n");
      
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
