using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace IO.Swagger.Model {

  /// <summary>
  /// 
  /// </summary>
  [DataContract]
  public class OrderApplication {
    
    /// <summary>
    /// 抢单申请的ID
    /// </summary>
    /// <value>抢单申请的ID</value>
    [DataMember(Name="id", EmitDefaultValue=false)]
    public string Id { get; set; }

    
    /// <summary>
    /// 抢单公司的ID
    /// </summary>
    /// <value>抢单公司的ID</value>
    [DataMember(Name="companyId", EmitDefaultValue=false)]
    public string CompanyId { get; set; }

    
    /// <summary>
    /// 联盟成员号
    /// </summary>
    /// <value>联盟成员号</value>
    [DataMember(Name="memberId", EmitDefaultValue=false)]
    public int? MemberId { get; set; }

    
    /// <summary>
    /// 抢单公司的名称
    /// </summary>
    /// <value>抢单公司的名称</value>
    [DataMember(Name="companyName", EmitDefaultValue=false)]
    public string CompanyName { get; set; }

    
    /// <summary>
    /// 抢单公司简称
    /// </summary>
    /// <value>抢单公司简称</value>
    [DataMember(Name="companySimpleName", EmitDefaultValue=false)]
    public string CompanySimpleName { get; set; }

    
    /// <summary>
    /// 抢单价格
    /// </summary>
    /// <value>抢单价格</value>
    [DataMember(Name="price", EmitDefaultValue=false)]
    public float? Price { get; set; }

    
    /// <summary>
    /// 最近的距离(KM)
    /// </summary>
    /// <value>最近的距离(KM)</value>
    [DataMember(Name="distance", EmitDefaultValue=false)]
    public int? Distance { get; set; }

    
    /// <summary>
    /// 备注说明
    /// </summary>
    /// <value>备注说明</value>
    [DataMember(Name="memo", EmitDefaultValue=false)]
    public string Memo { get; set; }

    

    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class OrderApplication {\n");
      
      sb.Append("  Id: ").Append(Id).Append("\n");
      
      sb.Append("  CompanyId: ").Append(CompanyId).Append("\n");
      
      sb.Append("  MemberId: ").Append(MemberId).Append("\n");
      
      sb.Append("  CompanyName: ").Append(CompanyName).Append("\n");
      
      sb.Append("  CompanySimpleName: ").Append(CompanySimpleName).Append("\n");
      
      sb.Append("  Price: ").Append(Price).Append("\n");
      
      sb.Append("  Distance: ").Append(Distance).Append("\n");
      
      sb.Append("  Memo: ").Append(Memo).Append("\n");
      
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
