using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace IO.Swagger.Model {

  /// <summary>
  /// 
  /// </summary>
  [DataContract]
  public class OrderInfoView {
    
    /// <summary>
    /// 订单ID
    /// </summary>
    /// <value>订单ID</value>
    [DataMember(Name="id", EmitDefaultValue=false)]
    public string Id { get; set; }

    
    /// <summary>
    /// 当前订单状态
    /// </summary>
    /// <value>当前订单状态</value>
    [DataMember(Name="currentState", EmitDefaultValue=false)]
    public string CurrentState { get; set; }

    
    /// <summary>
    /// 订单状态时间
    /// </summary>
    /// <value>订单状态时间</value>
    [DataMember(Name="currentStateTime", EmitDefaultValue=false)]
    public string CurrentStateTime { get; set; }

    
    /// <summary>
    /// 工作地点名称
    /// </summary>
    /// <value>工作地点名称</value>
    [DataMember(Name="workAddrName", EmitDefaultValue=false)]
    public string WorkAddrName { get; set; }

    
    /// <summary>
    /// 工作地点详细地址
    /// </summary>
    /// <value>工作地点详细地址</value>
    [DataMember(Name="workAddr", EmitDefaultValue=false)]
    public string WorkAddr { get; set; }

    
    /// <summary>
    /// 工作地点联系人
    /// </summary>
    /// <value>工作地点联系人</value>
    [DataMember(Name="workAddrContact", EmitDefaultValue=false)]
    public string WorkAddrContact { get; set; }

    
    /// <summary>
    /// 联系人电话
    /// </summary>
    /// <value>联系人电话</value>
    [DataMember(Name="workAddrPhone", EmitDefaultValue=false)]
    public string WorkAddrPhone { get; set; }

    
    /// <summary>
    /// 工作地点纬度
    /// </summary>
    /// <value>工作地点纬度</value>
    [DataMember(Name="workAddrLat", EmitDefaultValue=false)]
    public float? WorkAddrLat { get; set; }

    
    /// <summary>
    /// 工作地点经度
    /// </summary>
    /// <value>工作地点经度</value>
    [DataMember(Name="workAddrLon", EmitDefaultValue=false)]
    public float? WorkAddrLon { get; set; }

    
    /// <summary>
    /// 客户企业名称
    /// </summary>
    /// <value>客户企业名称</value>
    [DataMember(Name="clientCompanyName", EmitDefaultValue=false)]
    public string ClientCompanyName { get; set; }

    
    /// <summary>
    /// 联盟成员企业的名称
    /// </summary>
    /// <value>联盟成员企业的名称</value>
    [DataMember(Name="serviceCompanyName", EmitDefaultValue=false)]
    public string ServiceCompanyName { get; set; }

    
    /// <summary>
    /// 订单类型
    /// </summary>
    /// <value>订单类型</value>
    [DataMember(Name="orderType", EmitDefaultValue=false)]
    public int? OrderType { get; set; }

    
    /// <summary>
    /// 订单类型名称
    /// </summary>
    /// <value>订单类型名称</value>
    [DataMember(Name="orderTypeName", EmitDefaultValue=false)]
    public string OrderTypeName { get; set; }

    
    /// <summary>
    /// 安装数量
    /// </summary>
    /// <value>安装数量</value>
    [DataMember(Name="installNum", EmitDefaultValue=false)]
    public int? InstallNum { get; set; }

    
    /// <summary>
    /// 安装备注
    /// </summary>
    /// <value>安装备注</value>
    [DataMember(Name="installMemo", EmitDefaultValue=false)]
    public string InstallMemo { get; set; }

    
    /// <summary>
    /// 紧急程度
    /// </summary>
    /// <value>紧急程度</value>
    [DataMember(Name="urgency", EmitDefaultValue=false)]
    public string Urgency { get; set; }

    
    /// <summary>
    /// 指定到达时间
    /// </summary>
    /// <value>指定到达时间</value>
    [DataMember(Name="appointedArrivalTime", EmitDefaultValue=false)]
    public string AppointedArrivalTime { get; set; }

    
    /// <summary>
    /// 下单时间
    /// </summary>
    /// <value>下单时间</value>
    [DataMember(Name="createTime", EmitDefaultValue=false)]
    public string CreateTime { get; set; }

    
    /// <summary>
    /// 下单人姓名
    /// </summary>
    /// <value>下单人姓名</value>
    [DataMember(Name="creatorName", EmitDefaultValue=false)]
    public string CreatorName { get; set; }

    
    /// <summary>
    /// 订单价格
    /// </summary>
    /// <value>订单价格</value>
    [DataMember(Name="price", EmitDefaultValue=false)]
    public string Price { get; set; }

    
    /// <summary>
    /// 是否已受理
    /// </summary>
    /// <value>是否已受理</value>
    [DataMember(Name="isAccepted", EmitDefaultValue=false)]
    public bool? IsAccepted { get; set; }

    
    /// <summary>
    /// 受理时间
    /// </summary>
    /// <value>受理时间</value>
    [DataMember(Name="acceptedTime", EmitDefaultValue=false)]
    public string AcceptedTime { get; set; }

    
    /// <summary>
    /// 受理人姓名
    /// </summary>
    /// <value>受理人姓名</value>
    [DataMember(Name="acceptStaffName", EmitDefaultValue=false)]
    public string AcceptStaffName { get; set; }

    
    /// <summary>
    /// 故障分析
    /// </summary>
    /// <value>故障分析</value>
    [DataMember(Name="anlaysisMemo", EmitDefaultValue=false)]
    public string AnlaysisMemo { get; set; }

    
    /// <summary>
    /// 故障现象
    /// </summary>
    /// <value>故障现象</value>
    [DataMember(Name="problems", EmitDefaultValue=false)]
    public string Problems { get; set; }

    
    /// <summary>
    /// 是否分配工程师
    /// </summary>
    /// <value>是否分配工程师</value>
    [DataMember(Name="isAssigned", EmitDefaultValue=false)]
    public bool? IsAssigned { get; set; }

    
    /// <summary>
    /// 工程师列表格式为“张三(18686876543)”
    /// </summary>
    /// <value>工程师列表格式为“张三(18686876543)”</value>
    [DataMember(Name="workerInfo", EmitDefaultValue=false)]
    public List<string> WorkerInfo { get; set; }

    
    /// <summary>
    /// 公务车列表格式为“黑A75D28”
    /// </summary>
    /// <value>公务车列表格式为“黑A75D28”</value>
    [DataMember(Name="serviceCarInfo", EmitDefaultValue=false)]
    public List<string> ServiceCarInfo { get; set; }

    
    /// <summary>
    /// 是否发布抢单
    /// </summary>
    /// <value>是否发布抢单</value>
    [DataMember(Name="isPublished", EmitDefaultValue=false)]
    public bool? IsPublished { get; set; }

    
    /// <summary>
    /// 发布的联盟成员企业名称列表
    /// </summary>
    /// <value>发布的联盟成员企业名称列表</value>
    [DataMember(Name="companiesInvited", EmitDefaultValue=false)]
    public List<string> CompaniesInvited { get; set; }

    
    /// <summary>
    /// 是否已经委托
    /// </summary>
    /// <value>是否已经委托</value>
    [DataMember(Name="isConsigned", EmitDefaultValue=false)]
    public bool? IsConsigned { get; set; }

    
    /// <summary>
    /// 受托企业名称
    /// </summary>
    /// <value>受托企业名称</value>
    [DataMember(Name="consigneeCompanyName", EmitDefaultValue=false)]
    public string ConsigneeCompanyName { get; set; }

    
    /// <summary>
    /// 委托价格
    /// </summary>
    /// <value>委托价格</value>
    [DataMember(Name="consignPrice", EmitDefaultValue=false)]
    public string ConsignPrice { get; set; }

    
    /// <summary>
    /// 受托方联系电话
    /// </summary>
    /// <value>受托方联系电话</value>
    [DataMember(Name="consigneePhone", EmitDefaultValue=false)]
    public string ConsigneePhone { get; set; }

    
    /// <summary>
    /// 是否已经抢单
    /// </summary>
    /// <value>是否已经抢单</value>
    [DataMember(Name="isApplied", EmitDefaultValue=false)]
    public bool? IsApplied { get; set; }

    
    /// <summary>
    /// 抢单价格
    /// </summary>
    /// <value>抢单价格</value>
    [DataMember(Name="applyPrice", EmitDefaultValue=false)]
    public string ApplyPrice { get; set; }

    
    /// <summary>
    /// 抢单备注
    /// </summary>
    /// <value>抢单备注</value>
    [DataMember(Name="applyMemo", EmitDefaultValue=false)]
    public string ApplyMemo { get; set; }

    
    /// <summary>
    /// 用户在订单中的角色
    /// </summary>
    /// <value>用户在订单中的角色</value>
    [DataMember(Name="userRoleInOrder", EmitDefaultValue=false)]
    public int? UserRoleInOrder { get; set; }

    

    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class OrderInfoView {\n");
      
      sb.Append("  Id: ").Append(Id).Append("\n");
      
      sb.Append("  CurrentState: ").Append(CurrentState).Append("\n");
      
      sb.Append("  CurrentStateTime: ").Append(CurrentStateTime).Append("\n");
      
      sb.Append("  WorkAddrName: ").Append(WorkAddrName).Append("\n");
      
      sb.Append("  WorkAddr: ").Append(WorkAddr).Append("\n");
      
      sb.Append("  WorkAddrContact: ").Append(WorkAddrContact).Append("\n");
      
      sb.Append("  WorkAddrPhone: ").Append(WorkAddrPhone).Append("\n");
      
      sb.Append("  WorkAddrLat: ").Append(WorkAddrLat).Append("\n");
      
      sb.Append("  WorkAddrLon: ").Append(WorkAddrLon).Append("\n");
      
      sb.Append("  ClientCompanyName: ").Append(ClientCompanyName).Append("\n");
      
      sb.Append("  ServiceCompanyName: ").Append(ServiceCompanyName).Append("\n");
      
      sb.Append("  OrderType: ").Append(OrderType).Append("\n");
      
      sb.Append("  OrderTypeName: ").Append(OrderTypeName).Append("\n");
      
      sb.Append("  InstallNum: ").Append(InstallNum).Append("\n");
      
      sb.Append("  InstallMemo: ").Append(InstallMemo).Append("\n");
      
      sb.Append("  Urgency: ").Append(Urgency).Append("\n");
      
      sb.Append("  AppointedArrivalTime: ").Append(AppointedArrivalTime).Append("\n");
      
      sb.Append("  CreateTime: ").Append(CreateTime).Append("\n");
      
      sb.Append("  CreatorName: ").Append(CreatorName).Append("\n");
      
      sb.Append("  Price: ").Append(Price).Append("\n");
      
      sb.Append("  IsAccepted: ").Append(IsAccepted).Append("\n");
      
      sb.Append("  AcceptedTime: ").Append(AcceptedTime).Append("\n");
      
      sb.Append("  AcceptStaffName: ").Append(AcceptStaffName).Append("\n");
      
      sb.Append("  AnlaysisMemo: ").Append(AnlaysisMemo).Append("\n");
      
      sb.Append("  Problems: ").Append(Problems).Append("\n");
      
      sb.Append("  IsAssigned: ").Append(IsAssigned).Append("\n");
      
      sb.Append("  WorkerInfo: ").Append(WorkerInfo).Append("\n");
      
      sb.Append("  ServiceCarInfo: ").Append(ServiceCarInfo).Append("\n");
      
      sb.Append("  IsPublished: ").Append(IsPublished).Append("\n");
      
      sb.Append("  CompaniesInvited: ").Append(CompaniesInvited).Append("\n");
      
      sb.Append("  IsConsigned: ").Append(IsConsigned).Append("\n");
      
      sb.Append("  ConsigneeCompanyName: ").Append(ConsigneeCompanyName).Append("\n");
      
      sb.Append("  ConsignPrice: ").Append(ConsignPrice).Append("\n");
      
      sb.Append("  ConsigneePhone: ").Append(ConsigneePhone).Append("\n");
      
      sb.Append("  IsApplied: ").Append(IsApplied).Append("\n");
      
      sb.Append("  ApplyPrice: ").Append(ApplyPrice).Append("\n");
      
      sb.Append("  ApplyMemo: ").Append(ApplyMemo).Append("\n");
      
      sb.Append("  UserRoleInOrder: ").Append(UserRoleInOrder).Append("\n");
      
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
