using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace IO.Swagger.Model {

  /// <summary>
  /// 
  /// </summary>
  [DataContract]
  public class OrderSeqView {
    
    /// <summary>
    /// 订单指派的工程师列表
    /// </summary>
    /// <value>订单指派的工程师列表</value>
    [DataMember(Name="workers", EmitDefaultValue=false)]
    public List<Worker> Workers { get; set; }

    
    /// <summary>
    /// 该订单发生的一些列动作
    /// </summary>
    /// <value>该订单发生的一些列动作</value>
    [DataMember(Name="operations", EmitDefaultValue=false)]
    public List<OrderSeqItem> Operations { get; set; }

    

    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class OrderSeqView {\n");
      
      sb.Append("  Workers: ").Append(Workers).Append("\n");
      
      sb.Append("  Operations: ").Append(Operations).Append("\n");
      
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
