using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace IO.Swagger.Model {

  /// <summary>
  /// 
  /// </summary>
  [DataContract]
  public class PlateOcr {
    
    /// <summary>
    /// 识别结果状态
    /// </summary>
    /// <value>识别结果状态</value>
    [DataMember(Name="status", EmitDefaultValue=false)]
    public int? Status { get; set; }

    
    /// <summary>
    /// 识别结果描述，如“识别成功”
    /// </summary>
    /// <value>识别结果描述，如“识别成功”</value>
    [DataMember(Name="message", EmitDefaultValue=false)]
    public string Message { get; set; }

    
    /// <summary>
    /// 车牌号
    /// </summary>
    /// <value>车牌号</value>
    [DataMember(Name="plateNum", EmitDefaultValue=false)]
    public string PlateNum { get; set; }

    
    /// <summary>
    /// 可信度
    /// </summary>
    /// <value>可信度</value>
    [DataMember(Name="reliability", EmitDefaultValue=false)]
    public float? Reliability { get; set; }

    
    /// <summary>
    /// 该车辆的Sim卡号。如果该车没有填写Sim卡号，返回null。如果找不到该车信息、找到重复拍照的车辆，都会返回相应的文字。
    /// </summary>
    /// <value>该车辆的Sim卡号。如果该车没有填写Sim卡号，返回null。如果找不到该车信息、找到重复拍照的车辆，都会返回相应的文字。</value>
    [DataMember(Name="sim", EmitDefaultValue=false)]
    public string Sim { get; set; }

    

    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class PlateOcr {\n");
      
      sb.Append("  Status: ").Append(Status).Append("\n");
      
      sb.Append("  Message: ").Append(Message).Append("\n");
      
      sb.Append("  PlateNum: ").Append(PlateNum).Append("\n");
      
      sb.Append("  Reliability: ").Append(Reliability).Append("\n");
      
      sb.Append("  Sim: ").Append(Sim).Append("\n");
      
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
