using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace IO.Swagger.Model {

  /// <summary>
  /// 
  /// </summary>
  [DataContract]
  public class ServiceCompany {
    
    /// <summary>
    /// Gets or Sets Id
    /// </summary>
    [DataMember(Name="id", EmitDefaultValue=false)]
    public string Id { get; set; }

    
    /// <summary>
    /// 企业名称（全称）
    /// </summary>
    /// <value>企业名称（全称）</value>
    [DataMember(Name="name", EmitDefaultValue=false)]
    public string Name { get; set; }

    
    /// <summary>
    /// 简称
    /// </summary>
    /// <value>简称</value>
    [DataMember(Name="simpleName", EmitDefaultValue=false)]
    public string SimpleName { get; set; }

    
    /// <summary>
    /// Gets or Sets ServicePhone
    /// </summary>
    [DataMember(Name="servicePhone", EmitDefaultValue=false)]
    public string ServicePhone { get; set; }

    
    /// <summary>
    /// 联盟成员编号
    /// </summary>
    /// <value>联盟成员编号</value>
    [DataMember(Name="memberId", EmitDefaultValue=false)]
    public int? MemberId { get; set; }

    
    /// <summary>
    /// 分公司号
    /// </summary>
    /// <value>分公司号</value>
    [DataMember(Name="branchId", EmitDefaultValue=false)]
    public int? BranchId { get; set; }

    
    /// <summary>
    /// 发短信主叫号码
    /// </summary>
    /// <value>发短信主叫号码</value>
    [DataMember(Name="smsFrom", EmitDefaultValue=false)]
    public string SmsFrom { get; set; }

    
    /// <summary>
    /// 总积分。
    /// </summary>
    /// <value>总积分。</value>
    [DataMember(Name="score", EmitDefaultValue=false)]
    public int? Score { get; set; }

    
    /// <summary>
    /// 级别.据此显示联盟的级别（钻，心，冠）level-30=金冠数；level-20=蓝冠数；level-10=蓝钻数；level=红心数
    /// </summary>
    /// <value>级别.据此显示联盟的级别（钻，心，冠）level-30=金冠数；level-20=蓝冠数；level-10=蓝钻数；level=红心数</value>
    [DataMember(Name="level", EmitDefaultValue=false)]
    public int? Level { get; set; }

    
    /// <summary>
    /// 完成的订单总数量
    /// </summary>
    /// <value>完成的订单总数量</value>
    [DataMember(Name="orders", EmitDefaultValue=false)]
    public int? Orders { get; set; }

    
    /// <summary>
    /// Gets or Sets Error
    /// </summary>
    [DataMember(Name="error", EmitDefaultValue=false)]
    public ApiError Error { get; set; }

    

    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class ServiceCompany {\n");
      
      sb.Append("  Id: ").Append(Id).Append("\n");
      
      sb.Append("  Name: ").Append(Name).Append("\n");
      
      sb.Append("  SimpleName: ").Append(SimpleName).Append("\n");
      
      sb.Append("  ServicePhone: ").Append(ServicePhone).Append("\n");
      
      sb.Append("  MemberId: ").Append(MemberId).Append("\n");
      
      sb.Append("  BranchId: ").Append(BranchId).Append("\n");
      
      sb.Append("  SmsFrom: ").Append(SmsFrom).Append("\n");
      
      sb.Append("  Score: ").Append(Score).Append("\n");
      
      sb.Append("  Level: ").Append(Level).Append("\n");
      
      sb.Append("  Orders: ").Append(Orders).Append("\n");
      
      sb.Append("  Error: ").Append(Error).Append("\n");
      
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
