using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace IO.Swagger.Model {

  /// <summary>
  /// 
  /// </summary>
  [DataContract]
  public class ServiceCompanyList {
    
    /// <summary>
    /// 企业列表
    /// </summary>
    /// <value>企业列表</value>
    [DataMember(Name="companies", EmitDefaultValue=false)]
    public List<ServiceCompany> Companies { get; set; }

    
    /// <summary>
    /// 全部结果集数量
    /// </summary>
    /// <value>全部结果集数量</value>
    [DataMember(Name="total", EmitDefaultValue=false)]
    public int? Total { get; set; }

    
    /// <summary>
    /// Gets or Sets Error
    /// </summary>
    [DataMember(Name="error", EmitDefaultValue=false)]
    public ApiError Error { get; set; }

    

    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class ServiceCompanyList {\n");
      
      sb.Append("  Companies: ").Append(Companies).Append("\n");
      
      sb.Append("  Total: ").Append(Total).Append("\n");
      
      sb.Append("  Error: ").Append(Error).Append("\n");
      
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
