using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace IO.Swagger.Model {

  /// <summary>
  /// 
  /// </summary>
  [DataContract]
  public class ServiceOffice {
    
    /// <summary>
    /// 网点的Id
    /// </summary>
    /// <value>网点的Id</value>
    [DataMember(Name="id", EmitDefaultValue=false)]
    public string Id { get; set; }

    
    /// <summary>
    /// 网点名称
    /// </summary>
    /// <value>网点名称</value>
    [DataMember(Name="name", EmitDefaultValue=false)]
    public string Name { get; set; }

    
    /// <summary>
    /// 详细地址
    /// </summary>
    /// <value>详细地址</value>
    [DataMember(Name="addr", EmitDefaultValue=false)]
    public string Addr { get; set; }

    
    /// <summary>
    /// 联系人
    /// </summary>
    /// <value>联系人</value>
    [DataMember(Name="contact", EmitDefaultValue=false)]
    public string Contact { get; set; }

    
    /// <summary>
    /// 联系电话
    /// </summary>
    /// <value>联系电话</value>
    [DataMember(Name="phone", EmitDefaultValue=false)]
    public string Phone { get; set; }

    
    /// <summary>
    /// 纬度
    /// </summary>
    /// <value>纬度</value>
    [DataMember(Name="lat", EmitDefaultValue=false)]
    public float? Lat { get; set; }

    
    /// <summary>
    /// 经度
    /// </summary>
    /// <value>经度</value>
    [DataMember(Name="lon", EmitDefaultValue=false)]
    public float? Lon { get; set; }

    
    /// <summary>
    /// 和工作地点之间的距离。这个字段只在发布抢单的时候搜索附近网点时有效。其他情况下，这个字段为空（null）。 单位为KM，四舍五入为整数。
    /// </summary>
    /// <value>和工作地点之间的距离。这个字段只在发布抢单的时候搜索附近网点时有效。其他情况下，这个字段为空（null）。 单位为KM，四舍五入为整数。</value>
    [DataMember(Name="distance", EmitDefaultValue=false)]
    public int? Distance { get; set; }

    
    /// <summary>
    /// 所属的公司ID
    /// </summary>
    /// <value>所属的公司ID</value>
    [DataMember(Name="companyId", EmitDefaultValue=false)]
    public string CompanyId { get; set; }

    
    /// <summary>
    /// 所属公司的简称
    /// </summary>
    /// <value>所属公司的简称</value>
    [DataMember(Name="companySimpleName", EmitDefaultValue=false)]
    public string CompanySimpleName { get; set; }

    
    /// <summary>
    /// Gets or Sets Error
    /// </summary>
    [DataMember(Name="error", EmitDefaultValue=false)]
    public ApiError Error { get; set; }

    

    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class ServiceOffice {\n");
      
      sb.Append("  Id: ").Append(Id).Append("\n");
      
      sb.Append("  Name: ").Append(Name).Append("\n");
      
      sb.Append("  Addr: ").Append(Addr).Append("\n");
      
      sb.Append("  Contact: ").Append(Contact).Append("\n");
      
      sb.Append("  Phone: ").Append(Phone).Append("\n");
      
      sb.Append("  Lat: ").Append(Lat).Append("\n");
      
      sb.Append("  Lon: ").Append(Lon).Append("\n");
      
      sb.Append("  Distance: ").Append(Distance).Append("\n");
      
      sb.Append("  CompanyId: ").Append(CompanyId).Append("\n");
      
      sb.Append("  CompanySimpleName: ").Append(CompanySimpleName).Append("\n");
      
      sb.Append("  Error: ").Append(Error).Append("\n");
      
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
