using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace IO.Swagger.Model {

  /// <summary>
  /// 
  /// </summary>
  [DataContract]
  public class ServiceUser {
    
    /// <summary>
    /// 用户Id
    /// </summary>
    /// <value>用户Id</value>
    [DataMember(Name="id", EmitDefaultValue=false)]
    public string Id { get; set; }

    
    /// <summary>
    /// 手机号
    /// </summary>
    /// <value>手机号</value>
    [DataMember(Name="phone", EmitDefaultValue=false)]
    public string Phone { get; set; }

    
    /// <summary>
    /// 性别
    /// </summary>
    /// <value>性别</value>
    [DataMember(Name="gender", EmitDefaultValue=false)]
    public int? Gender { get; set; }

    
    /// <summary>
    /// 性别（文字）
    /// </summary>
    /// <value>性别（文字）</value>
    [DataMember(Name="genderStr", EmitDefaultValue=false)]
    public string GenderStr { get; set; }

    
    /// <summary>
    /// 身份证号
    /// </summary>
    /// <value>身份证号</value>
    [DataMember(Name="socialId", EmitDefaultValue=false)]
    public string SocialId { get; set; }

    
    /// <summary>
    /// 角色
    /// </summary>
    /// <value>角色</value>
    [DataMember(Name="roleId", EmitDefaultValue=false)]
    public int? RoleId { get; set; }

    
    /// <summary>
    /// 角色名称
    /// </summary>
    /// <value>角色名称</value>
    [DataMember(Name="roleName", EmitDefaultValue=false)]
    public string RoleName { get; set; }

    
    /// <summary>
    /// 真实姓名
    /// </summary>
    /// <value>真实姓名</value>
    [DataMember(Name="realName", EmitDefaultValue=false)]
    public string RealName { get; set; }

    
    /// <summary>
    /// 绑定的微信Id
    /// </summary>
    /// <value>绑定的微信Id</value>
    [DataMember(Name="weixinId", EmitDefaultValue=false)]
    public string WeixinId { get; set; }

    
    /// <summary>
    /// 头像URL
    /// </summary>
    /// <value>头像URL</value>
    [DataMember(Name="avatarUrl", EmitDefaultValue=false)]
    public string AvatarUrl { get; set; }

    
    /// <summary>
    /// 用户积分
    /// </summary>
    /// <value>用户积分</value>
    [DataMember(Name="score", EmitDefaultValue=false)]
    public int? Score { get; set; }

    

    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class ServiceUser {\n");
      
      sb.Append("  Id: ").Append(Id).Append("\n");
      
      sb.Append("  Phone: ").Append(Phone).Append("\n");
      
      sb.Append("  Gender: ").Append(Gender).Append("\n");
      
      sb.Append("  GenderStr: ").Append(GenderStr).Append("\n");
      
      sb.Append("  SocialId: ").Append(SocialId).Append("\n");
      
      sb.Append("  RoleId: ").Append(RoleId).Append("\n");
      
      sb.Append("  RoleName: ").Append(RoleName).Append("\n");
      
      sb.Append("  RealName: ").Append(RealName).Append("\n");
      
      sb.Append("  WeixinId: ").Append(WeixinId).Append("\n");
      
      sb.Append("  AvatarUrl: ").Append(AvatarUrl).Append("\n");
      
      sb.Append("  Score: ").Append(Score).Append("\n");
      
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
