using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace IO.Swagger.Model {

  /// <summary>
  /// sim卡余额查询结果
  /// </summary>
  [DataContract]
  public class SimBalanceInfo {
    
    /// <summary>
    /// 查询结果代码。0表示成功。其他值均为异常
    /// </summary>
    /// <value>查询结果代码。0表示成功。其他值均为异常</value>
    [DataMember(Name="resultCode", EmitDefaultValue=false)]
    public int? ResultCode { get; set; }

    
    /// <summary>
    /// 查询结果描述
    /// </summary>
    /// <value>查询结果描述</value>
    [DataMember(Name="resultMsg", EmitDefaultValue=false)]
    public string ResultMsg { get; set; }

    
    /// <summary>
    /// 余额（分）
    /// </summary>
    /// <value>余额（分）</value>
    [DataMember(Name="balance", EmitDefaultValue=false)]
    public int? Balance { get; set; }

    

    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class SimBalanceInfo {\n");
      
      sb.Append("  ResultCode: ").Append(ResultCode).Append("\n");
      
      sb.Append("  ResultMsg: ").Append(ResultMsg).Append("\n");
      
      sb.Append("  Balance: ").Append(Balance).Append("\n");
      
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
