using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace IO.Swagger.Model {

  /// <summary>
  /// 
  /// </summary>
  [DataContract]
  public class SimInfo {
    
    /// <summary>
    /// Sim卡卡号
    /// </summary>
    /// <value>Sim卡卡号</value>
    [DataMember(Name="simNum", EmitDefaultValue=false)]
    public string SimNum { get; set; }

    
    /// <summary>
    /// 开卡日期
    /// </summary>
    /// <value>开卡日期</value>
    [DataMember(Name="beginDate", EmitDefaultValue=false)]
    public string BeginDate { get; set; }

    
    /// <summary>
    /// 激活日期
    /// </summary>
    /// <value>激活日期</value>
    [DataMember(Name="useDate", EmitDefaultValue=false)]
    public string UseDate { get; set; }

    
    /// <summary>
    /// 过期日期
    /// </summary>
    /// <value>过期日期</value>
    [DataMember(Name="expireDate", EmitDefaultValue=false)]
    public string ExpireDate { get; set; }

    
    /// <summary>
    /// 本月GPRS流量（KB）
    /// </summary>
    /// <value>本月GPRS流量（KB）</value>
    [DataMember(Name="monthGprs", EmitDefaultValue=false)]
    public int? MonthGprs { get; set; }

    
    /// <summary>
    /// 本月短信发送数量（条）
    /// </summary>
    /// <value>本月短信发送数量（条）</value>
    [DataMember(Name="monthSms", EmitDefaultValue=false)]
    public int? MonthSms { get; set; }

    
    /// <summary>
    /// 设备编号
    /// </summary>
    /// <value>设备编号</value>
    [DataMember(Name="deviceId", EmitDefaultValue=false)]
    public string DeviceId { get; set; }

    
    /// <summary>
    /// 车牌号
    /// </summary>
    /// <value>车牌号</value>
    [DataMember(Name="plateNum", EmitDefaultValue=false)]
    public string PlateNum { get; set; }

    
    /// <summary>
    /// 套餐名称
    /// </summary>
    /// <value>套餐名称</value>
    [DataMember(Name="packageName", EmitDefaultValue=false)]
    public string PackageName { get; set; }

    
    /// <summary>
    /// 客户名称
    /// </summary>
    /// <value>客户名称</value>
    [DataMember(Name="clientName", EmitDefaultValue=false)]
    public string ClientName { get; set; }

    
    /// <summary>
    /// 分组名称
    /// </summary>
    /// <value>分组名称</value>
    [DataMember(Name="groupName", EmitDefaultValue=false)]
    public string GroupName { get; set; }

    
    /// <summary>
    /// Gets or Sets CardInfo
    /// </summary>
    [DataMember(Name="cardInfo", EmitDefaultValue=false)]
    public CardInfo CardInfo { get; set; }

    
    /// <summary>
    /// Gets or Sets StatusInfo
    /// </summary>
    [DataMember(Name="statusInfo", EmitDefaultValue=false)]
    public SimStatusInfo StatusInfo { get; set; }

    
    /// <summary>
    /// Gets or Sets BalanceInfo
    /// </summary>
    [DataMember(Name="balanceInfo", EmitDefaultValue=false)]
    public SimBalanceInfo BalanceInfo { get; set; }

    
    /// <summary>
    /// Gets or Sets SimSmsAndTrafficHistoryList
    /// </summary>
    [DataMember(Name="simSmsAndTrafficHistoryList", EmitDefaultValue=false)]
    public SimSmsAndTrafficHistoryList SimSmsAndTrafficHistoryList { get; set; }

    
    /// <summary>
    /// Gets or Sets Error
    /// </summary>
    [DataMember(Name="error", EmitDefaultValue=false)]
    public ApiError Error { get; set; }

    

    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class SimInfo {\n");
      
      sb.Append("  SimNum: ").Append(SimNum).Append("\n");
      
      sb.Append("  BeginDate: ").Append(BeginDate).Append("\n");
      
      sb.Append("  UseDate: ").Append(UseDate).Append("\n");
      
      sb.Append("  ExpireDate: ").Append(ExpireDate).Append("\n");
      
      sb.Append("  MonthGprs: ").Append(MonthGprs).Append("\n");
      
      sb.Append("  MonthSms: ").Append(MonthSms).Append("\n");
      
      sb.Append("  DeviceId: ").Append(DeviceId).Append("\n");
      
      sb.Append("  PlateNum: ").Append(PlateNum).Append("\n");
      
      sb.Append("  PackageName: ").Append(PackageName).Append("\n");
      
      sb.Append("  ClientName: ").Append(ClientName).Append("\n");
      
      sb.Append("  GroupName: ").Append(GroupName).Append("\n");
      
      sb.Append("  CardInfo: ").Append(CardInfo).Append("\n");
      
      sb.Append("  StatusInfo: ").Append(StatusInfo).Append("\n");
      
      sb.Append("  BalanceInfo: ").Append(BalanceInfo).Append("\n");
      
      sb.Append("  SimSmsAndTrafficHistoryList: ").Append(SimSmsAndTrafficHistoryList).Append("\n");
      
      sb.Append("  Error: ").Append(Error).Append("\n");
      
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
