using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace IO.Swagger.Model {

  /// <summary>
  /// sim卡位置坐标（经度、纬度）查询结果
  /// </summary>
  [DataContract]
  public class SimLocationInfo {
    
    /// <summary>
    /// 查询结果代码。0表示成功。其他值均为异常
    /// </summary>
    /// <value>查询结果代码。0表示成功。其他值均为异常</value>
    [DataMember(Name="resultCode", EmitDefaultValue=false)]
    public int? ResultCode { get; set; }

    
    /// <summary>
    /// 查询结果描述
    /// </summary>
    /// <value>查询结果描述</value>
    [DataMember(Name="resultMsg", EmitDefaultValue=false)]
    public string ResultMsg { get; set; }

    
    /// <summary>
    /// 经度
    /// </summary>
    /// <value>经度</value>
    [DataMember(Name="longitude", EmitDefaultValue=false)]
    public float? Longitude { get; set; }

    
    /// <summary>
    /// 纬度
    /// </summary>
    /// <value>纬度</value>
    [DataMember(Name="latitude", EmitDefaultValue=false)]
    public float? Latitude { get; set; }

    
    /// <summary>
    /// 街路名称
    /// </summary>
    /// <value>街路名称</value>
    [DataMember(Name="addressStr", EmitDefaultValue=false)]
    public string AddressStr { get; set; }

    

    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class SimLocationInfo {\n");
      
      sb.Append("  ResultCode: ").Append(ResultCode).Append("\n");
      
      sb.Append("  ResultMsg: ").Append(ResultMsg).Append("\n");
      
      sb.Append("  Longitude: ").Append(Longitude).Append("\n");
      
      sb.Append("  Latitude: ").Append(Latitude).Append("\n");
      
      sb.Append("  AddressStr: ").Append(AddressStr).Append("\n");
      
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
