using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace IO.Swagger.Model {

  /// <summary>
  /// 
  /// </summary>
  [DataContract]
  public class SubmitSms {
    
    /// <summary>
    /// 下发结果代码
    /// </summary>
    /// <value>下发结果代码</value>
    [DataMember(Name="result", EmitDefaultValue=false)]
    public int? Result { get; set; }

    
    /// <summary>
    /// 下发结果的文字描述
    /// </summary>
    /// <value>下发结果的文字描述</value>
    [DataMember(Name="resultStr", EmitDefaultValue=false)]
    public string ResultStr { get; set; }

    
    /// <summary>
    /// 短信内容
    /// </summary>
    /// <value>短信内容</value>
    [DataMember(Name="content", EmitDefaultValue=false)]
    public string Content { get; set; }

    
    /// <summary>
    /// 短信Id
    /// </summary>
    /// <value>短信Id</value>
    [DataMember(Name="msgId", EmitDefaultValue=false)]
    public string MsgId { get; set; }

    
    /// <summary>
    /// 状态报告返回时间。如果为空，表示没有收到状态报告。（已经格式化）
    /// </summary>
    /// <value>状态报告返回时间。如果为空，表示没有收到状态报告。（已经格式化）</value>
    [DataMember(Name="reportDate", EmitDefaultValue=false)]
    public string ReportDate { get; set; }

    

    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class SubmitSms {\n");
      
      sb.Append("  Result: ").Append(Result).Append("\n");
      
      sb.Append("  ResultStr: ").Append(ResultStr).Append("\n");
      
      sb.Append("  Content: ").Append(Content).Append("\n");
      
      sb.Append("  MsgId: ").Append(MsgId).Append("\n");
      
      sb.Append("  ReportDate: ").Append(ReportDate).Append("\n");
      
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
