using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace IO.Swagger.Model {

  /// <summary>
  /// 
  /// </summary>
  [DataContract]
  public class VehicleInOrder {
    
    /// <summary>
    /// 车辆的Id
    /// </summary>
    /// <value>车辆的Id</value>
    [DataMember(Name="id", EmitDefaultValue=false)]
    public string Id { get; set; }

    
    /// <summary>
    /// 车辆牌照
    /// </summary>
    /// <value>车辆牌照</value>
    [DataMember(Name="plateNum", EmitDefaultValue=false)]
    public string PlateNum { get; set; }

    
    /// <summary>
    /// 所属企业的Id
    /// </summary>
    /// <value>所属企业的Id</value>
    [DataMember(Name="companyId", EmitDefaultValue=false)]
    public string CompanyId { get; set; }

    
    /// <summary>
    /// 车辆类型
    /// </summary>
    /// <value>车辆类型</value>
    [DataMember(Name="typeName", EmitDefaultValue=false)]
    public string TypeName { get; set; }

    
    /// <summary>
    /// 车辆设备名
    /// </summary>
    /// <value>车辆设备名</value>
    [DataMember(Name="deviceModel", EmitDefaultValue=false)]
    public string DeviceModel { get; set; }

    
    /// <summary>
    /// 设备号
    /// </summary>
    /// <value>设备号</value>
    [DataMember(Name="deviceId", EmitDefaultValue=false)]
    public string DeviceId { get; set; }

    
    /// <summary>
    /// SIM卡号
    /// </summary>
    /// <value>SIM卡号</value>
    [DataMember(Name="sim", EmitDefaultValue=false)]
    public string Sim { get; set; }

    
    /// <summary>
    /// 安装时间
    /// </summary>
    /// <value>安装时间</value>
    [DataMember(Name="installTime", EmitDefaultValue=false)]
    public string InstallTime { get; set; }

    
    /// <summary>
    /// 过期时间
    /// </summary>
    /// <value>过期时间</value>
    [DataMember(Name="expireTime", EmitDefaultValue=false)]
    public string ExpireTime { get; set; }

    
    /// <summary>
    /// 车主电话
    /// </summary>
    /// <value>车主电话</value>
    [DataMember(Name="ownerPhone", EmitDefaultValue=false)]
    public string OwnerPhone { get; set; }

    
    /// <summary>
    /// 司机电话
    /// </summary>
    /// <value>司机电话</value>
    [DataMember(Name="driverPhone", EmitDefaultValue=false)]
    public string DriverPhone { get; set; }

    
    /// <summary>
    /// 工程师姓名
    /// </summary>
    /// <value>工程师姓名</value>
    [DataMember(Name="workerName", EmitDefaultValue=false)]
    public string WorkerName { get; set; }

    
    /// <summary>
    /// 工程师电话
    /// </summary>
    /// <value>工程师电话</value>
    [DataMember(Name="workerPhone", EmitDefaultValue=false)]
    public string WorkerPhone { get; set; }

    
    /// <summary>
    /// 外围设备ID列表，逗号分隔。
    /// </summary>
    /// <value>外围设备ID列表，逗号分隔。</value>
    [DataMember(Name="peripheral", EmitDefaultValue=false)]
    public string Peripheral { get; set; }

    
    /// <summary>
    /// 外围设备名称，逗号分隔
    /// </summary>
    /// <value>外围设备名称，逗号分隔</value>
    [DataMember(Name="peripheralStr", EmitDefaultValue=false)]
    public string PeripheralStr { get; set; }

    
    /// <summary>
    /// 已经存在的照片.
    /// </summary>
    /// <value>已经存在的照片.</value>
    [DataMember(Name="photos", EmitDefaultValue=false)]
    public List<WorkPhoto> Photos { get; set; }

    

    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class VehicleInOrder {\n");
      
      sb.Append("  Id: ").Append(Id).Append("\n");
      
      sb.Append("  PlateNum: ").Append(PlateNum).Append("\n");
      
      sb.Append("  CompanyId: ").Append(CompanyId).Append("\n");
      
      sb.Append("  TypeName: ").Append(TypeName).Append("\n");
      
      sb.Append("  DeviceModel: ").Append(DeviceModel).Append("\n");
      
      sb.Append("  DeviceId: ").Append(DeviceId).Append("\n");
      
      sb.Append("  Sim: ").Append(Sim).Append("\n");
      
      sb.Append("  InstallTime: ").Append(InstallTime).Append("\n");
      
      sb.Append("  ExpireTime: ").Append(ExpireTime).Append("\n");
      
      sb.Append("  OwnerPhone: ").Append(OwnerPhone).Append("\n");
      
      sb.Append("  DriverPhone: ").Append(DriverPhone).Append("\n");
      
      sb.Append("  WorkerName: ").Append(WorkerName).Append("\n");
      
      sb.Append("  WorkerPhone: ").Append(WorkerPhone).Append("\n");
      
      sb.Append("  Peripheral: ").Append(Peripheral).Append("\n");
      
      sb.Append("  PeripheralStr: ").Append(PeripheralStr).Append("\n");
      
      sb.Append("  Photos: ").Append(Photos).Append("\n");
      
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
