using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace IO.Swagger.Model {

  /// <summary>
  /// 
  /// </summary>
  [DataContract]
  public class WorkAddr {
    
    /// <summary>
    /// Gets or Sets Id
    /// </summary>
    [DataMember(Name="id", EmitDefaultValue=false)]
    public string Id { get; set; }

    
    /// <summary>
    /// 地址名称，如“通州货场”
    /// </summary>
    /// <value>地址名称，如“通州货场”</value>
    [DataMember(Name="name", EmitDefaultValue=false)]
    public string Name { get; set; }

    
    /// <summary>
    /// 详细地址
    /// </summary>
    /// <value>详细地址</value>
    [DataMember(Name="addr", EmitDefaultValue=false)]
    public string Addr { get; set; }

    
    /// <summary>
    /// 是否是默认。 In Excel
    /// </summary>
    /// <value>是否是默认。 In Excel</value>
    [DataMember(Name="isDefault", EmitDefaultValue=false)]
    public int? IsDefault { get; set; }

    
    /// <summary>
    /// 联系人
    /// </summary>
    /// <value>联系人</value>
    [DataMember(Name="contact", EmitDefaultValue=false)]
    public string Contact { get; set; }

    
    /// <summary>
    /// 联系电话
    /// </summary>
    /// <value>联系电话</value>
    [DataMember(Name="phone", EmitDefaultValue=false)]
    public string Phone { get; set; }

    
    /// <summary>
    /// 纬度
    /// </summary>
    /// <value>纬度</value>
    [DataMember(Name="lat", EmitDefaultValue=false)]
    public float? Lat { get; set; }

    
    /// <summary>
    /// 经度
    /// </summary>
    /// <value>经度</value>
    [DataMember(Name="lon", EmitDefaultValue=false)]
    public float? Lon { get; set; }

    

    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class WorkAddr {\n");
      
      sb.Append("  Id: ").Append(Id).Append("\n");
      
      sb.Append("  Name: ").Append(Name).Append("\n");
      
      sb.Append("  Addr: ").Append(Addr).Append("\n");
      
      sb.Append("  IsDefault: ").Append(IsDefault).Append("\n");
      
      sb.Append("  Contact: ").Append(Contact).Append("\n");
      
      sb.Append("  Phone: ").Append(Phone).Append("\n");
      
      sb.Append("  Lat: ").Append(Lat).Append("\n");
      
      sb.Append("  Lon: ").Append(Lon).Append("\n");
      
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
