using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace IO.Swagger.Model {

  /// <summary>
  /// 车辆安装或维护时拍的照片
  /// </summary>
  [DataContract]
  public class WorkPhoto {
    
    /// <summary>
    /// 照片Id
    /// </summary>
    /// <value>照片Id</value>
    [DataMember(Name="id", EmitDefaultValue=false)]
    public string Id { get; set; }

    
    /// <summary>
    /// 照片类别Id
    /// </summary>
    /// <value>照片类别Id</value>
    [DataMember(Name="type", EmitDefaultValue=false)]
    public int? Type { get; set; }

    
    /// <summary>
    /// 照片位置序号（1-3）
    /// </summary>
    /// <value>照片位置序号（1-3）</value>
    [DataMember(Name="position", EmitDefaultValue=false)]
    public int? Position { get; set; }

    
    /// <summary>
    /// 更新（上传）时间
    /// </summary>
    /// <value>更新（上传）时间</value>
    [DataMember(Name="updateTime", EmitDefaultValue=false)]
    public string UpdateTime { get; set; }

    
    /// <summary>
    /// 原图URL。
    /// </summary>
    /// <value>原图URL。</value>
    [DataMember(Name="url", EmitDefaultValue=false)]
    public string Url { get; set; }

    
    /// <summary>
    /// 缩略图URL。
    /// </summary>
    /// <value>缩略图URL。</value>
    [DataMember(Name="thumbUrl", EmitDefaultValue=false)]
    public string ThumbUrl { get; set; }

    
    /// <summary>
    /// 照片评论
    /// </summary>
    /// <value>照片评论</value>
    [DataMember(Name="comments", EmitDefaultValue=false)]
    public List<WorkPhotoComment> Comments { get; set; }

    

    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class WorkPhoto {\n");
      
      sb.Append("  Id: ").Append(Id).Append("\n");
      
      sb.Append("  Type: ").Append(Type).Append("\n");
      
      sb.Append("  Position: ").Append(Position).Append("\n");
      
      sb.Append("  UpdateTime: ").Append(UpdateTime).Append("\n");
      
      sb.Append("  Url: ").Append(Url).Append("\n");
      
      sb.Append("  ThumbUrl: ").Append(ThumbUrl).Append("\n");
      
      sb.Append("  Comments: ").Append(Comments).Append("\n");
      
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
