using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace IO.Swagger.Model {

  /// <summary>
  /// 照片评论
  /// </summary>
  [DataContract]
  public class WorkPhotoComment {
    
    /// <summary>
    /// 照片的Id
    /// </summary>
    /// <value>照片的Id</value>
    [DataMember(Name="photoId", EmitDefaultValue=false)]
    public string PhotoId { get; set; }

    
    /// <summary>
    /// 评论人的姓名
    /// </summary>
    /// <value>评论人的姓名</value>
    [DataMember(Name="userName", EmitDefaultValue=false)]
    public string UserName { get; set; }

    
    /// <summary>
    /// 评论人头像URL。如果用户已经被删除，这个URL将是\"\"空串。这时候，APP端应显示默认的图像。
    /// </summary>
    /// <value>评论人头像URL。如果用户已经被删除，这个URL将是\"\"空串。这时候，APP端应显示默认的图像。</value>
    [DataMember(Name="userAvatar", EmitDefaultValue=false)]
    public string UserAvatar { get; set; }

    
    /// <summary>
    /// 评论内容
    /// </summary>
    /// <value>评论内容</value>
    [DataMember(Name="comment", EmitDefaultValue=false)]
    public string Comment { get; set; }

    
    /// <summary>
    /// 评论时间
    /// </summary>
    /// <value>评论时间</value>
    [DataMember(Name="commentTime", EmitDefaultValue=false)]
    public string CommentTime { get; set; }

    

    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class WorkPhotoComment {\n");
      
      sb.Append("  PhotoId: ").Append(PhotoId).Append("\n");
      
      sb.Append("  UserName: ").Append(UserName).Append("\n");
      
      sb.Append("  UserAvatar: ").Append(UserAvatar).Append("\n");
      
      sb.Append("  Comment: ").Append(Comment).Append("\n");
      
      sb.Append("  CommentTime: ").Append(CommentTime).Append("\n");
      
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
