using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace IO.Swagger.Model {

  /// <summary>
  /// 
  /// </summary>
  [DataContract]
  public class Worker {
    
    /// <summary>
    /// 工程师ID
    /// </summary>
    /// <value>工程师ID</value>
    [DataMember(Name="id", EmitDefaultValue=false)]
    public string Id { get; set; }

    
    /// <summary>
    /// 级别
    /// </summary>
    /// <value>级别</value>
    [DataMember(Name="level", EmitDefaultValue=false)]
    public int? Level { get; set; }

    
    /// <summary>
    /// 头像的URL
    /// </summary>
    /// <value>头像的URL</value>
    [DataMember(Name="avatar", EmitDefaultValue=false)]
    public string Avatar { get; set; }

    
    /// <summary>
    /// 姓名
    /// </summary>
    /// <value>姓名</value>
    [DataMember(Name="name", EmitDefaultValue=false)]
    public string Name { get; set; }

    
    /// <summary>
    /// 完成车辆数
    /// </summary>
    /// <value>完成车辆数</value>
    [DataMember(Name="finishedVehicles", EmitDefaultValue=false)]
    public int? FinishedVehicles { get; set; }

    

    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class Worker {\n");
      
      sb.Append("  Id: ").Append(Id).Append("\n");
      
      sb.Append("  Level: ").Append(Level).Append("\n");
      
      sb.Append("  Avatar: ").Append(Avatar).Append("\n");
      
      sb.Append("  Name: ").Append(Name).Append("\n");
      
      sb.Append("  FinishedVehicles: ").Append(FinishedVehicles).Append("\n");
      
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
