using System;
using System.IO;
using System.Collections.Generic;
using RestSharp;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace IO.Swagger.Api
{
    
    public interface IDefaultApi
    {
        
        /// <summary>
        /// 获取用户帐户信息 读取当前登录的用户的账户信息
        /// </summary>
        /// <param name="key">登录key</param>
        /// <returns>AccountInfo</returns>
        AccountInfo ApiAccountinfoPost (string key);
  
        /// <summary>
        /// 获取用户帐户信息 读取当前登录的用户的账户信息
        /// </summary>
        /// <param name="key">登录key</param>
        /// <returns>AccountInfo</returns>
        System.Threading.Tasks.Task<AccountInfo> ApiAccountinfoPostAsync (string key);
        
        /// <summary>
        /// 添加客户企业。 必须是联盟企业的管理员，客服不可以
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="companyName">企业全称（小于等于20个汉字）</param>
        /// <param name="companySimpleName">企业的简称（小于等于4个汉字）。</param>
        /// <param name="userPhone">用户的手机号（必须是11位手机号）。</param>
        /// <param name="userRealName">用户的真实姓名。 （最多6个汉字）</param>
        /// <param name="userPassword">用户的登录密码（6-12位）。如果为空，则默认123456</param>
        /// <param name="userSocialId">用户的身份证号码。 （18位，只能包含数字和X。服务器端将进行身份证号码规则检查，并自动对用户的生日、性别进行赋值。）</param>
        /// <returns>ApiError</returns>
        ApiError ApiAddClientCompanyPost (string key, string companyName, string companySimpleName, string userPhone, string userRealName, string userPassword, string userSocialId);
  
        /// <summary>
        /// 添加客户企业。 必须是联盟企业的管理员，客服不可以
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="companyName">企业全称（小于等于20个汉字）</param>
        /// <param name="companySimpleName">企业的简称（小于等于4个汉字）。</param>
        /// <param name="userPhone">用户的手机号（必须是11位手机号）。</param>
        /// <param name="userRealName">用户的真实姓名。 （最多6个汉字）</param>
        /// <param name="userPassword">用户的登录密码（6-12位）。如果为空，则默认123456</param>
        /// <param name="userSocialId">用户的身份证号码。 （18位，只能包含数字和X。服务器端将进行身份证号码规则检查，并自动对用户的生日、性别进行赋值。）</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiAddClientCompanyPostAsync (string key, string companyName, string companySimpleName, string userPhone, string userRealName, string userPassword, string userSocialId);
        
        /// <summary>
        /// 添加企业车辆（不是公务车） 联盟企业管理员、客服、客户企业用户可以执行。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="plateNum">车牌照。至少5个字符，最多8个字符（汉字、字母、数字、空格）</param>
        /// <param name="companyId">客户企业的Id。如果登录的key是企业用户，这个字段是可以为空的，服务器端自动根据登录用户身份为该字段赋值。</param>
        /// <param name="alias">车辆别名。如果不填写，自动以车牌照为别名。至少5个字符，最多8个字符（汉字、字母、数字、空格）</param>
        /// <param name="type">车辆类型。不提供的话，默认为“其他”</param>
        /// <param name="deviceType">车机类型, 最多20字符</param>
        /// <param name="deviceSn">车机上面的设备编号。最多30字符</param>
        /// <param name="sim">SIM卡号(11-13位，数字)</param>
        /// <param name="peripheral">外围设备Id。多个ID以英文逗号分隔</param>
        /// <param name="ownerPhone">车主电话（6-20个字符，数字、空格、-）</param>
        /// <param name="driverPhone">司机电话（6-20个字符，数字、空格、-）</param>
        /// <param name="memo">备注（最多20个字符）</param>
        /// <param name="photoBytes">车辆照片Base64编码字节流</param>
        /// <returns>ApiError</returns>
        ApiError ApiAddCompanyVehiclePost (string key, string plateNum, string companyId, string alias, int? type, string deviceType, string deviceSn, string sim, string peripheral, string ownerPhone, string driverPhone, string memo, string photoBytes);
  
        /// <summary>
        /// 添加企业车辆（不是公务车） 联盟企业管理员、客服、客户企业用户可以执行。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="plateNum">车牌照。至少5个字符，最多8个字符（汉字、字母、数字、空格）</param>
        /// <param name="companyId">客户企业的Id。如果登录的key是企业用户，这个字段是可以为空的，服务器端自动根据登录用户身份为该字段赋值。</param>
        /// <param name="alias">车辆别名。如果不填写，自动以车牌照为别名。至少5个字符，最多8个字符（汉字、字母、数字、空格）</param>
        /// <param name="type">车辆类型。不提供的话，默认为“其他”</param>
        /// <param name="deviceType">车机类型, 最多20字符</param>
        /// <param name="deviceSn">车机上面的设备编号。最多30字符</param>
        /// <param name="sim">SIM卡号(11-13位，数字)</param>
        /// <param name="peripheral">外围设备Id。多个ID以英文逗号分隔</param>
        /// <param name="ownerPhone">车主电话（6-20个字符，数字、空格、-）</param>
        /// <param name="driverPhone">司机电话（6-20个字符，数字、空格、-）</param>
        /// <param name="memo">备注（最多20个字符）</param>
        /// <param name="photoBytes">车辆照片Base64编码字节流</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiAddCompanyVehiclePostAsync (string key, string plateNum, string companyId, string alias, int? type, string deviceType, string deviceSn, string sim, string peripheral, string ownerPhone, string driverPhone, string memo, string photoBytes);
        
        /// <summary>
        /// 添加车机设备的品牌 仅限于系统管理员
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="brandName">车机品牌的名称。限10个字符</param>
        /// <returns>ApiError</returns>
        ApiError ApiAddDeviceBrandPost (string key, string brandName);
  
        /// <summary>
        /// 添加车机设备的品牌 仅限于系统管理员
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="brandName">车机品牌的名称。限10个字符</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiAddDeviceBrandPostAsync (string key, string brandName);
        
        /// <summary>
        /// 添加车机设备的型号 仅限于系统管理员
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="brandId">所属的品牌Id</param>
        /// <param name="modelName">型号。限15个字符</param>
        /// <returns>ApiError</returns>
        ApiError ApiAddDeviceModelPost (string key, string brandId, string modelName);
  
        /// <summary>
        /// 添加车机设备的型号 仅限于系统管理员
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="brandId">所属的品牌Id</param>
        /// <param name="modelName">型号。限15个字符</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiAddDeviceModelPostAsync (string key, string brandId, string modelName);
        
        /// <summary>
        /// 照片评论提交 提交自己的评论
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="photoId">照片id</param>
        /// <param name="comment">评论内容，应限定少于20字。</param>
        /// <returns>ApiError</returns>
        ApiError ApiAddPhotoCommentPost (string key, string photoId, string comment);
  
        /// <summary>
        /// 照片评论提交 提交自己的评论
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="photoId">照片id</param>
        /// <param name="comment">评论内容，应限定少于20字。</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiAddPhotoCommentPostAsync (string key, string photoId, string comment);
        
        /// <summary>
        /// 添加一个联盟成员企业的基本信息 只允许系统管理员用户添加。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="adminName">管理员姓名</param>
        /// <param name="adminSocialId">管理员身份证号</param>
        /// <param name="adminPhone">管理员手机号</param>
        /// <param name="companyName">公司全称</param>
        /// <param name="companySimple">公司简称</param>
        /// <param name="memberId">成员编号</param>
        /// <param name="branchId">分公司编号</param>
        /// <param name="servicePhone">服务电话</param>
        /// <param name="spCode">短信主叫号</param>
        /// <returns>ApiError</returns>
        ApiError ApiAddServiceCompanyPost (string key, string adminName, string adminSocialId, string adminPhone, string companyName, string companySimple, int? memberId, int? branchId, string servicePhone, string spCode);
  
        /// <summary>
        /// 添加一个联盟成员企业的基本信息 只允许系统管理员用户添加。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="adminName">管理员姓名</param>
        /// <param name="adminSocialId">管理员身份证号</param>
        /// <param name="adminPhone">管理员手机号</param>
        /// <param name="companyName">公司全称</param>
        /// <param name="companySimple">公司简称</param>
        /// <param name="memberId">成员编号</param>
        /// <param name="branchId">分公司编号</param>
        /// <param name="servicePhone">服务电话</param>
        /// <param name="spCode">短信主叫号</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiAddServiceCompanyPostAsync (string key, string adminName, string adminSocialId, string adminPhone, string companyName, string companySimple, int? memberId, int? branchId, string servicePhone, string spCode);
        
        /// <summary>
        /// 添加维修网点 只有联盟企业管理员可以执行。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="name">网点名称，最多5个汉字。企业内不可以重复</param>
        /// <param name="address">网点地址，最多50个汉字</param>
        /// <param name="contact">联系人，最多6个汉字</param>
        /// <param name="phone">网点电话，最多13个字符</param>
        /// <param name="lon">网点经度</param>
        /// <param name="lat">网点纬度</param>
        /// <returns>ApiError</returns>
        ApiError ApiAddServiceOfficePost (string key, string name, string address, string contact, string phone, float? lon, float? lat);
  
        /// <summary>
        /// 添加维修网点 只有联盟企业管理员可以执行。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="name">网点名称，最多5个汉字。企业内不可以重复</param>
        /// <param name="address">网点地址，最多50个汉字</param>
        /// <param name="contact">联系人，最多6个汉字</param>
        /// <param name="phone">网点电话，最多13个字符</param>
        /// <param name="lon">网点经度</param>
        /// <param name="lat">网点纬度</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiAddServiceOfficePostAsync (string key, string name, string address, string contact, string phone, float? lon, float? lat);
        
        /// <summary>
        /// 添加联盟企业的内部用户。 必须是联盟企业的管理员
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="userPhone">用户的手机号（必须是11位手机号）。</param>
        /// <param name="userSocialId">用户的身份证号码。 （18位，只能包含数字和X。服务器端将进行身份证号码规则检查，并自动对用户的生日、性别进行赋值。）</param>
        /// <param name="userRealName">用户的真实姓名。 （最多6个汉字）</param>
        /// <param name="userRole">用户的角色。 只能是客服、工程师。 In Excel</param>
        /// <param name="userPassword">用户的登录密码（6-12位）。</param>
        /// <returns>ApiError</returns>
        ApiError ApiAddServiceUserPost (string key, string userPhone, string userSocialId, string userRealName, int? userRole, string userPassword);
  
        /// <summary>
        /// 添加联盟企业的内部用户。 必须是联盟企业的管理员
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="userPhone">用户的手机号（必须是11位手机号）。</param>
        /// <param name="userSocialId">用户的身份证号码。 （18位，只能包含数字和X。服务器端将进行身份证号码规则检查，并自动对用户的生日、性别进行赋值。）</param>
        /// <param name="userRealName">用户的真实姓名。 （最多6个汉字）</param>
        /// <param name="userRole">用户的角色。 只能是客服、工程师。 In Excel</param>
        /// <param name="userPassword">用户的登录密码（6-12位）。</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiAddServiceUserPostAsync (string key, string userPhone, string userSocialId, string userRealName, int? userRole, string userPassword);
        
        /// <summary>
        /// 添加公务车 只有联盟企业管理员、客服可以执行。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="plateNum">车牌照。至少5个字符，最多8个字符（汉字、字母、数字、空格）</param>
        /// <returns>ApiError</returns>
        ApiError ApiAddServiceVehiclePost (string key, string plateNum);
  
        /// <summary>
        /// 添加公务车 只有联盟企业管理员、客服可以执行。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="plateNum">车牌照。至少5个字符，最多8个字符（汉字、字母、数字、空格）</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiAddServiceVehiclePostAsync (string key, string plateNum);
        
        /// <summary>
        /// 添加车机设备的短信指令 仅限于系统管理员
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="modelId">所属的设备的型号ID</param>
        /// <param name="cmd">短信指令。限256个字符</param>
        /// <param name="memo">短信描述。限100个字符</param>
        /// <returns>ApiError</returns>
        ApiError ApiAddSmsCommandPost (string key, string modelId, string cmd, string memo);
  
        /// <summary>
        /// 添加车机设备的短信指令 仅限于系统管理员
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="modelId">所属的设备的型号ID</param>
        /// <param name="cmd">短信指令。限256个字符</param>
        /// <param name="memo">短信描述。限100个字符</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiAddSmsCommandPostAsync (string key, string modelId, string cmd, string memo);
        
        /// <summary>
        /// 在订单内添加新车辆。(该车辆在订单结束前，不会进入客户的车辆列表，仅仅在订单内可见。) 仅限于安装订单，订单状态必须是“工作中”，必须是工程师添加。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">订单Id</param>
        /// <param name="plateNum">车辆牌照</param>
        /// <param name="type">车辆类型。不提供的话，默认为“其他”</param>
        /// <param name="deviceType">车机类型</param>
        /// <param name="deviceSn">车机上面的设备编号。</param>
        /// <param name="sim">SIM卡号</param>
        /// <param name="peripheral">外围设备Id。多个ID以英文逗号分隔</param>
        /// <returns>ApiError</returns>
        ApiError ApiAddVehicleInOrderPost (string key, string orderId, string plateNum, int? type, string deviceType, string deviceSn, string sim, string peripheral);
  
        /// <summary>
        /// 在订单内添加新车辆。(该车辆在订单结束前，不会进入客户的车辆列表，仅仅在订单内可见。) 仅限于安装订单，订单状态必须是“工作中”，必须是工程师添加。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">订单Id</param>
        /// <param name="plateNum">车辆牌照</param>
        /// <param name="type">车辆类型。不提供的话，默认为“其他”</param>
        /// <param name="deviceType">车机类型</param>
        /// <param name="deviceSn">车机上面的设备编号。</param>
        /// <param name="sim">SIM卡号</param>
        /// <param name="peripheral">外围设备Id。多个ID以英文逗号分隔</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiAddVehicleInOrderPostAsync (string key, string orderId, string plateNum, int? type, string deviceType, string deviceSn, string sim, string peripheral);
        
        /// <summary>
        /// 添加联盟企业的工作地点。 必须是联盟企业的管理员、客服，或者是企业用户自己
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="name">工作地点名（最多8个字符），企业内部不可以重复。</param>
        /// <param name="address">详细地址（做多50个字符）。</param>
        /// <param name="contact">联系人（最多6个字符）</param>
        /// <param name="phone">联系电话（最多20个字符，数字、空格、-）</param>
        /// <param name="isDefault">是否设为默认地址（In Excel），如果选择设为默认地址，之前已经选择的默认地址将取消。</param>
        /// <param name="lon">地址经度</param>
        /// <param name="lat">地址纬度</param>
        /// <param name="companyId">客户企业的Id。如果登录的key是企业用户，这个字段是可以为空的，服务器端自动根据登录用户身份为该字段赋值。</param>
        /// <returns>ApiError</returns>
        ApiError ApiAddWorkAddressPost (string key, string name, string address, string contact, string phone, int? isDefault, float? lon, float? lat, string companyId);
  
        /// <summary>
        /// 添加联盟企业的工作地点。 必须是联盟企业的管理员、客服，或者是企业用户自己
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="name">工作地点名（最多8个字符），企业内部不可以重复。</param>
        /// <param name="address">详细地址（做多50个字符）。</param>
        /// <param name="contact">联系人（最多6个字符）</param>
        /// <param name="phone">联系电话（最多20个字符，数字、空格、-）</param>
        /// <param name="isDefault">是否设为默认地址（In Excel），如果选择设为默认地址，之前已经选择的默认地址将取消。</param>
        /// <param name="lon">地址经度</param>
        /// <param name="lat">地址纬度</param>
        /// <param name="companyId">客户企业的Id。如果登录的key是企业用户，这个字段是可以为空的，服务器端自动根据登录用户身份为该字段赋值。</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiAddWorkAddressPostAsync (string key, string name, string address, string contact, string phone, int? isDefault, float? lon, float? lat, string companyId);
        
        /// <summary>
        /// 返回所有故障原因分析。 所有可能故障原因列表
        /// </summary>
        /// <returns>IntKVPairResp</returns>
        IntKVPairResp ApiAnalysisListGet ();
  
        /// <summary>
        /// 返回所有故障原因分析。 所有可能故障原因列表
        /// </summary>
        /// <returns>IntKVPairResp</returns>
        System.Threading.Tasks.Task<IntKVPairResp> ApiAnalysisListGetAsync ();
        
        /// <summary>
        /// 检查APP端最新版本 当用户的APP启动、从后台激活到前台，APP端都应该主动调用本接口，从而发现APP最新的版本号。版本号规则为x.y.z。如果x或者y比APP端自身版本号高，则必须强制升级；x和y相同的，不需要升级。
        /// </summary>
        /// <param name="device">客户端设备类型。InExcel。考虑到用户启动的时候可能未登录，所以不传Key，传设备类型</param>
        /// <returns>StrKVPair</returns>
        StrKVPair ApiAppVersionCheckPost (int? device);
  
        /// <summary>
        /// 检查APP端最新版本 当用户的APP启动、从后台激活到前台，APP端都应该主动调用本接口，从而发现APP最新的版本号。版本号规则为x.y.z。如果x或者y比APP端自身版本号高，则必须强制升级；x和y相同的，不需要升级。
        /// </summary>
        /// <param name="device">客户端设备类型。InExcel。考虑到用户启动的时候可能未登录，所以不传Key，传设备类型</param>
        /// <returns>StrKVPair</returns>
        System.Threading.Tasks.Task<StrKVPair> ApiAppVersionCheckPostAsync (int? device);
        
        /// <summary>
        /// 提交抢单。 提交抢单申请。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">申请抢单的订单ID</param>
        /// <param name="price">抢单价格。不能超过10万元，且必须大于等于0</param>
        /// <param name="memo">简要说明</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>ApiError</returns>
        ApiError ApiApplyOrderRushPost (string key, string orderId, float? price, string memo, float? userLat, float? userLon);
  
        /// <summary>
        /// 提交抢单。 提交抢单申请。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">申请抢单的订单ID</param>
        /// <param name="price">抢单价格。不能超过10万元，且必须大于等于0</param>
        /// <param name="memo">简要说明</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiApplyOrderRushPostAsync (string key, string orderId, float? price, string memo, float? userLat, float? userLon);
        
        /// <summary>
        /// 分配订单，指派工程师、指定到达时间、指定公务车。 内部订单，接单的客服或管理员；外部订单，受托方的客服或管理员。指派工程师（多个）、公务车辆（1台）、指定到达时间。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">分配订单的ID</param>
        /// <param name="appointedArrivalTime">指定到达时间。格式“YYYY.MM.DD,HH:MM”，如\&quot;2010.2.18,9:30\&quot; 24小时制。</param>
        /// <param name="workerIds">指定的工程师ID，以“,”分割多个。</param>
        /// <param name="serviceVehicleId">指派的公务车辆。可以不指派。指派多台车的时候，将Id用逗号隔开。</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>ApiError</returns>
        ApiError ApiAssignOrderPost (string key, string orderId, string appointedArrivalTime, string workerIds, string serviceVehicleId, float? userLat, float? userLon);
  
        /// <summary>
        /// 分配订单，指派工程师、指定到达时间、指定公务车。 内部订单，接单的客服或管理员；外部订单，受托方的客服或管理员。指派工程师（多个）、公务车辆（1台）、指定到达时间。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">分配订单的ID</param>
        /// <param name="appointedArrivalTime">指定到达时间。格式“YYYY.MM.DD,HH:MM”，如\&quot;2010.2.18,9:30\&quot; 24小时制。</param>
        /// <param name="workerIds">指定的工程师ID，以“,”分割多个。</param>
        /// <param name="serviceVehicleId">指派的公务车辆。可以不指派。指派多台车的时候，将Id用逗号隔开。</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiAssignOrderPostAsync (string key, string orderId, string appointedArrivalTime, string workerIds, string serviceVehicleId, float? userLat, float? userLon);
        
        /// <summary>
        /// 查询订单概要信息 根据订单Id查询，主要用于局部更新列表中的一个订单信息
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="orderId">订单Id</param>
        /// <returns>BriefOrderList</returns>
        BriefOrderList ApiBriefOrderByIdPost (string key, string orderId);
  
        /// <summary>
        /// 查询订单概要信息 根据订单Id查询，主要用于局部更新列表中的一个订单信息
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="orderId">订单Id</param>
        /// <returns>BriefOrderList</returns>
        System.Threading.Tasks.Task<BriefOrderList> ApiBriefOrderByIdPostAsync (string key, string orderId);
        
        /// <summary>
        /// 取消订单 取消订单。如果无权取消，或者订单状态已经达到‘出发’，将会返回错误。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">被取消的订单ID</param>
        /// <param name="causal">取消订单原因。没填写，传“”。</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>ApiError</returns>
        ApiError ApiCancelOrderPost (string key, string orderId, string causal, float? userLat, float? userLon);
  
        /// <summary>
        /// 取消订单 取消订单。如果无权取消，或者订单状态已经达到‘出发’，将会返回错误。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">被取消的订单ID</param>
        /// <param name="causal">取消订单原因。没填写，传“”。</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiCancelOrderPostAsync (string key, string orderId, string causal, float? userLat, float? userLon);
        
        /// <summary>
        /// 撤回抢单申请。 撤回抢单申请。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">申请抢单的订单ID</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>ApiError</returns>
        ApiError ApiCancelRushApplyPost (string key, string orderId, float? userLat, float? userLon);
  
        /// <summary>
        /// 撤回抢单申请。 撤回抢单申请。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">申请抢单的订单ID</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiCancelRushApplyPostAsync (string key, string orderId, float? userLat, float? userLon);
        
        /// <summary>
        /// 用户修改密码 输入原来的密码，改为新密码。
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="oldpwd">旧密码</param>
        /// <param name="newpwd">新密码</param>
        /// <returns>ApiError</returns>
        ApiError ApiChangePwdPost (string key, string oldpwd, string newpwd);
  
        /// <summary>
        /// 用户修改密码 输入原来的密码，改为新密码。
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="oldpwd">旧密码</param>
        /// <param name="newpwd">新密码</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiChangePwdPostAsync (string key, string oldpwd, string newpwd);
        
        /// <summary>
        /// 客户评价 客户对工程师完成工作进行评价，并支付。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">所评价的订单ID</param>
        /// <param name="score">评分。in Excel</param>
        /// <param name="payment">支付的金额.请保留2为小数</param>
        /// <param name="appraisal">评语</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>ApiError</returns>
        ApiError ApiClientAppraisalPost (string key, string orderId, int? score, float? payment, string appraisal, float? userLat, float? userLon);
  
        /// <summary>
        /// 客户评价 客户对工程师完成工作进行评价，并支付。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">所评价的订单ID</param>
        /// <param name="score">评分。in Excel</param>
        /// <param name="payment">支付的金额.请保留2为小数</param>
        /// <param name="appraisal">评语</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiClientAppraisalPostAsync (string key, string orderId, int? score, float? payment, string appraisal, float? userLat, float? userLon);
        
        /// <summary>
        /// 查询一个客户企业的基本信息 只有负责该客户企业的联盟成员可以查看，或者携带一个订单号，抢单时可以看
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="companyId">客户企业，查看自己的企业信息时，可以为空</param>
        /// <param name="orderId">相关订单。抢单的用户查看。如果不传该字段，一定设置为null，而不是\&quot;\&quot;</param>
        /// <returns>ClientCompany</returns>
        ClientCompany ApiClientCompanyPost (string key, string companyId, string orderId);
  
        /// <summary>
        /// 查询一个客户企业的基本信息 只有负责该客户企业的联盟成员可以查看，或者携带一个订单号，抢单时可以看
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="companyId">客户企业，查看自己的企业信息时，可以为空</param>
        /// <param name="orderId">相关订单。抢单的用户查看。如果不传该字段，一定设置为null，而不是\&quot;\&quot;</param>
        /// <returns>ClientCompany</returns>
        System.Threading.Tasks.Task<ClientCompany> ApiClientCompanyPostAsync (string key, string companyId, string orderId);
        
        /// <summary>
        /// 查询一个客户企业的用户 负责该客户企业的联盟成员用户可以查看. 企业用户可以查看自己。未登录、无权限、不存在，都会返回id=null的对象。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="companyId">客户企业的用户，查看自己的企业信息时，可以为空</param>
        /// <returns>ClientUser</returns>
        ClientUser ApiClientUserPost (string key, string companyId);
  
        /// <summary>
        /// 查询一个客户企业的用户 负责该客户企业的联盟成员用户可以查看. 企业用户可以查看自己。未登录、无权限、不存在，都会返回id=null的对象。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="companyId">客户企业的用户，查看自己的企业信息时，可以为空</param>
        /// <returns>ClientUser</returns>
        System.Threading.Tasks.Task<ClientUser> ApiClientUserPostAsync (string key, string companyId);
        
        /// <summary>
        /// 列出该公司所有曾经下发的短信的历史记录30条。 列出所有下发短信历史。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <returns>StrKVPairResp</returns>
        StrKVPairResp ApiCompanySmsRecordPost (string key);
  
        /// <summary>
        /// 列出该公司所有曾经下发的短信的历史记录30条。 列出所有下发短信历史。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <returns>StrKVPairResp</returns>
        System.Threading.Tasks.Task<StrKVPairResp> ApiCompanySmsRecordPostAsync (string key);
        
        /// <summary>
        /// 订单委托。 订单委托给某个抢单的联盟成员。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">申请抢单的订单ID</param>
        /// <param name="companyId">受托企业的companyId</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>ApiError</returns>
        ApiError ApiConsignOrderPost (string key, string orderId, string companyId, float? userLat, float? userLon);
  
        /// <summary>
        /// 订单委托。 订单委托给某个抢单的联盟成员。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">申请抢单的订单ID</param>
        /// <param name="companyId">受托企业的companyId</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiConsignOrderPostAsync (string key, string orderId, string companyId, float? userLat, float? userLon);
        
        /// <summary>
        /// 受托方评价 受托方对订单进行评价
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="orderId">订单的Id</param>
        /// <param name="score">评分。in Excel</param>
        /// <param name="appraisal">评语</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>ApiError</returns>
        ApiError ApiConsigneeAppraisePost (string key, string orderId, int? score, string appraisal, float? userLat, float? userLon);
  
        /// <summary>
        /// 受托方评价 受托方对订单进行评价
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="orderId">订单的Id</param>
        /// <param name="score">评分。in Excel</param>
        /// <param name="appraisal">评语</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiConsigneeAppraisePostAsync (string key, string orderId, int? score, string appraisal, float? userLat, float? userLon);
        
        /// <summary>
        /// 委托方确认 委托方对工作进行确认。
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="orderId">订单Id</param>
        /// <param name="orderPrice">订单价格。如果没有修改，携带原来的价格</param>
        /// <param name="consignPrice">订单委托价格。如果没有修改，携带原来的价格</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>ApiError</returns>
        ApiError ApiConsignerWorkConfirmPost (string key, string orderId, float? orderPrice, float? consignPrice, float? userLat, float? userLon);
  
        /// <summary>
        /// 委托方确认 委托方对工作进行确认。
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="orderId">订单Id</param>
        /// <param name="orderPrice">订单价格。如果没有修改，携带原来的价格</param>
        /// <param name="consignPrice">订单委托价格。如果没有修改，携带原来的价格</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiConsignerWorkConfirmPostAsync (string key, string orderId, float? orderPrice, float? consignPrice, float? userLat, float? userLon);
        
        /// <summary>
        /// 提供系统调试功能。必须系统管理员登录。 仅供测试。系统管理员才有权限
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="cmd">命令。&#39;session&#39;表示列出所有session</param>
        /// <returns>ApiError</returns>
        ApiError ApiDebugPost (string key, string cmd);
  
        /// <summary>
        /// 提供系统调试功能。必须系统管理员登录。 仅供测试。系统管理员才有权限
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="cmd">命令。&#39;session&#39;表示列出所有session</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiDebugPostAsync (string key, string cmd);
        
        /// <summary>
        /// 删除客户企业。 必须是联盟企业的管理员
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="companyId">企业Id</param>
        /// <returns>ApiError</returns>
        ApiError ApiDeleteClientCompanyPost (string key, string companyId);
  
        /// <summary>
        /// 删除客户企业。 必须是联盟企业的管理员
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="companyId">企业Id</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiDeleteClientCompanyPostAsync (string key, string companyId);
        
        /// <summary>
        /// 删除企业车辆 联盟企业管理员、客服、客户企业用户可以执行。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="vehicleId">公务车辆的Id</param>
        /// <returns>ApiError</returns>
        ApiError ApiDeleteCompanyVehiclePost (string key, string vehicleId);
  
        /// <summary>
        /// 删除企业车辆 联盟企业管理员、客服、客户企业用户可以执行。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="vehicleId">公务车辆的Id</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiDeleteCompanyVehiclePostAsync (string key, string vehicleId);
        
        /// <summary>
        /// 删除车机设备的品牌。型号、短信指令都将被删除 仅限于系统管理员
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="brandId">车机品牌的ID</param>
        /// <returns>ApiError</returns>
        ApiError ApiDeleteDeviceBrandPost (string key, string brandId);
  
        /// <summary>
        /// 删除车机设备的品牌。型号、短信指令都将被删除 仅限于系统管理员
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="brandId">车机品牌的ID</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiDeleteDeviceBrandPostAsync (string key, string brandId);
        
        /// <summary>
        /// 删除车机设备的型号。该型号的短信指令也将被删除 仅限于系统管理员
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="modelId">车机型号的ID</param>
        /// <returns>ApiError</returns>
        ApiError ApiDeleteDeviceModelPost (string key, string modelId);
  
        /// <summary>
        /// 删除车机设备的型号。该型号的短信指令也将被删除 仅限于系统管理员
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="modelId">车机型号的ID</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiDeleteDeviceModelPostAsync (string key, string modelId);
        
        /// <summary>
        /// 删除一个联盟成员企业 系统管理员用户删除总公司（之前必须先删除它的分公司，否则不能删除）、分公司；总公司管理员（不包括客服）删除分公司。删除前，必须把所有订单完成、取消、强制结束。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="serviceCompanyId">公司全称</param>
        /// <returns>ApiError</returns>
        ApiError ApiDeleteServiceCompanyPost (string key, string serviceCompanyId);
  
        /// <summary>
        /// 删除一个联盟成员企业 系统管理员用户删除总公司（之前必须先删除它的分公司，否则不能删除）、分公司；总公司管理员（不包括客服）删除分公司。删除前，必须把所有订单完成、取消、强制结束。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="serviceCompanyId">公司全称</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiDeleteServiceCompanyPostAsync (string key, string serviceCompanyId);
        
        /// <summary>
        /// 删除维修网点 只有联盟企业管理员可以执行。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="officeId">维修网点的Id</param>
        /// <returns>ApiError</returns>
        ApiError ApiDeleteServiceOfficePost (string key, string officeId);
  
        /// <summary>
        /// 删除维修网点 只有联盟企业管理员可以执行。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="officeId">维修网点的Id</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiDeleteServiceOfficePostAsync (string key, string officeId);
        
        /// <summary>
        /// 删除企业内部用户。 必须是联盟企业的管理员
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="userId">用户Id</param>
        /// <returns>ApiError</returns>
        ApiError ApiDeleteServiceUserPost (string key, string userId);
  
        /// <summary>
        /// 删除企业内部用户。 必须是联盟企业的管理员
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="userId">用户Id</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiDeleteServiceUserPostAsync (string key, string userId);
        
        /// <summary>
        /// 删除公务车 只有联盟企业管理员、客服可以执行。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="vehicleId">公务车辆的Id</param>
        /// <returns>ApiError</returns>
        ApiError ApiDeleteServiceVehiclePost (string key, string vehicleId);
  
        /// <summary>
        /// 删除公务车 只有联盟企业管理员、客服可以执行。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="vehicleId">公务车辆的Id</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiDeleteServiceVehiclePostAsync (string key, string vehicleId);
        
        /// <summary>
        /// 删除车机设备的指令。 仅限于系统管理员
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="cmdId">车机短信指令的ID</param>
        /// <returns>ApiError</returns>
        ApiError ApiDeleteSmsCommandPost (string key, string cmdId);
  
        /// <summary>
        /// 删除车机设备的指令。 仅限于系统管理员
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="cmdId">车机短信指令的ID</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiDeleteSmsCommandPostAsync (string key, string cmdId);
        
        /// <summary>
        /// 删除在订单内添加的新车辆。 仅限于安装订单，订单状态必须是“工作中”，必须是工程师删除。 删除后，相关的维护记录、照片、评论都将被删除。调用前，应该提示用户确认删除。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="vehicleId">车辆Id</param>
        /// <returns>ApiError</returns>
        ApiError ApiDeleteVehicleInOrderPost (string key, string vehicleId);
  
        /// <summary>
        /// 删除在订单内添加的新车辆。 仅限于安装订单，订单状态必须是“工作中”，必须是工程师删除。 删除后，相关的维护记录、照片、评论都将被删除。调用前，应该提示用户确认删除。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="vehicleId">车辆Id</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiDeleteVehicleInOrderPostAsync (string key, string vehicleId);
        
        /// <summary>
        /// 删除联盟企业的工作地点。 如果该地址是默认地址，不允许删除，必须先设置其他地址为默认地址。 必须是联盟企业的管理员、客服，或者是企业用户自己
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="addressId">维修地点的id</param>
        /// <returns>ApiError</returns>
        ApiError ApiDeleteWorkAddressPost (string key, string addressId);
  
        /// <summary>
        /// 删除联盟企业的工作地点。 如果该地址是默认地址，不允许删除，必须先设置其他地址为默认地址。 必须是联盟企业的管理员、客服，或者是企业用户自己
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="addressId">维修地点的id</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiDeleteWorkAddressPostAsync (string key, string addressId);
        
        /// <summary>
        /// 删除已经上传的照片 删除照片
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="photoId">照片Id。</param>
        /// <returns>ApiError</returns>
        ApiError ApiDeleteWorkPhotoPost (string key, string photoId);
  
        /// <summary>
        /// 删除已经上传的照片 删除照片
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="photoId">照片Id。</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiDeleteWorkPhotoPostAsync (string key, string photoId);
        
        /// <summary>
        /// 列出所有车机设备的品牌，按首字母分组 所有用户有权
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <returns>DeviceBrandGroupsByInitials</returns>
        DeviceBrandGroupsByInitials ApiDeviceBrandGroupsPost (string key);
  
        /// <summary>
        /// 列出所有车机设备的品牌，按首字母分组 所有用户有权
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <returns>DeviceBrandGroupsByInitials</returns>
        System.Threading.Tasks.Task<DeviceBrandGroupsByInitials> ApiDeviceBrandGroupsPostAsync (string key);
        
        /// <summary>
        /// 列出所有车机设备的品牌，按音序 所有用户有权
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <returns>DeviceBrandList</returns>
        DeviceBrandList ApiDeviceBrandListPost (string key);
  
        /// <summary>
        /// 列出所有车机设备的品牌，按音序 所有用户有权
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <returns>DeviceBrandList</returns>
        System.Threading.Tasks.Task<DeviceBrandList> ApiDeviceBrandListPostAsync (string key);
        
        /// <summary>
        /// 列出指定品牌的所有车机设备的型号，按首字母分组 所有用户
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="brandId">车机品牌的ID</param>
        /// <returns>DeviceModelGroupsByInitials</returns>
        DeviceModelGroupsByInitials ApiDeviceModelGroupsPost (string key, string brandId);
  
        /// <summary>
        /// 列出指定品牌的所有车机设备的型号，按首字母分组 所有用户
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="brandId">车机品牌的ID</param>
        /// <returns>DeviceModelGroupsByInitials</returns>
        System.Threading.Tasks.Task<DeviceModelGroupsByInitials> ApiDeviceModelGroupsPostAsync (string key, string brandId);
        
        /// <summary>
        /// 列出指定品牌的所有车机设备的型号，按音序 所有用户
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="brandId">车机品牌的ID</param>
        /// <returns>DeviceModelList</returns>
        DeviceModelList ApiDeviceModelListPost (string key, string brandId);
  
        /// <summary>
        /// 列出指定品牌的所有车机设备的型号，按音序 所有用户
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="brandId">车机品牌的ID</param>
        /// <returns>DeviceModelList</returns>
        System.Threading.Tasks.Task<DeviceModelList> ApiDeviceModelListPostAsync (string key, string brandId);
        
        /// <summary>
        /// 修改客户企业信息。 必须是联盟企业的管理员
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="companyId">企业Id</param>
        /// <param name="companyName">企业全称（小于等于20个汉字）</param>
        /// <param name="companySimpleName">企业的简称（小于等于4个汉字）。</param>
        /// <param name="userPhone">用户的手机号（必须是11位手机号）。</param>
        /// <param name="userRealName">用户的真实姓名。 （最多6个汉字）</param>
        /// <param name="userSocialId">用户的身份证号码。 （18位，只能包含数字和X。服务器端将进行身份证号码规则检查，并自动对用户的生日、性别进行赋值。）</param>
        /// <returns>ApiError</returns>
        ApiError ApiEditClientCompanyPost (string key, string companyId, string companyName, string companySimpleName, string userPhone, string userRealName, string userSocialId);
  
        /// <summary>
        /// 修改客户企业信息。 必须是联盟企业的管理员
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="companyId">企业Id</param>
        /// <param name="companyName">企业全称（小于等于20个汉字）</param>
        /// <param name="companySimpleName">企业的简称（小于等于4个汉字）。</param>
        /// <param name="userPhone">用户的手机号（必须是11位手机号）。</param>
        /// <param name="userRealName">用户的真实姓名。 （最多6个汉字）</param>
        /// <param name="userSocialId">用户的身份证号码。 （18位，只能包含数字和X。服务器端将进行身份证号码规则检查，并自动对用户的生日、性别进行赋值。）</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiEditClientCompanyPostAsync (string key, string companyId, string companyName, string companySimpleName, string userPhone, string userRealName, string userSocialId);
        
        /// <summary>
        /// 编辑修改企业车辆 联盟企业管理员、客服、客户企业用户可以执行。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="vehicleId">公务车辆的Id</param>
        /// <param name="plateNum">车牌照。至少5个字符，最多8个字符（汉字、字母、数字、空格）</param>
        /// <param name="alias">车辆别名。如果不填写，自动以车牌照为别名。至少5个字符，最多8个字符（汉字、字母、数字、空格）</param>
        /// <param name="type">车辆类型。不提供的话，默认为“其他”</param>
        /// <param name="deviceType">车机类型</param>
        /// <param name="deviceSn">车机上面的设备编号。</param>
        /// <param name="sim">SIM卡号(11-13位，数字)</param>
        /// <param name="peripheral">外围设备Id。多个ID以英文逗号分隔</param>
        /// <param name="ownerPhone">车主电话（6-20个字符，数字、空格、-）</param>
        /// <param name="driverPhone">司机电话（6-20个字符，数字、空格、-）</param>
        /// <param name="memo">备注（最多20个字符）</param>
        /// <returns>ApiError</returns>
        ApiError ApiEditCompanyVehiclePost (string key, string vehicleId, string plateNum, string alias, int? type, string deviceType, string deviceSn, string sim, string peripheral, string ownerPhone, string driverPhone, string memo);
  
        /// <summary>
        /// 编辑修改企业车辆 联盟企业管理员、客服、客户企业用户可以执行。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="vehicleId">公务车辆的Id</param>
        /// <param name="plateNum">车牌照。至少5个字符，最多8个字符（汉字、字母、数字、空格）</param>
        /// <param name="alias">车辆别名。如果不填写，自动以车牌照为别名。至少5个字符，最多8个字符（汉字、字母、数字、空格）</param>
        /// <param name="type">车辆类型。不提供的话，默认为“其他”</param>
        /// <param name="deviceType">车机类型</param>
        /// <param name="deviceSn">车机上面的设备编号。</param>
        /// <param name="sim">SIM卡号(11-13位，数字)</param>
        /// <param name="peripheral">外围设备Id。多个ID以英文逗号分隔</param>
        /// <param name="ownerPhone">车主电话（6-20个字符，数字、空格、-）</param>
        /// <param name="driverPhone">司机电话（6-20个字符，数字、空格、-）</param>
        /// <param name="memo">备注（最多20个字符）</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiEditCompanyVehiclePostAsync (string key, string vehicleId, string plateNum, string alias, int? type, string deviceType, string deviceSn, string sim, string peripheral, string ownerPhone, string driverPhone, string memo);
        
        /// <summary>
        /// 修改车机设备的品牌 仅限于系统管理员
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="brandId">车机品牌的ID</param>
        /// <param name="brandName">车机品牌的名称。限10个字符</param>
        /// <returns>ApiError</returns>
        ApiError ApiEditDeviceBrandPost (string key, string brandId, string brandName);
  
        /// <summary>
        /// 修改车机设备的品牌 仅限于系统管理员
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="brandId">车机品牌的ID</param>
        /// <param name="brandName">车机品牌的名称。限10个字符</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiEditDeviceBrandPostAsync (string key, string brandId, string brandName);
        
        /// <summary>
        /// 修改车机设备的型号 仅限于系统管理员
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="modelId">车机型号的ID</param>
        /// <param name="modelName">车机型号。限15个字符</param>
        /// <returns>ApiError</returns>
        ApiError ApiEditDeviceModelPost (string key, string modelId, string modelName);
  
        /// <summary>
        /// 修改车机设备的型号 仅限于系统管理员
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="modelId">车机型号的ID</param>
        /// <param name="modelName">车机型号。限15个字符</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiEditDeviceModelPostAsync (string key, string modelId, string modelName);
        
        /// <summary>
        /// 修改一个联盟成员企业的基本信息 系统管理员用户修改所有，总公司管理员（不包括客服）修改本公司、分公司；分公司管理员（不包括客服）修改本公司。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="serviceCompanyId">公司Id</param>
        /// <param name="companyName">公司全称</param>
        /// <param name="companySimple">公司简称</param>
        /// <param name="servicePhone">服务电话</param>
        /// <param name="spCode">短信主叫号</param>
        /// <returns>ApiError</returns>
        ApiError ApiEditServiceCompanyPost (string key, string serviceCompanyId, string companyName, string companySimple, string servicePhone, string spCode);
  
        /// <summary>
        /// 修改一个联盟成员企业的基本信息 系统管理员用户修改所有，总公司管理员（不包括客服）修改本公司、分公司；分公司管理员（不包括客服）修改本公司。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="serviceCompanyId">公司Id</param>
        /// <param name="companyName">公司全称</param>
        /// <param name="companySimple">公司简称</param>
        /// <param name="servicePhone">服务电话</param>
        /// <param name="spCode">短信主叫号</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiEditServiceCompanyPostAsync (string key, string serviceCompanyId, string companyName, string companySimple, string servicePhone, string spCode);
        
        /// <summary>
        /// 编辑修改维修网点 只有联盟企业管理员可以执行。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="officeId">维修网点的Id</param>
        /// <param name="name">网点名称，最多5个汉字。企业内不可以重复</param>
        /// <param name="address">网点地址，最多50个汉字</param>
        /// <param name="contact">联系人，最多6个汉字</param>
        /// <param name="phone">网点电话，最多13个汉字</param>
        /// <param name="lon">网点经度</param>
        /// <param name="lat">网点纬度</param>
        /// <returns>ApiError</returns>
        ApiError ApiEditServiceOfficePost (string key, string officeId, string name, string address, string contact, string phone, float? lon, float? lat);
  
        /// <summary>
        /// 编辑修改维修网点 只有联盟企业管理员可以执行。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="officeId">维修网点的Id</param>
        /// <param name="name">网点名称，最多5个汉字。企业内不可以重复</param>
        /// <param name="address">网点地址，最多50个汉字</param>
        /// <param name="contact">联系人，最多6个汉字</param>
        /// <param name="phone">网点电话，最多13个汉字</param>
        /// <param name="lon">网点经度</param>
        /// <param name="lat">网点纬度</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiEditServiceOfficePostAsync (string key, string officeId, string name, string address, string contact, string phone, float? lon, float? lat);
        
        /// <summary>
        /// 添加客户企业。 必须是联盟企业的管理员。 不变的信息，也需要携带原值。
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="userId">用户的Id。</param>
        /// <param name="userPhone">用户的手机号（必须是11位手机号）。</param>
        /// <param name="userSocialId">用户的身份证号码。 （18位，只能包含数字和X。服务器端将进行身份证号码规则检查，并自动对用户的生日、性别进行赋值。）</param>
        /// <param name="userRealName">用户的真实姓名。 （最多6个汉字）</param>
        /// <param name="userRole">用户的角色。 只能是客服、工程师。 In Excel</param>
        /// <returns>ApiError</returns>
        ApiError ApiEditServiceUserPost (string key, string userId, string userPhone, string userSocialId, string userRealName, int? userRole);
  
        /// <summary>
        /// 添加客户企业。 必须是联盟企业的管理员。 不变的信息，也需要携带原值。
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="userId">用户的Id。</param>
        /// <param name="userPhone">用户的手机号（必须是11位手机号）。</param>
        /// <param name="userSocialId">用户的身份证号码。 （18位，只能包含数字和X。服务器端将进行身份证号码规则检查，并自动对用户的生日、性别进行赋值。）</param>
        /// <param name="userRealName">用户的真实姓名。 （最多6个汉字）</param>
        /// <param name="userRole">用户的角色。 只能是客服、工程师。 In Excel</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiEditServiceUserPostAsync (string key, string userId, string userPhone, string userSocialId, string userRealName, int? userRole);
        
        /// <summary>
        /// 编辑修改公务车 只有联盟企业管理员、客服可以执行。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="vehicleId">公务车辆的Id</param>
        /// <param name="plateNum">车牌照。至少5个字符，最多8个字符（汉字、字母、数字、空格）</param>
        /// <returns>ApiError</returns>
        ApiError ApiEditServiceVehiclePost (string key, string vehicleId, string plateNum);
  
        /// <summary>
        /// 编辑修改公务车 只有联盟企业管理员、客服可以执行。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="vehicleId">公务车辆的Id</param>
        /// <param name="plateNum">车牌照。至少5个字符，最多8个字符（汉字、字母、数字、空格）</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiEditServiceVehiclePostAsync (string key, string vehicleId, string plateNum);
        
        /// <summary>
        /// 修改车机设备的短信指令 仅限于系统管理员
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="cmdId">车机设备指令ID</param>
        /// <param name="cmd">车机指令。限256个字符</param>
        /// <param name="memo">车机指令描述。限100个字符</param>
        /// <returns>ApiError</returns>
        ApiError ApiEditSmsCommandPost (string key, string cmdId, string cmd, string memo);
  
        /// <summary>
        /// 修改车机设备的短信指令 仅限于系统管理员
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="cmdId">车机设备指令ID</param>
        /// <param name="cmd">车机指令。限256个字符</param>
        /// <param name="memo">车机指令描述。限100个字符</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiEditSmsCommandPostAsync (string key, string cmdId, string cmd, string memo);
        
        /// <summary>
        /// 修改联盟企业的工作地点。默认地址的设置，不在此接口修改。 必须是联盟企业的管理员、客服，或者是企业用户自己
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="addressId">维修地点的id</param>
        /// <param name="name">工作地点名（最多8个字符），企业内部不可以重复。</param>
        /// <param name="address">详细地址（做多50个字符）。</param>
        /// <param name="contact">联系人（最多6个字符）</param>
        /// <param name="phone">联系电话（最多20个字符，数字、空格、-）</param>
        /// <param name="lon">地址经度</param>
        /// <param name="lat">地址纬度</param>
        /// <returns>ApiError</returns>
        ApiError ApiEditWorkAddressPost (string key, string addressId, string name, string address, string contact, string phone, float? lon, float? lat);
  
        /// <summary>
        /// 修改联盟企业的工作地点。默认地址的设置，不在此接口修改。 必须是联盟企业的管理员、客服，或者是企业用户自己
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="addressId">维修地点的id</param>
        /// <param name="name">工作地点名（最多8个字符），企业内部不可以重复。</param>
        /// <param name="address">详细地址（做多50个字符）。</param>
        /// <param name="contact">联系人（最多6个字符）</param>
        /// <param name="phone">联系电话（最多20个字符，数字、空格、-）</param>
        /// <param name="lon">地址经度</param>
        /// <param name="lat">地址纬度</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiEditWorkAddressPostAsync (string key, string addressId, string name, string address, string contact, string phone, float? lon, float? lat);
        
        /// <summary>
        /// 问题反馈 将意见建议，反馈给开发组
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="feedback">反馈内容，最长200字</param>
        /// <returns>ApiError</returns>
        ApiError ApiFeedBackPost (string key, string feedback);
  
        /// <summary>
        /// 问题反馈 将意见建议，反馈给开发组
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="feedback">反馈内容，最长200字</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiFeedBackPostAsync (string key, string feedback);
        
        /// <summary>
        /// 取得工程师完成的车辆数 取得工程师完成的车辆数
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="workerId">工程师的Id。如果是工程师本人，查自己，就传入自己的ID</param>
        /// <returns>NumberResp</returns>
        NumberResp ApiFinishedVehicleNumberPost (string key, string workerId);
  
        /// <summary>
        /// 取得工程师完成的车辆数 取得工程师完成的车辆数
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="workerId">工程师的Id。如果是工程师本人，查自己，就传入自己的ID</param>
        /// <returns>NumberResp</returns>
        System.Threading.Tasks.Task<NumberResp> ApiFinishedVehicleNumberPostAsync (string key, string workerId);
        
        /// <summary>
        /// 强制结束订单 强制结束订单。如果无权强制结束，或者订单状态不允许结束，将会返回错误。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">被结束的订单ID</param>
        /// <param name="causal">结束订单原因。没填写，传“”。</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>ApiError</returns>
        ApiError ApiForceEndOrderPost (string key, string orderId, string causal, float? userLat, float? userLon);
  
        /// <summary>
        /// 强制结束订单 强制结束订单。如果无权强制结束，或者订单状态不允许结束，将会返回错误。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">被结束的订单ID</param>
        /// <param name="causal">结束订单原因。没填写，传“”。</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiForceEndOrderPostAsync (string key, string orderId, string causal, float? userLat, float? userLon);
        
        /// <summary>
        /// 取得生产环境的basePath 取得生产环境的basePath
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <returns>ApiError</returns>
        ApiError ApiGetProductBasePathPost (string key);
  
        /// <summary>
        /// 取得生产环境的basePath 取得生产环境的basePath
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiGetProductBasePathPostAsync (string key);
        
        /// <summary>
        /// 取得测试环境的basePath 取得测试环境的basePath
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <returns>ApiError</returns>
        ApiError ApiGetTestBasePathPost (string key);
  
        /// <summary>
        /// 取得测试环境的basePath 取得测试环境的basePath
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiGetTestBasePathPostAsync (string key);
        
        /// <summary>
        /// 返回上一步 退回到上一步订单状态。
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="orderId">订单Id</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>ApiError</returns>
        ApiError ApiGoBackPost (string key, string orderId, float? userLat, float? userLon);
  
        /// <summary>
        /// 返回上一步 退回到上一步订单状态。
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="orderId">订单Id</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiGoBackPostAsync (string key, string orderId, float? userLat, float? userLon);
        
        /// <summary>
        /// 抢单记录 企业的抢单记录。只有联盟成员的管理员、客服可以调用。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="startIndex">起始位置(从0开始)</param>
        /// <param name="maxNum">最多返回结果数量</param>
        /// <returns>HistoryOrderApplicationList</returns>
        HistoryOrderApplicationList ApiHistoryOrderApplicationListPost (string key, int? startIndex, int? maxNum);
  
        /// <summary>
        /// 抢单记录 企业的抢单记录。只有联盟成员的管理员、客服可以调用。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="startIndex">起始位置(从0开始)</param>
        /// <param name="maxNum">最多返回结果数量</param>
        /// <returns>HistoryOrderApplicationList</returns>
        System.Threading.Tasks.Task<HistoryOrderApplicationList> ApiHistoryOrderApplicationListPostAsync (string key, int? startIndex, int? maxNum);
        
        /// <summary>
        /// 指定卡号的历史短信记录 历史短信记录。客户企业的用户不能调用。每个联盟成员的用户只能查自己的sim卡（从Sim卡管理平台数据上进行校验）
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="simNum">所查询的卡号</param>
        /// <param name="startIndex">起始位置(从0开始)</param>
        /// <param name="maxNum">最多返回结果数量</param>
        /// <returns>HistorySmsList</returns>
        HistorySmsList ApiHistorySmsListPost (string key, string simNum, int? startIndex, int? maxNum);
  
        /// <summary>
        /// 指定卡号的历史短信记录 历史短信记录。客户企业的用户不能调用。每个联盟成员的用户只能查自己的sim卡（从Sim卡管理平台数据上进行校验）
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="simNum">所查询的卡号</param>
        /// <param name="startIndex">起始位置(从0开始)</param>
        /// <param name="maxNum">最多返回结果数量</param>
        /// <returns>HistorySmsList</returns>
        System.Threading.Tasks.Task<HistorySmsList> ApiHistorySmsListPostAsync (string key, string simNum, int? startIndex, int? maxNum);
        
        /// <summary>
        /// 查询某车辆的历史照片 按照照片类别来查询。
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="vehicleId">车辆的Id。</param>
        /// <param name="photoType">照片类别。 In Excel</param>
        /// <returns>List<WorkPhoto></returns>
        List<WorkPhoto> ApiHistoryWorkPhotosPost (string key, string vehicleId, int? photoType);
  
        /// <summary>
        /// 查询某车辆的历史照片 按照照片类别来查询。
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="vehicleId">车辆的Id。</param>
        /// <param name="photoType">照片类别。 In Excel</param>
        /// <returns>List<WorkPhoto></returns>
        System.Threading.Tasks.Task<List<WorkPhoto>> ApiHistoryWorkPhotosPostAsync (string key, string vehicleId, int? photoType);
        
        /// <summary>
        /// 根据ICCID查Sim卡号 每个联盟成员的用户只能查自己的sim卡（从Sim卡管理平台数据上进行校验）。客户企业用户不能执行。系统管理员不受鉴权限制。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="iccid">所查询的卡的ICCID</param>
        /// <returns>StringResp</returns>
        StringResp ApiIccidToSimPost (string key, string iccid);
  
        /// <summary>
        /// 根据ICCID查Sim卡号 每个联盟成员的用户只能查自己的sim卡（从Sim卡管理平台数据上进行校验）。客户企业用户不能执行。系统管理员不受鉴权限制。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="iccid">所查询的卡的ICCID</param>
        /// <returns>StringResp</returns>
        System.Threading.Tasks.Task<StringResp> ApiIccidToSimPostAsync (string key, string iccid);
        
        /// <summary>
        /// 列出所有已经收到的抢单申请。 列出所有已经收到的抢单申请。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">申请抢单的订单ID</param>
        /// <returns>OrderApplicationList</returns>
        OrderApplicationList ApiListOrderRushApplicationPost (string key, string orderId);
  
        /// <summary>
        /// 列出所有已经收到的抢单申请。 列出所有已经收到的抢单申请。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">申请抢单的订单ID</param>
        /// <returns>OrderApplicationList</returns>
        System.Threading.Tasks.Task<OrderApplicationList> ApiListOrderRushApplicationPostAsync (string key, string orderId);
        
        /// <summary>
        /// 列出指定车机型号的短信指令，按短信正文的字母顺序 仅限于系统管理员
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="modelId">车机型号的ID</param>
        /// <returns>List<SmsCommand></returns>
        List<SmsCommand> ApiListSmsCommandPost (string key, string modelId);
  
        /// <summary>
        /// 列出指定车机型号的短信指令，按短信正文的字母顺序 仅限于系统管理员
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="modelId">车机型号的ID</param>
        /// <returns>List<SmsCommand></returns>
        System.Threading.Tasks.Task<List<SmsCommand>> ApiListSmsCommandPostAsync (string key, string modelId);
        
        /// <summary>
        /// 用户登录 完成用户登录.
        /// </summary>
        /// <param name="userphone">用户名(手机号)</param>
        /// <param name="password">密码.</param>
        /// <param name="device">登录设备 Excel</param>
        /// <param name="version">版本号。首次版本“1.0.0”，三段式</param>
        /// <returns>LoginResult</returns>
        LoginResult ApiLoginPost (string userphone, string password, int? device, string version);
  
        /// <summary>
        /// 用户登录 完成用户登录.
        /// </summary>
        /// <param name="userphone">用户名(手机号)</param>
        /// <param name="password">密码.</param>
        /// <param name="device">登录设备 Excel</param>
        /// <param name="version">版本号。首次版本“1.0.0”，三段式</param>
        /// <returns>LoginResult</returns>
        System.Threading.Tasks.Task<LoginResult> ApiLoginPostAsync (string userphone, string password, int? device, string version);
        
        /// <summary>
        /// 用户退出登录 退出登录。记得要同时在JPush上注销自己哦。
        /// </summary>
        /// <param name="key">登录key</param>
        /// <returns>ApiError</returns>
        ApiError ApiLogoutPost (string key);
  
        /// <summary>
        /// 用户退出登录 退出登录。记得要同时在JPush上注销自己哦。
        /// </summary>
        /// <param name="key">登录key</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiLogoutPostAsync (string key);
        
        /// <summary>
        /// 查询我的所有客户企业 只能联盟成员用户查询。其他userType会返回错误
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <returns>StrKVPairResp</returns>
        StrKVPairResp ApiMyClientCompaniesPost (string key);
  
        /// <summary>
        /// 查询我的所有客户企业 只能联盟成员用户查询。其他userType会返回错误
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <returns>StrKVPairResp</returns>
        System.Threading.Tasks.Task<StrKVPairResp> ApiMyClientCompaniesPostAsync (string key);
        
        /// <summary>
        /// 联盟成员用户，为自己的客户企业下单。 客服下单
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="clientCompanyId">客户企业的Id</param>
        /// <param name="orderType">订单类别（安装、维护，In Excel）</param>
        /// <param name="workAddrID">维护地点的ID。 如果是临时的地点，传入\&quot;0\&quot;</param>
        /// <param name="urgency">紧急程度 in Excel</param>
        /// <param name="price">订单价格。如果未输入，请提供0.00</param>
        /// <param name="numberToInstall">安装车辆的总数。安装类别的订单，这个数字必须大于0</param>
        /// <param name="tempAddr">临时地点详细街路名。 当workAddrId=&#39;0&#39;时有效，且必填</param>
        /// <param name="tempAddrPhone">临时地点联系电话。 当workAddrId=&#39;0&#39;时有效，且必填</param>
        /// <param name="tempAddrContact">临时地点联系人姓名。 当workAddrId=&#39;0&#39;时有效，且必填</param>
        /// <param name="tempAddrLat">临时地点纬度。 当workAddrId=&#39;0&#39;时有效，且必填</param>
        /// <param name="tempAddrLon">临时地点纬度。 当workAddrId=&#39;0&#39;时有效，且必填</param>
        /// <param name="vehicleId">维修车辆的ID。 对于维护订单，此字段必填。</param>
        /// <param name="problemId">维修车辆的故障现象。对于维护订单，此字段必填。</param>
        /// <param name="problemDesc">维修车辆的故障现象文字描述。如果选的不是‘其它’，把对应文字也填写在这里。如果选“其它”，就把用户输入的文字放到这里。对于维护订单，此字段必填。</param>
        /// <param name="analysisId">维修车辆的故障分析。对于维护订单，此字段必填。</param>
        /// <param name="analysisDesc">维修车辆的故障现象分析的描述。如果选的不是‘其它’，把对应文字也填写在这里。如果选“其它”，就把用户输入的文字放到这里。对于维护订单，此字段必填。</param>
        /// <param name="installMemo">安装订单的备注（最多20字符）</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>StringResp</returns>
        StringResp ApiNewOrderByServicePost (string key, string clientCompanyId, int? orderType, string workAddrID, int? urgency, float? price, int? numberToInstall, string tempAddr, string tempAddrPhone, string tempAddrContact, float? tempAddrLat, float? tempAddrLon, string vehicleId, int? problemId, string problemDesc, int? analysisId, string analysisDesc, string installMemo, float? userLat, float? userLon);
  
        /// <summary>
        /// 联盟成员用户，为自己的客户企业下单。 客服下单
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="clientCompanyId">客户企业的Id</param>
        /// <param name="orderType">订单类别（安装、维护，In Excel）</param>
        /// <param name="workAddrID">维护地点的ID。 如果是临时的地点，传入\&quot;0\&quot;</param>
        /// <param name="urgency">紧急程度 in Excel</param>
        /// <param name="price">订单价格。如果未输入，请提供0.00</param>
        /// <param name="numberToInstall">安装车辆的总数。安装类别的订单，这个数字必须大于0</param>
        /// <param name="tempAddr">临时地点详细街路名。 当workAddrId=&#39;0&#39;时有效，且必填</param>
        /// <param name="tempAddrPhone">临时地点联系电话。 当workAddrId=&#39;0&#39;时有效，且必填</param>
        /// <param name="tempAddrContact">临时地点联系人姓名。 当workAddrId=&#39;0&#39;时有效，且必填</param>
        /// <param name="tempAddrLat">临时地点纬度。 当workAddrId=&#39;0&#39;时有效，且必填</param>
        /// <param name="tempAddrLon">临时地点纬度。 当workAddrId=&#39;0&#39;时有效，且必填</param>
        /// <param name="vehicleId">维修车辆的ID。 对于维护订单，此字段必填。</param>
        /// <param name="problemId">维修车辆的故障现象。对于维护订单，此字段必填。</param>
        /// <param name="problemDesc">维修车辆的故障现象文字描述。如果选的不是‘其它’，把对应文字也填写在这里。如果选“其它”，就把用户输入的文字放到这里。对于维护订单，此字段必填。</param>
        /// <param name="analysisId">维修车辆的故障分析。对于维护订单，此字段必填。</param>
        /// <param name="analysisDesc">维修车辆的故障现象分析的描述。如果选的不是‘其它’，把对应文字也填写在这里。如果选“其它”，就把用户输入的文字放到这里。对于维护订单，此字段必填。</param>
        /// <param name="installMemo">安装订单的备注（最多20字符）</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>StringResp</returns>
        System.Threading.Tasks.Task<StringResp> ApiNewOrderByServicePostAsync (string key, string clientCompanyId, int? orderType, string workAddrID, int? urgency, float? price, int? numberToInstall, string tempAddr, string tempAddrPhone, string tempAddrContact, float? tempAddrLat, float? tempAddrLon, string vehicleId, int? problemId, string problemDesc, int? analysisId, string analysisDesc, string installMemo, float? userLat, float? userLon);
        
        /// <summary>
        /// 客户企业用户，自助下单。 自助下单
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="workAddrID">维护地点的ID。 如果是临时的地点，传入\&quot;0\&quot;</param>
        /// <param name="vehicleId">维修车辆的ID。</param>
        /// <param name="problemId">维修车辆的故障现象。</param>
        /// <param name="problemDesc">维修车辆的故障现象文字描述。如果选的不是‘其它’，把对应文字也填写在这里。如果选“其它”，就把用户输入的文字放到这里。</param>
        /// <param name="urgency">紧急程度 in Excel</param>
        /// <param name="price">订单价格。如果未输入，请提供0.00</param>
        /// <param name="tempAddr">临时地点详细街路名。 当workAddrId=&#39;0&#39;时有效，且必填</param>
        /// <param name="tempAddrPhone">临时地点联系电话。 当workAddrId=&#39;0&#39;时有效，且必填</param>
        /// <param name="tempAddrContact">临时地点联系人姓名。 当workAddrId=&#39;0&#39;时有效，且必填</param>
        /// <param name="tempAddrLat">临时地点纬度。 当workAddrId=&#39;0&#39;时有效，且必填</param>
        /// <param name="tempAddrLon">临时地点纬度。 当workAddrId=&#39;0&#39;时有效，且必填</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>StringResp</returns>
        StringResp ApiNewOrderSelfHelpPost (string key, string workAddrID, string vehicleId, int? problemId, string problemDesc, int? urgency, float? price, string tempAddr, string tempAddrPhone, string tempAddrContact, float? tempAddrLat, float? tempAddrLon, float? userLat, float? userLon);
  
        /// <summary>
        /// 客户企业用户，自助下单。 自助下单
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="workAddrID">维护地点的ID。 如果是临时的地点，传入\&quot;0\&quot;</param>
        /// <param name="vehicleId">维修车辆的ID。</param>
        /// <param name="problemId">维修车辆的故障现象。</param>
        /// <param name="problemDesc">维修车辆的故障现象文字描述。如果选的不是‘其它’，把对应文字也填写在这里。如果选“其它”，就把用户输入的文字放到这里。</param>
        /// <param name="urgency">紧急程度 in Excel</param>
        /// <param name="price">订单价格。如果未输入，请提供0.00</param>
        /// <param name="tempAddr">临时地点详细街路名。 当workAddrId=&#39;0&#39;时有效，且必填</param>
        /// <param name="tempAddrPhone">临时地点联系电话。 当workAddrId=&#39;0&#39;时有效，且必填</param>
        /// <param name="tempAddrContact">临时地点联系人姓名。 当workAddrId=&#39;0&#39;时有效，且必填</param>
        /// <param name="tempAddrLat">临时地点纬度。 当workAddrId=&#39;0&#39;时有效，且必填</param>
        /// <param name="tempAddrLon">临时地点纬度。 当workAddrId=&#39;0&#39;时有效，且必填</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>StringResp</returns>
        System.Threading.Tasks.Task<StringResp> ApiNewOrderSelfHelpPostAsync (string key, string workAddrID, string vehicleId, int? problemId, string problemDesc, int? urgency, float? price, string tempAddr, string tempAddrPhone, string tempAddrContact, float? tempAddrLat, float? tempAddrLon, float? userLat, float? userLon);
        
        /// <summary>
        /// 一键下单 客户企业的用户，一键下单。
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>StringResp</returns>
        StringResp ApiOneKeyOrderPost (string key, float? userLat, float? userLon);
  
        /// <summary>
        /// 一键下单 客户企业的用户，一键下单。
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>StringResp</returns>
        System.Threading.Tasks.Task<StringResp> ApiOneKeyOrderPostAsync (string key, float? userLat, float? userLon);
        
        /// <summary>
        /// 联盟成员用户，对新订单进行分析。 客服执行订单分析，完成受理。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">订单的Id</param>
        /// <param name="analysisId">维修车辆的故障分析。</param>
        /// <param name="analysisDesc">维修车辆的故障现象分析的描述。如果选的不是‘其它’，把对应文字也填写在这里。如果选“其它”，就把用户输入的文字放到这里。</param>
        /// <param name="price">订单价格。如果未输入，请提供0.00</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>ApiError</returns>
        ApiError ApiOrderAnalysisPost (string key, string orderId, int? analysisId, string analysisDesc, float? price, float? userLat, float? userLon);
  
        /// <summary>
        /// 联盟成员用户，对新订单进行分析。 客服执行订单分析，完成受理。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">订单的Id</param>
        /// <param name="analysisId">维修车辆的故障分析。</param>
        /// <param name="analysisDesc">维修车辆的故障现象分析的描述。如果选的不是‘其它’，把对应文字也填写在这里。如果选“其它”，就把用户输入的文字放到这里。</param>
        /// <param name="price">订单价格。如果未输入，请提供0.00</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiOrderAnalysisPostAsync (string key, string orderId, int? analysisId, string analysisDesc, float? price, float? userLat, float? userLon);
        
        /// <summary>
        /// 查询一个订单的详情（不包括时序图、车辆照片） 订单的详情页面信息。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">订单的ID</param>
        /// <returns>OrderDetail</returns>
        OrderDetail ApiOrderDetailPost (string key, string orderId);
  
        /// <summary>
        /// 查询一个订单的详情（不包括时序图、车辆照片） 订单的详情页面信息。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">订单的ID</param>
        /// <returns>OrderDetail</returns>
        System.Threading.Tasks.Task<OrderDetail> ApiOrderDetailPostAsync (string key, string orderId);
        
        /// <summary>
        /// 联盟成员用户客服，对新订单进行更新修改。 客服执行订单修改。下面的参数中，如果客服没有对客户自助下单的填写做出修改，也应该复制原始内容，到这些参数里面。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">订单的Id</param>
        /// <param name="workAddrID">维护地点的ID。 如果是临时的地点，传入\&quot;0\&quot;</param>
        /// <param name="vehicleId">维修车辆的ID。</param>
        /// <param name="problemId">维修车辆的故障现象。</param>
        /// <param name="problemDesc">维修车辆的故障现象文字描述。如果选的不是‘其它’，把对应文字也填写在这里。如果选“其它”，就把用户输入的文字放到这里。</param>
        /// <param name="urgency">紧急程度 in Excel</param>
        /// <param name="tempAddr">临时地点详细街路名。 当workAddrId=&#39;0&#39;时有效，且必填</param>
        /// <param name="tempAddrPhone">临时地点联系电话。 当workAddrId=&#39;0&#39;时有效，且必填</param>
        /// <param name="tempAddrContact">临时地点联系人姓名。 当workAddrId=&#39;0&#39;时有效，且必填</param>
        /// <param name="tempAddrLat">临时地点纬度。 当workAddrId=&#39;0&#39;时有效，且必填</param>
        /// <param name="tempAddrLon">临时地点纬度。 当workAddrId=&#39;0&#39;时有效，且必填</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>ApiError</returns>
        ApiError ApiOrderEditPost (string key, string orderId, string workAddrID, string vehicleId, int? problemId, string problemDesc, int? urgency, string tempAddr, string tempAddrPhone, string tempAddrContact, float? tempAddrLat, float? tempAddrLon, float? userLat, float? userLon);
  
        /// <summary>
        /// 联盟成员用户客服，对新订单进行更新修改。 客服执行订单修改。下面的参数中，如果客服没有对客户自助下单的填写做出修改，也应该复制原始内容，到这些参数里面。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">订单的Id</param>
        /// <param name="workAddrID">维护地点的ID。 如果是临时的地点，传入\&quot;0\&quot;</param>
        /// <param name="vehicleId">维修车辆的ID。</param>
        /// <param name="problemId">维修车辆的故障现象。</param>
        /// <param name="problemDesc">维修车辆的故障现象文字描述。如果选的不是‘其它’，把对应文字也填写在这里。如果选“其它”，就把用户输入的文字放到这里。</param>
        /// <param name="urgency">紧急程度 in Excel</param>
        /// <param name="tempAddr">临时地点详细街路名。 当workAddrId=&#39;0&#39;时有效，且必填</param>
        /// <param name="tempAddrPhone">临时地点联系电话。 当workAddrId=&#39;0&#39;时有效，且必填</param>
        /// <param name="tempAddrContact">临时地点联系人姓名。 当workAddrId=&#39;0&#39;时有效，且必填</param>
        /// <param name="tempAddrLat">临时地点纬度。 当workAddrId=&#39;0&#39;时有效，且必填</param>
        /// <param name="tempAddrLon">临时地点纬度。 当workAddrId=&#39;0&#39;时有效，且必填</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiOrderEditPostAsync (string key, string orderId, string workAddrID, string vehicleId, int? problemId, string problemDesc, int? urgency, string tempAddr, string tempAddrPhone, string tempAddrContact, float? tempAddrLat, float? tempAddrLon, float? userLat, float? userLon);
        
        /// <summary>
        /// 订单信息 针对/html/orderdetail呈现的WEB页面，给予json格式返回的格式
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="orderId">订单ID</param>
        /// <returns>OrderInfoView</returns>
        OrderInfoView ApiOrderInfoPost (string key, string orderId);
  
        /// <summary>
        /// 订单信息 针对/html/orderdetail呈现的WEB页面，给予json格式返回的格式
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="orderId">订单ID</param>
        /// <returns>OrderInfoView</returns>
        System.Threading.Tasks.Task<OrderInfoView> ApiOrderInfoPostAsync (string key, string orderId);
        
        /// <summary>
        /// 订单动态 针对/html/orderseq呈现的WEB页面，给予json格式返回的格式
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="orderId">订单ID</param>
        /// <returns>OrderSeqView</returns>
        OrderSeqView ApiOrderSeqencePost (string key, string orderId);
  
        /// <summary>
        /// 订单动态 针对/html/orderseq呈现的WEB页面，给予json格式返回的格式
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="orderId">订单ID</param>
        /// <returns>OrderSeqView</returns>
        System.Threading.Tasks.Task<OrderSeqView> ApiOrderSeqencePostAsync (string key, string orderId);
        
        /// <summary>
        /// 查询订单列表 根据订单状态（完成、未完成等）查询指定数量的订单概要信息。订单排序方式为：按照最后一次状态更新的时间，最新状态的排在最前面。
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="statusType">订单状态类别（已完成、未完成、已取消、全部）Excel</param>
        /// <param name="maxNum">最大订单的数量（最多回传多少结果）</param>
        /// <param name="startIndex">从第几个订单开始（From 0）</param>
        /// <param name="vehicleId">车辆的ID。如果提供值，则过滤订单，只提供与该车相关的。可以null</param>
        /// <param name="orderType">订单类别（安装、维护）in excel。不提供该参数，表示全部</param>
        /// <param name="inProcessingStatus">未完成订单的状态（待分配、待受理... In Excel）。不提供该参数，表示全部</param>
        /// <param name="urgencyType">紧急程度类别（InExcel）。不提供该参数表示全部</param>
        /// <param name="beginDateOfOrderDate">下单时间的开始日期，格式“2015-06-12”。自0：0：0。 不提供表示不限。</param>
        /// <param name="endDateOfOrderDate">下单时间的结束日期，格式“2015-06-12”。实际到23：59：59。不提供表示不限</param>
        /// <param name="consignType">委托类别(内部订单、委出订单、受托订单、已抢单 in Excel)。不提供该参数表示全部</param>
        /// <param name="deviceId">设备ID</param>
        /// <param name="orderId">订单ID</param>
        /// <param name="simNum">SIM卡号</param>
        /// <param name="plate">车牌号</param>
        /// <param name="workAddrName">维护地点名称</param>
        /// <param name="clientName">客户名称</param>
        /// <param name="workerName">工程师姓名</param>
        /// <param name="branchCompanyId">分公司ID。 可以不提供。 不提供时，相当于只查当前登录用户自己公司的订单。如果提供，当前用户必须是该公司的用户、或者是该公司的总公司的管理员或客服。</param>
        /// <returns>BriefOrderList</returns>
        BriefOrderList ApiOrderlistPost (string key, int? statusType, int? maxNum, int? startIndex, string vehicleId, int? orderType, int? inProcessingStatus, int? urgencyType, string beginDateOfOrderDate, string endDateOfOrderDate, int? consignType, string deviceId, string orderId, string simNum, string plate, string workAddrName, string clientName, string workerName, string branchCompanyId);
  
        /// <summary>
        /// 查询订单列表 根据订单状态（完成、未完成等）查询指定数量的订单概要信息。订单排序方式为：按照最后一次状态更新的时间，最新状态的排在最前面。
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="statusType">订单状态类别（已完成、未完成、已取消、全部）Excel</param>
        /// <param name="maxNum">最大订单的数量（最多回传多少结果）</param>
        /// <param name="startIndex">从第几个订单开始（From 0）</param>
        /// <param name="vehicleId">车辆的ID。如果提供值，则过滤订单，只提供与该车相关的。可以null</param>
        /// <param name="orderType">订单类别（安装、维护）in excel。不提供该参数，表示全部</param>
        /// <param name="inProcessingStatus">未完成订单的状态（待分配、待受理... In Excel）。不提供该参数，表示全部</param>
        /// <param name="urgencyType">紧急程度类别（InExcel）。不提供该参数表示全部</param>
        /// <param name="beginDateOfOrderDate">下单时间的开始日期，格式“2015-06-12”。自0：0：0。 不提供表示不限。</param>
        /// <param name="endDateOfOrderDate">下单时间的结束日期，格式“2015-06-12”。实际到23：59：59。不提供表示不限</param>
        /// <param name="consignType">委托类别(内部订单、委出订单、受托订单、已抢单 in Excel)。不提供该参数表示全部</param>
        /// <param name="deviceId">设备ID</param>
        /// <param name="orderId">订单ID</param>
        /// <param name="simNum">SIM卡号</param>
        /// <param name="plate">车牌号</param>
        /// <param name="workAddrName">维护地点名称</param>
        /// <param name="clientName">客户名称</param>
        /// <param name="workerName">工程师姓名</param>
        /// <param name="branchCompanyId">分公司ID。 可以不提供。 不提供时，相当于只查当前登录用户自己公司的订单。如果提供，当前用户必须是该公司的用户、或者是该公司的总公司的管理员或客服。</param>
        /// <returns>BriefOrderList</returns>
        System.Threading.Tasks.Task<BriefOrderList> ApiOrderlistPostAsync (string key, int? statusType, int? maxNum, int? startIndex, string vehicleId, int? orderType, int? inProcessingStatus, int? urgencyType, string beginDateOfOrderDate, string endDateOfOrderDate, int? consignType, string deviceId, string orderId, string simNum, string plate, string workAddrName, string clientName, string workerName, string branchCompanyId);
        
        /// <summary>
        /// 返回所有常见的外围设备列表。用于APP端选项。 所有外围设备的列表
        /// </summary>
        /// <returns>IntKVPairResp</returns>
        IntKVPairResp ApiPeripheralListGet ();
  
        /// <summary>
        /// 返回所有常见的外围设备列表。用于APP端选项。 所有外围设备的列表
        /// </summary>
        /// <returns>IntKVPairResp</returns>
        System.Threading.Tasks.Task<IntKVPairResp> ApiPeripheralListGetAsync ();
        
        /// <summary>
        /// 返回所有车辆照片的类别。用于APP端选项。 车辆照片的类别的列表
        /// </summary>
        /// <returns>IntKVPairResp</returns>
        IntKVPairResp ApiPhotoTypeListGet ();
  
        /// <summary>
        /// 返回所有车辆照片的类别。用于APP端选项。 车辆照片的类别的列表
        /// </summary>
        /// <returns>IntKVPairResp</returns>
        System.Threading.Tasks.Task<IntKVPairResp> ApiPhotoTypeListGetAsync ();
        
        /// <summary>
        /// 车牌识别。 根据提交的照片，识别车牌号。每个用户每天只能识别50次
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="imgBase64">照片的base64编码字符串</param>
        /// <returns>PlateOcr</returns>
        PlateOcr ApiPlateOcrPost (string key, string imgBase64);
  
        /// <summary>
        /// 车牌识别。 根据提交的照片，识别车牌号。每个用户每天只能识别50次
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="imgBase64">照片的base64编码字符串</param>
        /// <returns>PlateOcr</returns>
        System.Threading.Tasks.Task<PlateOcr> ApiPlateOcrPostAsync (string key, string imgBase64);
        
        /// <summary>
        /// 返回所有常见车辆故障现象。用于APP端选项。 常见车辆故障现象的列表
        /// </summary>
        /// <returns>IntKVPairResp</returns>
        IntKVPairResp ApiProblemListGet ();
  
        /// <summary>
        /// 返回所有常见车辆故障现象。用于APP端选项。 常见车辆故障现象的列表
        /// </summary>
        /// <returns>IntKVPairResp</returns>
        System.Threading.Tasks.Task<IntKVPairResp> ApiProblemListGetAsync ();
        
        /// <summary>
        /// 发布抢单。 发布抢单信息给联盟成员。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">所发布抢单的订单ID</param>
        /// <param name="companyIds">指定的参与抢单的企业companyId，以“,”分割多个。</param>
        /// <param name="consignPrice">委托价格。0-10万元。</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>ApiError</returns>
        ApiError ApiPublishOrderRushPost (string key, string orderId, string companyIds, float? consignPrice, float? userLat, float? userLon);
  
        /// <summary>
        /// 发布抢单。 发布抢单信息给联盟成员。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">所发布抢单的订单ID</param>
        /// <param name="companyIds">指定的参与抢单的企业companyId，以“,”分割多个。</param>
        /// <param name="consignPrice">委托价格。0-10万元。</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiPublishOrderRushPostAsync (string key, string orderId, string companyIds, float? consignPrice, float? userLat, float? userLon);
        
        /// <summary>
        /// 给所有人推送一条消息 只有系统管理员才可以执行。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="content">消息内容</param>
        /// <returns>ApiError</returns>
        ApiError ApiPushToAllPost (string key, string content);
  
        /// <summary>
        /// 给所有人推送一条消息 只有系统管理员才可以执行。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="content">消息内容</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiPushToAllPostAsync (string key, string content);
        
        /// <summary>
        /// 修改用户密码，修改为‘123456’。 必须是联盟企业的管理员，修改客户企业用户密码、修改客服、工程师密码； 如果修改联盟企业管理员的密码，必须是系统管理员
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="userId">用户Id</param>
        /// <returns>ApiError</returns>
        ApiError ApiResetUserPwdPost (string key, string userId);
  
        /// <summary>
        /// 修改用户密码，修改为‘123456’。 必须是联盟企业的管理员，修改客户企业用户密码、修改客服、工程师密码； 如果修改联盟企业管理员的密码，必须是系统管理员
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="userId">用户Id</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiResetUserPwdPostAsync (string key, string userId);
        
        /// <summary>
        /// 按照公里数的范围，搜索附近的网点。按照距离排序 搜索抢单的网点。注意，一个公司，可能有多个网点在搜索范围内。最多返回20个结果。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">相关的订单ID，将依据这个订单的工作地点为原点，进行半径搜索。</param>
        /// <param name="maxDistance">搜索半径，以公里为单位</param>
        /// <returns>ServiceOfficeList</returns>
        ServiceOfficeList ApiSearchWorkOfficesPost (string key, string orderId, int? maxDistance);
  
        /// <summary>
        /// 按照公里数的范围，搜索附近的网点。按照距离排序 搜索抢单的网点。注意，一个公司，可能有多个网点在搜索范围内。最多返回20个结果。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">相关的订单ID，将依据这个订单的工作地点为原点，进行半径搜索。</param>
        /// <param name="maxDistance">搜索半径，以公里为单位</param>
        /// <returns>ServiceOfficeList</returns>
        System.Threading.Tasks.Task<ServiceOfficeList> ApiSearchWorkOfficesPostAsync (string key, string orderId, int? maxDistance);
        
        /// <summary>
        /// 发送短信 给指定的SIM卡号发送短信。SP代码根据用户身份，以其所在的企业主叫号码设置来自动选择。
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="destNum">接收方（设备）的sim卡号</param>
        /// <param name="content">短信内容</param>
        /// <returns>ApiError</returns>
        ApiError ApiSendsmsPost (string key, string destNum, string content);
  
        /// <summary>
        /// 发送短信 给指定的SIM卡号发送短信。SP代码根据用户身份，以其所在的企业主叫号码设置来自动选择。
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="destNum">接收方（设备）的sim卡号</param>
        /// <param name="content">短信内容</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiSendsmsPostAsync (string key, string destNum, string content);
        
        /// <summary>
        /// 查询一个联盟成员企业的基本信息 联盟成员企业之间可以相互随意看。客户企业用户，只能看自己直接服务提供的联盟成员。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="companyId">联盟成员企业的用户，查看自己的企业信息时，可以为null，但不要设置为\&quot;\&quot;</param>
        /// <returns>ServiceCompany</returns>
        ServiceCompany ApiServiceCompanyPost (string key, string companyId);
  
        /// <summary>
        /// 查询一个联盟成员企业的基本信息 联盟成员企业之间可以相互随意看。客户企业用户，只能看自己直接服务提供的联盟成员。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="companyId">联盟成员企业的用户，查看自己的企业信息时，可以为null，但不要设置为\&quot;\&quot;</param>
        /// <returns>ServiceCompany</returns>
        System.Threading.Tasks.Task<ServiceCompany> ApiServiceCompanyPostAsync (string key, string companyId);
        
        /// <summary>
        /// 查询联盟成员企业列表，或一个联盟成员企业（含分公司）的基本信息 根据用户身份，如果是系统管理员，返回全部联盟成员企业信息。如果是总公司管理员，返回所有分公司的企业信息； 如果是分公司管理员，只返回自己分公司的企业信息
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="startIndex">起始位置(从0开始)</param>
        /// <param name="maxNum">最多返回结果数量</param>
        /// <param name="keyword">企业的关键字（搜索范围：名称、简称、联盟编号）</param>
        /// <returns>ServiceCompanyList</returns>
        ServiceCompanyList ApiServiceCompanyListPost (string key, int? startIndex, int? maxNum, string keyword);
  
        /// <summary>
        /// 查询联盟成员企业列表，或一个联盟成员企业（含分公司）的基本信息 根据用户身份，如果是系统管理员，返回全部联盟成员企业信息。如果是总公司管理员，返回所有分公司的企业信息； 如果是分公司管理员，只返回自己分公司的企业信息
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="startIndex">起始位置(从0开始)</param>
        /// <param name="maxNum">最多返回结果数量</param>
        /// <param name="keyword">企业的关键字（搜索范围：名称、简称、联盟编号）</param>
        /// <returns>ServiceCompanyList</returns>
        System.Threading.Tasks.Task<ServiceCompanyList> ApiServiceCompanyListPostAsync (string key, int? startIndex, int? maxNum, string keyword);
        
        /// <summary>
        /// 查看联盟成员企业的所有网点 只有联盟成员看自己的。抢单的时候，需要看其他联盟成员的，但不是这个列表，而是按距离搜索的结果。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <returns>ServiceOfficeList</returns>
        ServiceOfficeList ApiServiceOfficeListPost (string key);
  
        /// <summary>
        /// 查看联盟成员企业的所有网点 只有联盟成员看自己的。抢单的时候，需要看其他联盟成员的，但不是这个列表，而是按距离搜索的结果。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <returns>ServiceOfficeList</returns>
        System.Threading.Tasks.Task<ServiceOfficeList> ApiServiceOfficeListPostAsync (string key);
        
        /// <summary>
        /// 查询我的企业内的全部用户 只有联盟企业的管理员可以调用，按姓名音序排列
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <returns>ServiceUserList</returns>
        ServiceUserList ApiServiceUsersInCompanyPost (string key);
  
        /// <summary>
        /// 查询我的企业内的全部用户 只有联盟企业的管理员可以调用，按姓名音序排列
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <returns>ServiceUserList</returns>
        System.Threading.Tasks.Task<ServiceUserList> ApiServiceUsersInCompanyPostAsync (string key);
        
        /// <summary>
        /// 查询当前登录用户的公务车辆列表 查询指定企业的全部公务车辆
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <returns>ServiceVehicleList</returns>
        ServiceVehicleList ApiServiceVehicleListPost (string key);
  
        /// <summary>
        /// 查询当前登录用户的公务车辆列表 查询指定企业的全部公务车辆
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <returns>ServiceVehicleList</returns>
        System.Threading.Tasks.Task<ServiceVehicleList> ApiServiceVehicleListPostAsync (string key);
        
        /// <summary>
        /// 设置某个地址为默认地址。之前的默认地址自动取消。 必须是联盟企业的管理员、客服，或者是企业用户自己
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="addressId">维修地点的id</param>
        /// <returns>ApiError</returns>
        ApiError ApiSetDefaultWorkAddressPost (string key, string addressId);
  
        /// <summary>
        /// 设置某个地址为默认地址。之前的默认地址自动取消。 必须是联盟企业的管理员、客服，或者是企业用户自己
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="addressId">维修地点的id</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiSetDefaultWorkAddressPostAsync (string key, string addressId);
        
        /// <summary>
        /// Sim卡号查绑定的车牌号 每个联盟成员的用户只能查自己的sim卡（从Sim卡管理平台数据上进行校验）。客户企业用户不能执行。系统管理员不受鉴权限制。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="simNum">所查询的卡的卡号</param>
        /// <returns>StringResp</returns>
        StringResp ApiSim2platePost (string key, string simNum);
  
        /// <summary>
        /// Sim卡号查绑定的车牌号 每个联盟成员的用户只能查自己的sim卡（从Sim卡管理平台数据上进行校验）。客户企业用户不能执行。系统管理员不受鉴权限制。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="simNum">所查询的卡的卡号</param>
        /// <returns>StringResp</returns>
        System.Threading.Tasks.Task<StringResp> ApiSim2platePostAsync (string key, string simNum);
        
        /// <summary>
        /// Sim卡号查当前卡GPRS在线状态的信息 每个联盟成员的用户只能查自己的sim卡（从Sim卡管理平台数据上进行校验）。客户企业用户不能执行。系统管理员不受鉴权限制。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="simNum">所查询的卡的卡号</param>
        /// <returns>GprsInfo</returns>
        GprsInfo ApiSimGprsInfoPost (string key, string simNum);
  
        /// <summary>
        /// Sim卡号查当前卡GPRS在线状态的信息 每个联盟成员的用户只能查自己的sim卡（从Sim卡管理平台数据上进行校验）。客户企业用户不能执行。系统管理员不受鉴权限制。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="simNum">所查询的卡的卡号</param>
        /// <returns>GprsInfo</returns>
        System.Threading.Tasks.Task<GprsInfo> ApiSimGprsInfoPostAsync (string key, string simNum);
        
        /// <summary>
        /// Sim卡号查当前卡的信息 每个联盟成员的用户只能查自己的sim卡（从Sim卡管理平台数据上进行校验）。客户企业用户不能执行。系统管理员不受鉴权限制。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="simNum">所查询的卡的卡号</param>
        /// <returns>SimInfo</returns>
        SimInfo ApiSimInfoPost (string key, string simNum);
  
        /// <summary>
        /// Sim卡号查当前卡的信息 每个联盟成员的用户只能查自己的sim卡（从Sim卡管理平台数据上进行校验）。客户企业用户不能执行。系统管理员不受鉴权限制。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="simNum">所查询的卡的卡号</param>
        /// <returns>SimInfo</returns>
        System.Threading.Tasks.Task<SimInfo> ApiSimInfoPostAsync (string key, string simNum);
        
        /// <summary>
        /// Sim卡号查当前卡位置的信息 每个联盟成员的用户只能查自己的sim卡（从Sim卡管理平台数据上进行校验）。客户企业用户不能执行。系统管理员不受鉴权限制。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="simNum">所查询的卡的卡号</param>
        /// <returns>SimLocationInfo</returns>
        SimLocationInfo ApiSimLocationInfoPost (string key, string simNum);
  
        /// <summary>
        /// Sim卡号查当前卡位置的信息 每个联盟成员的用户只能查自己的sim卡（从Sim卡管理平台数据上进行校验）。客户企业用户不能执行。系统管理员不受鉴权限制。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="simNum">所查询的卡的卡号</param>
        /// <returns>SimLocationInfo</returns>
        System.Threading.Tasks.Task<SimLocationInfo> ApiSimLocationInfoPostAsync (string key, string simNum);
        
        /// <summary>
        /// Sim卡号查当前卡开关机的信息 每个联盟成员的用户只能查自己的sim卡（从Sim卡管理平台数据上进行校验）。客户企业用户不能执行。系统管理员不受鉴权限制。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="simNum">所查询的卡的卡号</param>
        /// <returns>OnAndOffInfo</returns>
        OnAndOffInfo ApiSimOnAndOffInfoPost (string key, string simNum);
  
        /// <summary>
        /// Sim卡号查当前卡开关机的信息 每个联盟成员的用户只能查自己的sim卡（从Sim卡管理平台数据上进行校验）。客户企业用户不能执行。系统管理员不受鉴权限制。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="simNum">所查询的卡的卡号</param>
        /// <returns>OnAndOffInfo</returns>
        System.Threading.Tasks.Task<OnAndOffInfo> ApiSimOnAndOffInfoPostAsync (string key, string simNum);
        
        /// <summary>
        /// Sim卡号查当前卡账户状态/余额/ICCID/IMSI的信息 每个联盟成员的用户只能查自己的sim卡（从Sim卡管理平台数据上进行校验）。客户企业用户不能执行。系统管理员不受鉴权限制。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="simNum">所查询的卡的卡号</param>
        /// <returns>SimStatusInfoPack</returns>
        SimStatusInfoPack ApiSimStatusInfoPackPost (string key, string simNum);
  
        /// <summary>
        /// Sim卡号查当前卡账户状态/余额/ICCID/IMSI的信息 每个联盟成员的用户只能查自己的sim卡（从Sim卡管理平台数据上进行校验）。客户企业用户不能执行。系统管理员不受鉴权限制。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="simNum">所查询的卡的卡号</param>
        /// <returns>SimStatusInfoPack</returns>
        System.Threading.Tasks.Task<SimStatusInfoPack> ApiSimStatusInfoPackPostAsync (string key, string simNum);
        
        /// <summary>
        /// 用于测试目的，没有任何实际业务用途 用于测试目的，没有任何实际业务用途
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="para1">参数1</param>
        /// <param name="para2">参数2</param>
        /// <returns>ApiError</returns>
        ApiError ApiTestPost (string key, string para1, string para2);
  
        /// <summary>
        /// 用于测试目的，没有任何实际业务用途 用于测试目的，没有任何实际业务用途
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="para1">参数1</param>
        /// <param name="para2">参数2</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiTestPostAsync (string key, string para1, string para2);
        
        /// <summary>
        /// 添加维护记录的时候，上传照片 如果没有此位置的照片，就新增；如果已经有了，就覆盖
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="photoStr">照片字节数组的Base64编码结果。</param>
        /// <param name="vehicleId">车辆的Id。</param>
        /// <param name="photoType">照片类别Id。 In Excel</param>
        /// <param name="position">照片在本类别中的位置（1， 2，3）</param>
        /// <returns>ApiError</returns>
        ApiError ApiUpdateWorkPhotoPost (string key, string photoStr, string vehicleId, int? photoType, int? position);
  
        /// <summary>
        /// 添加维护记录的时候，上传照片 如果没有此位置的照片，就新增；如果已经有了，就覆盖
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="photoStr">照片字节数组的Base64编码结果。</param>
        /// <param name="vehicleId">车辆的Id。</param>
        /// <param name="photoType">照片类别Id。 In Excel</param>
        /// <param name="position">照片在本类别中的位置（1， 2，3）</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiUpdateWorkPhotoPostAsync (string key, string photoStr, string vehicleId, int? photoType, int? position);
        
        /// <summary>
        /// 更新/上传企业车辆的照片。联盟成员的管理员、客服，客户企业用户可以操作。 新添加、更新车辆照片
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="vehicleId">车辆的ID。</param>
        /// <param name="photo">照片字节数组的Base64编码结果。</param>
        /// <returns>ApiError</returns>
        ApiError ApiUploadVehiclePhotoPost (string key, string vehicleId, string photo);
  
        /// <summary>
        /// 更新/上传企业车辆的照片。联盟成员的管理员、客服，客户企业用户可以操作。 新添加、更新车辆照片
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="vehicleId">车辆的ID。</param>
        /// <param name="photo">照片字节数组的Base64编码结果。</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiUploadVehiclePhotoPostAsync (string key, string vehicleId, string photo);
        
        /// <summary>
        /// 更新个人头像 新添加、更新头像
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="avatar">照片字节数组的Base64编码结果。</param>
        /// <returns>NumberResp</returns>
        NumberResp ApiUploadavatarPost (string key, string avatar);
  
        /// <summary>
        /// 更新个人头像 新添加、更新头像
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="avatar">照片字节数组的Base64编码结果。</param>
        /// <returns>NumberResp</returns>
        System.Threading.Tasks.Task<NumberResp> ApiUploadavatarPostAsync (string key, string avatar);
        
        /// <summary>
        /// 查询车辆详细信息 根据车辆Id查询车辆信息
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="vehicleId">车辆Id</param>
        /// <returns>VehicleInCompany</returns>
        VehicleInCompany ApiVehicleInCompanyPost (string key, string vehicleId);
  
        /// <summary>
        /// 查询车辆详细信息 根据车辆Id查询车辆信息
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="vehicleId">车辆Id</param>
        /// <returns>VehicleInCompany</returns>
        System.Threading.Tasks.Task<VehicleInCompany> ApiVehicleInCompanyPostAsync (string key, string vehicleId);
        
        /// <summary>
        /// 查询车辆列表 考虑到企业的车辆可能非常多，必须携带查询条件
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="type">车辆类别，如果是全部类别，请赋值为-1</param>
        /// <param name="startIndex">起始位置（第1个的起始位置为0）</param>
        /// <param name="maxNum">最多要的结果数量。</param>
        /// <param name="companyId">车辆所属的客户企业ID。 如果是企业客户的用户登录，这个ID随便写什么都可以，服务端忽略它。</param>
        /// <param name="keyword">车辆的关键字（车牌、设备编号、sim卡。），如‘280’。可以空。</param>
        /// <returns>BriefVehicleList</returns>
        BriefVehicleList ApiVehicleListPost (string key, int? type, int? startIndex, int? maxNum, string companyId, string keyword);
  
        /// <summary>
        /// 查询车辆列表 考虑到企业的车辆可能非常多，必须携带查询条件
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="type">车辆类别，如果是全部类别，请赋值为-1</param>
        /// <param name="startIndex">起始位置（第1个的起始位置为0）</param>
        /// <param name="maxNum">最多要的结果数量。</param>
        /// <param name="companyId">车辆所属的客户企业ID。 如果是企业客户的用户登录，这个ID随便写什么都可以，服务端忽略它。</param>
        /// <param name="keyword">车辆的关键字（车牌、设备编号、sim卡。），如‘280’。可以空。</param>
        /// <returns>BriefVehicleList</returns>
        System.Threading.Tasks.Task<BriefVehicleList> ApiVehicleListPostAsync (string key, int? type, int? startIndex, int? maxNum, string companyId, string keyword);
        
        /// <summary>
        /// 返回所有常见车辆类别。用于APP端选项。 常见车辆类别的列表
        /// </summary>
        /// <returns>IntKVPairResp</returns>
        IntKVPairResp ApiVehicleTypeListGet ();
  
        /// <summary>
        /// 返回所有常见车辆类别。用于APP端选项。 常见车辆类别的列表
        /// </summary>
        /// <returns>IntKVPairResp</returns>
        System.Threading.Tasks.Task<IntKVPairResp> ApiVehicleTypeListGetAsync ();
        
        /// <summary>
        /// 检查APP端接口版本的有效性 当用户的APP启动、从后台激活到前台，APP端都应该主动调用本接口，从而校验服务器是否可以对这个APP版本继续提供服务。如果得到的结果是-1，必须禁止用户继续使用该版本。
        /// </summary>
        /// <param name="apiVersion">API接口的版本，如\&quot;1.0.0\&quot;。</param>
        /// <param name="device">客户端设备类型。InExcel</param>
        /// <returns>ApiError</returns>
        ApiError ApiVersionCheckPost (string apiVersion, int? device);
  
        /// <summary>
        /// 检查APP端接口版本的有效性 当用户的APP启动、从后台激活到前台，APP端都应该主动调用本接口，从而校验服务器是否可以对这个APP版本继续提供服务。如果得到的结果是-1，必须禁止用户继续使用该版本。
        /// </summary>
        /// <param name="apiVersion">API接口的版本，如\&quot;1.0.0\&quot;。</param>
        /// <param name="device">客户端设备类型。InExcel</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiVersionCheckPostAsync (string apiVersion, int? device);
        
        /// <summary>
        /// 给低版本的APP推送一条消息 只有系统管理员才可以执行。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="minimumVersion">最低版本。低于这个版本的用户，接收通知。</param>
        /// <returns>ApiError</returns>
        ApiError ApiVersionUpdateNotifyPost (string key, string minimumVersion);
  
        /// <summary>
        /// 给低版本的APP推送一条消息 只有系统管理员才可以执行。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="minimumVersion">最低版本。低于这个版本的用户，接收通知。</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiVersionUpdateNotifyPostAsync (string key, string minimumVersion);
        
        /// <summary>
        /// 查看客户企业的所有维修地点 企业客户看自己的。联盟成员用户，看自己客户的。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="companyId">客户企业的用户，查看自己的企业信息时，可以为空(null，不能为\&quot;\&quot;)</param>
        /// <returns>WorkAddrList</returns>
        WorkAddrList ApiWorkAddrListPost (string key, string companyId);
  
        /// <summary>
        /// 查看客户企业的所有维修地点 企业客户看自己的。联盟成员用户，看自己客户的。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="companyId">客户企业的用户，查看自己的企业信息时，可以为空(null，不能为\&quot;\&quot;)</param>
        /// <returns>WorkAddrList</returns>
        System.Threading.Tasks.Task<WorkAddrList> ApiWorkAddrListPostAsync (string key, string companyId);
        
        /// <summary>
        /// 查询某车辆的照片 按照照片Id查询。
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="photoId">照片的Id。</param>
        /// <returns>WorkPhoto</returns>
        WorkPhoto ApiWorkPhotoByIdPost (string key, string photoId);
  
        /// <summary>
        /// 查询某车辆的照片 按照照片Id查询。
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="photoId">照片的Id。</param>
        /// <returns>WorkPhoto</returns>
        System.Threading.Tasks.Task<WorkPhoto> ApiWorkPhotoByIdPostAsync (string key, string photoId);
        
        /// <summary>
        /// 工程师到达 工程师到达。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">工程师处理的订单ID</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>ApiError</returns>
        ApiError ApiWorkerArrivePost (string key, string orderId, float? userLat, float? userLon);
  
        /// <summary>
        /// 工程师到达 工程师到达。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">工程师处理的订单ID</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiWorkerArrivePostAsync (string key, string orderId, float? userLat, float? userLon);
        
        /// <summary>
        /// 工程师出发 工程师出发。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">工程师处理的订单ID</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>ApiError</returns>
        ApiError ApiWorkerDeparturePost (string key, string orderId, float? userLat, float? userLon);
  
        /// <summary>
        /// 工程师出发 工程师出发。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">工程师处理的订单ID</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiWorkerDeparturePostAsync (string key, string orderId, float? userLat, float? userLon);
        
        /// <summary>
        /// 工程师开始工作 工程师开始工作。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">工程师处理的订单ID</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>ApiError</returns>
        ApiError ApiWorkerWorkBeginPost (string key, string orderId, float? userLat, float? userLon);
  
        /// <summary>
        /// 工程师开始工作 工程师开始工作。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">工程师处理的订单ID</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiWorkerWorkBeginPostAsync (string key, string orderId, float? userLat, float? userLon);
        
        /// <summary>
        /// 工程师完成工作 工程师完成工作。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">工程师处理的订单ID</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>ApiError</returns>
        ApiError ApiWorkerWorkFinishPost (string key, string orderId, float? userLat, float? userLon);
  
        /// <summary>
        /// 工程师完成工作 工程师完成工作。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">工程师处理的订单ID</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>ApiError</returns>
        System.Threading.Tasks.Task<ApiError> ApiWorkerWorkFinishPostAsync (string key, string orderId, float? userLat, float? userLon);
        
        /// <summary>
        /// 订单工程师列表 针对/html/workers呈现的WEB页面，给予json格式返回的格式
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="orderId">订单ID</param>
        /// <returns>List<Worker></returns>
        List<Worker> ApiWorkersPost (string key, string orderId);
  
        /// <summary>
        /// 订单工程师列表 针对/html/workers呈现的WEB页面，给予json格式返回的格式
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="orderId">订单ID</param>
        /// <returns>List<Worker></returns>
        System.Threading.Tasks.Task<List<Worker>> ApiWorkersPostAsync (string key, string orderId);
        
        /// <summary>
        /// 查询我的企业内的全部工程师 全部工程师列表，Id为Key， RealName为Value
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <returns>StrKVPairResp</returns>
        StrKVPairResp ApiWorkersInCompanyPost (string key);
  
        /// <summary>
        /// 查询我的企业内的全部工程师 全部工程师列表，Id为Key， RealName为Value
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <returns>StrKVPairResp</returns>
        System.Threading.Tasks.Task<StrKVPairResp> ApiWorkersInCompanyPostAsync (string key);
        
    }
  
    /// <summary>
    /// Represents a collection of functions to interact with the API endpoints
    /// </summary>
    public class DefaultApi : IDefaultApi
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="DefaultApi"/> class.
        /// </summary>
        /// <param name="apiClient"> an instance of ApiClient (optional)</param>
        /// <returns></returns>
        public DefaultApi(ApiClient apiClient = null)
        {
            if (apiClient == null) // use the default one in Configuration
                this.ApiClient = Configuration.DefaultApiClient; 
            else
                this.ApiClient = apiClient;
        }
    
        /// <summary>
        /// Initializes a new instance of the <see cref="DefaultApi"/> class.
        /// </summary>
        /// <returns></returns>
        public DefaultApi(String basePath)
        {
            this.ApiClient = new ApiClient(basePath);
        }
    
        /// <summary>
        /// Sets the base path of the API client.
        /// </summary>
        /// <param name="basePath">The base path</param>
        /// <value>The base path</value>
        public void SetBasePath(String basePath)
        {
            this.ApiClient.BasePath = basePath;
        }
    
        /// <summary>
        /// Gets the base path of the API client.
        /// </summary>
        /// <value>The base path</value>
        public String GetBasePath()
        {
            return this.ApiClient.BasePath;
        }
    
        /// <summary>
        /// Gets or sets the API client.
        /// </summary>
        /// <value>An instance of the ApiClient</param>
        public ApiClient ApiClient {get; set;}
    
        
        /// <summary>
        /// 获取用户帐户信息 读取当前登录的用户的账户信息
        /// </summary>
        /// <param name="key">登录key</param> 
        /// <returns>AccountInfo</returns>            
        public AccountInfo ApiAccountinfoPost (string key)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiAccountinfoPost");
            
    
            var path = "/api/accountinfo";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiAccountinfoPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiAccountinfoPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (AccountInfo) ApiClient.Deserialize(response.Content, typeof(AccountInfo), response.Headers);
        }
    
        /// <summary>
        /// 获取用户帐户信息 读取当前登录的用户的账户信息
        /// </summary>
        /// <param name="key">登录key</param>
        /// <returns>AccountInfo</returns>
        public async System.Threading.Tasks.Task<AccountInfo> ApiAccountinfoPostAsync (string key)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiAccountinfoPost");
            
    
            var path = "/api/accountinfo";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiAccountinfoPost: " + response.Content, response.Content);

            return (AccountInfo) ApiClient.Deserialize(response.Content, typeof(AccountInfo), response.Headers);
        }
        
        /// <summary>
        /// 添加客户企业。 必须是联盟企业的管理员，客服不可以
        /// </summary>
        /// <param name="key">登录key</param> 
        /// <param name="companyName">企业全称（小于等于20个汉字）</param> 
        /// <param name="companySimpleName">企业的简称（小于等于4个汉字）。</param> 
        /// <param name="userPhone">用户的手机号（必须是11位手机号）。</param> 
        /// <param name="userRealName">用户的真实姓名。 （最多6个汉字）</param> 
        /// <param name="userPassword">用户的登录密码（6-12位）。如果为空，则默认123456</param> 
        /// <param name="userSocialId">用户的身份证号码。 （18位，只能包含数字和X。服务器端将进行身份证号码规则检查，并自动对用户的生日、性别进行赋值。）</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiAddClientCompanyPost (string key, string companyName, string companySimpleName, string userPhone, string userRealName, string userPassword, string userSocialId)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiAddClientCompanyPost");
            
            // verify the required parameter 'companyName' is set
            if (companyName == null) throw new ApiException(400, "Missing required parameter 'companyName' when calling ApiAddClientCompanyPost");
            
            // verify the required parameter 'companySimpleName' is set
            if (companySimpleName == null) throw new ApiException(400, "Missing required parameter 'companySimpleName' when calling ApiAddClientCompanyPost");
            
            // verify the required parameter 'userPhone' is set
            if (userPhone == null) throw new ApiException(400, "Missing required parameter 'userPhone' when calling ApiAddClientCompanyPost");
            
            // verify the required parameter 'userRealName' is set
            if (userRealName == null) throw new ApiException(400, "Missing required parameter 'userRealName' when calling ApiAddClientCompanyPost");
            
    
            var path = "/api/addClientCompany";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (companyName != null) formParams.Add("companyName", ApiClient.ParameterToString(companyName)); // form parameter
            if (companySimpleName != null) formParams.Add("companySimpleName", ApiClient.ParameterToString(companySimpleName)); // form parameter
            if (userPhone != null) formParams.Add("userPhone", ApiClient.ParameterToString(userPhone)); // form parameter
            if (userPassword != null) formParams.Add("userPassword", ApiClient.ParameterToString(userPassword)); // form parameter
            if (userSocialId != null) formParams.Add("userSocialId", ApiClient.ParameterToString(userSocialId)); // form parameter
            if (userRealName != null) formParams.Add("userRealName", ApiClient.ParameterToString(userRealName)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiAddClientCompanyPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiAddClientCompanyPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 添加客户企业。 必须是联盟企业的管理员，客服不可以
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="companyName">企业全称（小于等于20个汉字）</param>
        /// <param name="companySimpleName">企业的简称（小于等于4个汉字）。</param>
        /// <param name="userPhone">用户的手机号（必须是11位手机号）。</param>
        /// <param name="userRealName">用户的真实姓名。 （最多6个汉字）</param>
        /// <param name="userPassword">用户的登录密码（6-12位）。如果为空，则默认123456</param>
        /// <param name="userSocialId">用户的身份证号码。 （18位，只能包含数字和X。服务器端将进行身份证号码规则检查，并自动对用户的生日、性别进行赋值。）</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiAddClientCompanyPostAsync (string key, string companyName, string companySimpleName, string userPhone, string userRealName, string userPassword, string userSocialId)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiAddClientCompanyPost");
            // verify the required parameter 'companyName' is set
            if (companyName == null) throw new ApiException(400, "Missing required parameter 'companyName' when calling ApiAddClientCompanyPost");
            // verify the required parameter 'companySimpleName' is set
            if (companySimpleName == null) throw new ApiException(400, "Missing required parameter 'companySimpleName' when calling ApiAddClientCompanyPost");
            // verify the required parameter 'userPhone' is set
            if (userPhone == null) throw new ApiException(400, "Missing required parameter 'userPhone' when calling ApiAddClientCompanyPost");
            // verify the required parameter 'userRealName' is set
            if (userRealName == null) throw new ApiException(400, "Missing required parameter 'userRealName' when calling ApiAddClientCompanyPost");
            
    
            var path = "/api/addClientCompany";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (companyName != null) formParams.Add("companyName", ApiClient.ParameterToString(companyName)); // form parameter
            if (companySimpleName != null) formParams.Add("companySimpleName", ApiClient.ParameterToString(companySimpleName)); // form parameter
            if (userPhone != null) formParams.Add("userPhone", ApiClient.ParameterToString(userPhone)); // form parameter
            if (userPassword != null) formParams.Add("userPassword", ApiClient.ParameterToString(userPassword)); // form parameter
            if (userSocialId != null) formParams.Add("userSocialId", ApiClient.ParameterToString(userSocialId)); // form parameter
            if (userRealName != null) formParams.Add("userRealName", ApiClient.ParameterToString(userRealName)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiAddClientCompanyPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 添加企业车辆（不是公务车） 联盟企业管理员、客服、客户企业用户可以执行。
        /// </summary>
        /// <param name="key">登录的key</param> 
        /// <param name="plateNum">车牌照。至少5个字符，最多8个字符（汉字、字母、数字、空格）</param> 
        /// <param name="companyId">客户企业的Id。如果登录的key是企业用户，这个字段是可以为空的，服务器端自动根据登录用户身份为该字段赋值。</param> 
        /// <param name="alias">车辆别名。如果不填写，自动以车牌照为别名。至少5个字符，最多8个字符（汉字、字母、数字、空格）</param> 
        /// <param name="type">车辆类型。不提供的话，默认为“其他”</param> 
        /// <param name="deviceType">车机类型, 最多20字符</param> 
        /// <param name="deviceSn">车机上面的设备编号。最多30字符</param> 
        /// <param name="sim">SIM卡号(11-13位，数字)</param> 
        /// <param name="peripheral">外围设备Id。多个ID以英文逗号分隔</param> 
        /// <param name="ownerPhone">车主电话（6-20个字符，数字、空格、-）</param> 
        /// <param name="driverPhone">司机电话（6-20个字符，数字、空格、-）</param> 
        /// <param name="memo">备注（最多20个字符）</param> 
        /// <param name="photoBytes">车辆照片Base64编码字节流</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiAddCompanyVehiclePost (string key, string plateNum, string companyId, string alias, int? type, string deviceType, string deviceSn, string sim, string peripheral, string ownerPhone, string driverPhone, string memo, string photoBytes)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiAddCompanyVehiclePost");
            
            // verify the required parameter 'plateNum' is set
            if (plateNum == null) throw new ApiException(400, "Missing required parameter 'plateNum' when calling ApiAddCompanyVehiclePost");
            
    
            var path = "/api/addCompanyVehicle";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (companyId != null) formParams.Add("companyId", ApiClient.ParameterToString(companyId)); // form parameter
            if (plateNum != null) formParams.Add("plateNum", ApiClient.ParameterToString(plateNum)); // form parameter
            if (alias != null) formParams.Add("alias", ApiClient.ParameterToString(alias)); // form parameter
            if (type != null) formParams.Add("type", ApiClient.ParameterToString(type)); // form parameter
            if (deviceType != null) formParams.Add("deviceType", ApiClient.ParameterToString(deviceType)); // form parameter
            if (deviceSn != null) formParams.Add("deviceSn", ApiClient.ParameterToString(deviceSn)); // form parameter
            if (sim != null) formParams.Add("sim", ApiClient.ParameterToString(sim)); // form parameter
            if (peripheral != null) formParams.Add("peripheral", ApiClient.ParameterToString(peripheral)); // form parameter
            if (ownerPhone != null) formParams.Add("ownerPhone", ApiClient.ParameterToString(ownerPhone)); // form parameter
            if (driverPhone != null) formParams.Add("driverPhone", ApiClient.ParameterToString(driverPhone)); // form parameter
            if (memo != null) formParams.Add("memo", ApiClient.ParameterToString(memo)); // form parameter
            if (photoBytes != null) formParams.Add("photoBytes", ApiClient.ParameterToString(photoBytes)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiAddCompanyVehiclePost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiAddCompanyVehiclePost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 添加企业车辆（不是公务车） 联盟企业管理员、客服、客户企业用户可以执行。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="plateNum">车牌照。至少5个字符，最多8个字符（汉字、字母、数字、空格）</param>
        /// <param name="companyId">客户企业的Id。如果登录的key是企业用户，这个字段是可以为空的，服务器端自动根据登录用户身份为该字段赋值。</param>
        /// <param name="alias">车辆别名。如果不填写，自动以车牌照为别名。至少5个字符，最多8个字符（汉字、字母、数字、空格）</param>
        /// <param name="type">车辆类型。不提供的话，默认为“其他”</param>
        /// <param name="deviceType">车机类型, 最多20字符</param>
        /// <param name="deviceSn">车机上面的设备编号。最多30字符</param>
        /// <param name="sim">SIM卡号(11-13位，数字)</param>
        /// <param name="peripheral">外围设备Id。多个ID以英文逗号分隔</param>
        /// <param name="ownerPhone">车主电话（6-20个字符，数字、空格、-）</param>
        /// <param name="driverPhone">司机电话（6-20个字符，数字、空格、-）</param>
        /// <param name="memo">备注（最多20个字符）</param>
        /// <param name="photoBytes">车辆照片Base64编码字节流</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiAddCompanyVehiclePostAsync (string key, string plateNum, string companyId, string alias, int? type, string deviceType, string deviceSn, string sim, string peripheral, string ownerPhone, string driverPhone, string memo, string photoBytes)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiAddCompanyVehiclePost");
            // verify the required parameter 'plateNum' is set
            if (plateNum == null) throw new ApiException(400, "Missing required parameter 'plateNum' when calling ApiAddCompanyVehiclePost");
            
    
            var path = "/api/addCompanyVehicle";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (companyId != null) formParams.Add("companyId", ApiClient.ParameterToString(companyId)); // form parameter
            if (plateNum != null) formParams.Add("plateNum", ApiClient.ParameterToString(plateNum)); // form parameter
            if (alias != null) formParams.Add("alias", ApiClient.ParameterToString(alias)); // form parameter
            if (type != null) formParams.Add("type", ApiClient.ParameterToString(type)); // form parameter
            if (deviceType != null) formParams.Add("deviceType", ApiClient.ParameterToString(deviceType)); // form parameter
            if (deviceSn != null) formParams.Add("deviceSn", ApiClient.ParameterToString(deviceSn)); // form parameter
            if (sim != null) formParams.Add("sim", ApiClient.ParameterToString(sim)); // form parameter
            if (peripheral != null) formParams.Add("peripheral", ApiClient.ParameterToString(peripheral)); // form parameter
            if (ownerPhone != null) formParams.Add("ownerPhone", ApiClient.ParameterToString(ownerPhone)); // form parameter
            if (driverPhone != null) formParams.Add("driverPhone", ApiClient.ParameterToString(driverPhone)); // form parameter
            if (memo != null) formParams.Add("memo", ApiClient.ParameterToString(memo)); // form parameter
            if (photoBytes != null) formParams.Add("photoBytes", ApiClient.ParameterToString(photoBytes)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiAddCompanyVehiclePost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 添加车机设备的品牌 仅限于系统管理员
        /// </summary>
        /// <param name="key">登录的key</param> 
        /// <param name="brandName">车机品牌的名称。限10个字符</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiAddDeviceBrandPost (string key, string brandName)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiAddDeviceBrandPost");
            
            // verify the required parameter 'brandName' is set
            if (brandName == null) throw new ApiException(400, "Missing required parameter 'brandName' when calling ApiAddDeviceBrandPost");
            
    
            var path = "/api/addDeviceBrand";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (brandName != null) formParams.Add("brandName", ApiClient.ParameterToString(brandName)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiAddDeviceBrandPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiAddDeviceBrandPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 添加车机设备的品牌 仅限于系统管理员
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="brandName">车机品牌的名称。限10个字符</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiAddDeviceBrandPostAsync (string key, string brandName)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiAddDeviceBrandPost");
            // verify the required parameter 'brandName' is set
            if (brandName == null) throw new ApiException(400, "Missing required parameter 'brandName' when calling ApiAddDeviceBrandPost");
            
    
            var path = "/api/addDeviceBrand";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (brandName != null) formParams.Add("brandName", ApiClient.ParameterToString(brandName)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiAddDeviceBrandPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 添加车机设备的型号 仅限于系统管理员
        /// </summary>
        /// <param name="key">登录的key</param> 
        /// <param name="brandId">所属的品牌Id</param> 
        /// <param name="modelName">型号。限15个字符</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiAddDeviceModelPost (string key, string brandId, string modelName)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiAddDeviceModelPost");
            
            // verify the required parameter 'brandId' is set
            if (brandId == null) throw new ApiException(400, "Missing required parameter 'brandId' when calling ApiAddDeviceModelPost");
            
            // verify the required parameter 'modelName' is set
            if (modelName == null) throw new ApiException(400, "Missing required parameter 'modelName' when calling ApiAddDeviceModelPost");
            
    
            var path = "/api/addDeviceModel";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (brandId != null) formParams.Add("brandId", ApiClient.ParameterToString(brandId)); // form parameter
            if (modelName != null) formParams.Add("modelName", ApiClient.ParameterToString(modelName)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiAddDeviceModelPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiAddDeviceModelPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 添加车机设备的型号 仅限于系统管理员
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="brandId">所属的品牌Id</param>
        /// <param name="modelName">型号。限15个字符</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiAddDeviceModelPostAsync (string key, string brandId, string modelName)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiAddDeviceModelPost");
            // verify the required parameter 'brandId' is set
            if (brandId == null) throw new ApiException(400, "Missing required parameter 'brandId' when calling ApiAddDeviceModelPost");
            // verify the required parameter 'modelName' is set
            if (modelName == null) throw new ApiException(400, "Missing required parameter 'modelName' when calling ApiAddDeviceModelPost");
            
    
            var path = "/api/addDeviceModel";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (brandId != null) formParams.Add("brandId", ApiClient.ParameterToString(brandId)); // form parameter
            if (modelName != null) formParams.Add("modelName", ApiClient.ParameterToString(modelName)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiAddDeviceModelPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 照片评论提交 提交自己的评论
        /// </summary>
        /// <param name="key">登录key</param> 
        /// <param name="photoId">照片id</param> 
        /// <param name="comment">评论内容，应限定少于20字。</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiAddPhotoCommentPost (string key, string photoId, string comment)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiAddPhotoCommentPost");
            
            // verify the required parameter 'photoId' is set
            if (photoId == null) throw new ApiException(400, "Missing required parameter 'photoId' when calling ApiAddPhotoCommentPost");
            
            // verify the required parameter 'comment' is set
            if (comment == null) throw new ApiException(400, "Missing required parameter 'comment' when calling ApiAddPhotoCommentPost");
            
    
            var path = "/api/addPhotoComment";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (photoId != null) formParams.Add("photoId", ApiClient.ParameterToString(photoId)); // form parameter
            if (comment != null) formParams.Add("comment", ApiClient.ParameterToString(comment)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiAddPhotoCommentPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiAddPhotoCommentPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 照片评论提交 提交自己的评论
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="photoId">照片id</param>
        /// <param name="comment">评论内容，应限定少于20字。</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiAddPhotoCommentPostAsync (string key, string photoId, string comment)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiAddPhotoCommentPost");
            // verify the required parameter 'photoId' is set
            if (photoId == null) throw new ApiException(400, "Missing required parameter 'photoId' when calling ApiAddPhotoCommentPost");
            // verify the required parameter 'comment' is set
            if (comment == null) throw new ApiException(400, "Missing required parameter 'comment' when calling ApiAddPhotoCommentPost");
            
    
            var path = "/api/addPhotoComment";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (photoId != null) formParams.Add("photoId", ApiClient.ParameterToString(photoId)); // form parameter
            if (comment != null) formParams.Add("comment", ApiClient.ParameterToString(comment)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiAddPhotoCommentPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 添加一个联盟成员企业的基本信息 只允许系统管理员用户添加。
        /// </summary>
        /// <param name="key">登录Key</param> 
        /// <param name="adminName">管理员姓名</param> 
        /// <param name="adminSocialId">管理员身份证号</param> 
        /// <param name="adminPhone">管理员手机号</param> 
        /// <param name="companyName">公司全称</param> 
        /// <param name="companySimple">公司简称</param> 
        /// <param name="memberId">成员编号</param> 
        /// <param name="branchId">分公司编号</param> 
        /// <param name="servicePhone">服务电话</param> 
        /// <param name="spCode">短信主叫号</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiAddServiceCompanyPost (string key, string adminName, string adminSocialId, string adminPhone, string companyName, string companySimple, int? memberId, int? branchId, string servicePhone, string spCode)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiAddServiceCompanyPost");
            
            // verify the required parameter 'adminName' is set
            if (adminName == null) throw new ApiException(400, "Missing required parameter 'adminName' when calling ApiAddServiceCompanyPost");
            
            // verify the required parameter 'adminSocialId' is set
            if (adminSocialId == null) throw new ApiException(400, "Missing required parameter 'adminSocialId' when calling ApiAddServiceCompanyPost");
            
            // verify the required parameter 'adminPhone' is set
            if (adminPhone == null) throw new ApiException(400, "Missing required parameter 'adminPhone' when calling ApiAddServiceCompanyPost");
            
            // verify the required parameter 'companyName' is set
            if (companyName == null) throw new ApiException(400, "Missing required parameter 'companyName' when calling ApiAddServiceCompanyPost");
            
            // verify the required parameter 'companySimple' is set
            if (companySimple == null) throw new ApiException(400, "Missing required parameter 'companySimple' when calling ApiAddServiceCompanyPost");
            
            // verify the required parameter 'memberId' is set
            if (memberId == null) throw new ApiException(400, "Missing required parameter 'memberId' when calling ApiAddServiceCompanyPost");
            
            // verify the required parameter 'branchId' is set
            if (branchId == null) throw new ApiException(400, "Missing required parameter 'branchId' when calling ApiAddServiceCompanyPost");
            
            // verify the required parameter 'servicePhone' is set
            if (servicePhone == null) throw new ApiException(400, "Missing required parameter 'servicePhone' when calling ApiAddServiceCompanyPost");
            
            // verify the required parameter 'spCode' is set
            if (spCode == null) throw new ApiException(400, "Missing required parameter 'spCode' when calling ApiAddServiceCompanyPost");
            
    
            var path = "/api/addServiceCompany";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (adminName != null) formParams.Add("adminName", ApiClient.ParameterToString(adminName)); // form parameter
            if (adminSocialId != null) formParams.Add("adminSocialId", ApiClient.ParameterToString(adminSocialId)); // form parameter
            if (adminPhone != null) formParams.Add("adminPhone", ApiClient.ParameterToString(adminPhone)); // form parameter
            if (companyName != null) formParams.Add("companyName", ApiClient.ParameterToString(companyName)); // form parameter
            if (companySimple != null) formParams.Add("companySimple", ApiClient.ParameterToString(companySimple)); // form parameter
            if (memberId != null) formParams.Add("memberId", ApiClient.ParameterToString(memberId)); // form parameter
            if (branchId != null) formParams.Add("branchId", ApiClient.ParameterToString(branchId)); // form parameter
            if (servicePhone != null) formParams.Add("servicePhone", ApiClient.ParameterToString(servicePhone)); // form parameter
            if (spCode != null) formParams.Add("spCode", ApiClient.ParameterToString(spCode)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiAddServiceCompanyPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiAddServiceCompanyPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 添加一个联盟成员企业的基本信息 只允许系统管理员用户添加。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="adminName">管理员姓名</param>
        /// <param name="adminSocialId">管理员身份证号</param>
        /// <param name="adminPhone">管理员手机号</param>
        /// <param name="companyName">公司全称</param>
        /// <param name="companySimple">公司简称</param>
        /// <param name="memberId">成员编号</param>
        /// <param name="branchId">分公司编号</param>
        /// <param name="servicePhone">服务电话</param>
        /// <param name="spCode">短信主叫号</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiAddServiceCompanyPostAsync (string key, string adminName, string adminSocialId, string adminPhone, string companyName, string companySimple, int? memberId, int? branchId, string servicePhone, string spCode)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiAddServiceCompanyPost");
            // verify the required parameter 'adminName' is set
            if (adminName == null) throw new ApiException(400, "Missing required parameter 'adminName' when calling ApiAddServiceCompanyPost");
            // verify the required parameter 'adminSocialId' is set
            if (adminSocialId == null) throw new ApiException(400, "Missing required parameter 'adminSocialId' when calling ApiAddServiceCompanyPost");
            // verify the required parameter 'adminPhone' is set
            if (adminPhone == null) throw new ApiException(400, "Missing required parameter 'adminPhone' when calling ApiAddServiceCompanyPost");
            // verify the required parameter 'companyName' is set
            if (companyName == null) throw new ApiException(400, "Missing required parameter 'companyName' when calling ApiAddServiceCompanyPost");
            // verify the required parameter 'companySimple' is set
            if (companySimple == null) throw new ApiException(400, "Missing required parameter 'companySimple' when calling ApiAddServiceCompanyPost");
            // verify the required parameter 'memberId' is set
            if (memberId == null) throw new ApiException(400, "Missing required parameter 'memberId' when calling ApiAddServiceCompanyPost");
            // verify the required parameter 'branchId' is set
            if (branchId == null) throw new ApiException(400, "Missing required parameter 'branchId' when calling ApiAddServiceCompanyPost");
            // verify the required parameter 'servicePhone' is set
            if (servicePhone == null) throw new ApiException(400, "Missing required parameter 'servicePhone' when calling ApiAddServiceCompanyPost");
            // verify the required parameter 'spCode' is set
            if (spCode == null) throw new ApiException(400, "Missing required parameter 'spCode' when calling ApiAddServiceCompanyPost");
            
    
            var path = "/api/addServiceCompany";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (adminName != null) formParams.Add("adminName", ApiClient.ParameterToString(adminName)); // form parameter
            if (adminSocialId != null) formParams.Add("adminSocialId", ApiClient.ParameterToString(adminSocialId)); // form parameter
            if (adminPhone != null) formParams.Add("adminPhone", ApiClient.ParameterToString(adminPhone)); // form parameter
            if (companyName != null) formParams.Add("companyName", ApiClient.ParameterToString(companyName)); // form parameter
            if (companySimple != null) formParams.Add("companySimple", ApiClient.ParameterToString(companySimple)); // form parameter
            if (memberId != null) formParams.Add("memberId", ApiClient.ParameterToString(memberId)); // form parameter
            if (branchId != null) formParams.Add("branchId", ApiClient.ParameterToString(branchId)); // form parameter
            if (servicePhone != null) formParams.Add("servicePhone", ApiClient.ParameterToString(servicePhone)); // form parameter
            if (spCode != null) formParams.Add("spCode", ApiClient.ParameterToString(spCode)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiAddServiceCompanyPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 添加维修网点 只有联盟企业管理员可以执行。
        /// </summary>
        /// <param name="key">登录的key</param> 
        /// <param name="name">网点名称，最多5个汉字。企业内不可以重复</param> 
        /// <param name="address">网点地址，最多50个汉字</param> 
        /// <param name="contact">联系人，最多6个汉字</param> 
        /// <param name="phone">网点电话，最多13个字符</param> 
        /// <param name="lon">网点经度</param> 
        /// <param name="lat">网点纬度</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiAddServiceOfficePost (string key, string name, string address, string contact, string phone, float? lon, float? lat)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiAddServiceOfficePost");
            
            // verify the required parameter 'name' is set
            if (name == null) throw new ApiException(400, "Missing required parameter 'name' when calling ApiAddServiceOfficePost");
            
            // verify the required parameter 'address' is set
            if (address == null) throw new ApiException(400, "Missing required parameter 'address' when calling ApiAddServiceOfficePost");
            
            // verify the required parameter 'contact' is set
            if (contact == null) throw new ApiException(400, "Missing required parameter 'contact' when calling ApiAddServiceOfficePost");
            
            // verify the required parameter 'phone' is set
            if (phone == null) throw new ApiException(400, "Missing required parameter 'phone' when calling ApiAddServiceOfficePost");
            
            // verify the required parameter 'lon' is set
            if (lon == null) throw new ApiException(400, "Missing required parameter 'lon' when calling ApiAddServiceOfficePost");
            
            // verify the required parameter 'lat' is set
            if (lat == null) throw new ApiException(400, "Missing required parameter 'lat' when calling ApiAddServiceOfficePost");
            
    
            var path = "/api/addServiceOffice";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (name != null) formParams.Add("name", ApiClient.ParameterToString(name)); // form parameter
            if (address != null) formParams.Add("address", ApiClient.ParameterToString(address)); // form parameter
            if (contact != null) formParams.Add("contact", ApiClient.ParameterToString(contact)); // form parameter
            if (phone != null) formParams.Add("phone", ApiClient.ParameterToString(phone)); // form parameter
            if (lon != null) formParams.Add("lon", ApiClient.ParameterToString(lon)); // form parameter
            if (lat != null) formParams.Add("lat", ApiClient.ParameterToString(lat)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiAddServiceOfficePost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiAddServiceOfficePost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 添加维修网点 只有联盟企业管理员可以执行。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="name">网点名称，最多5个汉字。企业内不可以重复</param>
        /// <param name="address">网点地址，最多50个汉字</param>
        /// <param name="contact">联系人，最多6个汉字</param>
        /// <param name="phone">网点电话，最多13个字符</param>
        /// <param name="lon">网点经度</param>
        /// <param name="lat">网点纬度</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiAddServiceOfficePostAsync (string key, string name, string address, string contact, string phone, float? lon, float? lat)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiAddServiceOfficePost");
            // verify the required parameter 'name' is set
            if (name == null) throw new ApiException(400, "Missing required parameter 'name' when calling ApiAddServiceOfficePost");
            // verify the required parameter 'address' is set
            if (address == null) throw new ApiException(400, "Missing required parameter 'address' when calling ApiAddServiceOfficePost");
            // verify the required parameter 'contact' is set
            if (contact == null) throw new ApiException(400, "Missing required parameter 'contact' when calling ApiAddServiceOfficePost");
            // verify the required parameter 'phone' is set
            if (phone == null) throw new ApiException(400, "Missing required parameter 'phone' when calling ApiAddServiceOfficePost");
            // verify the required parameter 'lon' is set
            if (lon == null) throw new ApiException(400, "Missing required parameter 'lon' when calling ApiAddServiceOfficePost");
            // verify the required parameter 'lat' is set
            if (lat == null) throw new ApiException(400, "Missing required parameter 'lat' when calling ApiAddServiceOfficePost");
            
    
            var path = "/api/addServiceOffice";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (name != null) formParams.Add("name", ApiClient.ParameterToString(name)); // form parameter
            if (address != null) formParams.Add("address", ApiClient.ParameterToString(address)); // form parameter
            if (contact != null) formParams.Add("contact", ApiClient.ParameterToString(contact)); // form parameter
            if (phone != null) formParams.Add("phone", ApiClient.ParameterToString(phone)); // form parameter
            if (lon != null) formParams.Add("lon", ApiClient.ParameterToString(lon)); // form parameter
            if (lat != null) formParams.Add("lat", ApiClient.ParameterToString(lat)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiAddServiceOfficePost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 添加联盟企业的内部用户。 必须是联盟企业的管理员
        /// </summary>
        /// <param name="key">登录key</param> 
        /// <param name="userPhone">用户的手机号（必须是11位手机号）。</param> 
        /// <param name="userSocialId">用户的身份证号码。 （18位，只能包含数字和X。服务器端将进行身份证号码规则检查，并自动对用户的生日、性别进行赋值。）</param> 
        /// <param name="userRealName">用户的真实姓名。 （最多6个汉字）</param> 
        /// <param name="userRole">用户的角色。 只能是客服、工程师。 In Excel</param> 
        /// <param name="userPassword">用户的登录密码（6-12位）。</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiAddServiceUserPost (string key, string userPhone, string userSocialId, string userRealName, int? userRole, string userPassword)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiAddServiceUserPost");
            
            // verify the required parameter 'userPhone' is set
            if (userPhone == null) throw new ApiException(400, "Missing required parameter 'userPhone' when calling ApiAddServiceUserPost");
            
            // verify the required parameter 'userSocialId' is set
            if (userSocialId == null) throw new ApiException(400, "Missing required parameter 'userSocialId' when calling ApiAddServiceUserPost");
            
            // verify the required parameter 'userRealName' is set
            if (userRealName == null) throw new ApiException(400, "Missing required parameter 'userRealName' when calling ApiAddServiceUserPost");
            
            // verify the required parameter 'userRole' is set
            if (userRole == null) throw new ApiException(400, "Missing required parameter 'userRole' when calling ApiAddServiceUserPost");
            
    
            var path = "/api/addServiceUser";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (userPhone != null) formParams.Add("userPhone", ApiClient.ParameterToString(userPhone)); // form parameter
            if (userPassword != null) formParams.Add("userPassword", ApiClient.ParameterToString(userPassword)); // form parameter
            if (userSocialId != null) formParams.Add("userSocialId", ApiClient.ParameterToString(userSocialId)); // form parameter
            if (userRealName != null) formParams.Add("userRealName", ApiClient.ParameterToString(userRealName)); // form parameter
            if (userRole != null) formParams.Add("userRole", ApiClient.ParameterToString(userRole)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiAddServiceUserPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiAddServiceUserPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 添加联盟企业的内部用户。 必须是联盟企业的管理员
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="userPhone">用户的手机号（必须是11位手机号）。</param>
        /// <param name="userSocialId">用户的身份证号码。 （18位，只能包含数字和X。服务器端将进行身份证号码规则检查，并自动对用户的生日、性别进行赋值。）</param>
        /// <param name="userRealName">用户的真实姓名。 （最多6个汉字）</param>
        /// <param name="userRole">用户的角色。 只能是客服、工程师。 In Excel</param>
        /// <param name="userPassword">用户的登录密码（6-12位）。</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiAddServiceUserPostAsync (string key, string userPhone, string userSocialId, string userRealName, int? userRole, string userPassword)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiAddServiceUserPost");
            // verify the required parameter 'userPhone' is set
            if (userPhone == null) throw new ApiException(400, "Missing required parameter 'userPhone' when calling ApiAddServiceUserPost");
            // verify the required parameter 'userSocialId' is set
            if (userSocialId == null) throw new ApiException(400, "Missing required parameter 'userSocialId' when calling ApiAddServiceUserPost");
            // verify the required parameter 'userRealName' is set
            if (userRealName == null) throw new ApiException(400, "Missing required parameter 'userRealName' when calling ApiAddServiceUserPost");
            // verify the required parameter 'userRole' is set
            if (userRole == null) throw new ApiException(400, "Missing required parameter 'userRole' when calling ApiAddServiceUserPost");
            
    
            var path = "/api/addServiceUser";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (userPhone != null) formParams.Add("userPhone", ApiClient.ParameterToString(userPhone)); // form parameter
            if (userPassword != null) formParams.Add("userPassword", ApiClient.ParameterToString(userPassword)); // form parameter
            if (userSocialId != null) formParams.Add("userSocialId", ApiClient.ParameterToString(userSocialId)); // form parameter
            if (userRealName != null) formParams.Add("userRealName", ApiClient.ParameterToString(userRealName)); // form parameter
            if (userRole != null) formParams.Add("userRole", ApiClient.ParameterToString(userRole)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiAddServiceUserPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 添加公务车 只有联盟企业管理员、客服可以执行。
        /// </summary>
        /// <param name="key">登录的key</param> 
        /// <param name="plateNum">车牌照。至少5个字符，最多8个字符（汉字、字母、数字、空格）</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiAddServiceVehiclePost (string key, string plateNum)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiAddServiceVehiclePost");
            
            // verify the required parameter 'plateNum' is set
            if (plateNum == null) throw new ApiException(400, "Missing required parameter 'plateNum' when calling ApiAddServiceVehiclePost");
            
    
            var path = "/api/addServiceVehicle";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (plateNum != null) formParams.Add("plateNum", ApiClient.ParameterToString(plateNum)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiAddServiceVehiclePost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiAddServiceVehiclePost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 添加公务车 只有联盟企业管理员、客服可以执行。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="plateNum">车牌照。至少5个字符，最多8个字符（汉字、字母、数字、空格）</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiAddServiceVehiclePostAsync (string key, string plateNum)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiAddServiceVehiclePost");
            // verify the required parameter 'plateNum' is set
            if (plateNum == null) throw new ApiException(400, "Missing required parameter 'plateNum' when calling ApiAddServiceVehiclePost");
            
    
            var path = "/api/addServiceVehicle";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (plateNum != null) formParams.Add("plateNum", ApiClient.ParameterToString(plateNum)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiAddServiceVehiclePost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 添加车机设备的短信指令 仅限于系统管理员
        /// </summary>
        /// <param name="key">登录的key</param> 
        /// <param name="modelId">所属的设备的型号ID</param> 
        /// <param name="cmd">短信指令。限256个字符</param> 
        /// <param name="memo">短信描述。限100个字符</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiAddSmsCommandPost (string key, string modelId, string cmd, string memo)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiAddSmsCommandPost");
            
            // verify the required parameter 'modelId' is set
            if (modelId == null) throw new ApiException(400, "Missing required parameter 'modelId' when calling ApiAddSmsCommandPost");
            
            // verify the required parameter 'cmd' is set
            if (cmd == null) throw new ApiException(400, "Missing required parameter 'cmd' when calling ApiAddSmsCommandPost");
            
            // verify the required parameter 'memo' is set
            if (memo == null) throw new ApiException(400, "Missing required parameter 'memo' when calling ApiAddSmsCommandPost");
            
    
            var path = "/api/addSmsCommand";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (modelId != null) formParams.Add("modelId", ApiClient.ParameterToString(modelId)); // form parameter
            if (cmd != null) formParams.Add("cmd", ApiClient.ParameterToString(cmd)); // form parameter
            if (memo != null) formParams.Add("memo", ApiClient.ParameterToString(memo)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiAddSmsCommandPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiAddSmsCommandPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 添加车机设备的短信指令 仅限于系统管理员
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="modelId">所属的设备的型号ID</param>
        /// <param name="cmd">短信指令。限256个字符</param>
        /// <param name="memo">短信描述。限100个字符</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiAddSmsCommandPostAsync (string key, string modelId, string cmd, string memo)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiAddSmsCommandPost");
            // verify the required parameter 'modelId' is set
            if (modelId == null) throw new ApiException(400, "Missing required parameter 'modelId' when calling ApiAddSmsCommandPost");
            // verify the required parameter 'cmd' is set
            if (cmd == null) throw new ApiException(400, "Missing required parameter 'cmd' when calling ApiAddSmsCommandPost");
            // verify the required parameter 'memo' is set
            if (memo == null) throw new ApiException(400, "Missing required parameter 'memo' when calling ApiAddSmsCommandPost");
            
    
            var path = "/api/addSmsCommand";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (modelId != null) formParams.Add("modelId", ApiClient.ParameterToString(modelId)); // form parameter
            if (cmd != null) formParams.Add("cmd", ApiClient.ParameterToString(cmd)); // form parameter
            if (memo != null) formParams.Add("memo", ApiClient.ParameterToString(memo)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiAddSmsCommandPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 在订单内添加新车辆。(该车辆在订单结束前，不会进入客户的车辆列表，仅仅在订单内可见。) 仅限于安装订单，订单状态必须是“工作中”，必须是工程师添加。
        /// </summary>
        /// <param name="key">登录Key</param> 
        /// <param name="orderId">订单Id</param> 
        /// <param name="plateNum">车辆牌照</param> 
        /// <param name="type">车辆类型。不提供的话，默认为“其他”</param> 
        /// <param name="deviceType">车机类型</param> 
        /// <param name="deviceSn">车机上面的设备编号。</param> 
        /// <param name="sim">SIM卡号</param> 
        /// <param name="peripheral">外围设备Id。多个ID以英文逗号分隔</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiAddVehicleInOrderPost (string key, string orderId, string plateNum, int? type, string deviceType, string deviceSn, string sim, string peripheral)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiAddVehicleInOrderPost");
            
            // verify the required parameter 'orderId' is set
            if (orderId == null) throw new ApiException(400, "Missing required parameter 'orderId' when calling ApiAddVehicleInOrderPost");
            
            // verify the required parameter 'plateNum' is set
            if (plateNum == null) throw new ApiException(400, "Missing required parameter 'plateNum' when calling ApiAddVehicleInOrderPost");
            
    
            var path = "/api/addVehicleInOrder";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (orderId != null) formParams.Add("orderId", ApiClient.ParameterToString(orderId)); // form parameter
            if (plateNum != null) formParams.Add("plateNum", ApiClient.ParameterToString(plateNum)); // form parameter
            if (type != null) formParams.Add("type", ApiClient.ParameterToString(type)); // form parameter
            if (deviceType != null) formParams.Add("deviceType", ApiClient.ParameterToString(deviceType)); // form parameter
            if (deviceSn != null) formParams.Add("deviceSn", ApiClient.ParameterToString(deviceSn)); // form parameter
            if (sim != null) formParams.Add("sim", ApiClient.ParameterToString(sim)); // form parameter
            if (peripheral != null) formParams.Add("peripheral", ApiClient.ParameterToString(peripheral)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiAddVehicleInOrderPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiAddVehicleInOrderPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 在订单内添加新车辆。(该车辆在订单结束前，不会进入客户的车辆列表，仅仅在订单内可见。) 仅限于安装订单，订单状态必须是“工作中”，必须是工程师添加。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">订单Id</param>
        /// <param name="plateNum">车辆牌照</param>
        /// <param name="type">车辆类型。不提供的话，默认为“其他”</param>
        /// <param name="deviceType">车机类型</param>
        /// <param name="deviceSn">车机上面的设备编号。</param>
        /// <param name="sim">SIM卡号</param>
        /// <param name="peripheral">外围设备Id。多个ID以英文逗号分隔</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiAddVehicleInOrderPostAsync (string key, string orderId, string plateNum, int? type, string deviceType, string deviceSn, string sim, string peripheral)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiAddVehicleInOrderPost");
            // verify the required parameter 'orderId' is set
            if (orderId == null) throw new ApiException(400, "Missing required parameter 'orderId' when calling ApiAddVehicleInOrderPost");
            // verify the required parameter 'plateNum' is set
            if (plateNum == null) throw new ApiException(400, "Missing required parameter 'plateNum' when calling ApiAddVehicleInOrderPost");
            
    
            var path = "/api/addVehicleInOrder";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (orderId != null) formParams.Add("orderId", ApiClient.ParameterToString(orderId)); // form parameter
            if (plateNum != null) formParams.Add("plateNum", ApiClient.ParameterToString(plateNum)); // form parameter
            if (type != null) formParams.Add("type", ApiClient.ParameterToString(type)); // form parameter
            if (deviceType != null) formParams.Add("deviceType", ApiClient.ParameterToString(deviceType)); // form parameter
            if (deviceSn != null) formParams.Add("deviceSn", ApiClient.ParameterToString(deviceSn)); // form parameter
            if (sim != null) formParams.Add("sim", ApiClient.ParameterToString(sim)); // form parameter
            if (peripheral != null) formParams.Add("peripheral", ApiClient.ParameterToString(peripheral)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiAddVehicleInOrderPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 添加联盟企业的工作地点。 必须是联盟企业的管理员、客服，或者是企业用户自己
        /// </summary>
        /// <param name="key">登录key</param> 
        /// <param name="name">工作地点名（最多8个字符），企业内部不可以重复。</param> 
        /// <param name="address">详细地址（做多50个字符）。</param> 
        /// <param name="contact">联系人（最多6个字符）</param> 
        /// <param name="phone">联系电话（最多20个字符，数字、空格、-）</param> 
        /// <param name="isDefault">是否设为默认地址（In Excel），如果选择设为默认地址，之前已经选择的默认地址将取消。</param> 
        /// <param name="lon">地址经度</param> 
        /// <param name="lat">地址纬度</param> 
        /// <param name="companyId">客户企业的Id。如果登录的key是企业用户，这个字段是可以为空的，服务器端自动根据登录用户身份为该字段赋值。</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiAddWorkAddressPost (string key, string name, string address, string contact, string phone, int? isDefault, float? lon, float? lat, string companyId)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiAddWorkAddressPost");
            
            // verify the required parameter 'name' is set
            if (name == null) throw new ApiException(400, "Missing required parameter 'name' when calling ApiAddWorkAddressPost");
            
            // verify the required parameter 'address' is set
            if (address == null) throw new ApiException(400, "Missing required parameter 'address' when calling ApiAddWorkAddressPost");
            
            // verify the required parameter 'contact' is set
            if (contact == null) throw new ApiException(400, "Missing required parameter 'contact' when calling ApiAddWorkAddressPost");
            
            // verify the required parameter 'phone' is set
            if (phone == null) throw new ApiException(400, "Missing required parameter 'phone' when calling ApiAddWorkAddressPost");
            
            // verify the required parameter 'isDefault' is set
            if (isDefault == null) throw new ApiException(400, "Missing required parameter 'isDefault' when calling ApiAddWorkAddressPost");
            
            // verify the required parameter 'lon' is set
            if (lon == null) throw new ApiException(400, "Missing required parameter 'lon' when calling ApiAddWorkAddressPost");
            
            // verify the required parameter 'lat' is set
            if (lat == null) throw new ApiException(400, "Missing required parameter 'lat' when calling ApiAddWorkAddressPost");
            
    
            var path = "/api/addWorkAddress";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (companyId != null) formParams.Add("companyId", ApiClient.ParameterToString(companyId)); // form parameter
            if (name != null) formParams.Add("name", ApiClient.ParameterToString(name)); // form parameter
            if (address != null) formParams.Add("address", ApiClient.ParameterToString(address)); // form parameter
            if (contact != null) formParams.Add("contact", ApiClient.ParameterToString(contact)); // form parameter
            if (phone != null) formParams.Add("phone", ApiClient.ParameterToString(phone)); // form parameter
            if (isDefault != null) formParams.Add("isDefault", ApiClient.ParameterToString(isDefault)); // form parameter
            if (lon != null) formParams.Add("lon", ApiClient.ParameterToString(lon)); // form parameter
            if (lat != null) formParams.Add("lat", ApiClient.ParameterToString(lat)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiAddWorkAddressPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiAddWorkAddressPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 添加联盟企业的工作地点。 必须是联盟企业的管理员、客服，或者是企业用户自己
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="name">工作地点名（最多8个字符），企业内部不可以重复。</param>
        /// <param name="address">详细地址（做多50个字符）。</param>
        /// <param name="contact">联系人（最多6个字符）</param>
        /// <param name="phone">联系电话（最多20个字符，数字、空格、-）</param>
        /// <param name="isDefault">是否设为默认地址（In Excel），如果选择设为默认地址，之前已经选择的默认地址将取消。</param>
        /// <param name="lon">地址经度</param>
        /// <param name="lat">地址纬度</param>
        /// <param name="companyId">客户企业的Id。如果登录的key是企业用户，这个字段是可以为空的，服务器端自动根据登录用户身份为该字段赋值。</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiAddWorkAddressPostAsync (string key, string name, string address, string contact, string phone, int? isDefault, float? lon, float? lat, string companyId)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiAddWorkAddressPost");
            // verify the required parameter 'name' is set
            if (name == null) throw new ApiException(400, "Missing required parameter 'name' when calling ApiAddWorkAddressPost");
            // verify the required parameter 'address' is set
            if (address == null) throw new ApiException(400, "Missing required parameter 'address' when calling ApiAddWorkAddressPost");
            // verify the required parameter 'contact' is set
            if (contact == null) throw new ApiException(400, "Missing required parameter 'contact' when calling ApiAddWorkAddressPost");
            // verify the required parameter 'phone' is set
            if (phone == null) throw new ApiException(400, "Missing required parameter 'phone' when calling ApiAddWorkAddressPost");
            // verify the required parameter 'isDefault' is set
            if (isDefault == null) throw new ApiException(400, "Missing required parameter 'isDefault' when calling ApiAddWorkAddressPost");
            // verify the required parameter 'lon' is set
            if (lon == null) throw new ApiException(400, "Missing required parameter 'lon' when calling ApiAddWorkAddressPost");
            // verify the required parameter 'lat' is set
            if (lat == null) throw new ApiException(400, "Missing required parameter 'lat' when calling ApiAddWorkAddressPost");
            
    
            var path = "/api/addWorkAddress";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (companyId != null) formParams.Add("companyId", ApiClient.ParameterToString(companyId)); // form parameter
            if (name != null) formParams.Add("name", ApiClient.ParameterToString(name)); // form parameter
            if (address != null) formParams.Add("address", ApiClient.ParameterToString(address)); // form parameter
            if (contact != null) formParams.Add("contact", ApiClient.ParameterToString(contact)); // form parameter
            if (phone != null) formParams.Add("phone", ApiClient.ParameterToString(phone)); // form parameter
            if (isDefault != null) formParams.Add("isDefault", ApiClient.ParameterToString(isDefault)); // form parameter
            if (lon != null) formParams.Add("lon", ApiClient.ParameterToString(lon)); // form parameter
            if (lat != null) formParams.Add("lat", ApiClient.ParameterToString(lat)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiAddWorkAddressPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 返回所有故障原因分析。 所有可能故障原因列表
        /// </summary>
        /// <returns>IntKVPairResp</returns>            
        public IntKVPairResp ApiAnalysisListGet ()
        {
            
    
            var path = "/api/analysisList";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.GET, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiAnalysisListGet: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiAnalysisListGet: " + response.ErrorMessage, response.ErrorMessage);
    
            return (IntKVPairResp) ApiClient.Deserialize(response.Content, typeof(IntKVPairResp), response.Headers);
        }
    
        /// <summary>
        /// 返回所有故障原因分析。 所有可能故障原因列表
        /// </summary>
        /// <returns>IntKVPairResp</returns>
        public async System.Threading.Tasks.Task<IntKVPairResp> ApiAnalysisListGetAsync ()
        {
            
    
            var path = "/api/analysisList";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.GET, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiAnalysisListGet: " + response.Content, response.Content);

            return (IntKVPairResp) ApiClient.Deserialize(response.Content, typeof(IntKVPairResp), response.Headers);
        }
        
        /// <summary>
        /// 检查APP端最新版本 当用户的APP启动、从后台激活到前台，APP端都应该主动调用本接口，从而发现APP最新的版本号。版本号规则为x.y.z。如果x或者y比APP端自身版本号高，则必须强制升级；x和y相同的，不需要升级。
        /// </summary>
        /// <param name="device">客户端设备类型。InExcel。考虑到用户启动的时候可能未登录，所以不传Key，传设备类型</param> 
        /// <returns>StrKVPair</returns>            
        public StrKVPair ApiAppVersionCheckPost (int? device)
        {
            
            // verify the required parameter 'device' is set
            if (device == null) throw new ApiException(400, "Missing required parameter 'device' when calling ApiAppVersionCheckPost");
            
    
            var path = "/api/appVersionCheck";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (device != null) formParams.Add("device", ApiClient.ParameterToString(device)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiAppVersionCheckPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiAppVersionCheckPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (StrKVPair) ApiClient.Deserialize(response.Content, typeof(StrKVPair), response.Headers);
        }
    
        /// <summary>
        /// 检查APP端最新版本 当用户的APP启动、从后台激活到前台，APP端都应该主动调用本接口，从而发现APP最新的版本号。版本号规则为x.y.z。如果x或者y比APP端自身版本号高，则必须强制升级；x和y相同的，不需要升级。
        /// </summary>
        /// <param name="device">客户端设备类型。InExcel。考虑到用户启动的时候可能未登录，所以不传Key，传设备类型</param>
        /// <returns>StrKVPair</returns>
        public async System.Threading.Tasks.Task<StrKVPair> ApiAppVersionCheckPostAsync (int? device)
        {
            // verify the required parameter 'device' is set
            if (device == null) throw new ApiException(400, "Missing required parameter 'device' when calling ApiAppVersionCheckPost");
            
    
            var path = "/api/appVersionCheck";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (device != null) formParams.Add("device", ApiClient.ParameterToString(device)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiAppVersionCheckPost: " + response.Content, response.Content);

            return (StrKVPair) ApiClient.Deserialize(response.Content, typeof(StrKVPair), response.Headers);
        }
        
        /// <summary>
        /// 提交抢单。 提交抢单申请。
        /// </summary>
        /// <param name="key">登录Key</param> 
        /// <param name="orderId">申请抢单的订单ID</param> 
        /// <param name="price">抢单价格。不能超过10万元，且必须大于等于0</param> 
        /// <param name="memo">简要说明</param> 
        /// <param name="userLat">用户当前纬度</param> 
        /// <param name="userLon">用户当前经度</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiApplyOrderRushPost (string key, string orderId, float? price, string memo, float? userLat, float? userLon)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiApplyOrderRushPost");
            
            // verify the required parameter 'orderId' is set
            if (orderId == null) throw new ApiException(400, "Missing required parameter 'orderId' when calling ApiApplyOrderRushPost");
            
            // verify the required parameter 'price' is set
            if (price == null) throw new ApiException(400, "Missing required parameter 'price' when calling ApiApplyOrderRushPost");
            
    
            var path = "/api/applyOrderRush";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (orderId != null) formParams.Add("orderId", ApiClient.ParameterToString(orderId)); // form parameter
            if (price != null) formParams.Add("price", ApiClient.ParameterToString(price)); // form parameter
            if (memo != null) formParams.Add("memo", ApiClient.ParameterToString(memo)); // form parameter
            if (userLat != null) formParams.Add("userLat", ApiClient.ParameterToString(userLat)); // form parameter
            if (userLon != null) formParams.Add("userLon", ApiClient.ParameterToString(userLon)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiApplyOrderRushPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiApplyOrderRushPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 提交抢单。 提交抢单申请。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">申请抢单的订单ID</param>
        /// <param name="price">抢单价格。不能超过10万元，且必须大于等于0</param>
        /// <param name="memo">简要说明</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiApplyOrderRushPostAsync (string key, string orderId, float? price, string memo, float? userLat, float? userLon)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiApplyOrderRushPost");
            // verify the required parameter 'orderId' is set
            if (orderId == null) throw new ApiException(400, "Missing required parameter 'orderId' when calling ApiApplyOrderRushPost");
            // verify the required parameter 'price' is set
            if (price == null) throw new ApiException(400, "Missing required parameter 'price' when calling ApiApplyOrderRushPost");
            
    
            var path = "/api/applyOrderRush";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (orderId != null) formParams.Add("orderId", ApiClient.ParameterToString(orderId)); // form parameter
            if (price != null) formParams.Add("price", ApiClient.ParameterToString(price)); // form parameter
            if (memo != null) formParams.Add("memo", ApiClient.ParameterToString(memo)); // form parameter
            if (userLat != null) formParams.Add("userLat", ApiClient.ParameterToString(userLat)); // form parameter
            if (userLon != null) formParams.Add("userLon", ApiClient.ParameterToString(userLon)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiApplyOrderRushPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 分配订单，指派工程师、指定到达时间、指定公务车。 内部订单，接单的客服或管理员；外部订单，受托方的客服或管理员。指派工程师（多个）、公务车辆（1台）、指定到达时间。
        /// </summary>
        /// <param name="key">登录Key</param> 
        /// <param name="orderId">分配订单的ID</param> 
        /// <param name="appointedArrivalTime">指定到达时间。格式“YYYY.MM.DD,HH:MM”，如\&quot;2010.2.18,9:30\&quot; 24小时制。</param> 
        /// <param name="workerIds">指定的工程师ID，以“,”分割多个。</param> 
        /// <param name="serviceVehicleId">指派的公务车辆。可以不指派。指派多台车的时候，将Id用逗号隔开。</param> 
        /// <param name="userLat">用户当前纬度</param> 
        /// <param name="userLon">用户当前经度</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiAssignOrderPost (string key, string orderId, string appointedArrivalTime, string workerIds, string serviceVehicleId, float? userLat, float? userLon)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiAssignOrderPost");
            
            // verify the required parameter 'orderId' is set
            if (orderId == null) throw new ApiException(400, "Missing required parameter 'orderId' when calling ApiAssignOrderPost");
            
            // verify the required parameter 'appointedArrivalTime' is set
            if (appointedArrivalTime == null) throw new ApiException(400, "Missing required parameter 'appointedArrivalTime' when calling ApiAssignOrderPost");
            
            // verify the required parameter 'workerIds' is set
            if (workerIds == null) throw new ApiException(400, "Missing required parameter 'workerIds' when calling ApiAssignOrderPost");
            
    
            var path = "/api/assignOrder";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            if (orderId != null) queryParams.Add("orderId", ApiClient.ParameterToString(orderId)); // query parameter
            if (appointedArrivalTime != null) queryParams.Add("appointedArrivalTime", ApiClient.ParameterToString(appointedArrivalTime)); // query parameter
            if (workerIds != null) queryParams.Add("workerIds", ApiClient.ParameterToString(workerIds)); // query parameter
            if (serviceVehicleId != null) queryParams.Add("serviceVehicleId", ApiClient.ParameterToString(serviceVehicleId)); // query parameter
            if (userLat != null) queryParams.Add("userLat", ApiClient.ParameterToString(userLat)); // query parameter
            if (userLon != null) queryParams.Add("userLon", ApiClient.ParameterToString(userLon)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiAssignOrderPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiAssignOrderPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 分配订单，指派工程师、指定到达时间、指定公务车。 内部订单，接单的客服或管理员；外部订单，受托方的客服或管理员。指派工程师（多个）、公务车辆（1台）、指定到达时间。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">分配订单的ID</param>
        /// <param name="appointedArrivalTime">指定到达时间。格式“YYYY.MM.DD,HH:MM”，如\&quot;2010.2.18,9:30\&quot; 24小时制。</param>
        /// <param name="workerIds">指定的工程师ID，以“,”分割多个。</param>
        /// <param name="serviceVehicleId">指派的公务车辆。可以不指派。指派多台车的时候，将Id用逗号隔开。</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiAssignOrderPostAsync (string key, string orderId, string appointedArrivalTime, string workerIds, string serviceVehicleId, float? userLat, float? userLon)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiAssignOrderPost");
            // verify the required parameter 'orderId' is set
            if (orderId == null) throw new ApiException(400, "Missing required parameter 'orderId' when calling ApiAssignOrderPost");
            // verify the required parameter 'appointedArrivalTime' is set
            if (appointedArrivalTime == null) throw new ApiException(400, "Missing required parameter 'appointedArrivalTime' when calling ApiAssignOrderPost");
            // verify the required parameter 'workerIds' is set
            if (workerIds == null) throw new ApiException(400, "Missing required parameter 'workerIds' when calling ApiAssignOrderPost");
            
    
            var path = "/api/assignOrder";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            if (orderId != null) queryParams.Add("orderId", ApiClient.ParameterToString(orderId)); // query parameter
            if (appointedArrivalTime != null) queryParams.Add("appointedArrivalTime", ApiClient.ParameterToString(appointedArrivalTime)); // query parameter
            if (workerIds != null) queryParams.Add("workerIds", ApiClient.ParameterToString(workerIds)); // query parameter
            if (serviceVehicleId != null) queryParams.Add("serviceVehicleId", ApiClient.ParameterToString(serviceVehicleId)); // query parameter
            if (userLat != null) queryParams.Add("userLat", ApiClient.ParameterToString(userLat)); // query parameter
            if (userLon != null) queryParams.Add("userLon", ApiClient.ParameterToString(userLon)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiAssignOrderPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 查询订单概要信息 根据订单Id查询，主要用于局部更新列表中的一个订单信息
        /// </summary>
        /// <param name="key">登录key</param> 
        /// <param name="orderId">订单Id</param> 
        /// <returns>BriefOrderList</returns>            
        public BriefOrderList ApiBriefOrderByIdPost (string key, string orderId)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiBriefOrderByIdPost");
            
            // verify the required parameter 'orderId' is set
            if (orderId == null) throw new ApiException(400, "Missing required parameter 'orderId' when calling ApiBriefOrderByIdPost");
            
    
            var path = "/api/briefOrderById";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            if (orderId != null) queryParams.Add("orderId", ApiClient.ParameterToString(orderId)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiBriefOrderByIdPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiBriefOrderByIdPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (BriefOrderList) ApiClient.Deserialize(response.Content, typeof(BriefOrderList), response.Headers);
        }
    
        /// <summary>
        /// 查询订单概要信息 根据订单Id查询，主要用于局部更新列表中的一个订单信息
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="orderId">订单Id</param>
        /// <returns>BriefOrderList</returns>
        public async System.Threading.Tasks.Task<BriefOrderList> ApiBriefOrderByIdPostAsync (string key, string orderId)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiBriefOrderByIdPost");
            // verify the required parameter 'orderId' is set
            if (orderId == null) throw new ApiException(400, "Missing required parameter 'orderId' when calling ApiBriefOrderByIdPost");
            
    
            var path = "/api/briefOrderById";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            if (orderId != null) queryParams.Add("orderId", ApiClient.ParameterToString(orderId)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiBriefOrderByIdPost: " + response.Content, response.Content);

            return (BriefOrderList) ApiClient.Deserialize(response.Content, typeof(BriefOrderList), response.Headers);
        }
        
        /// <summary>
        /// 取消订单 取消订单。如果无权取消，或者订单状态已经达到‘出发’，将会返回错误。
        /// </summary>
        /// <param name="key">登录Key</param> 
        /// <param name="orderId">被取消的订单ID</param> 
        /// <param name="causal">取消订单原因。没填写，传“”。</param> 
        /// <param name="userLat">用户当前纬度</param> 
        /// <param name="userLon">用户当前经度</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiCancelOrderPost (string key, string orderId, string causal, float? userLat, float? userLon)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiCancelOrderPost");
            
            // verify the required parameter 'orderId' is set
            if (orderId == null) throw new ApiException(400, "Missing required parameter 'orderId' when calling ApiCancelOrderPost");
            
            // verify the required parameter 'causal' is set
            if (causal == null) throw new ApiException(400, "Missing required parameter 'causal' when calling ApiCancelOrderPost");
            
    
            var path = "/api/cancelOrder";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (orderId != null) formParams.Add("orderId", ApiClient.ParameterToString(orderId)); // form parameter
            if (causal != null) formParams.Add("causal", ApiClient.ParameterToString(causal)); // form parameter
            if (userLat != null) formParams.Add("userLat", ApiClient.ParameterToString(userLat)); // form parameter
            if (userLon != null) formParams.Add("userLon", ApiClient.ParameterToString(userLon)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiCancelOrderPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiCancelOrderPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 取消订单 取消订单。如果无权取消，或者订单状态已经达到‘出发’，将会返回错误。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">被取消的订单ID</param>
        /// <param name="causal">取消订单原因。没填写，传“”。</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiCancelOrderPostAsync (string key, string orderId, string causal, float? userLat, float? userLon)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiCancelOrderPost");
            // verify the required parameter 'orderId' is set
            if (orderId == null) throw new ApiException(400, "Missing required parameter 'orderId' when calling ApiCancelOrderPost");
            // verify the required parameter 'causal' is set
            if (causal == null) throw new ApiException(400, "Missing required parameter 'causal' when calling ApiCancelOrderPost");
            
    
            var path = "/api/cancelOrder";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (orderId != null) formParams.Add("orderId", ApiClient.ParameterToString(orderId)); // form parameter
            if (causal != null) formParams.Add("causal", ApiClient.ParameterToString(causal)); // form parameter
            if (userLat != null) formParams.Add("userLat", ApiClient.ParameterToString(userLat)); // form parameter
            if (userLon != null) formParams.Add("userLon", ApiClient.ParameterToString(userLon)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiCancelOrderPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 撤回抢单申请。 撤回抢单申请。
        /// </summary>
        /// <param name="key">登录Key</param> 
        /// <param name="orderId">申请抢单的订单ID</param> 
        /// <param name="userLat">用户当前纬度</param> 
        /// <param name="userLon">用户当前经度</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiCancelRushApplyPost (string key, string orderId, float? userLat, float? userLon)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiCancelRushApplyPost");
            
            // verify the required parameter 'orderId' is set
            if (orderId == null) throw new ApiException(400, "Missing required parameter 'orderId' when calling ApiCancelRushApplyPost");
            
    
            var path = "/api/cancelRushApply";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            if (orderId != null) queryParams.Add("orderId", ApiClient.ParameterToString(orderId)); // query parameter
            if (userLat != null) queryParams.Add("userLat", ApiClient.ParameterToString(userLat)); // query parameter
            if (userLon != null) queryParams.Add("userLon", ApiClient.ParameterToString(userLon)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiCancelRushApplyPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiCancelRushApplyPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 撤回抢单申请。 撤回抢单申请。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">申请抢单的订单ID</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiCancelRushApplyPostAsync (string key, string orderId, float? userLat, float? userLon)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiCancelRushApplyPost");
            // verify the required parameter 'orderId' is set
            if (orderId == null) throw new ApiException(400, "Missing required parameter 'orderId' when calling ApiCancelRushApplyPost");
            
    
            var path = "/api/cancelRushApply";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            if (orderId != null) queryParams.Add("orderId", ApiClient.ParameterToString(orderId)); // query parameter
            if (userLat != null) queryParams.Add("userLat", ApiClient.ParameterToString(userLat)); // query parameter
            if (userLon != null) queryParams.Add("userLon", ApiClient.ParameterToString(userLon)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiCancelRushApplyPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 用户修改密码 输入原来的密码，改为新密码。
        /// </summary>
        /// <param name="key">登录key</param> 
        /// <param name="oldpwd">旧密码</param> 
        /// <param name="newpwd">新密码</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiChangePwdPost (string key, string oldpwd, string newpwd)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiChangePwdPost");
            
            // verify the required parameter 'oldpwd' is set
            if (oldpwd == null) throw new ApiException(400, "Missing required parameter 'oldpwd' when calling ApiChangePwdPost");
            
            // verify the required parameter 'newpwd' is set
            if (newpwd == null) throw new ApiException(400, "Missing required parameter 'newpwd' when calling ApiChangePwdPost");
            
    
            var path = "/api/changePwd";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (oldpwd != null) formParams.Add("oldpwd", ApiClient.ParameterToString(oldpwd)); // form parameter
            if (newpwd != null) formParams.Add("newpwd", ApiClient.ParameterToString(newpwd)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiChangePwdPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiChangePwdPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 用户修改密码 输入原来的密码，改为新密码。
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="oldpwd">旧密码</param>
        /// <param name="newpwd">新密码</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiChangePwdPostAsync (string key, string oldpwd, string newpwd)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiChangePwdPost");
            // verify the required parameter 'oldpwd' is set
            if (oldpwd == null) throw new ApiException(400, "Missing required parameter 'oldpwd' when calling ApiChangePwdPost");
            // verify the required parameter 'newpwd' is set
            if (newpwd == null) throw new ApiException(400, "Missing required parameter 'newpwd' when calling ApiChangePwdPost");
            
    
            var path = "/api/changePwd";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (oldpwd != null) formParams.Add("oldpwd", ApiClient.ParameterToString(oldpwd)); // form parameter
            if (newpwd != null) formParams.Add("newpwd", ApiClient.ParameterToString(newpwd)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiChangePwdPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 客户评价 客户对工程师完成工作进行评价，并支付。
        /// </summary>
        /// <param name="key">登录Key</param> 
        /// <param name="orderId">所评价的订单ID</param> 
        /// <param name="score">评分。in Excel</param> 
        /// <param name="payment">支付的金额.请保留2为小数</param> 
        /// <param name="appraisal">评语</param> 
        /// <param name="userLat">用户当前纬度</param> 
        /// <param name="userLon">用户当前经度</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiClientAppraisalPost (string key, string orderId, int? score, float? payment, string appraisal, float? userLat, float? userLon)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiClientAppraisalPost");
            
            // verify the required parameter 'orderId' is set
            if (orderId == null) throw new ApiException(400, "Missing required parameter 'orderId' when calling ApiClientAppraisalPost");
            
            // verify the required parameter 'score' is set
            if (score == null) throw new ApiException(400, "Missing required parameter 'score' when calling ApiClientAppraisalPost");
            
            // verify the required parameter 'payment' is set
            if (payment == null) throw new ApiException(400, "Missing required parameter 'payment' when calling ApiClientAppraisalPost");
            
    
            var path = "/api/clientAppraisal";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (orderId != null) formParams.Add("orderId", ApiClient.ParameterToString(orderId)); // form parameter
            if (score != null) formParams.Add("score", ApiClient.ParameterToString(score)); // form parameter
            if (payment != null) formParams.Add("payment", ApiClient.ParameterToString(payment)); // form parameter
            if (appraisal != null) formParams.Add("appraisal", ApiClient.ParameterToString(appraisal)); // form parameter
            if (userLat != null) formParams.Add("userLat", ApiClient.ParameterToString(userLat)); // form parameter
            if (userLon != null) formParams.Add("userLon", ApiClient.ParameterToString(userLon)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiClientAppraisalPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiClientAppraisalPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 客户评价 客户对工程师完成工作进行评价，并支付。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">所评价的订单ID</param>
        /// <param name="score">评分。in Excel</param>
        /// <param name="payment">支付的金额.请保留2为小数</param>
        /// <param name="appraisal">评语</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiClientAppraisalPostAsync (string key, string orderId, int? score, float? payment, string appraisal, float? userLat, float? userLon)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiClientAppraisalPost");
            // verify the required parameter 'orderId' is set
            if (orderId == null) throw new ApiException(400, "Missing required parameter 'orderId' when calling ApiClientAppraisalPost");
            // verify the required parameter 'score' is set
            if (score == null) throw new ApiException(400, "Missing required parameter 'score' when calling ApiClientAppraisalPost");
            // verify the required parameter 'payment' is set
            if (payment == null) throw new ApiException(400, "Missing required parameter 'payment' when calling ApiClientAppraisalPost");
            
    
            var path = "/api/clientAppraisal";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (orderId != null) formParams.Add("orderId", ApiClient.ParameterToString(orderId)); // form parameter
            if (score != null) formParams.Add("score", ApiClient.ParameterToString(score)); // form parameter
            if (payment != null) formParams.Add("payment", ApiClient.ParameterToString(payment)); // form parameter
            if (appraisal != null) formParams.Add("appraisal", ApiClient.ParameterToString(appraisal)); // form parameter
            if (userLat != null) formParams.Add("userLat", ApiClient.ParameterToString(userLat)); // form parameter
            if (userLon != null) formParams.Add("userLon", ApiClient.ParameterToString(userLon)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiClientAppraisalPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 查询一个客户企业的基本信息 只有负责该客户企业的联盟成员可以查看，或者携带一个订单号，抢单时可以看
        /// </summary>
        /// <param name="key">登录Key</param> 
        /// <param name="companyId">客户企业，查看自己的企业信息时，可以为空</param> 
        /// <param name="orderId">相关订单。抢单的用户查看。如果不传该字段，一定设置为null，而不是\&quot;\&quot;</param> 
        /// <returns>ClientCompany</returns>            
        public ClientCompany ApiClientCompanyPost (string key, string companyId, string orderId)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiClientCompanyPost");
            
    
            var path = "/api/clientCompany";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            if (companyId != null) queryParams.Add("companyId", ApiClient.ParameterToString(companyId)); // query parameter
            if (orderId != null) queryParams.Add("orderId", ApiClient.ParameterToString(orderId)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiClientCompanyPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiClientCompanyPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ClientCompany) ApiClient.Deserialize(response.Content, typeof(ClientCompany), response.Headers);
        }
    
        /// <summary>
        /// 查询一个客户企业的基本信息 只有负责该客户企业的联盟成员可以查看，或者携带一个订单号，抢单时可以看
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="companyId">客户企业，查看自己的企业信息时，可以为空</param>
        /// <param name="orderId">相关订单。抢单的用户查看。如果不传该字段，一定设置为null，而不是\&quot;\&quot;</param>
        /// <returns>ClientCompany</returns>
        public async System.Threading.Tasks.Task<ClientCompany> ApiClientCompanyPostAsync (string key, string companyId, string orderId)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiClientCompanyPost");
            
    
            var path = "/api/clientCompany";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            if (companyId != null) queryParams.Add("companyId", ApiClient.ParameterToString(companyId)); // query parameter
            if (orderId != null) queryParams.Add("orderId", ApiClient.ParameterToString(orderId)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiClientCompanyPost: " + response.Content, response.Content);

            return (ClientCompany) ApiClient.Deserialize(response.Content, typeof(ClientCompany), response.Headers);
        }
        
        /// <summary>
        /// 查询一个客户企业的用户 负责该客户企业的联盟成员用户可以查看. 企业用户可以查看自己。未登录、无权限、不存在，都会返回id=null的对象。
        /// </summary>
        /// <param name="key">登录Key</param> 
        /// <param name="companyId">客户企业的用户，查看自己的企业信息时，可以为空</param> 
        /// <returns>ClientUser</returns>            
        public ClientUser ApiClientUserPost (string key, string companyId)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiClientUserPost");
            
    
            var path = "/api/clientUser";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            if (companyId != null) queryParams.Add("companyId", ApiClient.ParameterToString(companyId)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiClientUserPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiClientUserPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ClientUser) ApiClient.Deserialize(response.Content, typeof(ClientUser), response.Headers);
        }
    
        /// <summary>
        /// 查询一个客户企业的用户 负责该客户企业的联盟成员用户可以查看. 企业用户可以查看自己。未登录、无权限、不存在，都会返回id=null的对象。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="companyId">客户企业的用户，查看自己的企业信息时，可以为空</param>
        /// <returns>ClientUser</returns>
        public async System.Threading.Tasks.Task<ClientUser> ApiClientUserPostAsync (string key, string companyId)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiClientUserPost");
            
    
            var path = "/api/clientUser";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            if (companyId != null) queryParams.Add("companyId", ApiClient.ParameterToString(companyId)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiClientUserPost: " + response.Content, response.Content);

            return (ClientUser) ApiClient.Deserialize(response.Content, typeof(ClientUser), response.Headers);
        }
        
        /// <summary>
        /// 列出该公司所有曾经下发的短信的历史记录30条。 列出所有下发短信历史。
        /// </summary>
        /// <param name="key">登录Key</param> 
        /// <returns>StrKVPairResp</returns>            
        public StrKVPairResp ApiCompanySmsRecordPost (string key)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiCompanySmsRecordPost");
            
    
            var path = "/api/companySmsRecord";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiCompanySmsRecordPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiCompanySmsRecordPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (StrKVPairResp) ApiClient.Deserialize(response.Content, typeof(StrKVPairResp), response.Headers);
        }
    
        /// <summary>
        /// 列出该公司所有曾经下发的短信的历史记录30条。 列出所有下发短信历史。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <returns>StrKVPairResp</returns>
        public async System.Threading.Tasks.Task<StrKVPairResp> ApiCompanySmsRecordPostAsync (string key)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiCompanySmsRecordPost");
            
    
            var path = "/api/companySmsRecord";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiCompanySmsRecordPost: " + response.Content, response.Content);

            return (StrKVPairResp) ApiClient.Deserialize(response.Content, typeof(StrKVPairResp), response.Headers);
        }
        
        /// <summary>
        /// 订单委托。 订单委托给某个抢单的联盟成员。
        /// </summary>
        /// <param name="key">登录Key</param> 
        /// <param name="orderId">申请抢单的订单ID</param> 
        /// <param name="companyId">受托企业的companyId</param> 
        /// <param name="userLat">用户当前纬度</param> 
        /// <param name="userLon">用户当前经度</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiConsignOrderPost (string key, string orderId, string companyId, float? userLat, float? userLon)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiConsignOrderPost");
            
            // verify the required parameter 'orderId' is set
            if (orderId == null) throw new ApiException(400, "Missing required parameter 'orderId' when calling ApiConsignOrderPost");
            
            // verify the required parameter 'companyId' is set
            if (companyId == null) throw new ApiException(400, "Missing required parameter 'companyId' when calling ApiConsignOrderPost");
            
    
            var path = "/api/consignOrder";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            if (orderId != null) queryParams.Add("orderId", ApiClient.ParameterToString(orderId)); // query parameter
            if (companyId != null) queryParams.Add("companyId", ApiClient.ParameterToString(companyId)); // query parameter
            if (userLat != null) queryParams.Add("userLat", ApiClient.ParameterToString(userLat)); // query parameter
            if (userLon != null) queryParams.Add("userLon", ApiClient.ParameterToString(userLon)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiConsignOrderPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiConsignOrderPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 订单委托。 订单委托给某个抢单的联盟成员。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">申请抢单的订单ID</param>
        /// <param name="companyId">受托企业的companyId</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiConsignOrderPostAsync (string key, string orderId, string companyId, float? userLat, float? userLon)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiConsignOrderPost");
            // verify the required parameter 'orderId' is set
            if (orderId == null) throw new ApiException(400, "Missing required parameter 'orderId' when calling ApiConsignOrderPost");
            // verify the required parameter 'companyId' is set
            if (companyId == null) throw new ApiException(400, "Missing required parameter 'companyId' when calling ApiConsignOrderPost");
            
    
            var path = "/api/consignOrder";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            if (orderId != null) queryParams.Add("orderId", ApiClient.ParameterToString(orderId)); // query parameter
            if (companyId != null) queryParams.Add("companyId", ApiClient.ParameterToString(companyId)); // query parameter
            if (userLat != null) queryParams.Add("userLat", ApiClient.ParameterToString(userLat)); // query parameter
            if (userLon != null) queryParams.Add("userLon", ApiClient.ParameterToString(userLon)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiConsignOrderPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 受托方评价 受托方对订单进行评价
        /// </summary>
        /// <param name="key">登录key</param> 
        /// <param name="orderId">订单的Id</param> 
        /// <param name="score">评分。in Excel</param> 
        /// <param name="appraisal">评语</param> 
        /// <param name="userLat">用户当前纬度</param> 
        /// <param name="userLon">用户当前经度</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiConsigneeAppraisePost (string key, string orderId, int? score, string appraisal, float? userLat, float? userLon)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiConsigneeAppraisePost");
            
            // verify the required parameter 'orderId' is set
            if (orderId == null) throw new ApiException(400, "Missing required parameter 'orderId' when calling ApiConsigneeAppraisePost");
            
            // verify the required parameter 'score' is set
            if (score == null) throw new ApiException(400, "Missing required parameter 'score' when calling ApiConsigneeAppraisePost");
            
    
            var path = "/api/consigneeAppraise";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (orderId != null) formParams.Add("orderId", ApiClient.ParameterToString(orderId)); // form parameter
            if (score != null) formParams.Add("score", ApiClient.ParameterToString(score)); // form parameter
            if (appraisal != null) formParams.Add("appraisal", ApiClient.ParameterToString(appraisal)); // form parameter
            if (userLat != null) formParams.Add("userLat", ApiClient.ParameterToString(userLat)); // form parameter
            if (userLon != null) formParams.Add("userLon", ApiClient.ParameterToString(userLon)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiConsigneeAppraisePost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiConsigneeAppraisePost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 受托方评价 受托方对订单进行评价
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="orderId">订单的Id</param>
        /// <param name="score">评分。in Excel</param>
        /// <param name="appraisal">评语</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiConsigneeAppraisePostAsync (string key, string orderId, int? score, string appraisal, float? userLat, float? userLon)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiConsigneeAppraisePost");
            // verify the required parameter 'orderId' is set
            if (orderId == null) throw new ApiException(400, "Missing required parameter 'orderId' when calling ApiConsigneeAppraisePost");
            // verify the required parameter 'score' is set
            if (score == null) throw new ApiException(400, "Missing required parameter 'score' when calling ApiConsigneeAppraisePost");
            
    
            var path = "/api/consigneeAppraise";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (orderId != null) formParams.Add("orderId", ApiClient.ParameterToString(orderId)); // form parameter
            if (score != null) formParams.Add("score", ApiClient.ParameterToString(score)); // form parameter
            if (appraisal != null) formParams.Add("appraisal", ApiClient.ParameterToString(appraisal)); // form parameter
            if (userLat != null) formParams.Add("userLat", ApiClient.ParameterToString(userLat)); // form parameter
            if (userLon != null) formParams.Add("userLon", ApiClient.ParameterToString(userLon)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiConsigneeAppraisePost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 委托方确认 委托方对工作进行确认。
        /// </summary>
        /// <param name="key">登录key</param> 
        /// <param name="orderId">订单Id</param> 
        /// <param name="orderPrice">订单价格。如果没有修改，携带原来的价格</param> 
        /// <param name="consignPrice">订单委托价格。如果没有修改，携带原来的价格</param> 
        /// <param name="userLat">用户当前纬度</param> 
        /// <param name="userLon">用户当前经度</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiConsignerWorkConfirmPost (string key, string orderId, float? orderPrice, float? consignPrice, float? userLat, float? userLon)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiConsignerWorkConfirmPost");
            
            // verify the required parameter 'orderId' is set
            if (orderId == null) throw new ApiException(400, "Missing required parameter 'orderId' when calling ApiConsignerWorkConfirmPost");
            
            // verify the required parameter 'orderPrice' is set
            if (orderPrice == null) throw new ApiException(400, "Missing required parameter 'orderPrice' when calling ApiConsignerWorkConfirmPost");
            
            // verify the required parameter 'consignPrice' is set
            if (consignPrice == null) throw new ApiException(400, "Missing required parameter 'consignPrice' when calling ApiConsignerWorkConfirmPost");
            
    
            var path = "/api/consignerWorkConfirm";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (orderId != null) formParams.Add("orderId", ApiClient.ParameterToString(orderId)); // form parameter
            if (orderPrice != null) formParams.Add("orderPrice", ApiClient.ParameterToString(orderPrice)); // form parameter
            if (consignPrice != null) formParams.Add("consignPrice", ApiClient.ParameterToString(consignPrice)); // form parameter
            if (userLat != null) formParams.Add("userLat", ApiClient.ParameterToString(userLat)); // form parameter
            if (userLon != null) formParams.Add("userLon", ApiClient.ParameterToString(userLon)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiConsignerWorkConfirmPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiConsignerWorkConfirmPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 委托方确认 委托方对工作进行确认。
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="orderId">订单Id</param>
        /// <param name="orderPrice">订单价格。如果没有修改，携带原来的价格</param>
        /// <param name="consignPrice">订单委托价格。如果没有修改，携带原来的价格</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiConsignerWorkConfirmPostAsync (string key, string orderId, float? orderPrice, float? consignPrice, float? userLat, float? userLon)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiConsignerWorkConfirmPost");
            // verify the required parameter 'orderId' is set
            if (orderId == null) throw new ApiException(400, "Missing required parameter 'orderId' when calling ApiConsignerWorkConfirmPost");
            // verify the required parameter 'orderPrice' is set
            if (orderPrice == null) throw new ApiException(400, "Missing required parameter 'orderPrice' when calling ApiConsignerWorkConfirmPost");
            // verify the required parameter 'consignPrice' is set
            if (consignPrice == null) throw new ApiException(400, "Missing required parameter 'consignPrice' when calling ApiConsignerWorkConfirmPost");
            
    
            var path = "/api/consignerWorkConfirm";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (orderId != null) formParams.Add("orderId", ApiClient.ParameterToString(orderId)); // form parameter
            if (orderPrice != null) formParams.Add("orderPrice", ApiClient.ParameterToString(orderPrice)); // form parameter
            if (consignPrice != null) formParams.Add("consignPrice", ApiClient.ParameterToString(consignPrice)); // form parameter
            if (userLat != null) formParams.Add("userLat", ApiClient.ParameterToString(userLat)); // form parameter
            if (userLon != null) formParams.Add("userLon", ApiClient.ParameterToString(userLon)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiConsignerWorkConfirmPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 提供系统调试功能。必须系统管理员登录。 仅供测试。系统管理员才有权限
        /// </summary>
        /// <param name="key">登录Key</param> 
        /// <param name="cmd">命令。&#39;session&#39;表示列出所有session</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiDebugPost (string key, string cmd)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiDebugPost");
            
            // verify the required parameter 'cmd' is set
            if (cmd == null) throw new ApiException(400, "Missing required parameter 'cmd' when calling ApiDebugPost");
            
    
            var path = "/api/debug";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (cmd != null) formParams.Add("cmd", ApiClient.ParameterToString(cmd)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiDebugPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiDebugPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 提供系统调试功能。必须系统管理员登录。 仅供测试。系统管理员才有权限
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="cmd">命令。&#39;session&#39;表示列出所有session</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiDebugPostAsync (string key, string cmd)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiDebugPost");
            // verify the required parameter 'cmd' is set
            if (cmd == null) throw new ApiException(400, "Missing required parameter 'cmd' when calling ApiDebugPost");
            
    
            var path = "/api/debug";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (cmd != null) formParams.Add("cmd", ApiClient.ParameterToString(cmd)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiDebugPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 删除客户企业。 必须是联盟企业的管理员
        /// </summary>
        /// <param name="key">登录key</param> 
        /// <param name="companyId">企业Id</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiDeleteClientCompanyPost (string key, string companyId)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiDeleteClientCompanyPost");
            
            // verify the required parameter 'companyId' is set
            if (companyId == null) throw new ApiException(400, "Missing required parameter 'companyId' when calling ApiDeleteClientCompanyPost");
            
    
            var path = "/api/deleteClientCompany";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (companyId != null) formParams.Add("companyId", ApiClient.ParameterToString(companyId)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiDeleteClientCompanyPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiDeleteClientCompanyPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 删除客户企业。 必须是联盟企业的管理员
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="companyId">企业Id</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiDeleteClientCompanyPostAsync (string key, string companyId)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiDeleteClientCompanyPost");
            // verify the required parameter 'companyId' is set
            if (companyId == null) throw new ApiException(400, "Missing required parameter 'companyId' when calling ApiDeleteClientCompanyPost");
            
    
            var path = "/api/deleteClientCompany";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (companyId != null) formParams.Add("companyId", ApiClient.ParameterToString(companyId)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiDeleteClientCompanyPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 删除企业车辆 联盟企业管理员、客服、客户企业用户可以执行。
        /// </summary>
        /// <param name="key">登录的key</param> 
        /// <param name="vehicleId">公务车辆的Id</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiDeleteCompanyVehiclePost (string key, string vehicleId)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiDeleteCompanyVehiclePost");
            
            // verify the required parameter 'vehicleId' is set
            if (vehicleId == null) throw new ApiException(400, "Missing required parameter 'vehicleId' when calling ApiDeleteCompanyVehiclePost");
            
    
            var path = "/api/deleteCompanyVehicle";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (vehicleId != null) formParams.Add("vehicleId", ApiClient.ParameterToString(vehicleId)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiDeleteCompanyVehiclePost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiDeleteCompanyVehiclePost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 删除企业车辆 联盟企业管理员、客服、客户企业用户可以执行。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="vehicleId">公务车辆的Id</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiDeleteCompanyVehiclePostAsync (string key, string vehicleId)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiDeleteCompanyVehiclePost");
            // verify the required parameter 'vehicleId' is set
            if (vehicleId == null) throw new ApiException(400, "Missing required parameter 'vehicleId' when calling ApiDeleteCompanyVehiclePost");
            
    
            var path = "/api/deleteCompanyVehicle";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (vehicleId != null) formParams.Add("vehicleId", ApiClient.ParameterToString(vehicleId)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiDeleteCompanyVehiclePost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 删除车机设备的品牌。型号、短信指令都将被删除 仅限于系统管理员
        /// </summary>
        /// <param name="key">登录的key</param> 
        /// <param name="brandId">车机品牌的ID</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiDeleteDeviceBrandPost (string key, string brandId)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiDeleteDeviceBrandPost");
            
            // verify the required parameter 'brandId' is set
            if (brandId == null) throw new ApiException(400, "Missing required parameter 'brandId' when calling ApiDeleteDeviceBrandPost");
            
    
            var path = "/api/deleteDeviceBrand";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (brandId != null) formParams.Add("brandId", ApiClient.ParameterToString(brandId)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiDeleteDeviceBrandPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiDeleteDeviceBrandPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 删除车机设备的品牌。型号、短信指令都将被删除 仅限于系统管理员
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="brandId">车机品牌的ID</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiDeleteDeviceBrandPostAsync (string key, string brandId)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiDeleteDeviceBrandPost");
            // verify the required parameter 'brandId' is set
            if (brandId == null) throw new ApiException(400, "Missing required parameter 'brandId' when calling ApiDeleteDeviceBrandPost");
            
    
            var path = "/api/deleteDeviceBrand";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (brandId != null) formParams.Add("brandId", ApiClient.ParameterToString(brandId)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiDeleteDeviceBrandPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 删除车机设备的型号。该型号的短信指令也将被删除 仅限于系统管理员
        /// </summary>
        /// <param name="key">登录的key</param> 
        /// <param name="modelId">车机型号的ID</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiDeleteDeviceModelPost (string key, string modelId)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiDeleteDeviceModelPost");
            
            // verify the required parameter 'modelId' is set
            if (modelId == null) throw new ApiException(400, "Missing required parameter 'modelId' when calling ApiDeleteDeviceModelPost");
            
    
            var path = "/api/deleteDeviceModel";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (modelId != null) formParams.Add("modelId", ApiClient.ParameterToString(modelId)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiDeleteDeviceModelPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiDeleteDeviceModelPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 删除车机设备的型号。该型号的短信指令也将被删除 仅限于系统管理员
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="modelId">车机型号的ID</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiDeleteDeviceModelPostAsync (string key, string modelId)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiDeleteDeviceModelPost");
            // verify the required parameter 'modelId' is set
            if (modelId == null) throw new ApiException(400, "Missing required parameter 'modelId' when calling ApiDeleteDeviceModelPost");
            
    
            var path = "/api/deleteDeviceModel";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (modelId != null) formParams.Add("modelId", ApiClient.ParameterToString(modelId)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiDeleteDeviceModelPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 删除一个联盟成员企业 系统管理员用户删除总公司（之前必须先删除它的分公司，否则不能删除）、分公司；总公司管理员（不包括客服）删除分公司。删除前，必须把所有订单完成、取消、强制结束。
        /// </summary>
        /// <param name="key">登录Key</param> 
        /// <param name="serviceCompanyId">公司全称</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiDeleteServiceCompanyPost (string key, string serviceCompanyId)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiDeleteServiceCompanyPost");
            
            // verify the required parameter 'serviceCompanyId' is set
            if (serviceCompanyId == null) throw new ApiException(400, "Missing required parameter 'serviceCompanyId' when calling ApiDeleteServiceCompanyPost");
            
    
            var path = "/api/deleteServiceCompany";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (serviceCompanyId != null) formParams.Add("serviceCompanyId", ApiClient.ParameterToString(serviceCompanyId)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiDeleteServiceCompanyPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiDeleteServiceCompanyPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 删除一个联盟成员企业 系统管理员用户删除总公司（之前必须先删除它的分公司，否则不能删除）、分公司；总公司管理员（不包括客服）删除分公司。删除前，必须把所有订单完成、取消、强制结束。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="serviceCompanyId">公司全称</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiDeleteServiceCompanyPostAsync (string key, string serviceCompanyId)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiDeleteServiceCompanyPost");
            // verify the required parameter 'serviceCompanyId' is set
            if (serviceCompanyId == null) throw new ApiException(400, "Missing required parameter 'serviceCompanyId' when calling ApiDeleteServiceCompanyPost");
            
    
            var path = "/api/deleteServiceCompany";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (serviceCompanyId != null) formParams.Add("serviceCompanyId", ApiClient.ParameterToString(serviceCompanyId)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiDeleteServiceCompanyPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 删除维修网点 只有联盟企业管理员可以执行。
        /// </summary>
        /// <param name="key">登录的key</param> 
        /// <param name="officeId">维修网点的Id</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiDeleteServiceOfficePost (string key, string officeId)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiDeleteServiceOfficePost");
            
            // verify the required parameter 'officeId' is set
            if (officeId == null) throw new ApiException(400, "Missing required parameter 'officeId' when calling ApiDeleteServiceOfficePost");
            
    
            var path = "/api/deleteServiceOffice";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (officeId != null) formParams.Add("officeId", ApiClient.ParameterToString(officeId)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiDeleteServiceOfficePost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiDeleteServiceOfficePost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 删除维修网点 只有联盟企业管理员可以执行。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="officeId">维修网点的Id</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiDeleteServiceOfficePostAsync (string key, string officeId)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiDeleteServiceOfficePost");
            // verify the required parameter 'officeId' is set
            if (officeId == null) throw new ApiException(400, "Missing required parameter 'officeId' when calling ApiDeleteServiceOfficePost");
            
    
            var path = "/api/deleteServiceOffice";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (officeId != null) formParams.Add("officeId", ApiClient.ParameterToString(officeId)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiDeleteServiceOfficePost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 删除企业内部用户。 必须是联盟企业的管理员
        /// </summary>
        /// <param name="key">登录key</param> 
        /// <param name="userId">用户Id</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiDeleteServiceUserPost (string key, string userId)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiDeleteServiceUserPost");
            
            // verify the required parameter 'userId' is set
            if (userId == null) throw new ApiException(400, "Missing required parameter 'userId' when calling ApiDeleteServiceUserPost");
            
    
            var path = "/api/deleteServiceUser";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (userId != null) formParams.Add("userId", ApiClient.ParameterToString(userId)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiDeleteServiceUserPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiDeleteServiceUserPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 删除企业内部用户。 必须是联盟企业的管理员
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="userId">用户Id</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiDeleteServiceUserPostAsync (string key, string userId)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiDeleteServiceUserPost");
            // verify the required parameter 'userId' is set
            if (userId == null) throw new ApiException(400, "Missing required parameter 'userId' when calling ApiDeleteServiceUserPost");
            
    
            var path = "/api/deleteServiceUser";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (userId != null) formParams.Add("userId", ApiClient.ParameterToString(userId)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiDeleteServiceUserPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 删除公务车 只有联盟企业管理员、客服可以执行。
        /// </summary>
        /// <param name="key">登录的key</param> 
        /// <param name="vehicleId">公务车辆的Id</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiDeleteServiceVehiclePost (string key, string vehicleId)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiDeleteServiceVehiclePost");
            
            // verify the required parameter 'vehicleId' is set
            if (vehicleId == null) throw new ApiException(400, "Missing required parameter 'vehicleId' when calling ApiDeleteServiceVehiclePost");
            
    
            var path = "/api/deleteServiceVehicle";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (vehicleId != null) formParams.Add("vehicleId", ApiClient.ParameterToString(vehicleId)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiDeleteServiceVehiclePost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiDeleteServiceVehiclePost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 删除公务车 只有联盟企业管理员、客服可以执行。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="vehicleId">公务车辆的Id</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiDeleteServiceVehiclePostAsync (string key, string vehicleId)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiDeleteServiceVehiclePost");
            // verify the required parameter 'vehicleId' is set
            if (vehicleId == null) throw new ApiException(400, "Missing required parameter 'vehicleId' when calling ApiDeleteServiceVehiclePost");
            
    
            var path = "/api/deleteServiceVehicle";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (vehicleId != null) formParams.Add("vehicleId", ApiClient.ParameterToString(vehicleId)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiDeleteServiceVehiclePost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 删除车机设备的指令。 仅限于系统管理员
        /// </summary>
        /// <param name="key">登录的key</param> 
        /// <param name="cmdId">车机短信指令的ID</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiDeleteSmsCommandPost (string key, string cmdId)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiDeleteSmsCommandPost");
            
            // verify the required parameter 'cmdId' is set
            if (cmdId == null) throw new ApiException(400, "Missing required parameter 'cmdId' when calling ApiDeleteSmsCommandPost");
            
    
            var path = "/api/deleteSmsCommand";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (cmdId != null) formParams.Add("cmdId", ApiClient.ParameterToString(cmdId)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiDeleteSmsCommandPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiDeleteSmsCommandPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 删除车机设备的指令。 仅限于系统管理员
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="cmdId">车机短信指令的ID</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiDeleteSmsCommandPostAsync (string key, string cmdId)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiDeleteSmsCommandPost");
            // verify the required parameter 'cmdId' is set
            if (cmdId == null) throw new ApiException(400, "Missing required parameter 'cmdId' when calling ApiDeleteSmsCommandPost");
            
    
            var path = "/api/deleteSmsCommand";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (cmdId != null) formParams.Add("cmdId", ApiClient.ParameterToString(cmdId)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiDeleteSmsCommandPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 删除在订单内添加的新车辆。 仅限于安装订单，订单状态必须是“工作中”，必须是工程师删除。 删除后，相关的维护记录、照片、评论都将被删除。调用前，应该提示用户确认删除。
        /// </summary>
        /// <param name="key">登录Key</param> 
        /// <param name="vehicleId">车辆Id</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiDeleteVehicleInOrderPost (string key, string vehicleId)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiDeleteVehicleInOrderPost");
            
            // verify the required parameter 'vehicleId' is set
            if (vehicleId == null) throw new ApiException(400, "Missing required parameter 'vehicleId' when calling ApiDeleteVehicleInOrderPost");
            
    
            var path = "/api/deleteVehicleInOrder";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            if (vehicleId != null) queryParams.Add("vehicleId", ApiClient.ParameterToString(vehicleId)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiDeleteVehicleInOrderPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiDeleteVehicleInOrderPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 删除在订单内添加的新车辆。 仅限于安装订单，订单状态必须是“工作中”，必须是工程师删除。 删除后，相关的维护记录、照片、评论都将被删除。调用前，应该提示用户确认删除。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="vehicleId">车辆Id</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiDeleteVehicleInOrderPostAsync (string key, string vehicleId)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiDeleteVehicleInOrderPost");
            // verify the required parameter 'vehicleId' is set
            if (vehicleId == null) throw new ApiException(400, "Missing required parameter 'vehicleId' when calling ApiDeleteVehicleInOrderPost");
            
    
            var path = "/api/deleteVehicleInOrder";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            if (vehicleId != null) queryParams.Add("vehicleId", ApiClient.ParameterToString(vehicleId)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiDeleteVehicleInOrderPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 删除联盟企业的工作地点。 如果该地址是默认地址，不允许删除，必须先设置其他地址为默认地址。 必须是联盟企业的管理员、客服，或者是企业用户自己
        /// </summary>
        /// <param name="key">登录key</param> 
        /// <param name="addressId">维修地点的id</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiDeleteWorkAddressPost (string key, string addressId)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiDeleteWorkAddressPost");
            
            // verify the required parameter 'addressId' is set
            if (addressId == null) throw new ApiException(400, "Missing required parameter 'addressId' when calling ApiDeleteWorkAddressPost");
            
    
            var path = "/api/deleteWorkAddress";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (addressId != null) formParams.Add("addressId", ApiClient.ParameterToString(addressId)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiDeleteWorkAddressPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiDeleteWorkAddressPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 删除联盟企业的工作地点。 如果该地址是默认地址，不允许删除，必须先设置其他地址为默认地址。 必须是联盟企业的管理员、客服，或者是企业用户自己
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="addressId">维修地点的id</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiDeleteWorkAddressPostAsync (string key, string addressId)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiDeleteWorkAddressPost");
            // verify the required parameter 'addressId' is set
            if (addressId == null) throw new ApiException(400, "Missing required parameter 'addressId' when calling ApiDeleteWorkAddressPost");
            
    
            var path = "/api/deleteWorkAddress";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (addressId != null) formParams.Add("addressId", ApiClient.ParameterToString(addressId)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiDeleteWorkAddressPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 删除已经上传的照片 删除照片
        /// </summary>
        /// <param name="key">登录key</param> 
        /// <param name="photoId">照片Id。</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiDeleteWorkPhotoPost (string key, string photoId)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiDeleteWorkPhotoPost");
            
            // verify the required parameter 'photoId' is set
            if (photoId == null) throw new ApiException(400, "Missing required parameter 'photoId' when calling ApiDeleteWorkPhotoPost");
            
    
            var path = "/api/deleteWorkPhoto";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            if (photoId != null) queryParams.Add("photoId", ApiClient.ParameterToString(photoId)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiDeleteWorkPhotoPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiDeleteWorkPhotoPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 删除已经上传的照片 删除照片
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="photoId">照片Id。</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiDeleteWorkPhotoPostAsync (string key, string photoId)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiDeleteWorkPhotoPost");
            // verify the required parameter 'photoId' is set
            if (photoId == null) throw new ApiException(400, "Missing required parameter 'photoId' when calling ApiDeleteWorkPhotoPost");
            
    
            var path = "/api/deleteWorkPhoto";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            if (photoId != null) queryParams.Add("photoId", ApiClient.ParameterToString(photoId)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiDeleteWorkPhotoPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 列出所有车机设备的品牌，按首字母分组 所有用户有权
        /// </summary>
        /// <param name="key">登录的key</param> 
        /// <returns>DeviceBrandGroupsByInitials</returns>            
        public DeviceBrandGroupsByInitials ApiDeviceBrandGroupsPost (string key)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiDeviceBrandGroupsPost");
            
    
            var path = "/api/deviceBrandGroups";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiDeviceBrandGroupsPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiDeviceBrandGroupsPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (DeviceBrandGroupsByInitials) ApiClient.Deserialize(response.Content, typeof(DeviceBrandGroupsByInitials), response.Headers);
        }
    
        /// <summary>
        /// 列出所有车机设备的品牌，按首字母分组 所有用户有权
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <returns>DeviceBrandGroupsByInitials</returns>
        public async System.Threading.Tasks.Task<DeviceBrandGroupsByInitials> ApiDeviceBrandGroupsPostAsync (string key)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiDeviceBrandGroupsPost");
            
    
            var path = "/api/deviceBrandGroups";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiDeviceBrandGroupsPost: " + response.Content, response.Content);

            return (DeviceBrandGroupsByInitials) ApiClient.Deserialize(response.Content, typeof(DeviceBrandGroupsByInitials), response.Headers);
        }
        
        /// <summary>
        /// 列出所有车机设备的品牌，按音序 所有用户有权
        /// </summary>
        /// <param name="key">登录的key</param> 
        /// <returns>DeviceBrandList</returns>            
        public DeviceBrandList ApiDeviceBrandListPost (string key)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiDeviceBrandListPost");
            
    
            var path = "/api/deviceBrandList";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiDeviceBrandListPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiDeviceBrandListPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (DeviceBrandList) ApiClient.Deserialize(response.Content, typeof(DeviceBrandList), response.Headers);
        }
    
        /// <summary>
        /// 列出所有车机设备的品牌，按音序 所有用户有权
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <returns>DeviceBrandList</returns>
        public async System.Threading.Tasks.Task<DeviceBrandList> ApiDeviceBrandListPostAsync (string key)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiDeviceBrandListPost");
            
    
            var path = "/api/deviceBrandList";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiDeviceBrandListPost: " + response.Content, response.Content);

            return (DeviceBrandList) ApiClient.Deserialize(response.Content, typeof(DeviceBrandList), response.Headers);
        }
        
        /// <summary>
        /// 列出指定品牌的所有车机设备的型号，按首字母分组 所有用户
        /// </summary>
        /// <param name="key">登录的key</param> 
        /// <param name="brandId">车机品牌的ID</param> 
        /// <returns>DeviceModelGroupsByInitials</returns>            
        public DeviceModelGroupsByInitials ApiDeviceModelGroupsPost (string key, string brandId)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiDeviceModelGroupsPost");
            
            // verify the required parameter 'brandId' is set
            if (brandId == null) throw new ApiException(400, "Missing required parameter 'brandId' when calling ApiDeviceModelGroupsPost");
            
    
            var path = "/api/deviceModelGroups";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (brandId != null) formParams.Add("brandId", ApiClient.ParameterToString(brandId)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiDeviceModelGroupsPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiDeviceModelGroupsPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (DeviceModelGroupsByInitials) ApiClient.Deserialize(response.Content, typeof(DeviceModelGroupsByInitials), response.Headers);
        }
    
        /// <summary>
        /// 列出指定品牌的所有车机设备的型号，按首字母分组 所有用户
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="brandId">车机品牌的ID</param>
        /// <returns>DeviceModelGroupsByInitials</returns>
        public async System.Threading.Tasks.Task<DeviceModelGroupsByInitials> ApiDeviceModelGroupsPostAsync (string key, string brandId)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiDeviceModelGroupsPost");
            // verify the required parameter 'brandId' is set
            if (brandId == null) throw new ApiException(400, "Missing required parameter 'brandId' when calling ApiDeviceModelGroupsPost");
            
    
            var path = "/api/deviceModelGroups";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (brandId != null) formParams.Add("brandId", ApiClient.ParameterToString(brandId)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiDeviceModelGroupsPost: " + response.Content, response.Content);

            return (DeviceModelGroupsByInitials) ApiClient.Deserialize(response.Content, typeof(DeviceModelGroupsByInitials), response.Headers);
        }
        
        /// <summary>
        /// 列出指定品牌的所有车机设备的型号，按音序 所有用户
        /// </summary>
        /// <param name="key">登录的key</param> 
        /// <param name="brandId">车机品牌的ID</param> 
        /// <returns>DeviceModelList</returns>            
        public DeviceModelList ApiDeviceModelListPost (string key, string brandId)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiDeviceModelListPost");
            
            // verify the required parameter 'brandId' is set
            if (brandId == null) throw new ApiException(400, "Missing required parameter 'brandId' when calling ApiDeviceModelListPost");
            
    
            var path = "/api/deviceModelList";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (brandId != null) formParams.Add("brandId", ApiClient.ParameterToString(brandId)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiDeviceModelListPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiDeviceModelListPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (DeviceModelList) ApiClient.Deserialize(response.Content, typeof(DeviceModelList), response.Headers);
        }
    
        /// <summary>
        /// 列出指定品牌的所有车机设备的型号，按音序 所有用户
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="brandId">车机品牌的ID</param>
        /// <returns>DeviceModelList</returns>
        public async System.Threading.Tasks.Task<DeviceModelList> ApiDeviceModelListPostAsync (string key, string brandId)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiDeviceModelListPost");
            // verify the required parameter 'brandId' is set
            if (brandId == null) throw new ApiException(400, "Missing required parameter 'brandId' when calling ApiDeviceModelListPost");
            
    
            var path = "/api/deviceModelList";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (brandId != null) formParams.Add("brandId", ApiClient.ParameterToString(brandId)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiDeviceModelListPost: " + response.Content, response.Content);

            return (DeviceModelList) ApiClient.Deserialize(response.Content, typeof(DeviceModelList), response.Headers);
        }
        
        /// <summary>
        /// 修改客户企业信息。 必须是联盟企业的管理员
        /// </summary>
        /// <param name="key">登录key</param> 
        /// <param name="companyId">企业Id</param> 
        /// <param name="companyName">企业全称（小于等于20个汉字）</param> 
        /// <param name="companySimpleName">企业的简称（小于等于4个汉字）。</param> 
        /// <param name="userPhone">用户的手机号（必须是11位手机号）。</param> 
        /// <param name="userRealName">用户的真实姓名。 （最多6个汉字）</param> 
        /// <param name="userSocialId">用户的身份证号码。 （18位，只能包含数字和X。服务器端将进行身份证号码规则检查，并自动对用户的生日、性别进行赋值。）</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiEditClientCompanyPost (string key, string companyId, string companyName, string companySimpleName, string userPhone, string userRealName, string userSocialId)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiEditClientCompanyPost");
            
            // verify the required parameter 'companyId' is set
            if (companyId == null) throw new ApiException(400, "Missing required parameter 'companyId' when calling ApiEditClientCompanyPost");
            
            // verify the required parameter 'companyName' is set
            if (companyName == null) throw new ApiException(400, "Missing required parameter 'companyName' when calling ApiEditClientCompanyPost");
            
            // verify the required parameter 'companySimpleName' is set
            if (companySimpleName == null) throw new ApiException(400, "Missing required parameter 'companySimpleName' when calling ApiEditClientCompanyPost");
            
            // verify the required parameter 'userPhone' is set
            if (userPhone == null) throw new ApiException(400, "Missing required parameter 'userPhone' when calling ApiEditClientCompanyPost");
            
            // verify the required parameter 'userRealName' is set
            if (userRealName == null) throw new ApiException(400, "Missing required parameter 'userRealName' when calling ApiEditClientCompanyPost");
            
    
            var path = "/api/editClientCompany";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (companyId != null) formParams.Add("companyId", ApiClient.ParameterToString(companyId)); // form parameter
            if (companyName != null) formParams.Add("companyName", ApiClient.ParameterToString(companyName)); // form parameter
            if (companySimpleName != null) formParams.Add("companySimpleName", ApiClient.ParameterToString(companySimpleName)); // form parameter
            if (userPhone != null) formParams.Add("userPhone", ApiClient.ParameterToString(userPhone)); // form parameter
            if (userSocialId != null) formParams.Add("userSocialId", ApiClient.ParameterToString(userSocialId)); // form parameter
            if (userRealName != null) formParams.Add("userRealName", ApiClient.ParameterToString(userRealName)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiEditClientCompanyPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiEditClientCompanyPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 修改客户企业信息。 必须是联盟企业的管理员
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="companyId">企业Id</param>
        /// <param name="companyName">企业全称（小于等于20个汉字）</param>
        /// <param name="companySimpleName">企业的简称（小于等于4个汉字）。</param>
        /// <param name="userPhone">用户的手机号（必须是11位手机号）。</param>
        /// <param name="userRealName">用户的真实姓名。 （最多6个汉字）</param>
        /// <param name="userSocialId">用户的身份证号码。 （18位，只能包含数字和X。服务器端将进行身份证号码规则检查，并自动对用户的生日、性别进行赋值。）</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiEditClientCompanyPostAsync (string key, string companyId, string companyName, string companySimpleName, string userPhone, string userRealName, string userSocialId)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiEditClientCompanyPost");
            // verify the required parameter 'companyId' is set
            if (companyId == null) throw new ApiException(400, "Missing required parameter 'companyId' when calling ApiEditClientCompanyPost");
            // verify the required parameter 'companyName' is set
            if (companyName == null) throw new ApiException(400, "Missing required parameter 'companyName' when calling ApiEditClientCompanyPost");
            // verify the required parameter 'companySimpleName' is set
            if (companySimpleName == null) throw new ApiException(400, "Missing required parameter 'companySimpleName' when calling ApiEditClientCompanyPost");
            // verify the required parameter 'userPhone' is set
            if (userPhone == null) throw new ApiException(400, "Missing required parameter 'userPhone' when calling ApiEditClientCompanyPost");
            // verify the required parameter 'userRealName' is set
            if (userRealName == null) throw new ApiException(400, "Missing required parameter 'userRealName' when calling ApiEditClientCompanyPost");
            
    
            var path = "/api/editClientCompany";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (companyId != null) formParams.Add("companyId", ApiClient.ParameterToString(companyId)); // form parameter
            if (companyName != null) formParams.Add("companyName", ApiClient.ParameterToString(companyName)); // form parameter
            if (companySimpleName != null) formParams.Add("companySimpleName", ApiClient.ParameterToString(companySimpleName)); // form parameter
            if (userPhone != null) formParams.Add("userPhone", ApiClient.ParameterToString(userPhone)); // form parameter
            if (userSocialId != null) formParams.Add("userSocialId", ApiClient.ParameterToString(userSocialId)); // form parameter
            if (userRealName != null) formParams.Add("userRealName", ApiClient.ParameterToString(userRealName)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiEditClientCompanyPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 编辑修改企业车辆 联盟企业管理员、客服、客户企业用户可以执行。
        /// </summary>
        /// <param name="key">登录的key</param> 
        /// <param name="vehicleId">公务车辆的Id</param> 
        /// <param name="plateNum">车牌照。至少5个字符，最多8个字符（汉字、字母、数字、空格）</param> 
        /// <param name="alias">车辆别名。如果不填写，自动以车牌照为别名。至少5个字符，最多8个字符（汉字、字母、数字、空格）</param> 
        /// <param name="type">车辆类型。不提供的话，默认为“其他”</param> 
        /// <param name="deviceType">车机类型</param> 
        /// <param name="deviceSn">车机上面的设备编号。</param> 
        /// <param name="sim">SIM卡号(11-13位，数字)</param> 
        /// <param name="peripheral">外围设备Id。多个ID以英文逗号分隔</param> 
        /// <param name="ownerPhone">车主电话（6-20个字符，数字、空格、-）</param> 
        /// <param name="driverPhone">司机电话（6-20个字符，数字、空格、-）</param> 
        /// <param name="memo">备注（最多20个字符）</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiEditCompanyVehiclePost (string key, string vehicleId, string plateNum, string alias, int? type, string deviceType, string deviceSn, string sim, string peripheral, string ownerPhone, string driverPhone, string memo)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiEditCompanyVehiclePost");
            
            // verify the required parameter 'vehicleId' is set
            if (vehicleId == null) throw new ApiException(400, "Missing required parameter 'vehicleId' when calling ApiEditCompanyVehiclePost");
            
            // verify the required parameter 'plateNum' is set
            if (plateNum == null) throw new ApiException(400, "Missing required parameter 'plateNum' when calling ApiEditCompanyVehiclePost");
            
    
            var path = "/api/editCompanyVehicle";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (vehicleId != null) formParams.Add("vehicleId", ApiClient.ParameterToString(vehicleId)); // form parameter
            if (plateNum != null) formParams.Add("plateNum", ApiClient.ParameterToString(plateNum)); // form parameter
            if (alias != null) formParams.Add("alias", ApiClient.ParameterToString(alias)); // form parameter
            if (type != null) formParams.Add("type", ApiClient.ParameterToString(type)); // form parameter
            if (deviceType != null) formParams.Add("deviceType", ApiClient.ParameterToString(deviceType)); // form parameter
            if (deviceSn != null) formParams.Add("deviceSn", ApiClient.ParameterToString(deviceSn)); // form parameter
            if (sim != null) formParams.Add("sim", ApiClient.ParameterToString(sim)); // form parameter
            if (peripheral != null) formParams.Add("peripheral", ApiClient.ParameterToString(peripheral)); // form parameter
            if (ownerPhone != null) formParams.Add("ownerPhone", ApiClient.ParameterToString(ownerPhone)); // form parameter
            if (driverPhone != null) formParams.Add("driverPhone", ApiClient.ParameterToString(driverPhone)); // form parameter
            if (memo != null) formParams.Add("memo", ApiClient.ParameterToString(memo)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiEditCompanyVehiclePost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiEditCompanyVehiclePost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 编辑修改企业车辆 联盟企业管理员、客服、客户企业用户可以执行。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="vehicleId">公务车辆的Id</param>
        /// <param name="plateNum">车牌照。至少5个字符，最多8个字符（汉字、字母、数字、空格）</param>
        /// <param name="alias">车辆别名。如果不填写，自动以车牌照为别名。至少5个字符，最多8个字符（汉字、字母、数字、空格）</param>
        /// <param name="type">车辆类型。不提供的话，默认为“其他”</param>
        /// <param name="deviceType">车机类型</param>
        /// <param name="deviceSn">车机上面的设备编号。</param>
        /// <param name="sim">SIM卡号(11-13位，数字)</param>
        /// <param name="peripheral">外围设备Id。多个ID以英文逗号分隔</param>
        /// <param name="ownerPhone">车主电话（6-20个字符，数字、空格、-）</param>
        /// <param name="driverPhone">司机电话（6-20个字符，数字、空格、-）</param>
        /// <param name="memo">备注（最多20个字符）</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiEditCompanyVehiclePostAsync (string key, string vehicleId, string plateNum, string alias, int? type, string deviceType, string deviceSn, string sim, string peripheral, string ownerPhone, string driverPhone, string memo)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiEditCompanyVehiclePost");
            // verify the required parameter 'vehicleId' is set
            if (vehicleId == null) throw new ApiException(400, "Missing required parameter 'vehicleId' when calling ApiEditCompanyVehiclePost");
            // verify the required parameter 'plateNum' is set
            if (plateNum == null) throw new ApiException(400, "Missing required parameter 'plateNum' when calling ApiEditCompanyVehiclePost");
            
    
            var path = "/api/editCompanyVehicle";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (vehicleId != null) formParams.Add("vehicleId", ApiClient.ParameterToString(vehicleId)); // form parameter
            if (plateNum != null) formParams.Add("plateNum", ApiClient.ParameterToString(plateNum)); // form parameter
            if (alias != null) formParams.Add("alias", ApiClient.ParameterToString(alias)); // form parameter
            if (type != null) formParams.Add("type", ApiClient.ParameterToString(type)); // form parameter
            if (deviceType != null) formParams.Add("deviceType", ApiClient.ParameterToString(deviceType)); // form parameter
            if (deviceSn != null) formParams.Add("deviceSn", ApiClient.ParameterToString(deviceSn)); // form parameter
            if (sim != null) formParams.Add("sim", ApiClient.ParameterToString(sim)); // form parameter
            if (peripheral != null) formParams.Add("peripheral", ApiClient.ParameterToString(peripheral)); // form parameter
            if (ownerPhone != null) formParams.Add("ownerPhone", ApiClient.ParameterToString(ownerPhone)); // form parameter
            if (driverPhone != null) formParams.Add("driverPhone", ApiClient.ParameterToString(driverPhone)); // form parameter
            if (memo != null) formParams.Add("memo", ApiClient.ParameterToString(memo)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiEditCompanyVehiclePost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 修改车机设备的品牌 仅限于系统管理员
        /// </summary>
        /// <param name="key">登录的key</param> 
        /// <param name="brandId">车机品牌的ID</param> 
        /// <param name="brandName">车机品牌的名称。限10个字符</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiEditDeviceBrandPost (string key, string brandId, string brandName)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiEditDeviceBrandPost");
            
            // verify the required parameter 'brandId' is set
            if (brandId == null) throw new ApiException(400, "Missing required parameter 'brandId' when calling ApiEditDeviceBrandPost");
            
            // verify the required parameter 'brandName' is set
            if (brandName == null) throw new ApiException(400, "Missing required parameter 'brandName' when calling ApiEditDeviceBrandPost");
            
    
            var path = "/api/editDeviceBrand";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (brandId != null) formParams.Add("brandId", ApiClient.ParameterToString(brandId)); // form parameter
            if (brandName != null) formParams.Add("brandName", ApiClient.ParameterToString(brandName)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiEditDeviceBrandPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiEditDeviceBrandPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 修改车机设备的品牌 仅限于系统管理员
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="brandId">车机品牌的ID</param>
        /// <param name="brandName">车机品牌的名称。限10个字符</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiEditDeviceBrandPostAsync (string key, string brandId, string brandName)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiEditDeviceBrandPost");
            // verify the required parameter 'brandId' is set
            if (brandId == null) throw new ApiException(400, "Missing required parameter 'brandId' when calling ApiEditDeviceBrandPost");
            // verify the required parameter 'brandName' is set
            if (brandName == null) throw new ApiException(400, "Missing required parameter 'brandName' when calling ApiEditDeviceBrandPost");
            
    
            var path = "/api/editDeviceBrand";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (brandId != null) formParams.Add("brandId", ApiClient.ParameterToString(brandId)); // form parameter
            if (brandName != null) formParams.Add("brandName", ApiClient.ParameterToString(brandName)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiEditDeviceBrandPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 修改车机设备的型号 仅限于系统管理员
        /// </summary>
        /// <param name="key">登录的key</param> 
        /// <param name="modelId">车机型号的ID</param> 
        /// <param name="modelName">车机型号。限15个字符</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiEditDeviceModelPost (string key, string modelId, string modelName)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiEditDeviceModelPost");
            
            // verify the required parameter 'modelId' is set
            if (modelId == null) throw new ApiException(400, "Missing required parameter 'modelId' when calling ApiEditDeviceModelPost");
            
            // verify the required parameter 'modelName' is set
            if (modelName == null) throw new ApiException(400, "Missing required parameter 'modelName' when calling ApiEditDeviceModelPost");
            
    
            var path = "/api/editDeviceModel";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (modelId != null) formParams.Add("modelId", ApiClient.ParameterToString(modelId)); // form parameter
            if (modelName != null) formParams.Add("modelName", ApiClient.ParameterToString(modelName)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiEditDeviceModelPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiEditDeviceModelPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 修改车机设备的型号 仅限于系统管理员
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="modelId">车机型号的ID</param>
        /// <param name="modelName">车机型号。限15个字符</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiEditDeviceModelPostAsync (string key, string modelId, string modelName)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiEditDeviceModelPost");
            // verify the required parameter 'modelId' is set
            if (modelId == null) throw new ApiException(400, "Missing required parameter 'modelId' when calling ApiEditDeviceModelPost");
            // verify the required parameter 'modelName' is set
            if (modelName == null) throw new ApiException(400, "Missing required parameter 'modelName' when calling ApiEditDeviceModelPost");
            
    
            var path = "/api/editDeviceModel";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (modelId != null) formParams.Add("modelId", ApiClient.ParameterToString(modelId)); // form parameter
            if (modelName != null) formParams.Add("modelName", ApiClient.ParameterToString(modelName)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiEditDeviceModelPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 修改一个联盟成员企业的基本信息 系统管理员用户修改所有，总公司管理员（不包括客服）修改本公司、分公司；分公司管理员（不包括客服）修改本公司。
        /// </summary>
        /// <param name="key">登录Key</param> 
        /// <param name="serviceCompanyId">公司Id</param> 
        /// <param name="companyName">公司全称</param> 
        /// <param name="companySimple">公司简称</param> 
        /// <param name="servicePhone">服务电话</param> 
        /// <param name="spCode">短信主叫号</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiEditServiceCompanyPost (string key, string serviceCompanyId, string companyName, string companySimple, string servicePhone, string spCode)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiEditServiceCompanyPost");
            
            // verify the required parameter 'serviceCompanyId' is set
            if (serviceCompanyId == null) throw new ApiException(400, "Missing required parameter 'serviceCompanyId' when calling ApiEditServiceCompanyPost");
            
            // verify the required parameter 'companyName' is set
            if (companyName == null) throw new ApiException(400, "Missing required parameter 'companyName' when calling ApiEditServiceCompanyPost");
            
            // verify the required parameter 'companySimple' is set
            if (companySimple == null) throw new ApiException(400, "Missing required parameter 'companySimple' when calling ApiEditServiceCompanyPost");
            
            // verify the required parameter 'servicePhone' is set
            if (servicePhone == null) throw new ApiException(400, "Missing required parameter 'servicePhone' when calling ApiEditServiceCompanyPost");
            
            // verify the required parameter 'spCode' is set
            if (spCode == null) throw new ApiException(400, "Missing required parameter 'spCode' when calling ApiEditServiceCompanyPost");
            
    
            var path = "/api/editServiceCompany";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (serviceCompanyId != null) formParams.Add("serviceCompanyId", ApiClient.ParameterToString(serviceCompanyId)); // form parameter
            if (companyName != null) formParams.Add("companyName", ApiClient.ParameterToString(companyName)); // form parameter
            if (companySimple != null) formParams.Add("companySimple", ApiClient.ParameterToString(companySimple)); // form parameter
            if (servicePhone != null) formParams.Add("servicePhone", ApiClient.ParameterToString(servicePhone)); // form parameter
            if (spCode != null) formParams.Add("spCode", ApiClient.ParameterToString(spCode)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiEditServiceCompanyPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiEditServiceCompanyPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 修改一个联盟成员企业的基本信息 系统管理员用户修改所有，总公司管理员（不包括客服）修改本公司、分公司；分公司管理员（不包括客服）修改本公司。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="serviceCompanyId">公司Id</param>
        /// <param name="companyName">公司全称</param>
        /// <param name="companySimple">公司简称</param>
        /// <param name="servicePhone">服务电话</param>
        /// <param name="spCode">短信主叫号</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiEditServiceCompanyPostAsync (string key, string serviceCompanyId, string companyName, string companySimple, string servicePhone, string spCode)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiEditServiceCompanyPost");
            // verify the required parameter 'serviceCompanyId' is set
            if (serviceCompanyId == null) throw new ApiException(400, "Missing required parameter 'serviceCompanyId' when calling ApiEditServiceCompanyPost");
            // verify the required parameter 'companyName' is set
            if (companyName == null) throw new ApiException(400, "Missing required parameter 'companyName' when calling ApiEditServiceCompanyPost");
            // verify the required parameter 'companySimple' is set
            if (companySimple == null) throw new ApiException(400, "Missing required parameter 'companySimple' when calling ApiEditServiceCompanyPost");
            // verify the required parameter 'servicePhone' is set
            if (servicePhone == null) throw new ApiException(400, "Missing required parameter 'servicePhone' when calling ApiEditServiceCompanyPost");
            // verify the required parameter 'spCode' is set
            if (spCode == null) throw new ApiException(400, "Missing required parameter 'spCode' when calling ApiEditServiceCompanyPost");
            
    
            var path = "/api/editServiceCompany";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (serviceCompanyId != null) formParams.Add("serviceCompanyId", ApiClient.ParameterToString(serviceCompanyId)); // form parameter
            if (companyName != null) formParams.Add("companyName", ApiClient.ParameterToString(companyName)); // form parameter
            if (companySimple != null) formParams.Add("companySimple", ApiClient.ParameterToString(companySimple)); // form parameter
            if (servicePhone != null) formParams.Add("servicePhone", ApiClient.ParameterToString(servicePhone)); // form parameter
            if (spCode != null) formParams.Add("spCode", ApiClient.ParameterToString(spCode)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiEditServiceCompanyPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 编辑修改维修网点 只有联盟企业管理员可以执行。
        /// </summary>
        /// <param name="key">登录的key</param> 
        /// <param name="officeId">维修网点的Id</param> 
        /// <param name="name">网点名称，最多5个汉字。企业内不可以重复</param> 
        /// <param name="address">网点地址，最多50个汉字</param> 
        /// <param name="contact">联系人，最多6个汉字</param> 
        /// <param name="phone">网点电话，最多13个汉字</param> 
        /// <param name="lon">网点经度</param> 
        /// <param name="lat">网点纬度</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiEditServiceOfficePost (string key, string officeId, string name, string address, string contact, string phone, float? lon, float? lat)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiEditServiceOfficePost");
            
            // verify the required parameter 'officeId' is set
            if (officeId == null) throw new ApiException(400, "Missing required parameter 'officeId' when calling ApiEditServiceOfficePost");
            
            // verify the required parameter 'name' is set
            if (name == null) throw new ApiException(400, "Missing required parameter 'name' when calling ApiEditServiceOfficePost");
            
            // verify the required parameter 'address' is set
            if (address == null) throw new ApiException(400, "Missing required parameter 'address' when calling ApiEditServiceOfficePost");
            
            // verify the required parameter 'contact' is set
            if (contact == null) throw new ApiException(400, "Missing required parameter 'contact' when calling ApiEditServiceOfficePost");
            
            // verify the required parameter 'phone' is set
            if (phone == null) throw new ApiException(400, "Missing required parameter 'phone' when calling ApiEditServiceOfficePost");
            
            // verify the required parameter 'lon' is set
            if (lon == null) throw new ApiException(400, "Missing required parameter 'lon' when calling ApiEditServiceOfficePost");
            
            // verify the required parameter 'lat' is set
            if (lat == null) throw new ApiException(400, "Missing required parameter 'lat' when calling ApiEditServiceOfficePost");
            
    
            var path = "/api/editServiceOffice";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (officeId != null) formParams.Add("officeId", ApiClient.ParameterToString(officeId)); // form parameter
            if (name != null) formParams.Add("name", ApiClient.ParameterToString(name)); // form parameter
            if (address != null) formParams.Add("address", ApiClient.ParameterToString(address)); // form parameter
            if (contact != null) formParams.Add("contact", ApiClient.ParameterToString(contact)); // form parameter
            if (phone != null) formParams.Add("phone", ApiClient.ParameterToString(phone)); // form parameter
            if (lon != null) formParams.Add("lon", ApiClient.ParameterToString(lon)); // form parameter
            if (lat != null) formParams.Add("lat", ApiClient.ParameterToString(lat)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiEditServiceOfficePost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiEditServiceOfficePost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 编辑修改维修网点 只有联盟企业管理员可以执行。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="officeId">维修网点的Id</param>
        /// <param name="name">网点名称，最多5个汉字。企业内不可以重复</param>
        /// <param name="address">网点地址，最多50个汉字</param>
        /// <param name="contact">联系人，最多6个汉字</param>
        /// <param name="phone">网点电话，最多13个汉字</param>
        /// <param name="lon">网点经度</param>
        /// <param name="lat">网点纬度</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiEditServiceOfficePostAsync (string key, string officeId, string name, string address, string contact, string phone, float? lon, float? lat)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiEditServiceOfficePost");
            // verify the required parameter 'officeId' is set
            if (officeId == null) throw new ApiException(400, "Missing required parameter 'officeId' when calling ApiEditServiceOfficePost");
            // verify the required parameter 'name' is set
            if (name == null) throw new ApiException(400, "Missing required parameter 'name' when calling ApiEditServiceOfficePost");
            // verify the required parameter 'address' is set
            if (address == null) throw new ApiException(400, "Missing required parameter 'address' when calling ApiEditServiceOfficePost");
            // verify the required parameter 'contact' is set
            if (contact == null) throw new ApiException(400, "Missing required parameter 'contact' when calling ApiEditServiceOfficePost");
            // verify the required parameter 'phone' is set
            if (phone == null) throw new ApiException(400, "Missing required parameter 'phone' when calling ApiEditServiceOfficePost");
            // verify the required parameter 'lon' is set
            if (lon == null) throw new ApiException(400, "Missing required parameter 'lon' when calling ApiEditServiceOfficePost");
            // verify the required parameter 'lat' is set
            if (lat == null) throw new ApiException(400, "Missing required parameter 'lat' when calling ApiEditServiceOfficePost");
            
    
            var path = "/api/editServiceOffice";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (officeId != null) formParams.Add("officeId", ApiClient.ParameterToString(officeId)); // form parameter
            if (name != null) formParams.Add("name", ApiClient.ParameterToString(name)); // form parameter
            if (address != null) formParams.Add("address", ApiClient.ParameterToString(address)); // form parameter
            if (contact != null) formParams.Add("contact", ApiClient.ParameterToString(contact)); // form parameter
            if (phone != null) formParams.Add("phone", ApiClient.ParameterToString(phone)); // form parameter
            if (lon != null) formParams.Add("lon", ApiClient.ParameterToString(lon)); // form parameter
            if (lat != null) formParams.Add("lat", ApiClient.ParameterToString(lat)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiEditServiceOfficePost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 添加客户企业。 必须是联盟企业的管理员。 不变的信息，也需要携带原值。
        /// </summary>
        /// <param name="key">登录key</param> 
        /// <param name="userId">用户的Id。</param> 
        /// <param name="userPhone">用户的手机号（必须是11位手机号）。</param> 
        /// <param name="userSocialId">用户的身份证号码。 （18位，只能包含数字和X。服务器端将进行身份证号码规则检查，并自动对用户的生日、性别进行赋值。）</param> 
        /// <param name="userRealName">用户的真实姓名。 （最多6个汉字）</param> 
        /// <param name="userRole">用户的角色。 只能是客服、工程师。 In Excel</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiEditServiceUserPost (string key, string userId, string userPhone, string userSocialId, string userRealName, int? userRole)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiEditServiceUserPost");
            
            // verify the required parameter 'userId' is set
            if (userId == null) throw new ApiException(400, "Missing required parameter 'userId' when calling ApiEditServiceUserPost");
            
            // verify the required parameter 'userPhone' is set
            if (userPhone == null) throw new ApiException(400, "Missing required parameter 'userPhone' when calling ApiEditServiceUserPost");
            
            // verify the required parameter 'userSocialId' is set
            if (userSocialId == null) throw new ApiException(400, "Missing required parameter 'userSocialId' when calling ApiEditServiceUserPost");
            
            // verify the required parameter 'userRealName' is set
            if (userRealName == null) throw new ApiException(400, "Missing required parameter 'userRealName' when calling ApiEditServiceUserPost");
            
            // verify the required parameter 'userRole' is set
            if (userRole == null) throw new ApiException(400, "Missing required parameter 'userRole' when calling ApiEditServiceUserPost");
            
    
            var path = "/api/editServiceUser";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (userId != null) formParams.Add("userId", ApiClient.ParameterToString(userId)); // form parameter
            if (userPhone != null) formParams.Add("userPhone", ApiClient.ParameterToString(userPhone)); // form parameter
            if (userSocialId != null) formParams.Add("userSocialId", ApiClient.ParameterToString(userSocialId)); // form parameter
            if (userRealName != null) formParams.Add("userRealName", ApiClient.ParameterToString(userRealName)); // form parameter
            if (userRole != null) formParams.Add("userRole", ApiClient.ParameterToString(userRole)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiEditServiceUserPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiEditServiceUserPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 添加客户企业。 必须是联盟企业的管理员。 不变的信息，也需要携带原值。
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="userId">用户的Id。</param>
        /// <param name="userPhone">用户的手机号（必须是11位手机号）。</param>
        /// <param name="userSocialId">用户的身份证号码。 （18位，只能包含数字和X。服务器端将进行身份证号码规则检查，并自动对用户的生日、性别进行赋值。）</param>
        /// <param name="userRealName">用户的真实姓名。 （最多6个汉字）</param>
        /// <param name="userRole">用户的角色。 只能是客服、工程师。 In Excel</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiEditServiceUserPostAsync (string key, string userId, string userPhone, string userSocialId, string userRealName, int? userRole)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiEditServiceUserPost");
            // verify the required parameter 'userId' is set
            if (userId == null) throw new ApiException(400, "Missing required parameter 'userId' when calling ApiEditServiceUserPost");
            // verify the required parameter 'userPhone' is set
            if (userPhone == null) throw new ApiException(400, "Missing required parameter 'userPhone' when calling ApiEditServiceUserPost");
            // verify the required parameter 'userSocialId' is set
            if (userSocialId == null) throw new ApiException(400, "Missing required parameter 'userSocialId' when calling ApiEditServiceUserPost");
            // verify the required parameter 'userRealName' is set
            if (userRealName == null) throw new ApiException(400, "Missing required parameter 'userRealName' when calling ApiEditServiceUserPost");
            // verify the required parameter 'userRole' is set
            if (userRole == null) throw new ApiException(400, "Missing required parameter 'userRole' when calling ApiEditServiceUserPost");
            
    
            var path = "/api/editServiceUser";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (userId != null) formParams.Add("userId", ApiClient.ParameterToString(userId)); // form parameter
            if (userPhone != null) formParams.Add("userPhone", ApiClient.ParameterToString(userPhone)); // form parameter
            if (userSocialId != null) formParams.Add("userSocialId", ApiClient.ParameterToString(userSocialId)); // form parameter
            if (userRealName != null) formParams.Add("userRealName", ApiClient.ParameterToString(userRealName)); // form parameter
            if (userRole != null) formParams.Add("userRole", ApiClient.ParameterToString(userRole)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiEditServiceUserPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 编辑修改公务车 只有联盟企业管理员、客服可以执行。
        /// </summary>
        /// <param name="key">登录的key</param> 
        /// <param name="vehicleId">公务车辆的Id</param> 
        /// <param name="plateNum">车牌照。至少5个字符，最多8个字符（汉字、字母、数字、空格）</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiEditServiceVehiclePost (string key, string vehicleId, string plateNum)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiEditServiceVehiclePost");
            
            // verify the required parameter 'vehicleId' is set
            if (vehicleId == null) throw new ApiException(400, "Missing required parameter 'vehicleId' when calling ApiEditServiceVehiclePost");
            
            // verify the required parameter 'plateNum' is set
            if (plateNum == null) throw new ApiException(400, "Missing required parameter 'plateNum' when calling ApiEditServiceVehiclePost");
            
    
            var path = "/api/editServiceVehicle";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (vehicleId != null) formParams.Add("vehicleId", ApiClient.ParameterToString(vehicleId)); // form parameter
            if (plateNum != null) formParams.Add("plateNum", ApiClient.ParameterToString(plateNum)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiEditServiceVehiclePost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiEditServiceVehiclePost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 编辑修改公务车 只有联盟企业管理员、客服可以执行。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="vehicleId">公务车辆的Id</param>
        /// <param name="plateNum">车牌照。至少5个字符，最多8个字符（汉字、字母、数字、空格）</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiEditServiceVehiclePostAsync (string key, string vehicleId, string plateNum)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiEditServiceVehiclePost");
            // verify the required parameter 'vehicleId' is set
            if (vehicleId == null) throw new ApiException(400, "Missing required parameter 'vehicleId' when calling ApiEditServiceVehiclePost");
            // verify the required parameter 'plateNum' is set
            if (plateNum == null) throw new ApiException(400, "Missing required parameter 'plateNum' when calling ApiEditServiceVehiclePost");
            
    
            var path = "/api/editServiceVehicle";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (vehicleId != null) formParams.Add("vehicleId", ApiClient.ParameterToString(vehicleId)); // form parameter
            if (plateNum != null) formParams.Add("plateNum", ApiClient.ParameterToString(plateNum)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiEditServiceVehiclePost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 修改车机设备的短信指令 仅限于系统管理员
        /// </summary>
        /// <param name="key">登录的key</param> 
        /// <param name="cmdId">车机设备指令ID</param> 
        /// <param name="cmd">车机指令。限256个字符</param> 
        /// <param name="memo">车机指令描述。限100个字符</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiEditSmsCommandPost (string key, string cmdId, string cmd, string memo)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiEditSmsCommandPost");
            
            // verify the required parameter 'cmdId' is set
            if (cmdId == null) throw new ApiException(400, "Missing required parameter 'cmdId' when calling ApiEditSmsCommandPost");
            
            // verify the required parameter 'cmd' is set
            if (cmd == null) throw new ApiException(400, "Missing required parameter 'cmd' when calling ApiEditSmsCommandPost");
            
            // verify the required parameter 'memo' is set
            if (memo == null) throw new ApiException(400, "Missing required parameter 'memo' when calling ApiEditSmsCommandPost");
            
    
            var path = "/api/editSmsCommand";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (cmdId != null) formParams.Add("cmdId", ApiClient.ParameterToString(cmdId)); // form parameter
            if (cmd != null) formParams.Add("cmd", ApiClient.ParameterToString(cmd)); // form parameter
            if (memo != null) formParams.Add("memo", ApiClient.ParameterToString(memo)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiEditSmsCommandPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiEditSmsCommandPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 修改车机设备的短信指令 仅限于系统管理员
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="cmdId">车机设备指令ID</param>
        /// <param name="cmd">车机指令。限256个字符</param>
        /// <param name="memo">车机指令描述。限100个字符</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiEditSmsCommandPostAsync (string key, string cmdId, string cmd, string memo)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiEditSmsCommandPost");
            // verify the required parameter 'cmdId' is set
            if (cmdId == null) throw new ApiException(400, "Missing required parameter 'cmdId' when calling ApiEditSmsCommandPost");
            // verify the required parameter 'cmd' is set
            if (cmd == null) throw new ApiException(400, "Missing required parameter 'cmd' when calling ApiEditSmsCommandPost");
            // verify the required parameter 'memo' is set
            if (memo == null) throw new ApiException(400, "Missing required parameter 'memo' when calling ApiEditSmsCommandPost");
            
    
            var path = "/api/editSmsCommand";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (cmdId != null) formParams.Add("cmdId", ApiClient.ParameterToString(cmdId)); // form parameter
            if (cmd != null) formParams.Add("cmd", ApiClient.ParameterToString(cmd)); // form parameter
            if (memo != null) formParams.Add("memo", ApiClient.ParameterToString(memo)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiEditSmsCommandPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 修改联盟企业的工作地点。默认地址的设置，不在此接口修改。 必须是联盟企业的管理员、客服，或者是企业用户自己
        /// </summary>
        /// <param name="key">登录key</param> 
        /// <param name="addressId">维修地点的id</param> 
        /// <param name="name">工作地点名（最多8个字符），企业内部不可以重复。</param> 
        /// <param name="address">详细地址（做多50个字符）。</param> 
        /// <param name="contact">联系人（最多6个字符）</param> 
        /// <param name="phone">联系电话（最多20个字符，数字、空格、-）</param> 
        /// <param name="lon">地址经度</param> 
        /// <param name="lat">地址纬度</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiEditWorkAddressPost (string key, string addressId, string name, string address, string contact, string phone, float? lon, float? lat)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiEditWorkAddressPost");
            
            // verify the required parameter 'addressId' is set
            if (addressId == null) throw new ApiException(400, "Missing required parameter 'addressId' when calling ApiEditWorkAddressPost");
            
            // verify the required parameter 'name' is set
            if (name == null) throw new ApiException(400, "Missing required parameter 'name' when calling ApiEditWorkAddressPost");
            
            // verify the required parameter 'address' is set
            if (address == null) throw new ApiException(400, "Missing required parameter 'address' when calling ApiEditWorkAddressPost");
            
            // verify the required parameter 'contact' is set
            if (contact == null) throw new ApiException(400, "Missing required parameter 'contact' when calling ApiEditWorkAddressPost");
            
            // verify the required parameter 'phone' is set
            if (phone == null) throw new ApiException(400, "Missing required parameter 'phone' when calling ApiEditWorkAddressPost");
            
            // verify the required parameter 'lon' is set
            if (lon == null) throw new ApiException(400, "Missing required parameter 'lon' when calling ApiEditWorkAddressPost");
            
            // verify the required parameter 'lat' is set
            if (lat == null) throw new ApiException(400, "Missing required parameter 'lat' when calling ApiEditWorkAddressPost");
            
    
            var path = "/api/editWorkAddress";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (addressId != null) formParams.Add("addressId", ApiClient.ParameterToString(addressId)); // form parameter
            if (name != null) formParams.Add("name", ApiClient.ParameterToString(name)); // form parameter
            if (address != null) formParams.Add("address", ApiClient.ParameterToString(address)); // form parameter
            if (contact != null) formParams.Add("contact", ApiClient.ParameterToString(contact)); // form parameter
            if (phone != null) formParams.Add("phone", ApiClient.ParameterToString(phone)); // form parameter
            if (lon != null) formParams.Add("lon", ApiClient.ParameterToString(lon)); // form parameter
            if (lat != null) formParams.Add("lat", ApiClient.ParameterToString(lat)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiEditWorkAddressPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiEditWorkAddressPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 修改联盟企业的工作地点。默认地址的设置，不在此接口修改。 必须是联盟企业的管理员、客服，或者是企业用户自己
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="addressId">维修地点的id</param>
        /// <param name="name">工作地点名（最多8个字符），企业内部不可以重复。</param>
        /// <param name="address">详细地址（做多50个字符）。</param>
        /// <param name="contact">联系人（最多6个字符）</param>
        /// <param name="phone">联系电话（最多20个字符，数字、空格、-）</param>
        /// <param name="lon">地址经度</param>
        /// <param name="lat">地址纬度</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiEditWorkAddressPostAsync (string key, string addressId, string name, string address, string contact, string phone, float? lon, float? lat)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiEditWorkAddressPost");
            // verify the required parameter 'addressId' is set
            if (addressId == null) throw new ApiException(400, "Missing required parameter 'addressId' when calling ApiEditWorkAddressPost");
            // verify the required parameter 'name' is set
            if (name == null) throw new ApiException(400, "Missing required parameter 'name' when calling ApiEditWorkAddressPost");
            // verify the required parameter 'address' is set
            if (address == null) throw new ApiException(400, "Missing required parameter 'address' when calling ApiEditWorkAddressPost");
            // verify the required parameter 'contact' is set
            if (contact == null) throw new ApiException(400, "Missing required parameter 'contact' when calling ApiEditWorkAddressPost");
            // verify the required parameter 'phone' is set
            if (phone == null) throw new ApiException(400, "Missing required parameter 'phone' when calling ApiEditWorkAddressPost");
            // verify the required parameter 'lon' is set
            if (lon == null) throw new ApiException(400, "Missing required parameter 'lon' when calling ApiEditWorkAddressPost");
            // verify the required parameter 'lat' is set
            if (lat == null) throw new ApiException(400, "Missing required parameter 'lat' when calling ApiEditWorkAddressPost");
            
    
            var path = "/api/editWorkAddress";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (addressId != null) formParams.Add("addressId", ApiClient.ParameterToString(addressId)); // form parameter
            if (name != null) formParams.Add("name", ApiClient.ParameterToString(name)); // form parameter
            if (address != null) formParams.Add("address", ApiClient.ParameterToString(address)); // form parameter
            if (contact != null) formParams.Add("contact", ApiClient.ParameterToString(contact)); // form parameter
            if (phone != null) formParams.Add("phone", ApiClient.ParameterToString(phone)); // form parameter
            if (lon != null) formParams.Add("lon", ApiClient.ParameterToString(lon)); // form parameter
            if (lat != null) formParams.Add("lat", ApiClient.ParameterToString(lat)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiEditWorkAddressPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 问题反馈 将意见建议，反馈给开发组
        /// </summary>
        /// <param name="key">登录的key</param> 
        /// <param name="feedback">反馈内容，最长200字</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiFeedBackPost (string key, string feedback)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiFeedBackPost");
            
            // verify the required parameter 'feedback' is set
            if (feedback == null) throw new ApiException(400, "Missing required parameter 'feedback' when calling ApiFeedBackPost");
            
    
            var path = "/api/feedBack";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (feedback != null) formParams.Add("feedback", ApiClient.ParameterToString(feedback)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiFeedBackPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiFeedBackPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 问题反馈 将意见建议，反馈给开发组
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="feedback">反馈内容，最长200字</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiFeedBackPostAsync (string key, string feedback)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiFeedBackPost");
            // verify the required parameter 'feedback' is set
            if (feedback == null) throw new ApiException(400, "Missing required parameter 'feedback' when calling ApiFeedBackPost");
            
    
            var path = "/api/feedBack";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (feedback != null) formParams.Add("feedback", ApiClient.ParameterToString(feedback)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiFeedBackPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 取得工程师完成的车辆数 取得工程师完成的车辆数
        /// </summary>
        /// <param name="key">登录的key</param> 
        /// <param name="workerId">工程师的Id。如果是工程师本人，查自己，就传入自己的ID</param> 
        /// <returns>NumberResp</returns>            
        public NumberResp ApiFinishedVehicleNumberPost (string key, string workerId)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiFinishedVehicleNumberPost");
            
            // verify the required parameter 'workerId' is set
            if (workerId == null) throw new ApiException(400, "Missing required parameter 'workerId' when calling ApiFinishedVehicleNumberPost");
            
    
            var path = "/api/finishedVehicleNumber";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (workerId != null) formParams.Add("workerId", ApiClient.ParameterToString(workerId)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiFinishedVehicleNumberPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiFinishedVehicleNumberPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (NumberResp) ApiClient.Deserialize(response.Content, typeof(NumberResp), response.Headers);
        }
    
        /// <summary>
        /// 取得工程师完成的车辆数 取得工程师完成的车辆数
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="workerId">工程师的Id。如果是工程师本人，查自己，就传入自己的ID</param>
        /// <returns>NumberResp</returns>
        public async System.Threading.Tasks.Task<NumberResp> ApiFinishedVehicleNumberPostAsync (string key, string workerId)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiFinishedVehicleNumberPost");
            // verify the required parameter 'workerId' is set
            if (workerId == null) throw new ApiException(400, "Missing required parameter 'workerId' when calling ApiFinishedVehicleNumberPost");
            
    
            var path = "/api/finishedVehicleNumber";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (workerId != null) formParams.Add("workerId", ApiClient.ParameterToString(workerId)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiFinishedVehicleNumberPost: " + response.Content, response.Content);

            return (NumberResp) ApiClient.Deserialize(response.Content, typeof(NumberResp), response.Headers);
        }
        
        /// <summary>
        /// 强制结束订单 强制结束订单。如果无权强制结束，或者订单状态不允许结束，将会返回错误。
        /// </summary>
        /// <param name="key">登录Key</param> 
        /// <param name="orderId">被结束的订单ID</param> 
        /// <param name="causal">结束订单原因。没填写，传“”。</param> 
        /// <param name="userLat">用户当前纬度</param> 
        /// <param name="userLon">用户当前经度</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiForceEndOrderPost (string key, string orderId, string causal, float? userLat, float? userLon)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiForceEndOrderPost");
            
            // verify the required parameter 'orderId' is set
            if (orderId == null) throw new ApiException(400, "Missing required parameter 'orderId' when calling ApiForceEndOrderPost");
            
            // verify the required parameter 'causal' is set
            if (causal == null) throw new ApiException(400, "Missing required parameter 'causal' when calling ApiForceEndOrderPost");
            
    
            var path = "/api/forceEndOrder";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (orderId != null) formParams.Add("orderId", ApiClient.ParameterToString(orderId)); // form parameter
            if (causal != null) formParams.Add("causal", ApiClient.ParameterToString(causal)); // form parameter
            if (userLat != null) formParams.Add("userLat", ApiClient.ParameterToString(userLat)); // form parameter
            if (userLon != null) formParams.Add("userLon", ApiClient.ParameterToString(userLon)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiForceEndOrderPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiForceEndOrderPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 强制结束订单 强制结束订单。如果无权强制结束，或者订单状态不允许结束，将会返回错误。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">被结束的订单ID</param>
        /// <param name="causal">结束订单原因。没填写，传“”。</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiForceEndOrderPostAsync (string key, string orderId, string causal, float? userLat, float? userLon)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiForceEndOrderPost");
            // verify the required parameter 'orderId' is set
            if (orderId == null) throw new ApiException(400, "Missing required parameter 'orderId' when calling ApiForceEndOrderPost");
            // verify the required parameter 'causal' is set
            if (causal == null) throw new ApiException(400, "Missing required parameter 'causal' when calling ApiForceEndOrderPost");
            
    
            var path = "/api/forceEndOrder";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (orderId != null) formParams.Add("orderId", ApiClient.ParameterToString(orderId)); // form parameter
            if (causal != null) formParams.Add("causal", ApiClient.ParameterToString(causal)); // form parameter
            if (userLat != null) formParams.Add("userLat", ApiClient.ParameterToString(userLat)); // form parameter
            if (userLon != null) formParams.Add("userLon", ApiClient.ParameterToString(userLon)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiForceEndOrderPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 取得生产环境的basePath 取得生产环境的basePath
        /// </summary>
        /// <param name="key">登录的key</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiGetProductBasePathPost (string key)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiGetProductBasePathPost");
            
    
            var path = "/api/getProductBasePath";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiGetProductBasePathPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiGetProductBasePathPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 取得生产环境的basePath 取得生产环境的basePath
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiGetProductBasePathPostAsync (string key)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiGetProductBasePathPost");
            
    
            var path = "/api/getProductBasePath";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiGetProductBasePathPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 取得测试环境的basePath 取得测试环境的basePath
        /// </summary>
        /// <param name="key">登录的key</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiGetTestBasePathPost (string key)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiGetTestBasePathPost");
            
    
            var path = "/api/getTestBasePath";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiGetTestBasePathPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiGetTestBasePathPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 取得测试环境的basePath 取得测试环境的basePath
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiGetTestBasePathPostAsync (string key)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiGetTestBasePathPost");
            
    
            var path = "/api/getTestBasePath";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiGetTestBasePathPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 返回上一步 退回到上一步订单状态。
        /// </summary>
        /// <param name="key">登录key</param> 
        /// <param name="orderId">订单Id</param> 
        /// <param name="userLat">用户当前纬度</param> 
        /// <param name="userLon">用户当前经度</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiGoBackPost (string key, string orderId, float? userLat, float? userLon)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiGoBackPost");
            
            // verify the required parameter 'orderId' is set
            if (orderId == null) throw new ApiException(400, "Missing required parameter 'orderId' when calling ApiGoBackPost");
            
    
            var path = "/api/goBack";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            if (orderId != null) queryParams.Add("orderId", ApiClient.ParameterToString(orderId)); // query parameter
            if (userLat != null) queryParams.Add("userLat", ApiClient.ParameterToString(userLat)); // query parameter
            if (userLon != null) queryParams.Add("userLon", ApiClient.ParameterToString(userLon)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiGoBackPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiGoBackPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 返回上一步 退回到上一步订单状态。
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="orderId">订单Id</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiGoBackPostAsync (string key, string orderId, float? userLat, float? userLon)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiGoBackPost");
            // verify the required parameter 'orderId' is set
            if (orderId == null) throw new ApiException(400, "Missing required parameter 'orderId' when calling ApiGoBackPost");
            
    
            var path = "/api/goBack";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            if (orderId != null) queryParams.Add("orderId", ApiClient.ParameterToString(orderId)); // query parameter
            if (userLat != null) queryParams.Add("userLat", ApiClient.ParameterToString(userLat)); // query parameter
            if (userLon != null) queryParams.Add("userLon", ApiClient.ParameterToString(userLon)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiGoBackPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 抢单记录 企业的抢单记录。只有联盟成员的管理员、客服可以调用。
        /// </summary>
        /// <param name="key">登录的key</param> 
        /// <param name="startIndex">起始位置(从0开始)</param> 
        /// <param name="maxNum">最多返回结果数量</param> 
        /// <returns>HistoryOrderApplicationList</returns>            
        public HistoryOrderApplicationList ApiHistoryOrderApplicationListPost (string key, int? startIndex, int? maxNum)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiHistoryOrderApplicationListPost");
            
            // verify the required parameter 'startIndex' is set
            if (startIndex == null) throw new ApiException(400, "Missing required parameter 'startIndex' when calling ApiHistoryOrderApplicationListPost");
            
            // verify the required parameter 'maxNum' is set
            if (maxNum == null) throw new ApiException(400, "Missing required parameter 'maxNum' when calling ApiHistoryOrderApplicationListPost");
            
    
            var path = "/api/historyOrderApplicationList";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (startIndex != null) formParams.Add("startIndex", ApiClient.ParameterToString(startIndex)); // form parameter
            if (maxNum != null) formParams.Add("maxNum", ApiClient.ParameterToString(maxNum)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiHistoryOrderApplicationListPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiHistoryOrderApplicationListPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (HistoryOrderApplicationList) ApiClient.Deserialize(response.Content, typeof(HistoryOrderApplicationList), response.Headers);
        }
    
        /// <summary>
        /// 抢单记录 企业的抢单记录。只有联盟成员的管理员、客服可以调用。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="startIndex">起始位置(从0开始)</param>
        /// <param name="maxNum">最多返回结果数量</param>
        /// <returns>HistoryOrderApplicationList</returns>
        public async System.Threading.Tasks.Task<HistoryOrderApplicationList> ApiHistoryOrderApplicationListPostAsync (string key, int? startIndex, int? maxNum)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiHistoryOrderApplicationListPost");
            // verify the required parameter 'startIndex' is set
            if (startIndex == null) throw new ApiException(400, "Missing required parameter 'startIndex' when calling ApiHistoryOrderApplicationListPost");
            // verify the required parameter 'maxNum' is set
            if (maxNum == null) throw new ApiException(400, "Missing required parameter 'maxNum' when calling ApiHistoryOrderApplicationListPost");
            
    
            var path = "/api/historyOrderApplicationList";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (startIndex != null) formParams.Add("startIndex", ApiClient.ParameterToString(startIndex)); // form parameter
            if (maxNum != null) formParams.Add("maxNum", ApiClient.ParameterToString(maxNum)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiHistoryOrderApplicationListPost: " + response.Content, response.Content);

            return (HistoryOrderApplicationList) ApiClient.Deserialize(response.Content, typeof(HistoryOrderApplicationList), response.Headers);
        }
        
        /// <summary>
        /// 指定卡号的历史短信记录 历史短信记录。客户企业的用户不能调用。每个联盟成员的用户只能查自己的sim卡（从Sim卡管理平台数据上进行校验）
        /// </summary>
        /// <param name="key">登录的key</param> 
        /// <param name="simNum">所查询的卡号</param> 
        /// <param name="startIndex">起始位置(从0开始)</param> 
        /// <param name="maxNum">最多返回结果数量</param> 
        /// <returns>HistorySmsList</returns>            
        public HistorySmsList ApiHistorySmsListPost (string key, string simNum, int? startIndex, int? maxNum)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiHistorySmsListPost");
            
            // verify the required parameter 'simNum' is set
            if (simNum == null) throw new ApiException(400, "Missing required parameter 'simNum' when calling ApiHistorySmsListPost");
            
            // verify the required parameter 'startIndex' is set
            if (startIndex == null) throw new ApiException(400, "Missing required parameter 'startIndex' when calling ApiHistorySmsListPost");
            
            // verify the required parameter 'maxNum' is set
            if (maxNum == null) throw new ApiException(400, "Missing required parameter 'maxNum' when calling ApiHistorySmsListPost");
            
    
            var path = "/api/historySmsList";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (simNum != null) formParams.Add("simNum", ApiClient.ParameterToString(simNum)); // form parameter
            if (startIndex != null) formParams.Add("startIndex", ApiClient.ParameterToString(startIndex)); // form parameter
            if (maxNum != null) formParams.Add("maxNum", ApiClient.ParameterToString(maxNum)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiHistorySmsListPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiHistorySmsListPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (HistorySmsList) ApiClient.Deserialize(response.Content, typeof(HistorySmsList), response.Headers);
        }
    
        /// <summary>
        /// 指定卡号的历史短信记录 历史短信记录。客户企业的用户不能调用。每个联盟成员的用户只能查自己的sim卡（从Sim卡管理平台数据上进行校验）
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="simNum">所查询的卡号</param>
        /// <param name="startIndex">起始位置(从0开始)</param>
        /// <param name="maxNum">最多返回结果数量</param>
        /// <returns>HistorySmsList</returns>
        public async System.Threading.Tasks.Task<HistorySmsList> ApiHistorySmsListPostAsync (string key, string simNum, int? startIndex, int? maxNum)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiHistorySmsListPost");
            // verify the required parameter 'simNum' is set
            if (simNum == null) throw new ApiException(400, "Missing required parameter 'simNum' when calling ApiHistorySmsListPost");
            // verify the required parameter 'startIndex' is set
            if (startIndex == null) throw new ApiException(400, "Missing required parameter 'startIndex' when calling ApiHistorySmsListPost");
            // verify the required parameter 'maxNum' is set
            if (maxNum == null) throw new ApiException(400, "Missing required parameter 'maxNum' when calling ApiHistorySmsListPost");
            
    
            var path = "/api/historySmsList";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (simNum != null) formParams.Add("simNum", ApiClient.ParameterToString(simNum)); // form parameter
            if (startIndex != null) formParams.Add("startIndex", ApiClient.ParameterToString(startIndex)); // form parameter
            if (maxNum != null) formParams.Add("maxNum", ApiClient.ParameterToString(maxNum)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiHistorySmsListPost: " + response.Content, response.Content);

            return (HistorySmsList) ApiClient.Deserialize(response.Content, typeof(HistorySmsList), response.Headers);
        }
        
        /// <summary>
        /// 查询某车辆的历史照片 按照照片类别来查询。
        /// </summary>
        /// <param name="key">登录key</param> 
        /// <param name="vehicleId">车辆的Id。</param> 
        /// <param name="photoType">照片类别。 In Excel</param> 
        /// <returns>List<WorkPhoto></returns>            
        public List<WorkPhoto> ApiHistoryWorkPhotosPost (string key, string vehicleId, int? photoType)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiHistoryWorkPhotosPost");
            
            // verify the required parameter 'vehicleId' is set
            if (vehicleId == null) throw new ApiException(400, "Missing required parameter 'vehicleId' when calling ApiHistoryWorkPhotosPost");
            
    
            var path = "/api/historyWorkPhotos";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            if (vehicleId != null) queryParams.Add("vehicleId", ApiClient.ParameterToString(vehicleId)); // query parameter
            if (photoType != null) queryParams.Add("photoType", ApiClient.ParameterToString(photoType)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiHistoryWorkPhotosPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiHistoryWorkPhotosPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (List<WorkPhoto>) ApiClient.Deserialize(response.Content, typeof(List<WorkPhoto>), response.Headers);
        }
    
        /// <summary>
        /// 查询某车辆的历史照片 按照照片类别来查询。
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="vehicleId">车辆的Id。</param>
        /// <param name="photoType">照片类别。 In Excel</param>
        /// <returns>List<WorkPhoto></returns>
        public async System.Threading.Tasks.Task<List<WorkPhoto>> ApiHistoryWorkPhotosPostAsync (string key, string vehicleId, int? photoType)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiHistoryWorkPhotosPost");
            // verify the required parameter 'vehicleId' is set
            if (vehicleId == null) throw new ApiException(400, "Missing required parameter 'vehicleId' when calling ApiHistoryWorkPhotosPost");
            
    
            var path = "/api/historyWorkPhotos";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            if (vehicleId != null) queryParams.Add("vehicleId", ApiClient.ParameterToString(vehicleId)); // query parameter
            if (photoType != null) queryParams.Add("photoType", ApiClient.ParameterToString(photoType)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiHistoryWorkPhotosPost: " + response.Content, response.Content);

            return (List<WorkPhoto>) ApiClient.Deserialize(response.Content, typeof(List<WorkPhoto>), response.Headers);
        }
        
        /// <summary>
        /// 根据ICCID查Sim卡号 每个联盟成员的用户只能查自己的sim卡（从Sim卡管理平台数据上进行校验）。客户企业用户不能执行。系统管理员不受鉴权限制。
        /// </summary>
        /// <param name="key">登录的key</param> 
        /// <param name="iccid">所查询的卡的ICCID</param> 
        /// <returns>StringResp</returns>            
        public StringResp ApiIccidToSimPost (string key, string iccid)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiIccidToSimPost");
            
            // verify the required parameter 'iccid' is set
            if (iccid == null) throw new ApiException(400, "Missing required parameter 'iccid' when calling ApiIccidToSimPost");
            
    
            var path = "/api/iccidToSim";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (iccid != null) formParams.Add("iccid", ApiClient.ParameterToString(iccid)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiIccidToSimPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiIccidToSimPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (StringResp) ApiClient.Deserialize(response.Content, typeof(StringResp), response.Headers);
        }
    
        /// <summary>
        /// 根据ICCID查Sim卡号 每个联盟成员的用户只能查自己的sim卡（从Sim卡管理平台数据上进行校验）。客户企业用户不能执行。系统管理员不受鉴权限制。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="iccid">所查询的卡的ICCID</param>
        /// <returns>StringResp</returns>
        public async System.Threading.Tasks.Task<StringResp> ApiIccidToSimPostAsync (string key, string iccid)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiIccidToSimPost");
            // verify the required parameter 'iccid' is set
            if (iccid == null) throw new ApiException(400, "Missing required parameter 'iccid' when calling ApiIccidToSimPost");
            
    
            var path = "/api/iccidToSim";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (iccid != null) formParams.Add("iccid", ApiClient.ParameterToString(iccid)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiIccidToSimPost: " + response.Content, response.Content);

            return (StringResp) ApiClient.Deserialize(response.Content, typeof(StringResp), response.Headers);
        }
        
        /// <summary>
        /// 列出所有已经收到的抢单申请。 列出所有已经收到的抢单申请。
        /// </summary>
        /// <param name="key">登录Key</param> 
        /// <param name="orderId">申请抢单的订单ID</param> 
        /// <returns>OrderApplicationList</returns>            
        public OrderApplicationList ApiListOrderRushApplicationPost (string key, string orderId)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiListOrderRushApplicationPost");
            
            // verify the required parameter 'orderId' is set
            if (orderId == null) throw new ApiException(400, "Missing required parameter 'orderId' when calling ApiListOrderRushApplicationPost");
            
    
            var path = "/api/listOrderRushApplication";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            if (orderId != null) queryParams.Add("orderId", ApiClient.ParameterToString(orderId)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiListOrderRushApplicationPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiListOrderRushApplicationPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (OrderApplicationList) ApiClient.Deserialize(response.Content, typeof(OrderApplicationList), response.Headers);
        }
    
        /// <summary>
        /// 列出所有已经收到的抢单申请。 列出所有已经收到的抢单申请。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">申请抢单的订单ID</param>
        /// <returns>OrderApplicationList</returns>
        public async System.Threading.Tasks.Task<OrderApplicationList> ApiListOrderRushApplicationPostAsync (string key, string orderId)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiListOrderRushApplicationPost");
            // verify the required parameter 'orderId' is set
            if (orderId == null) throw new ApiException(400, "Missing required parameter 'orderId' when calling ApiListOrderRushApplicationPost");
            
    
            var path = "/api/listOrderRushApplication";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            if (orderId != null) queryParams.Add("orderId", ApiClient.ParameterToString(orderId)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiListOrderRushApplicationPost: " + response.Content, response.Content);

            return (OrderApplicationList) ApiClient.Deserialize(response.Content, typeof(OrderApplicationList), response.Headers);
        }
        
        /// <summary>
        /// 列出指定车机型号的短信指令，按短信正文的字母顺序 仅限于系统管理员
        /// </summary>
        /// <param name="key">登录的key</param> 
        /// <param name="modelId">车机型号的ID</param> 
        /// <returns>List<SmsCommand></returns>            
        public List<SmsCommand> ApiListSmsCommandPost (string key, string modelId)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiListSmsCommandPost");
            
            // verify the required parameter 'modelId' is set
            if (modelId == null) throw new ApiException(400, "Missing required parameter 'modelId' when calling ApiListSmsCommandPost");
            
    
            var path = "/api/listSmsCommand";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (modelId != null) formParams.Add("modelId", ApiClient.ParameterToString(modelId)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiListSmsCommandPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiListSmsCommandPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (List<SmsCommand>) ApiClient.Deserialize(response.Content, typeof(List<SmsCommand>), response.Headers);
        }
    
        /// <summary>
        /// 列出指定车机型号的短信指令，按短信正文的字母顺序 仅限于系统管理员
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="modelId">车机型号的ID</param>
        /// <returns>List<SmsCommand></returns>
        public async System.Threading.Tasks.Task<List<SmsCommand>> ApiListSmsCommandPostAsync (string key, string modelId)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiListSmsCommandPost");
            // verify the required parameter 'modelId' is set
            if (modelId == null) throw new ApiException(400, "Missing required parameter 'modelId' when calling ApiListSmsCommandPost");
            
    
            var path = "/api/listSmsCommand";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (modelId != null) formParams.Add("modelId", ApiClient.ParameterToString(modelId)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiListSmsCommandPost: " + response.Content, response.Content);

            return (List<SmsCommand>) ApiClient.Deserialize(response.Content, typeof(List<SmsCommand>), response.Headers);
        }
        
        /// <summary>
        /// 用户登录 完成用户登录.
        /// </summary>
        /// <param name="userphone">用户名(手机号)</param> 
        /// <param name="password">密码.</param> 
        /// <param name="device">登录设备 Excel</param> 
        /// <param name="version">版本号。首次版本“1.0.0”，三段式</param> 
        /// <returns>LoginResult</returns>            
        public LoginResult ApiLoginPost (string userphone, string password, int? device, string version)
        {
            
            // verify the required parameter 'userphone' is set
            if (userphone == null) throw new ApiException(400, "Missing required parameter 'userphone' when calling ApiLoginPost");
            
            // verify the required parameter 'password' is set
            if (password == null) throw new ApiException(400, "Missing required parameter 'password' when calling ApiLoginPost");
            
            // verify the required parameter 'device' is set
            if (device == null) throw new ApiException(400, "Missing required parameter 'device' when calling ApiLoginPost");
            
            // verify the required parameter 'version' is set
            if (version == null) throw new ApiException(400, "Missing required parameter 'version' when calling ApiLoginPost");
            
    
            var path = "/api/login";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (userphone != null) formParams.Add("userphone", ApiClient.ParameterToString(userphone)); // form parameter
            if (password != null) formParams.Add("password", ApiClient.ParameterToString(password)); // form parameter
            if (device != null) formParams.Add("device", ApiClient.ParameterToString(device)); // form parameter
            if (version != null) formParams.Add("version", ApiClient.ParameterToString(version)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiLoginPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiLoginPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (LoginResult) ApiClient.Deserialize(response.Content, typeof(LoginResult), response.Headers);
        }
    
        /// <summary>
        /// 用户登录 完成用户登录.
        /// </summary>
        /// <param name="userphone">用户名(手机号)</param>
        /// <param name="password">密码.</param>
        /// <param name="device">登录设备 Excel</param>
        /// <param name="version">版本号。首次版本“1.0.0”，三段式</param>
        /// <returns>LoginResult</returns>
        public async System.Threading.Tasks.Task<LoginResult> ApiLoginPostAsync (string userphone, string password, int? device, string version)
        {
            // verify the required parameter 'userphone' is set
            if (userphone == null) throw new ApiException(400, "Missing required parameter 'userphone' when calling ApiLoginPost");
            // verify the required parameter 'password' is set
            if (password == null) throw new ApiException(400, "Missing required parameter 'password' when calling ApiLoginPost");
            // verify the required parameter 'device' is set
            if (device == null) throw new ApiException(400, "Missing required parameter 'device' when calling ApiLoginPost");
            // verify the required parameter 'version' is set
            if (version == null) throw new ApiException(400, "Missing required parameter 'version' when calling ApiLoginPost");
            
    
            var path = "/api/login";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (userphone != null) formParams.Add("userphone", ApiClient.ParameterToString(userphone)); // form parameter
            if (password != null) formParams.Add("password", ApiClient.ParameterToString(password)); // form parameter
            if (device != null) formParams.Add("device", ApiClient.ParameterToString(device)); // form parameter
            if (version != null) formParams.Add("version", ApiClient.ParameterToString(version)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiLoginPost: " + response.Content, response.Content);

            return (LoginResult) ApiClient.Deserialize(response.Content, typeof(LoginResult), response.Headers);
        }
        
        /// <summary>
        /// 用户退出登录 退出登录。记得要同时在JPush上注销自己哦。
        /// </summary>
        /// <param name="key">登录key</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiLogoutPost (string key)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiLogoutPost");
            
    
            var path = "/api/logout";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiLogoutPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiLogoutPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 用户退出登录 退出登录。记得要同时在JPush上注销自己哦。
        /// </summary>
        /// <param name="key">登录key</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiLogoutPostAsync (string key)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiLogoutPost");
            
    
            var path = "/api/logout";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiLogoutPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 查询我的所有客户企业 只能联盟成员用户查询。其他userType会返回错误
        /// </summary>
        /// <param name="key">登录Key</param> 
        /// <returns>StrKVPairResp</returns>            
        public StrKVPairResp ApiMyClientCompaniesPost (string key)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiMyClientCompaniesPost");
            
    
            var path = "/api/myClientCompanies";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiMyClientCompaniesPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiMyClientCompaniesPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (StrKVPairResp) ApiClient.Deserialize(response.Content, typeof(StrKVPairResp), response.Headers);
        }
    
        /// <summary>
        /// 查询我的所有客户企业 只能联盟成员用户查询。其他userType会返回错误
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <returns>StrKVPairResp</returns>
        public async System.Threading.Tasks.Task<StrKVPairResp> ApiMyClientCompaniesPostAsync (string key)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiMyClientCompaniesPost");
            
    
            var path = "/api/myClientCompanies";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiMyClientCompaniesPost: " + response.Content, response.Content);

            return (StrKVPairResp) ApiClient.Deserialize(response.Content, typeof(StrKVPairResp), response.Headers);
        }
        
        /// <summary>
        /// 联盟成员用户，为自己的客户企业下单。 客服下单
        /// </summary>
        /// <param name="key">登录Key</param> 
        /// <param name="clientCompanyId">客户企业的Id</param> 
        /// <param name="orderType">订单类别（安装、维护，In Excel）</param> 
        /// <param name="workAddrID">维护地点的ID。 如果是临时的地点，传入\&quot;0\&quot;</param> 
        /// <param name="urgency">紧急程度 in Excel</param> 
        /// <param name="price">订单价格。如果未输入，请提供0.00</param> 
        /// <param name="numberToInstall">安装车辆的总数。安装类别的订单，这个数字必须大于0</param> 
        /// <param name="tempAddr">临时地点详细街路名。 当workAddrId=&#39;0&#39;时有效，且必填</param> 
        /// <param name="tempAddrPhone">临时地点联系电话。 当workAddrId=&#39;0&#39;时有效，且必填</param> 
        /// <param name="tempAddrContact">临时地点联系人姓名。 当workAddrId=&#39;0&#39;时有效，且必填</param> 
        /// <param name="tempAddrLat">临时地点纬度。 当workAddrId=&#39;0&#39;时有效，且必填</param> 
        /// <param name="tempAddrLon">临时地点纬度。 当workAddrId=&#39;0&#39;时有效，且必填</param> 
        /// <param name="vehicleId">维修车辆的ID。 对于维护订单，此字段必填。</param> 
        /// <param name="problemId">维修车辆的故障现象。对于维护订单，此字段必填。</param> 
        /// <param name="problemDesc">维修车辆的故障现象文字描述。如果选的不是‘其它’，把对应文字也填写在这里。如果选“其它”，就把用户输入的文字放到这里。对于维护订单，此字段必填。</param> 
        /// <param name="analysisId">维修车辆的故障分析。对于维护订单，此字段必填。</param> 
        /// <param name="analysisDesc">维修车辆的故障现象分析的描述。如果选的不是‘其它’，把对应文字也填写在这里。如果选“其它”，就把用户输入的文字放到这里。对于维护订单，此字段必填。</param> 
        /// <param name="installMemo">安装订单的备注（最多20字符）</param> 
        /// <param name="userLat">用户当前纬度</param> 
        /// <param name="userLon">用户当前经度</param> 
        /// <returns>StringResp</returns>            
        public StringResp ApiNewOrderByServicePost (string key, string clientCompanyId, int? orderType, string workAddrID, int? urgency, float? price, int? numberToInstall, string tempAddr, string tempAddrPhone, string tempAddrContact, float? tempAddrLat, float? tempAddrLon, string vehicleId, int? problemId, string problemDesc, int? analysisId, string analysisDesc, string installMemo, float? userLat, float? userLon)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiNewOrderByServicePost");
            
            // verify the required parameter 'clientCompanyId' is set
            if (clientCompanyId == null) throw new ApiException(400, "Missing required parameter 'clientCompanyId' when calling ApiNewOrderByServicePost");
            
            // verify the required parameter 'orderType' is set
            if (orderType == null) throw new ApiException(400, "Missing required parameter 'orderType' when calling ApiNewOrderByServicePost");
            
            // verify the required parameter 'workAddrID' is set
            if (workAddrID == null) throw new ApiException(400, "Missing required parameter 'workAddrID' when calling ApiNewOrderByServicePost");
            
            // verify the required parameter 'urgency' is set
            if (urgency == null) throw new ApiException(400, "Missing required parameter 'urgency' when calling ApiNewOrderByServicePost");
            
            // verify the required parameter 'price' is set
            if (price == null) throw new ApiException(400, "Missing required parameter 'price' when calling ApiNewOrderByServicePost");
            
    
            var path = "/api/newOrderByService";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (clientCompanyId != null) formParams.Add("clientCompanyId", ApiClient.ParameterToString(clientCompanyId)); // form parameter
            if (orderType != null) formParams.Add("orderType", ApiClient.ParameterToString(orderType)); // form parameter
            if (numberToInstall != null) formParams.Add("numberToInstall", ApiClient.ParameterToString(numberToInstall)); // form parameter
            if (workAddrID != null) formParams.Add("workAddrID", ApiClient.ParameterToString(workAddrID)); // form parameter
            if (tempAddr != null) formParams.Add("tempAddr", ApiClient.ParameterToString(tempAddr)); // form parameter
            if (tempAddrPhone != null) formParams.Add("tempAddrPhone", ApiClient.ParameterToString(tempAddrPhone)); // form parameter
            if (tempAddrContact != null) formParams.Add("tempAddrContact", ApiClient.ParameterToString(tempAddrContact)); // form parameter
            if (tempAddrLat != null) formParams.Add("tempAddrLat", ApiClient.ParameterToString(tempAddrLat)); // form parameter
            if (tempAddrLon != null) formParams.Add("tempAddrLon", ApiClient.ParameterToString(tempAddrLon)); // form parameter
            if (vehicleId != null) formParams.Add("vehicleId", ApiClient.ParameterToString(vehicleId)); // form parameter
            if (problemId != null) formParams.Add("problemId", ApiClient.ParameterToString(problemId)); // form parameter
            if (problemDesc != null) formParams.Add("problemDesc", ApiClient.ParameterToString(problemDesc)); // form parameter
            if (analysisId != null) formParams.Add("analysisId", ApiClient.ParameterToString(analysisId)); // form parameter
            if (analysisDesc != null) formParams.Add("analysisDesc", ApiClient.ParameterToString(analysisDesc)); // form parameter
            if (urgency != null) formParams.Add("urgency", ApiClient.ParameterToString(urgency)); // form parameter
            if (price != null) formParams.Add("price", ApiClient.ParameterToString(price)); // form parameter
            if (installMemo != null) formParams.Add("installMemo", ApiClient.ParameterToString(installMemo)); // form parameter
            if (userLat != null) formParams.Add("userLat", ApiClient.ParameterToString(userLat)); // form parameter
            if (userLon != null) formParams.Add("userLon", ApiClient.ParameterToString(userLon)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiNewOrderByServicePost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiNewOrderByServicePost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (StringResp) ApiClient.Deserialize(response.Content, typeof(StringResp), response.Headers);
        }
    
        /// <summary>
        /// 联盟成员用户，为自己的客户企业下单。 客服下单
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="clientCompanyId">客户企业的Id</param>
        /// <param name="orderType">订单类别（安装、维护，In Excel）</param>
        /// <param name="workAddrID">维护地点的ID。 如果是临时的地点，传入\&quot;0\&quot;</param>
        /// <param name="urgency">紧急程度 in Excel</param>
        /// <param name="price">订单价格。如果未输入，请提供0.00</param>
        /// <param name="numberToInstall">安装车辆的总数。安装类别的订单，这个数字必须大于0</param>
        /// <param name="tempAddr">临时地点详细街路名。 当workAddrId=&#39;0&#39;时有效，且必填</param>
        /// <param name="tempAddrPhone">临时地点联系电话。 当workAddrId=&#39;0&#39;时有效，且必填</param>
        /// <param name="tempAddrContact">临时地点联系人姓名。 当workAddrId=&#39;0&#39;时有效，且必填</param>
        /// <param name="tempAddrLat">临时地点纬度。 当workAddrId=&#39;0&#39;时有效，且必填</param>
        /// <param name="tempAddrLon">临时地点纬度。 当workAddrId=&#39;0&#39;时有效，且必填</param>
        /// <param name="vehicleId">维修车辆的ID。 对于维护订单，此字段必填。</param>
        /// <param name="problemId">维修车辆的故障现象。对于维护订单，此字段必填。</param>
        /// <param name="problemDesc">维修车辆的故障现象文字描述。如果选的不是‘其它’，把对应文字也填写在这里。如果选“其它”，就把用户输入的文字放到这里。对于维护订单，此字段必填。</param>
        /// <param name="analysisId">维修车辆的故障分析。对于维护订单，此字段必填。</param>
        /// <param name="analysisDesc">维修车辆的故障现象分析的描述。如果选的不是‘其它’，把对应文字也填写在这里。如果选“其它”，就把用户输入的文字放到这里。对于维护订单，此字段必填。</param>
        /// <param name="installMemo">安装订单的备注（最多20字符）</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>StringResp</returns>
        public async System.Threading.Tasks.Task<StringResp> ApiNewOrderByServicePostAsync (string key, string clientCompanyId, int? orderType, string workAddrID, int? urgency, float? price, int? numberToInstall, string tempAddr, string tempAddrPhone, string tempAddrContact, float? tempAddrLat, float? tempAddrLon, string vehicleId, int? problemId, string problemDesc, int? analysisId, string analysisDesc, string installMemo, float? userLat, float? userLon)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiNewOrderByServicePost");
            // verify the required parameter 'clientCompanyId' is set
            if (clientCompanyId == null) throw new ApiException(400, "Missing required parameter 'clientCompanyId' when calling ApiNewOrderByServicePost");
            // verify the required parameter 'orderType' is set
            if (orderType == null) throw new ApiException(400, "Missing required parameter 'orderType' when calling ApiNewOrderByServicePost");
            // verify the required parameter 'workAddrID' is set
            if (workAddrID == null) throw new ApiException(400, "Missing required parameter 'workAddrID' when calling ApiNewOrderByServicePost");
            // verify the required parameter 'urgency' is set
            if (urgency == null) throw new ApiException(400, "Missing required parameter 'urgency' when calling ApiNewOrderByServicePost");
            // verify the required parameter 'price' is set
            if (price == null) throw new ApiException(400, "Missing required parameter 'price' when calling ApiNewOrderByServicePost");
            
    
            var path = "/api/newOrderByService";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (clientCompanyId != null) formParams.Add("clientCompanyId", ApiClient.ParameterToString(clientCompanyId)); // form parameter
            if (orderType != null) formParams.Add("orderType", ApiClient.ParameterToString(orderType)); // form parameter
            if (numberToInstall != null) formParams.Add("numberToInstall", ApiClient.ParameterToString(numberToInstall)); // form parameter
            if (workAddrID != null) formParams.Add("workAddrID", ApiClient.ParameterToString(workAddrID)); // form parameter
            if (tempAddr != null) formParams.Add("tempAddr", ApiClient.ParameterToString(tempAddr)); // form parameter
            if (tempAddrPhone != null) formParams.Add("tempAddrPhone", ApiClient.ParameterToString(tempAddrPhone)); // form parameter
            if (tempAddrContact != null) formParams.Add("tempAddrContact", ApiClient.ParameterToString(tempAddrContact)); // form parameter
            if (tempAddrLat != null) formParams.Add("tempAddrLat", ApiClient.ParameterToString(tempAddrLat)); // form parameter
            if (tempAddrLon != null) formParams.Add("tempAddrLon", ApiClient.ParameterToString(tempAddrLon)); // form parameter
            if (vehicleId != null) formParams.Add("vehicleId", ApiClient.ParameterToString(vehicleId)); // form parameter
            if (problemId != null) formParams.Add("problemId", ApiClient.ParameterToString(problemId)); // form parameter
            if (problemDesc != null) formParams.Add("problemDesc", ApiClient.ParameterToString(problemDesc)); // form parameter
            if (analysisId != null) formParams.Add("analysisId", ApiClient.ParameterToString(analysisId)); // form parameter
            if (analysisDesc != null) formParams.Add("analysisDesc", ApiClient.ParameterToString(analysisDesc)); // form parameter
            if (urgency != null) formParams.Add("urgency", ApiClient.ParameterToString(urgency)); // form parameter
            if (price != null) formParams.Add("price", ApiClient.ParameterToString(price)); // form parameter
            if (installMemo != null) formParams.Add("installMemo", ApiClient.ParameterToString(installMemo)); // form parameter
            if (userLat != null) formParams.Add("userLat", ApiClient.ParameterToString(userLat)); // form parameter
            if (userLon != null) formParams.Add("userLon", ApiClient.ParameterToString(userLon)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiNewOrderByServicePost: " + response.Content, response.Content);

            return (StringResp) ApiClient.Deserialize(response.Content, typeof(StringResp), response.Headers);
        }
        
        /// <summary>
        /// 客户企业用户，自助下单。 自助下单
        /// </summary>
        /// <param name="key">登录Key</param> 
        /// <param name="workAddrID">维护地点的ID。 如果是临时的地点，传入\&quot;0\&quot;</param> 
        /// <param name="vehicleId">维修车辆的ID。</param> 
        /// <param name="problemId">维修车辆的故障现象。</param> 
        /// <param name="problemDesc">维修车辆的故障现象文字描述。如果选的不是‘其它’，把对应文字也填写在这里。如果选“其它”，就把用户输入的文字放到这里。</param> 
        /// <param name="urgency">紧急程度 in Excel</param> 
        /// <param name="price">订单价格。如果未输入，请提供0.00</param> 
        /// <param name="tempAddr">临时地点详细街路名。 当workAddrId=&#39;0&#39;时有效，且必填</param> 
        /// <param name="tempAddrPhone">临时地点联系电话。 当workAddrId=&#39;0&#39;时有效，且必填</param> 
        /// <param name="tempAddrContact">临时地点联系人姓名。 当workAddrId=&#39;0&#39;时有效，且必填</param> 
        /// <param name="tempAddrLat">临时地点纬度。 当workAddrId=&#39;0&#39;时有效，且必填</param> 
        /// <param name="tempAddrLon">临时地点纬度。 当workAddrId=&#39;0&#39;时有效，且必填</param> 
        /// <param name="userLat">用户当前纬度</param> 
        /// <param name="userLon">用户当前经度</param> 
        /// <returns>StringResp</returns>            
        public StringResp ApiNewOrderSelfHelpPost (string key, string workAddrID, string vehicleId, int? problemId, string problemDesc, int? urgency, float? price, string tempAddr, string tempAddrPhone, string tempAddrContact, float? tempAddrLat, float? tempAddrLon, float? userLat, float? userLon)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiNewOrderSelfHelpPost");
            
            // verify the required parameter 'workAddrID' is set
            if (workAddrID == null) throw new ApiException(400, "Missing required parameter 'workAddrID' when calling ApiNewOrderSelfHelpPost");
            
            // verify the required parameter 'vehicleId' is set
            if (vehicleId == null) throw new ApiException(400, "Missing required parameter 'vehicleId' when calling ApiNewOrderSelfHelpPost");
            
            // verify the required parameter 'problemId' is set
            if (problemId == null) throw new ApiException(400, "Missing required parameter 'problemId' when calling ApiNewOrderSelfHelpPost");
            
            // verify the required parameter 'problemDesc' is set
            if (problemDesc == null) throw new ApiException(400, "Missing required parameter 'problemDesc' when calling ApiNewOrderSelfHelpPost");
            
            // verify the required parameter 'urgency' is set
            if (urgency == null) throw new ApiException(400, "Missing required parameter 'urgency' when calling ApiNewOrderSelfHelpPost");
            
            // verify the required parameter 'price' is set
            if (price == null) throw new ApiException(400, "Missing required parameter 'price' when calling ApiNewOrderSelfHelpPost");
            
    
            var path = "/api/newOrderSelfHelp";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (workAddrID != null) formParams.Add("workAddrID", ApiClient.ParameterToString(workAddrID)); // form parameter
            if (tempAddr != null) formParams.Add("tempAddr", ApiClient.ParameterToString(tempAddr)); // form parameter
            if (tempAddrPhone != null) formParams.Add("tempAddrPhone", ApiClient.ParameterToString(tempAddrPhone)); // form parameter
            if (tempAddrContact != null) formParams.Add("tempAddrContact", ApiClient.ParameterToString(tempAddrContact)); // form parameter
            if (tempAddrLat != null) formParams.Add("tempAddrLat", ApiClient.ParameterToString(tempAddrLat)); // form parameter
            if (tempAddrLon != null) formParams.Add("tempAddrLon", ApiClient.ParameterToString(tempAddrLon)); // form parameter
            if (vehicleId != null) formParams.Add("vehicleId", ApiClient.ParameterToString(vehicleId)); // form parameter
            if (problemId != null) formParams.Add("problemId", ApiClient.ParameterToString(problemId)); // form parameter
            if (problemDesc != null) formParams.Add("problemDesc", ApiClient.ParameterToString(problemDesc)); // form parameter
            if (urgency != null) formParams.Add("urgency", ApiClient.ParameterToString(urgency)); // form parameter
            if (price != null) formParams.Add("price", ApiClient.ParameterToString(price)); // form parameter
            if (userLat != null) formParams.Add("userLat", ApiClient.ParameterToString(userLat)); // form parameter
            if (userLon != null) formParams.Add("userLon", ApiClient.ParameterToString(userLon)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiNewOrderSelfHelpPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiNewOrderSelfHelpPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (StringResp) ApiClient.Deserialize(response.Content, typeof(StringResp), response.Headers);
        }
    
        /// <summary>
        /// 客户企业用户，自助下单。 自助下单
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="workAddrID">维护地点的ID。 如果是临时的地点，传入\&quot;0\&quot;</param>
        /// <param name="vehicleId">维修车辆的ID。</param>
        /// <param name="problemId">维修车辆的故障现象。</param>
        /// <param name="problemDesc">维修车辆的故障现象文字描述。如果选的不是‘其它’，把对应文字也填写在这里。如果选“其它”，就把用户输入的文字放到这里。</param>
        /// <param name="urgency">紧急程度 in Excel</param>
        /// <param name="price">订单价格。如果未输入，请提供0.00</param>
        /// <param name="tempAddr">临时地点详细街路名。 当workAddrId=&#39;0&#39;时有效，且必填</param>
        /// <param name="tempAddrPhone">临时地点联系电话。 当workAddrId=&#39;0&#39;时有效，且必填</param>
        /// <param name="tempAddrContact">临时地点联系人姓名。 当workAddrId=&#39;0&#39;时有效，且必填</param>
        /// <param name="tempAddrLat">临时地点纬度。 当workAddrId=&#39;0&#39;时有效，且必填</param>
        /// <param name="tempAddrLon">临时地点纬度。 当workAddrId=&#39;0&#39;时有效，且必填</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>StringResp</returns>
        public async System.Threading.Tasks.Task<StringResp> ApiNewOrderSelfHelpPostAsync (string key, string workAddrID, string vehicleId, int? problemId, string problemDesc, int? urgency, float? price, string tempAddr, string tempAddrPhone, string tempAddrContact, float? tempAddrLat, float? tempAddrLon, float? userLat, float? userLon)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiNewOrderSelfHelpPost");
            // verify the required parameter 'workAddrID' is set
            if (workAddrID == null) throw new ApiException(400, "Missing required parameter 'workAddrID' when calling ApiNewOrderSelfHelpPost");
            // verify the required parameter 'vehicleId' is set
            if (vehicleId == null) throw new ApiException(400, "Missing required parameter 'vehicleId' when calling ApiNewOrderSelfHelpPost");
            // verify the required parameter 'problemId' is set
            if (problemId == null) throw new ApiException(400, "Missing required parameter 'problemId' when calling ApiNewOrderSelfHelpPost");
            // verify the required parameter 'problemDesc' is set
            if (problemDesc == null) throw new ApiException(400, "Missing required parameter 'problemDesc' when calling ApiNewOrderSelfHelpPost");
            // verify the required parameter 'urgency' is set
            if (urgency == null) throw new ApiException(400, "Missing required parameter 'urgency' when calling ApiNewOrderSelfHelpPost");
            // verify the required parameter 'price' is set
            if (price == null) throw new ApiException(400, "Missing required parameter 'price' when calling ApiNewOrderSelfHelpPost");
            
    
            var path = "/api/newOrderSelfHelp";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (workAddrID != null) formParams.Add("workAddrID", ApiClient.ParameterToString(workAddrID)); // form parameter
            if (tempAddr != null) formParams.Add("tempAddr", ApiClient.ParameterToString(tempAddr)); // form parameter
            if (tempAddrPhone != null) formParams.Add("tempAddrPhone", ApiClient.ParameterToString(tempAddrPhone)); // form parameter
            if (tempAddrContact != null) formParams.Add("tempAddrContact", ApiClient.ParameterToString(tempAddrContact)); // form parameter
            if (tempAddrLat != null) formParams.Add("tempAddrLat", ApiClient.ParameterToString(tempAddrLat)); // form parameter
            if (tempAddrLon != null) formParams.Add("tempAddrLon", ApiClient.ParameterToString(tempAddrLon)); // form parameter
            if (vehicleId != null) formParams.Add("vehicleId", ApiClient.ParameterToString(vehicleId)); // form parameter
            if (problemId != null) formParams.Add("problemId", ApiClient.ParameterToString(problemId)); // form parameter
            if (problemDesc != null) formParams.Add("problemDesc", ApiClient.ParameterToString(problemDesc)); // form parameter
            if (urgency != null) formParams.Add("urgency", ApiClient.ParameterToString(urgency)); // form parameter
            if (price != null) formParams.Add("price", ApiClient.ParameterToString(price)); // form parameter
            if (userLat != null) formParams.Add("userLat", ApiClient.ParameterToString(userLat)); // form parameter
            if (userLon != null) formParams.Add("userLon", ApiClient.ParameterToString(userLon)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiNewOrderSelfHelpPost: " + response.Content, response.Content);

            return (StringResp) ApiClient.Deserialize(response.Content, typeof(StringResp), response.Headers);
        }
        
        /// <summary>
        /// 一键下单 客户企业的用户，一键下单。
        /// </summary>
        /// <param name="key">登录key</param> 
        /// <param name="userLat">用户当前纬度</param> 
        /// <param name="userLon">用户当前经度</param> 
        /// <returns>StringResp</returns>            
        public StringResp ApiOneKeyOrderPost (string key, float? userLat, float? userLon)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiOneKeyOrderPost");
            
    
            var path = "/api/oneKeyOrder";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            if (userLat != null) queryParams.Add("userLat", ApiClient.ParameterToString(userLat)); // query parameter
            if (userLon != null) queryParams.Add("userLon", ApiClient.ParameterToString(userLon)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiOneKeyOrderPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiOneKeyOrderPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (StringResp) ApiClient.Deserialize(response.Content, typeof(StringResp), response.Headers);
        }
    
        /// <summary>
        /// 一键下单 客户企业的用户，一键下单。
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>StringResp</returns>
        public async System.Threading.Tasks.Task<StringResp> ApiOneKeyOrderPostAsync (string key, float? userLat, float? userLon)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiOneKeyOrderPost");
            
    
            var path = "/api/oneKeyOrder";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            if (userLat != null) queryParams.Add("userLat", ApiClient.ParameterToString(userLat)); // query parameter
            if (userLon != null) queryParams.Add("userLon", ApiClient.ParameterToString(userLon)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiOneKeyOrderPost: " + response.Content, response.Content);

            return (StringResp) ApiClient.Deserialize(response.Content, typeof(StringResp), response.Headers);
        }
        
        /// <summary>
        /// 联盟成员用户，对新订单进行分析。 客服执行订单分析，完成受理。
        /// </summary>
        /// <param name="key">登录Key</param> 
        /// <param name="orderId">订单的Id</param> 
        /// <param name="analysisId">维修车辆的故障分析。</param> 
        /// <param name="analysisDesc">维修车辆的故障现象分析的描述。如果选的不是‘其它’，把对应文字也填写在这里。如果选“其它”，就把用户输入的文字放到这里。</param> 
        /// <param name="price">订单价格。如果未输入，请提供0.00</param> 
        /// <param name="userLat">用户当前纬度</param> 
        /// <param name="userLon">用户当前经度</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiOrderAnalysisPost (string key, string orderId, int? analysisId, string analysisDesc, float? price, float? userLat, float? userLon)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiOrderAnalysisPost");
            
            // verify the required parameter 'orderId' is set
            if (orderId == null) throw new ApiException(400, "Missing required parameter 'orderId' when calling ApiOrderAnalysisPost");
            
            // verify the required parameter 'analysisId' is set
            if (analysisId == null) throw new ApiException(400, "Missing required parameter 'analysisId' when calling ApiOrderAnalysisPost");
            
            // verify the required parameter 'analysisDesc' is set
            if (analysisDesc == null) throw new ApiException(400, "Missing required parameter 'analysisDesc' when calling ApiOrderAnalysisPost");
            
            // verify the required parameter 'price' is set
            if (price == null) throw new ApiException(400, "Missing required parameter 'price' when calling ApiOrderAnalysisPost");
            
    
            var path = "/api/orderAnalysis";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (orderId != null) formParams.Add("orderId", ApiClient.ParameterToString(orderId)); // form parameter
            if (analysisId != null) formParams.Add("analysisId", ApiClient.ParameterToString(analysisId)); // form parameter
            if (analysisDesc != null) formParams.Add("analysisDesc", ApiClient.ParameterToString(analysisDesc)); // form parameter
            if (price != null) formParams.Add("price", ApiClient.ParameterToString(price)); // form parameter
            if (userLat != null) formParams.Add("userLat", ApiClient.ParameterToString(userLat)); // form parameter
            if (userLon != null) formParams.Add("userLon", ApiClient.ParameterToString(userLon)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiOrderAnalysisPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiOrderAnalysisPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 联盟成员用户，对新订单进行分析。 客服执行订单分析，完成受理。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">订单的Id</param>
        /// <param name="analysisId">维修车辆的故障分析。</param>
        /// <param name="analysisDesc">维修车辆的故障现象分析的描述。如果选的不是‘其它’，把对应文字也填写在这里。如果选“其它”，就把用户输入的文字放到这里。</param>
        /// <param name="price">订单价格。如果未输入，请提供0.00</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiOrderAnalysisPostAsync (string key, string orderId, int? analysisId, string analysisDesc, float? price, float? userLat, float? userLon)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiOrderAnalysisPost");
            // verify the required parameter 'orderId' is set
            if (orderId == null) throw new ApiException(400, "Missing required parameter 'orderId' when calling ApiOrderAnalysisPost");
            // verify the required parameter 'analysisId' is set
            if (analysisId == null) throw new ApiException(400, "Missing required parameter 'analysisId' when calling ApiOrderAnalysisPost");
            // verify the required parameter 'analysisDesc' is set
            if (analysisDesc == null) throw new ApiException(400, "Missing required parameter 'analysisDesc' when calling ApiOrderAnalysisPost");
            // verify the required parameter 'price' is set
            if (price == null) throw new ApiException(400, "Missing required parameter 'price' when calling ApiOrderAnalysisPost");
            
    
            var path = "/api/orderAnalysis";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (orderId != null) formParams.Add("orderId", ApiClient.ParameterToString(orderId)); // form parameter
            if (analysisId != null) formParams.Add("analysisId", ApiClient.ParameterToString(analysisId)); // form parameter
            if (analysisDesc != null) formParams.Add("analysisDesc", ApiClient.ParameterToString(analysisDesc)); // form parameter
            if (price != null) formParams.Add("price", ApiClient.ParameterToString(price)); // form parameter
            if (userLat != null) formParams.Add("userLat", ApiClient.ParameterToString(userLat)); // form parameter
            if (userLon != null) formParams.Add("userLon", ApiClient.ParameterToString(userLon)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiOrderAnalysisPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 查询一个订单的详情（不包括时序图、车辆照片） 订单的详情页面信息。
        /// </summary>
        /// <param name="key">登录Key</param> 
        /// <param name="orderId">订单的ID</param> 
        /// <returns>OrderDetail</returns>            
        public OrderDetail ApiOrderDetailPost (string key, string orderId)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiOrderDetailPost");
            
            // verify the required parameter 'orderId' is set
            if (orderId == null) throw new ApiException(400, "Missing required parameter 'orderId' when calling ApiOrderDetailPost");
            
    
            var path = "/api/orderDetail";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            if (orderId != null) queryParams.Add("orderId", ApiClient.ParameterToString(orderId)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiOrderDetailPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiOrderDetailPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (OrderDetail) ApiClient.Deserialize(response.Content, typeof(OrderDetail), response.Headers);
        }
    
        /// <summary>
        /// 查询一个订单的详情（不包括时序图、车辆照片） 订单的详情页面信息。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">订单的ID</param>
        /// <returns>OrderDetail</returns>
        public async System.Threading.Tasks.Task<OrderDetail> ApiOrderDetailPostAsync (string key, string orderId)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiOrderDetailPost");
            // verify the required parameter 'orderId' is set
            if (orderId == null) throw new ApiException(400, "Missing required parameter 'orderId' when calling ApiOrderDetailPost");
            
    
            var path = "/api/orderDetail";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            if (orderId != null) queryParams.Add("orderId", ApiClient.ParameterToString(orderId)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiOrderDetailPost: " + response.Content, response.Content);

            return (OrderDetail) ApiClient.Deserialize(response.Content, typeof(OrderDetail), response.Headers);
        }
        
        /// <summary>
        /// 联盟成员用户客服，对新订单进行更新修改。 客服执行订单修改。下面的参数中，如果客服没有对客户自助下单的填写做出修改，也应该复制原始内容，到这些参数里面。
        /// </summary>
        /// <param name="key">登录Key</param> 
        /// <param name="orderId">订单的Id</param> 
        /// <param name="workAddrID">维护地点的ID。 如果是临时的地点，传入\&quot;0\&quot;</param> 
        /// <param name="vehicleId">维修车辆的ID。</param> 
        /// <param name="problemId">维修车辆的故障现象。</param> 
        /// <param name="problemDesc">维修车辆的故障现象文字描述。如果选的不是‘其它’，把对应文字也填写在这里。如果选“其它”，就把用户输入的文字放到这里。</param> 
        /// <param name="urgency">紧急程度 in Excel</param> 
        /// <param name="tempAddr">临时地点详细街路名。 当workAddrId=&#39;0&#39;时有效，且必填</param> 
        /// <param name="tempAddrPhone">临时地点联系电话。 当workAddrId=&#39;0&#39;时有效，且必填</param> 
        /// <param name="tempAddrContact">临时地点联系人姓名。 当workAddrId=&#39;0&#39;时有效，且必填</param> 
        /// <param name="tempAddrLat">临时地点纬度。 当workAddrId=&#39;0&#39;时有效，且必填</param> 
        /// <param name="tempAddrLon">临时地点纬度。 当workAddrId=&#39;0&#39;时有效，且必填</param> 
        /// <param name="userLat">用户当前纬度</param> 
        /// <param name="userLon">用户当前经度</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiOrderEditPost (string key, string orderId, string workAddrID, string vehicleId, int? problemId, string problemDesc, int? urgency, string tempAddr, string tempAddrPhone, string tempAddrContact, float? tempAddrLat, float? tempAddrLon, float? userLat, float? userLon)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiOrderEditPost");
            
            // verify the required parameter 'orderId' is set
            if (orderId == null) throw new ApiException(400, "Missing required parameter 'orderId' when calling ApiOrderEditPost");
            
            // verify the required parameter 'workAddrID' is set
            if (workAddrID == null) throw new ApiException(400, "Missing required parameter 'workAddrID' when calling ApiOrderEditPost");
            
            // verify the required parameter 'vehicleId' is set
            if (vehicleId == null) throw new ApiException(400, "Missing required parameter 'vehicleId' when calling ApiOrderEditPost");
            
            // verify the required parameter 'problemId' is set
            if (problemId == null) throw new ApiException(400, "Missing required parameter 'problemId' when calling ApiOrderEditPost");
            
            // verify the required parameter 'problemDesc' is set
            if (problemDesc == null) throw new ApiException(400, "Missing required parameter 'problemDesc' when calling ApiOrderEditPost");
            
            // verify the required parameter 'urgency' is set
            if (urgency == null) throw new ApiException(400, "Missing required parameter 'urgency' when calling ApiOrderEditPost");
            
    
            var path = "/api/orderEdit";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (orderId != null) formParams.Add("orderId", ApiClient.ParameterToString(orderId)); // form parameter
            if (workAddrID != null) formParams.Add("workAddrID", ApiClient.ParameterToString(workAddrID)); // form parameter
            if (tempAddr != null) formParams.Add("tempAddr", ApiClient.ParameterToString(tempAddr)); // form parameter
            if (tempAddrPhone != null) formParams.Add("tempAddrPhone", ApiClient.ParameterToString(tempAddrPhone)); // form parameter
            if (tempAddrContact != null) formParams.Add("tempAddrContact", ApiClient.ParameterToString(tempAddrContact)); // form parameter
            if (tempAddrLat != null) formParams.Add("tempAddrLat", ApiClient.ParameterToString(tempAddrLat)); // form parameter
            if (tempAddrLon != null) formParams.Add("tempAddrLon", ApiClient.ParameterToString(tempAddrLon)); // form parameter
            if (vehicleId != null) formParams.Add("vehicleId", ApiClient.ParameterToString(vehicleId)); // form parameter
            if (problemId != null) formParams.Add("problemId", ApiClient.ParameterToString(problemId)); // form parameter
            if (problemDesc != null) formParams.Add("problemDesc", ApiClient.ParameterToString(problemDesc)); // form parameter
            if (urgency != null) formParams.Add("urgency", ApiClient.ParameterToString(urgency)); // form parameter
            if (userLat != null) formParams.Add("userLat", ApiClient.ParameterToString(userLat)); // form parameter
            if (userLon != null) formParams.Add("userLon", ApiClient.ParameterToString(userLon)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiOrderEditPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiOrderEditPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 联盟成员用户客服，对新订单进行更新修改。 客服执行订单修改。下面的参数中，如果客服没有对客户自助下单的填写做出修改，也应该复制原始内容，到这些参数里面。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">订单的Id</param>
        /// <param name="workAddrID">维护地点的ID。 如果是临时的地点，传入\&quot;0\&quot;</param>
        /// <param name="vehicleId">维修车辆的ID。</param>
        /// <param name="problemId">维修车辆的故障现象。</param>
        /// <param name="problemDesc">维修车辆的故障现象文字描述。如果选的不是‘其它’，把对应文字也填写在这里。如果选“其它”，就把用户输入的文字放到这里。</param>
        /// <param name="urgency">紧急程度 in Excel</param>
        /// <param name="tempAddr">临时地点详细街路名。 当workAddrId=&#39;0&#39;时有效，且必填</param>
        /// <param name="tempAddrPhone">临时地点联系电话。 当workAddrId=&#39;0&#39;时有效，且必填</param>
        /// <param name="tempAddrContact">临时地点联系人姓名。 当workAddrId=&#39;0&#39;时有效，且必填</param>
        /// <param name="tempAddrLat">临时地点纬度。 当workAddrId=&#39;0&#39;时有效，且必填</param>
        /// <param name="tempAddrLon">临时地点纬度。 当workAddrId=&#39;0&#39;时有效，且必填</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiOrderEditPostAsync (string key, string orderId, string workAddrID, string vehicleId, int? problemId, string problemDesc, int? urgency, string tempAddr, string tempAddrPhone, string tempAddrContact, float? tempAddrLat, float? tempAddrLon, float? userLat, float? userLon)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiOrderEditPost");
            // verify the required parameter 'orderId' is set
            if (orderId == null) throw new ApiException(400, "Missing required parameter 'orderId' when calling ApiOrderEditPost");
            // verify the required parameter 'workAddrID' is set
            if (workAddrID == null) throw new ApiException(400, "Missing required parameter 'workAddrID' when calling ApiOrderEditPost");
            // verify the required parameter 'vehicleId' is set
            if (vehicleId == null) throw new ApiException(400, "Missing required parameter 'vehicleId' when calling ApiOrderEditPost");
            // verify the required parameter 'problemId' is set
            if (problemId == null) throw new ApiException(400, "Missing required parameter 'problemId' when calling ApiOrderEditPost");
            // verify the required parameter 'problemDesc' is set
            if (problemDesc == null) throw new ApiException(400, "Missing required parameter 'problemDesc' when calling ApiOrderEditPost");
            // verify the required parameter 'urgency' is set
            if (urgency == null) throw new ApiException(400, "Missing required parameter 'urgency' when calling ApiOrderEditPost");
            
    
            var path = "/api/orderEdit";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (orderId != null) formParams.Add("orderId", ApiClient.ParameterToString(orderId)); // form parameter
            if (workAddrID != null) formParams.Add("workAddrID", ApiClient.ParameterToString(workAddrID)); // form parameter
            if (tempAddr != null) formParams.Add("tempAddr", ApiClient.ParameterToString(tempAddr)); // form parameter
            if (tempAddrPhone != null) formParams.Add("tempAddrPhone", ApiClient.ParameterToString(tempAddrPhone)); // form parameter
            if (tempAddrContact != null) formParams.Add("tempAddrContact", ApiClient.ParameterToString(tempAddrContact)); // form parameter
            if (tempAddrLat != null) formParams.Add("tempAddrLat", ApiClient.ParameterToString(tempAddrLat)); // form parameter
            if (tempAddrLon != null) formParams.Add("tempAddrLon", ApiClient.ParameterToString(tempAddrLon)); // form parameter
            if (vehicleId != null) formParams.Add("vehicleId", ApiClient.ParameterToString(vehicleId)); // form parameter
            if (problemId != null) formParams.Add("problemId", ApiClient.ParameterToString(problemId)); // form parameter
            if (problemDesc != null) formParams.Add("problemDesc", ApiClient.ParameterToString(problemDesc)); // form parameter
            if (urgency != null) formParams.Add("urgency", ApiClient.ParameterToString(urgency)); // form parameter
            if (userLat != null) formParams.Add("userLat", ApiClient.ParameterToString(userLat)); // form parameter
            if (userLon != null) formParams.Add("userLon", ApiClient.ParameterToString(userLon)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiOrderEditPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 订单信息 针对/html/orderdetail呈现的WEB页面，给予json格式返回的格式
        /// </summary>
        /// <param name="key">登录key</param> 
        /// <param name="orderId">订单ID</param> 
        /// <returns>OrderInfoView</returns>            
        public OrderInfoView ApiOrderInfoPost (string key, string orderId)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiOrderInfoPost");
            
            // verify the required parameter 'orderId' is set
            if (orderId == null) throw new ApiException(400, "Missing required parameter 'orderId' when calling ApiOrderInfoPost");
            
    
            var path = "/api/orderInfo";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (orderId != null) formParams.Add("orderId", ApiClient.ParameterToString(orderId)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiOrderInfoPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiOrderInfoPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (OrderInfoView) ApiClient.Deserialize(response.Content, typeof(OrderInfoView), response.Headers);
        }
    
        /// <summary>
        /// 订单信息 针对/html/orderdetail呈现的WEB页面，给予json格式返回的格式
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="orderId">订单ID</param>
        /// <returns>OrderInfoView</returns>
        public async System.Threading.Tasks.Task<OrderInfoView> ApiOrderInfoPostAsync (string key, string orderId)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiOrderInfoPost");
            // verify the required parameter 'orderId' is set
            if (orderId == null) throw new ApiException(400, "Missing required parameter 'orderId' when calling ApiOrderInfoPost");
            
    
            var path = "/api/orderInfo";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (orderId != null) formParams.Add("orderId", ApiClient.ParameterToString(orderId)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiOrderInfoPost: " + response.Content, response.Content);

            return (OrderInfoView) ApiClient.Deserialize(response.Content, typeof(OrderInfoView), response.Headers);
        }
        
        /// <summary>
        /// 订单动态 针对/html/orderseq呈现的WEB页面，给予json格式返回的格式
        /// </summary>
        /// <param name="key">登录key</param> 
        /// <param name="orderId">订单ID</param> 
        /// <returns>OrderSeqView</returns>            
        public OrderSeqView ApiOrderSeqencePost (string key, string orderId)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiOrderSeqencePost");
            
            // verify the required parameter 'orderId' is set
            if (orderId == null) throw new ApiException(400, "Missing required parameter 'orderId' when calling ApiOrderSeqencePost");
            
    
            var path = "/api/orderSeqence";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (orderId != null) formParams.Add("orderId", ApiClient.ParameterToString(orderId)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiOrderSeqencePost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiOrderSeqencePost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (OrderSeqView) ApiClient.Deserialize(response.Content, typeof(OrderSeqView), response.Headers);
        }
    
        /// <summary>
        /// 订单动态 针对/html/orderseq呈现的WEB页面，给予json格式返回的格式
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="orderId">订单ID</param>
        /// <returns>OrderSeqView</returns>
        public async System.Threading.Tasks.Task<OrderSeqView> ApiOrderSeqencePostAsync (string key, string orderId)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiOrderSeqencePost");
            // verify the required parameter 'orderId' is set
            if (orderId == null) throw new ApiException(400, "Missing required parameter 'orderId' when calling ApiOrderSeqencePost");
            
    
            var path = "/api/orderSeqence";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (orderId != null) formParams.Add("orderId", ApiClient.ParameterToString(orderId)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiOrderSeqencePost: " + response.Content, response.Content);

            return (OrderSeqView) ApiClient.Deserialize(response.Content, typeof(OrderSeqView), response.Headers);
        }
        
        /// <summary>
        /// 查询订单列表 根据订单状态（完成、未完成等）查询指定数量的订单概要信息。订单排序方式为：按照最后一次状态更新的时间，最新状态的排在最前面。
        /// </summary>
        /// <param name="key">登录key</param> 
        /// <param name="statusType">订单状态类别（已完成、未完成、已取消、全部）Excel</param> 
        /// <param name="maxNum">最大订单的数量（最多回传多少结果）</param> 
        /// <param name="startIndex">从第几个订单开始（From 0）</param> 
        /// <param name="vehicleId">车辆的ID。如果提供值，则过滤订单，只提供与该车相关的。可以null</param> 
        /// <param name="orderType">订单类别（安装、维护）in excel。不提供该参数，表示全部</param> 
        /// <param name="inProcessingStatus">未完成订单的状态（待分配、待受理... In Excel）。不提供该参数，表示全部</param> 
        /// <param name="urgencyType">紧急程度类别（InExcel）。不提供该参数表示全部</param> 
        /// <param name="beginDateOfOrderDate">下单时间的开始日期，格式“2015-06-12”。自0：0：0。 不提供表示不限。</param> 
        /// <param name="endDateOfOrderDate">下单时间的结束日期，格式“2015-06-12”。实际到23：59：59。不提供表示不限</param> 
        /// <param name="consignType">委托类别(内部订单、委出订单、受托订单、已抢单 in Excel)。不提供该参数表示全部</param> 
        /// <param name="deviceId">设备ID</param> 
        /// <param name="orderId">订单ID</param> 
        /// <param name="simNum">SIM卡号</param> 
        /// <param name="plate">车牌号</param> 
        /// <param name="workAddrName">维护地点名称</param> 
        /// <param name="clientName">客户名称</param> 
        /// <param name="workerName">工程师姓名</param> 
        /// <param name="branchCompanyId">分公司ID。 可以不提供。 不提供时，相当于只查当前登录用户自己公司的订单。如果提供，当前用户必须是该公司的用户、或者是该公司的总公司的管理员或客服。</param> 
        /// <returns>BriefOrderList</returns>            
        public BriefOrderList ApiOrderlistPost (string key, int? statusType, int? maxNum, int? startIndex, string vehicleId, int? orderType, int? inProcessingStatus, int? urgencyType, string beginDateOfOrderDate, string endDateOfOrderDate, int? consignType, string deviceId, string orderId, string simNum, string plate, string workAddrName, string clientName, string workerName, string branchCompanyId)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiOrderlistPost");
            
            // verify the required parameter 'statusType' is set
            if (statusType == null) throw new ApiException(400, "Missing required parameter 'statusType' when calling ApiOrderlistPost");
            
            // verify the required parameter 'maxNum' is set
            if (maxNum == null) throw new ApiException(400, "Missing required parameter 'maxNum' when calling ApiOrderlistPost");
            
            // verify the required parameter 'startIndex' is set
            if (startIndex == null) throw new ApiException(400, "Missing required parameter 'startIndex' when calling ApiOrderlistPost");
            
    
            var path = "/api/orderlist";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (statusType != null) formParams.Add("statusType", ApiClient.ParameterToString(statusType)); // form parameter
            if (vehicleId != null) formParams.Add("vehicleId", ApiClient.ParameterToString(vehicleId)); // form parameter
            if (orderType != null) formParams.Add("orderType", ApiClient.ParameterToString(orderType)); // form parameter
            if (inProcessingStatus != null) formParams.Add("inProcessingStatus", ApiClient.ParameterToString(inProcessingStatus)); // form parameter
            if (urgencyType != null) formParams.Add("urgencyType", ApiClient.ParameterToString(urgencyType)); // form parameter
            if (beginDateOfOrderDate != null) formParams.Add("beginDateOfOrderDate", ApiClient.ParameterToString(beginDateOfOrderDate)); // form parameter
            if (endDateOfOrderDate != null) formParams.Add("endDateOfOrderDate", ApiClient.ParameterToString(endDateOfOrderDate)); // form parameter
            if (consignType != null) formParams.Add("consignType", ApiClient.ParameterToString(consignType)); // form parameter
            if (deviceId != null) formParams.Add("deviceId", ApiClient.ParameterToString(deviceId)); // form parameter
            if (orderId != null) formParams.Add("orderId", ApiClient.ParameterToString(orderId)); // form parameter
            if (simNum != null) formParams.Add("simNum", ApiClient.ParameterToString(simNum)); // form parameter
            if (plate != null) formParams.Add("plate", ApiClient.ParameterToString(plate)); // form parameter
            if (workAddrName != null) formParams.Add("workAddrName", ApiClient.ParameterToString(workAddrName)); // form parameter
            if (clientName != null) formParams.Add("clientName", ApiClient.ParameterToString(clientName)); // form parameter
            if (workerName != null) formParams.Add("workerName", ApiClient.ParameterToString(workerName)); // form parameter
            if (branchCompanyId != null) formParams.Add("branchCompanyId", ApiClient.ParameterToString(branchCompanyId)); // form parameter
            if (maxNum != null) formParams.Add("maxNum", ApiClient.ParameterToString(maxNum)); // form parameter
            if (startIndex != null) formParams.Add("startIndex", ApiClient.ParameterToString(startIndex)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiOrderlistPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiOrderlistPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (BriefOrderList) ApiClient.Deserialize(response.Content, typeof(BriefOrderList), response.Headers);
        }
    
        /// <summary>
        /// 查询订单列表 根据订单状态（完成、未完成等）查询指定数量的订单概要信息。订单排序方式为：按照最后一次状态更新的时间，最新状态的排在最前面。
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="statusType">订单状态类别（已完成、未完成、已取消、全部）Excel</param>
        /// <param name="maxNum">最大订单的数量（最多回传多少结果）</param>
        /// <param name="startIndex">从第几个订单开始（From 0）</param>
        /// <param name="vehicleId">车辆的ID。如果提供值，则过滤订单，只提供与该车相关的。可以null</param>
        /// <param name="orderType">订单类别（安装、维护）in excel。不提供该参数，表示全部</param>
        /// <param name="inProcessingStatus">未完成订单的状态（待分配、待受理... In Excel）。不提供该参数，表示全部</param>
        /// <param name="urgencyType">紧急程度类别（InExcel）。不提供该参数表示全部</param>
        /// <param name="beginDateOfOrderDate">下单时间的开始日期，格式“2015-06-12”。自0：0：0。 不提供表示不限。</param>
        /// <param name="endDateOfOrderDate">下单时间的结束日期，格式“2015-06-12”。实际到23：59：59。不提供表示不限</param>
        /// <param name="consignType">委托类别(内部订单、委出订单、受托订单、已抢单 in Excel)。不提供该参数表示全部</param>
        /// <param name="deviceId">设备ID</param>
        /// <param name="orderId">订单ID</param>
        /// <param name="simNum">SIM卡号</param>
        /// <param name="plate">车牌号</param>
        /// <param name="workAddrName">维护地点名称</param>
        /// <param name="clientName">客户名称</param>
        /// <param name="workerName">工程师姓名</param>
        /// <param name="branchCompanyId">分公司ID。 可以不提供。 不提供时，相当于只查当前登录用户自己公司的订单。如果提供，当前用户必须是该公司的用户、或者是该公司的总公司的管理员或客服。</param>
        /// <returns>BriefOrderList</returns>
        public async System.Threading.Tasks.Task<BriefOrderList> ApiOrderlistPostAsync (string key, int? statusType, int? maxNum, int? startIndex, string vehicleId, int? orderType, int? inProcessingStatus, int? urgencyType, string beginDateOfOrderDate, string endDateOfOrderDate, int? consignType, string deviceId, string orderId, string simNum, string plate, string workAddrName, string clientName, string workerName, string branchCompanyId)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiOrderlistPost");
            // verify the required parameter 'statusType' is set
            if (statusType == null) throw new ApiException(400, "Missing required parameter 'statusType' when calling ApiOrderlistPost");
            // verify the required parameter 'maxNum' is set
            if (maxNum == null) throw new ApiException(400, "Missing required parameter 'maxNum' when calling ApiOrderlistPost");
            // verify the required parameter 'startIndex' is set
            if (startIndex == null) throw new ApiException(400, "Missing required parameter 'startIndex' when calling ApiOrderlistPost");
            
    
            var path = "/api/orderlist";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (statusType != null) formParams.Add("statusType", ApiClient.ParameterToString(statusType)); // form parameter
            if (vehicleId != null) formParams.Add("vehicleId", ApiClient.ParameterToString(vehicleId)); // form parameter
            if (orderType != null) formParams.Add("orderType", ApiClient.ParameterToString(orderType)); // form parameter
            if (inProcessingStatus != null) formParams.Add("inProcessingStatus", ApiClient.ParameterToString(inProcessingStatus)); // form parameter
            if (urgencyType != null) formParams.Add("urgencyType", ApiClient.ParameterToString(urgencyType)); // form parameter
            if (beginDateOfOrderDate != null) formParams.Add("beginDateOfOrderDate", ApiClient.ParameterToString(beginDateOfOrderDate)); // form parameter
            if (endDateOfOrderDate != null) formParams.Add("endDateOfOrderDate", ApiClient.ParameterToString(endDateOfOrderDate)); // form parameter
            if (consignType != null) formParams.Add("consignType", ApiClient.ParameterToString(consignType)); // form parameter
            if (deviceId != null) formParams.Add("deviceId", ApiClient.ParameterToString(deviceId)); // form parameter
            if (orderId != null) formParams.Add("orderId", ApiClient.ParameterToString(orderId)); // form parameter
            if (simNum != null) formParams.Add("simNum", ApiClient.ParameterToString(simNum)); // form parameter
            if (plate != null) formParams.Add("plate", ApiClient.ParameterToString(plate)); // form parameter
            if (workAddrName != null) formParams.Add("workAddrName", ApiClient.ParameterToString(workAddrName)); // form parameter
            if (clientName != null) formParams.Add("clientName", ApiClient.ParameterToString(clientName)); // form parameter
            if (workerName != null) formParams.Add("workerName", ApiClient.ParameterToString(workerName)); // form parameter
            if (branchCompanyId != null) formParams.Add("branchCompanyId", ApiClient.ParameterToString(branchCompanyId)); // form parameter
            if (maxNum != null) formParams.Add("maxNum", ApiClient.ParameterToString(maxNum)); // form parameter
            if (startIndex != null) formParams.Add("startIndex", ApiClient.ParameterToString(startIndex)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiOrderlistPost: " + response.Content, response.Content);

            return (BriefOrderList) ApiClient.Deserialize(response.Content, typeof(BriefOrderList), response.Headers);
        }
        
        /// <summary>
        /// 返回所有常见的外围设备列表。用于APP端选项。 所有外围设备的列表
        /// </summary>
        /// <returns>IntKVPairResp</returns>            
        public IntKVPairResp ApiPeripheralListGet ()
        {
            
    
            var path = "/api/peripheralList";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.GET, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiPeripheralListGet: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiPeripheralListGet: " + response.ErrorMessage, response.ErrorMessage);
    
            return (IntKVPairResp) ApiClient.Deserialize(response.Content, typeof(IntKVPairResp), response.Headers);
        }
    
        /// <summary>
        /// 返回所有常见的外围设备列表。用于APP端选项。 所有外围设备的列表
        /// </summary>
        /// <returns>IntKVPairResp</returns>
        public async System.Threading.Tasks.Task<IntKVPairResp> ApiPeripheralListGetAsync ()
        {
            
    
            var path = "/api/peripheralList";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.GET, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiPeripheralListGet: " + response.Content, response.Content);

            return (IntKVPairResp) ApiClient.Deserialize(response.Content, typeof(IntKVPairResp), response.Headers);
        }
        
        /// <summary>
        /// 返回所有车辆照片的类别。用于APP端选项。 车辆照片的类别的列表
        /// </summary>
        /// <returns>IntKVPairResp</returns>            
        public IntKVPairResp ApiPhotoTypeListGet ()
        {
            
    
            var path = "/api/photoTypeList";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.GET, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiPhotoTypeListGet: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiPhotoTypeListGet: " + response.ErrorMessage, response.ErrorMessage);
    
            return (IntKVPairResp) ApiClient.Deserialize(response.Content, typeof(IntKVPairResp), response.Headers);
        }
    
        /// <summary>
        /// 返回所有车辆照片的类别。用于APP端选项。 车辆照片的类别的列表
        /// </summary>
        /// <returns>IntKVPairResp</returns>
        public async System.Threading.Tasks.Task<IntKVPairResp> ApiPhotoTypeListGetAsync ()
        {
            
    
            var path = "/api/photoTypeList";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.GET, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiPhotoTypeListGet: " + response.Content, response.Content);

            return (IntKVPairResp) ApiClient.Deserialize(response.Content, typeof(IntKVPairResp), response.Headers);
        }
        
        /// <summary>
        /// 车牌识别。 根据提交的照片，识别车牌号。每个用户每天只能识别50次
        /// </summary>
        /// <param name="key">登录的key</param> 
        /// <param name="imgBase64">照片的base64编码字符串</param> 
        /// <returns>PlateOcr</returns>            
        public PlateOcr ApiPlateOcrPost (string key, string imgBase64)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiPlateOcrPost");
            
            // verify the required parameter 'imgBase64' is set
            if (imgBase64 == null) throw new ApiException(400, "Missing required parameter 'imgBase64' when calling ApiPlateOcrPost");
            
    
            var path = "/api/plateOcr";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (imgBase64 != null) formParams.Add("imgBase64", ApiClient.ParameterToString(imgBase64)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiPlateOcrPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiPlateOcrPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (PlateOcr) ApiClient.Deserialize(response.Content, typeof(PlateOcr), response.Headers);
        }
    
        /// <summary>
        /// 车牌识别。 根据提交的照片，识别车牌号。每个用户每天只能识别50次
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="imgBase64">照片的base64编码字符串</param>
        /// <returns>PlateOcr</returns>
        public async System.Threading.Tasks.Task<PlateOcr> ApiPlateOcrPostAsync (string key, string imgBase64)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiPlateOcrPost");
            // verify the required parameter 'imgBase64' is set
            if (imgBase64 == null) throw new ApiException(400, "Missing required parameter 'imgBase64' when calling ApiPlateOcrPost");
            
    
            var path = "/api/plateOcr";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (imgBase64 != null) formParams.Add("imgBase64", ApiClient.ParameterToString(imgBase64)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiPlateOcrPost: " + response.Content, response.Content);

            return (PlateOcr) ApiClient.Deserialize(response.Content, typeof(PlateOcr), response.Headers);
        }
        
        /// <summary>
        /// 返回所有常见车辆故障现象。用于APP端选项。 常见车辆故障现象的列表
        /// </summary>
        /// <returns>IntKVPairResp</returns>            
        public IntKVPairResp ApiProblemListGet ()
        {
            
    
            var path = "/api/problemList";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.GET, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiProblemListGet: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiProblemListGet: " + response.ErrorMessage, response.ErrorMessage);
    
            return (IntKVPairResp) ApiClient.Deserialize(response.Content, typeof(IntKVPairResp), response.Headers);
        }
    
        /// <summary>
        /// 返回所有常见车辆故障现象。用于APP端选项。 常见车辆故障现象的列表
        /// </summary>
        /// <returns>IntKVPairResp</returns>
        public async System.Threading.Tasks.Task<IntKVPairResp> ApiProblemListGetAsync ()
        {
            
    
            var path = "/api/problemList";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.GET, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiProblemListGet: " + response.Content, response.Content);

            return (IntKVPairResp) ApiClient.Deserialize(response.Content, typeof(IntKVPairResp), response.Headers);
        }
        
        /// <summary>
        /// 发布抢单。 发布抢单信息给联盟成员。
        /// </summary>
        /// <param name="key">登录Key</param> 
        /// <param name="orderId">所发布抢单的订单ID</param> 
        /// <param name="companyIds">指定的参与抢单的企业companyId，以“,”分割多个。</param> 
        /// <param name="consignPrice">委托价格。0-10万元。</param> 
        /// <param name="userLat">用户当前纬度</param> 
        /// <param name="userLon">用户当前经度</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiPublishOrderRushPost (string key, string orderId, string companyIds, float? consignPrice, float? userLat, float? userLon)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiPublishOrderRushPost");
            
            // verify the required parameter 'orderId' is set
            if (orderId == null) throw new ApiException(400, "Missing required parameter 'orderId' when calling ApiPublishOrderRushPost");
            
            // verify the required parameter 'companyIds' is set
            if (companyIds == null) throw new ApiException(400, "Missing required parameter 'companyIds' when calling ApiPublishOrderRushPost");
            
            // verify the required parameter 'consignPrice' is set
            if (consignPrice == null) throw new ApiException(400, "Missing required parameter 'consignPrice' when calling ApiPublishOrderRushPost");
            
    
            var path = "/api/publishOrderRush";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (orderId != null) formParams.Add("orderId", ApiClient.ParameterToString(orderId)); // form parameter
            if (companyIds != null) formParams.Add("companyIds", ApiClient.ParameterToString(companyIds)); // form parameter
            if (consignPrice != null) formParams.Add("consignPrice", ApiClient.ParameterToString(consignPrice)); // form parameter
            if (userLat != null) formParams.Add("userLat", ApiClient.ParameterToString(userLat)); // form parameter
            if (userLon != null) formParams.Add("userLon", ApiClient.ParameterToString(userLon)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiPublishOrderRushPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiPublishOrderRushPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 发布抢单。 发布抢单信息给联盟成员。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">所发布抢单的订单ID</param>
        /// <param name="companyIds">指定的参与抢单的企业companyId，以“,”分割多个。</param>
        /// <param name="consignPrice">委托价格。0-10万元。</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiPublishOrderRushPostAsync (string key, string orderId, string companyIds, float? consignPrice, float? userLat, float? userLon)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiPublishOrderRushPost");
            // verify the required parameter 'orderId' is set
            if (orderId == null) throw new ApiException(400, "Missing required parameter 'orderId' when calling ApiPublishOrderRushPost");
            // verify the required parameter 'companyIds' is set
            if (companyIds == null) throw new ApiException(400, "Missing required parameter 'companyIds' when calling ApiPublishOrderRushPost");
            // verify the required parameter 'consignPrice' is set
            if (consignPrice == null) throw new ApiException(400, "Missing required parameter 'consignPrice' when calling ApiPublishOrderRushPost");
            
    
            var path = "/api/publishOrderRush";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (orderId != null) formParams.Add("orderId", ApiClient.ParameterToString(orderId)); // form parameter
            if (companyIds != null) formParams.Add("companyIds", ApiClient.ParameterToString(companyIds)); // form parameter
            if (consignPrice != null) formParams.Add("consignPrice", ApiClient.ParameterToString(consignPrice)); // form parameter
            if (userLat != null) formParams.Add("userLat", ApiClient.ParameterToString(userLat)); // form parameter
            if (userLon != null) formParams.Add("userLon", ApiClient.ParameterToString(userLon)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiPublishOrderRushPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 给所有人推送一条消息 只有系统管理员才可以执行。
        /// </summary>
        /// <param name="key">登录的key</param> 
        /// <param name="content">消息内容</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiPushToAllPost (string key, string content)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiPushToAllPost");
            
            // verify the required parameter 'content' is set
            if (content == null) throw new ApiException(400, "Missing required parameter 'content' when calling ApiPushToAllPost");
            
    
            var path = "/api/pushToAll";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (content != null) formParams.Add("content", ApiClient.ParameterToString(content)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiPushToAllPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiPushToAllPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 给所有人推送一条消息 只有系统管理员才可以执行。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="content">消息内容</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiPushToAllPostAsync (string key, string content)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiPushToAllPost");
            // verify the required parameter 'content' is set
            if (content == null) throw new ApiException(400, "Missing required parameter 'content' when calling ApiPushToAllPost");
            
    
            var path = "/api/pushToAll";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (content != null) formParams.Add("content", ApiClient.ParameterToString(content)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiPushToAllPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 修改用户密码，修改为‘123456’。 必须是联盟企业的管理员，修改客户企业用户密码、修改客服、工程师密码； 如果修改联盟企业管理员的密码，必须是系统管理员
        /// </summary>
        /// <param name="key">登录key</param> 
        /// <param name="userId">用户Id</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiResetUserPwdPost (string key, string userId)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiResetUserPwdPost");
            
            // verify the required parameter 'userId' is set
            if (userId == null) throw new ApiException(400, "Missing required parameter 'userId' when calling ApiResetUserPwdPost");
            
    
            var path = "/api/resetUserPwd";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (userId != null) formParams.Add("userId", ApiClient.ParameterToString(userId)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiResetUserPwdPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiResetUserPwdPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 修改用户密码，修改为‘123456’。 必须是联盟企业的管理员，修改客户企业用户密码、修改客服、工程师密码； 如果修改联盟企业管理员的密码，必须是系统管理员
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="userId">用户Id</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiResetUserPwdPostAsync (string key, string userId)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiResetUserPwdPost");
            // verify the required parameter 'userId' is set
            if (userId == null) throw new ApiException(400, "Missing required parameter 'userId' when calling ApiResetUserPwdPost");
            
    
            var path = "/api/resetUserPwd";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (userId != null) formParams.Add("userId", ApiClient.ParameterToString(userId)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiResetUserPwdPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 按照公里数的范围，搜索附近的网点。按照距离排序 搜索抢单的网点。注意，一个公司，可能有多个网点在搜索范围内。最多返回20个结果。
        /// </summary>
        /// <param name="key">登录Key</param> 
        /// <param name="orderId">相关的订单ID，将依据这个订单的工作地点为原点，进行半径搜索。</param> 
        /// <param name="maxDistance">搜索半径，以公里为单位</param> 
        /// <returns>ServiceOfficeList</returns>            
        public ServiceOfficeList ApiSearchWorkOfficesPost (string key, string orderId, int? maxDistance)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiSearchWorkOfficesPost");
            
            // verify the required parameter 'orderId' is set
            if (orderId == null) throw new ApiException(400, "Missing required parameter 'orderId' when calling ApiSearchWorkOfficesPost");
            
            // verify the required parameter 'maxDistance' is set
            if (maxDistance == null) throw new ApiException(400, "Missing required parameter 'maxDistance' when calling ApiSearchWorkOfficesPost");
            
    
            var path = "/api/searchWorkOffices";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            if (orderId != null) queryParams.Add("orderId", ApiClient.ParameterToString(orderId)); // query parameter
            if (maxDistance != null) queryParams.Add("maxDistance", ApiClient.ParameterToString(maxDistance)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiSearchWorkOfficesPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiSearchWorkOfficesPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ServiceOfficeList) ApiClient.Deserialize(response.Content, typeof(ServiceOfficeList), response.Headers);
        }
    
        /// <summary>
        /// 按照公里数的范围，搜索附近的网点。按照距离排序 搜索抢单的网点。注意，一个公司，可能有多个网点在搜索范围内。最多返回20个结果。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">相关的订单ID，将依据这个订单的工作地点为原点，进行半径搜索。</param>
        /// <param name="maxDistance">搜索半径，以公里为单位</param>
        /// <returns>ServiceOfficeList</returns>
        public async System.Threading.Tasks.Task<ServiceOfficeList> ApiSearchWorkOfficesPostAsync (string key, string orderId, int? maxDistance)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiSearchWorkOfficesPost");
            // verify the required parameter 'orderId' is set
            if (orderId == null) throw new ApiException(400, "Missing required parameter 'orderId' when calling ApiSearchWorkOfficesPost");
            // verify the required parameter 'maxDistance' is set
            if (maxDistance == null) throw new ApiException(400, "Missing required parameter 'maxDistance' when calling ApiSearchWorkOfficesPost");
            
    
            var path = "/api/searchWorkOffices";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            if (orderId != null) queryParams.Add("orderId", ApiClient.ParameterToString(orderId)); // query parameter
            if (maxDistance != null) queryParams.Add("maxDistance", ApiClient.ParameterToString(maxDistance)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiSearchWorkOfficesPost: " + response.Content, response.Content);

            return (ServiceOfficeList) ApiClient.Deserialize(response.Content, typeof(ServiceOfficeList), response.Headers);
        }
        
        /// <summary>
        /// 发送短信 给指定的SIM卡号发送短信。SP代码根据用户身份，以其所在的企业主叫号码设置来自动选择。
        /// </summary>
        /// <param name="key">登录key</param> 
        /// <param name="destNum">接收方（设备）的sim卡号</param> 
        /// <param name="content">短信内容</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiSendsmsPost (string key, string destNum, string content)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiSendsmsPost");
            
            // verify the required parameter 'destNum' is set
            if (destNum == null) throw new ApiException(400, "Missing required parameter 'destNum' when calling ApiSendsmsPost");
            
            // verify the required parameter 'content' is set
            if (content == null) throw new ApiException(400, "Missing required parameter 'content' when calling ApiSendsmsPost");
            
    
            var path = "/api/sendsms";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (destNum != null) formParams.Add("destNum", ApiClient.ParameterToString(destNum)); // form parameter
            if (content != null) formParams.Add("content", ApiClient.ParameterToString(content)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiSendsmsPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiSendsmsPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 发送短信 给指定的SIM卡号发送短信。SP代码根据用户身份，以其所在的企业主叫号码设置来自动选择。
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="destNum">接收方（设备）的sim卡号</param>
        /// <param name="content">短信内容</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiSendsmsPostAsync (string key, string destNum, string content)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiSendsmsPost");
            // verify the required parameter 'destNum' is set
            if (destNum == null) throw new ApiException(400, "Missing required parameter 'destNum' when calling ApiSendsmsPost");
            // verify the required parameter 'content' is set
            if (content == null) throw new ApiException(400, "Missing required parameter 'content' when calling ApiSendsmsPost");
            
    
            var path = "/api/sendsms";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (destNum != null) formParams.Add("destNum", ApiClient.ParameterToString(destNum)); // form parameter
            if (content != null) formParams.Add("content", ApiClient.ParameterToString(content)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiSendsmsPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 查询一个联盟成员企业的基本信息 联盟成员企业之间可以相互随意看。客户企业用户，只能看自己直接服务提供的联盟成员。
        /// </summary>
        /// <param name="key">登录Key</param> 
        /// <param name="companyId">联盟成员企业的用户，查看自己的企业信息时，可以为null，但不要设置为\&quot;\&quot;</param> 
        /// <returns>ServiceCompany</returns>            
        public ServiceCompany ApiServiceCompanyPost (string key, string companyId)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiServiceCompanyPost");
            
    
            var path = "/api/serviceCompany";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            if (companyId != null) queryParams.Add("companyId", ApiClient.ParameterToString(companyId)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiServiceCompanyPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiServiceCompanyPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ServiceCompany) ApiClient.Deserialize(response.Content, typeof(ServiceCompany), response.Headers);
        }
    
        /// <summary>
        /// 查询一个联盟成员企业的基本信息 联盟成员企业之间可以相互随意看。客户企业用户，只能看自己直接服务提供的联盟成员。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="companyId">联盟成员企业的用户，查看自己的企业信息时，可以为null，但不要设置为\&quot;\&quot;</param>
        /// <returns>ServiceCompany</returns>
        public async System.Threading.Tasks.Task<ServiceCompany> ApiServiceCompanyPostAsync (string key, string companyId)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiServiceCompanyPost");
            
    
            var path = "/api/serviceCompany";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            if (companyId != null) queryParams.Add("companyId", ApiClient.ParameterToString(companyId)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiServiceCompanyPost: " + response.Content, response.Content);

            return (ServiceCompany) ApiClient.Deserialize(response.Content, typeof(ServiceCompany), response.Headers);
        }
        
        /// <summary>
        /// 查询联盟成员企业列表，或一个联盟成员企业（含分公司）的基本信息 根据用户身份，如果是系统管理员，返回全部联盟成员企业信息。如果是总公司管理员，返回所有分公司的企业信息； 如果是分公司管理员，只返回自己分公司的企业信息
        /// </summary>
        /// <param name="key">登录Key</param> 
        /// <param name="startIndex">起始位置(从0开始)</param> 
        /// <param name="maxNum">最多返回结果数量</param> 
        /// <param name="keyword">企业的关键字（搜索范围：名称、简称、联盟编号）</param> 
        /// <returns>ServiceCompanyList</returns>            
        public ServiceCompanyList ApiServiceCompanyListPost (string key, int? startIndex, int? maxNum, string keyword)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiServiceCompanyListPost");
            
            // verify the required parameter 'startIndex' is set
            if (startIndex == null) throw new ApiException(400, "Missing required parameter 'startIndex' when calling ApiServiceCompanyListPost");
            
            // verify the required parameter 'maxNum' is set
            if (maxNum == null) throw new ApiException(400, "Missing required parameter 'maxNum' when calling ApiServiceCompanyListPost");
            
    
            var path = "/api/serviceCompanyList";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            if (keyword != null) queryParams.Add("keyword", ApiClient.ParameterToString(keyword)); // query parameter
            if (startIndex != null) queryParams.Add("startIndex", ApiClient.ParameterToString(startIndex)); // query parameter
            if (maxNum != null) queryParams.Add("maxNum", ApiClient.ParameterToString(maxNum)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiServiceCompanyListPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiServiceCompanyListPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ServiceCompanyList) ApiClient.Deserialize(response.Content, typeof(ServiceCompanyList), response.Headers);
        }
    
        /// <summary>
        /// 查询联盟成员企业列表，或一个联盟成员企业（含分公司）的基本信息 根据用户身份，如果是系统管理员，返回全部联盟成员企业信息。如果是总公司管理员，返回所有分公司的企业信息； 如果是分公司管理员，只返回自己分公司的企业信息
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="startIndex">起始位置(从0开始)</param>
        /// <param name="maxNum">最多返回结果数量</param>
        /// <param name="keyword">企业的关键字（搜索范围：名称、简称、联盟编号）</param>
        /// <returns>ServiceCompanyList</returns>
        public async System.Threading.Tasks.Task<ServiceCompanyList> ApiServiceCompanyListPostAsync (string key, int? startIndex, int? maxNum, string keyword)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiServiceCompanyListPost");
            // verify the required parameter 'startIndex' is set
            if (startIndex == null) throw new ApiException(400, "Missing required parameter 'startIndex' when calling ApiServiceCompanyListPost");
            // verify the required parameter 'maxNum' is set
            if (maxNum == null) throw new ApiException(400, "Missing required parameter 'maxNum' when calling ApiServiceCompanyListPost");
            
    
            var path = "/api/serviceCompanyList";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            if (keyword != null) queryParams.Add("keyword", ApiClient.ParameterToString(keyword)); // query parameter
            if (startIndex != null) queryParams.Add("startIndex", ApiClient.ParameterToString(startIndex)); // query parameter
            if (maxNum != null) queryParams.Add("maxNum", ApiClient.ParameterToString(maxNum)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiServiceCompanyListPost: " + response.Content, response.Content);

            return (ServiceCompanyList) ApiClient.Deserialize(response.Content, typeof(ServiceCompanyList), response.Headers);
        }
        
        /// <summary>
        /// 查看联盟成员企业的所有网点 只有联盟成员看自己的。抢单的时候，需要看其他联盟成员的，但不是这个列表，而是按距离搜索的结果。
        /// </summary>
        /// <param name="key">登录Key</param> 
        /// <returns>ServiceOfficeList</returns>            
        public ServiceOfficeList ApiServiceOfficeListPost (string key)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiServiceOfficeListPost");
            
    
            var path = "/api/serviceOfficeList";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiServiceOfficeListPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiServiceOfficeListPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ServiceOfficeList) ApiClient.Deserialize(response.Content, typeof(ServiceOfficeList), response.Headers);
        }
    
        /// <summary>
        /// 查看联盟成员企业的所有网点 只有联盟成员看自己的。抢单的时候，需要看其他联盟成员的，但不是这个列表，而是按距离搜索的结果。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <returns>ServiceOfficeList</returns>
        public async System.Threading.Tasks.Task<ServiceOfficeList> ApiServiceOfficeListPostAsync (string key)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiServiceOfficeListPost");
            
    
            var path = "/api/serviceOfficeList";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiServiceOfficeListPost: " + response.Content, response.Content);

            return (ServiceOfficeList) ApiClient.Deserialize(response.Content, typeof(ServiceOfficeList), response.Headers);
        }
        
        /// <summary>
        /// 查询我的企业内的全部用户 只有联盟企业的管理员可以调用，按姓名音序排列
        /// </summary>
        /// <param name="key">登录Key</param> 
        /// <returns>ServiceUserList</returns>            
        public ServiceUserList ApiServiceUsersInCompanyPost (string key)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiServiceUsersInCompanyPost");
            
    
            var path = "/api/serviceUsersInCompany";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiServiceUsersInCompanyPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiServiceUsersInCompanyPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ServiceUserList) ApiClient.Deserialize(response.Content, typeof(ServiceUserList), response.Headers);
        }
    
        /// <summary>
        /// 查询我的企业内的全部用户 只有联盟企业的管理员可以调用，按姓名音序排列
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <returns>ServiceUserList</returns>
        public async System.Threading.Tasks.Task<ServiceUserList> ApiServiceUsersInCompanyPostAsync (string key)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiServiceUsersInCompanyPost");
            
    
            var path = "/api/serviceUsersInCompany";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiServiceUsersInCompanyPost: " + response.Content, response.Content);

            return (ServiceUserList) ApiClient.Deserialize(response.Content, typeof(ServiceUserList), response.Headers);
        }
        
        /// <summary>
        /// 查询当前登录用户的公务车辆列表 查询指定企业的全部公务车辆
        /// </summary>
        /// <param name="key">登录Key</param> 
        /// <returns>ServiceVehicleList</returns>            
        public ServiceVehicleList ApiServiceVehicleListPost (string key)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiServiceVehicleListPost");
            
    
            var path = "/api/serviceVehicleList";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiServiceVehicleListPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiServiceVehicleListPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ServiceVehicleList) ApiClient.Deserialize(response.Content, typeof(ServiceVehicleList), response.Headers);
        }
    
        /// <summary>
        /// 查询当前登录用户的公务车辆列表 查询指定企业的全部公务车辆
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <returns>ServiceVehicleList</returns>
        public async System.Threading.Tasks.Task<ServiceVehicleList> ApiServiceVehicleListPostAsync (string key)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiServiceVehicleListPost");
            
    
            var path = "/api/serviceVehicleList";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiServiceVehicleListPost: " + response.Content, response.Content);

            return (ServiceVehicleList) ApiClient.Deserialize(response.Content, typeof(ServiceVehicleList), response.Headers);
        }
        
        /// <summary>
        /// 设置某个地址为默认地址。之前的默认地址自动取消。 必须是联盟企业的管理员、客服，或者是企业用户自己
        /// </summary>
        /// <param name="key">登录key</param> 
        /// <param name="addressId">维修地点的id</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiSetDefaultWorkAddressPost (string key, string addressId)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiSetDefaultWorkAddressPost");
            
            // verify the required parameter 'addressId' is set
            if (addressId == null) throw new ApiException(400, "Missing required parameter 'addressId' when calling ApiSetDefaultWorkAddressPost");
            
    
            var path = "/api/setDefaultWorkAddress";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (addressId != null) formParams.Add("addressId", ApiClient.ParameterToString(addressId)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiSetDefaultWorkAddressPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiSetDefaultWorkAddressPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 设置某个地址为默认地址。之前的默认地址自动取消。 必须是联盟企业的管理员、客服，或者是企业用户自己
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="addressId">维修地点的id</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiSetDefaultWorkAddressPostAsync (string key, string addressId)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiSetDefaultWorkAddressPost");
            // verify the required parameter 'addressId' is set
            if (addressId == null) throw new ApiException(400, "Missing required parameter 'addressId' when calling ApiSetDefaultWorkAddressPost");
            
    
            var path = "/api/setDefaultWorkAddress";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (addressId != null) formParams.Add("addressId", ApiClient.ParameterToString(addressId)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiSetDefaultWorkAddressPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// Sim卡号查绑定的车牌号 每个联盟成员的用户只能查自己的sim卡（从Sim卡管理平台数据上进行校验）。客户企业用户不能执行。系统管理员不受鉴权限制。
        /// </summary>
        /// <param name="key">登录的key</param> 
        /// <param name="simNum">所查询的卡的卡号</param> 
        /// <returns>StringResp</returns>            
        public StringResp ApiSim2platePost (string key, string simNum)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiSim2platePost");
            
            // verify the required parameter 'simNum' is set
            if (simNum == null) throw new ApiException(400, "Missing required parameter 'simNum' when calling ApiSim2platePost");
            
    
            var path = "/api/sim2plate";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (simNum != null) formParams.Add("simNum", ApiClient.ParameterToString(simNum)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiSim2platePost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiSim2platePost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (StringResp) ApiClient.Deserialize(response.Content, typeof(StringResp), response.Headers);
        }
    
        /// <summary>
        /// Sim卡号查绑定的车牌号 每个联盟成员的用户只能查自己的sim卡（从Sim卡管理平台数据上进行校验）。客户企业用户不能执行。系统管理员不受鉴权限制。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="simNum">所查询的卡的卡号</param>
        /// <returns>StringResp</returns>
        public async System.Threading.Tasks.Task<StringResp> ApiSim2platePostAsync (string key, string simNum)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiSim2platePost");
            // verify the required parameter 'simNum' is set
            if (simNum == null) throw new ApiException(400, "Missing required parameter 'simNum' when calling ApiSim2platePost");
            
    
            var path = "/api/sim2plate";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (simNum != null) formParams.Add("simNum", ApiClient.ParameterToString(simNum)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiSim2platePost: " + response.Content, response.Content);

            return (StringResp) ApiClient.Deserialize(response.Content, typeof(StringResp), response.Headers);
        }
        
        /// <summary>
        /// Sim卡号查当前卡GPRS在线状态的信息 每个联盟成员的用户只能查自己的sim卡（从Sim卡管理平台数据上进行校验）。客户企业用户不能执行。系统管理员不受鉴权限制。
        /// </summary>
        /// <param name="key">登录的key</param> 
        /// <param name="simNum">所查询的卡的卡号</param> 
        /// <returns>GprsInfo</returns>            
        public GprsInfo ApiSimGprsInfoPost (string key, string simNum)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiSimGprsInfoPost");
            
            // verify the required parameter 'simNum' is set
            if (simNum == null) throw new ApiException(400, "Missing required parameter 'simNum' when calling ApiSimGprsInfoPost");
            
    
            var path = "/api/simGprsInfo";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (simNum != null) formParams.Add("simNum", ApiClient.ParameterToString(simNum)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiSimGprsInfoPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiSimGprsInfoPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (GprsInfo) ApiClient.Deserialize(response.Content, typeof(GprsInfo), response.Headers);
        }
    
        /// <summary>
        /// Sim卡号查当前卡GPRS在线状态的信息 每个联盟成员的用户只能查自己的sim卡（从Sim卡管理平台数据上进行校验）。客户企业用户不能执行。系统管理员不受鉴权限制。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="simNum">所查询的卡的卡号</param>
        /// <returns>GprsInfo</returns>
        public async System.Threading.Tasks.Task<GprsInfo> ApiSimGprsInfoPostAsync (string key, string simNum)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiSimGprsInfoPost");
            // verify the required parameter 'simNum' is set
            if (simNum == null) throw new ApiException(400, "Missing required parameter 'simNum' when calling ApiSimGprsInfoPost");
            
    
            var path = "/api/simGprsInfo";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (simNum != null) formParams.Add("simNum", ApiClient.ParameterToString(simNum)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiSimGprsInfoPost: " + response.Content, response.Content);

            return (GprsInfo) ApiClient.Deserialize(response.Content, typeof(GprsInfo), response.Headers);
        }
        
        /// <summary>
        /// Sim卡号查当前卡的信息 每个联盟成员的用户只能查自己的sim卡（从Sim卡管理平台数据上进行校验）。客户企业用户不能执行。系统管理员不受鉴权限制。
        /// </summary>
        /// <param name="key">登录的key</param> 
        /// <param name="simNum">所查询的卡的卡号</param> 
        /// <returns>SimInfo</returns>            
        public SimInfo ApiSimInfoPost (string key, string simNum)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiSimInfoPost");
            
            // verify the required parameter 'simNum' is set
            if (simNum == null) throw new ApiException(400, "Missing required parameter 'simNum' when calling ApiSimInfoPost");
            
    
            var path = "/api/simInfo";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (simNum != null) formParams.Add("simNum", ApiClient.ParameterToString(simNum)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiSimInfoPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiSimInfoPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (SimInfo) ApiClient.Deserialize(response.Content, typeof(SimInfo), response.Headers);
        }
    
        /// <summary>
        /// Sim卡号查当前卡的信息 每个联盟成员的用户只能查自己的sim卡（从Sim卡管理平台数据上进行校验）。客户企业用户不能执行。系统管理员不受鉴权限制。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="simNum">所查询的卡的卡号</param>
        /// <returns>SimInfo</returns>
        public async System.Threading.Tasks.Task<SimInfo> ApiSimInfoPostAsync (string key, string simNum)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiSimInfoPost");
            // verify the required parameter 'simNum' is set
            if (simNum == null) throw new ApiException(400, "Missing required parameter 'simNum' when calling ApiSimInfoPost");
            
    
            var path = "/api/simInfo";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (simNum != null) formParams.Add("simNum", ApiClient.ParameterToString(simNum)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiSimInfoPost: " + response.Content, response.Content);

            return (SimInfo) ApiClient.Deserialize(response.Content, typeof(SimInfo), response.Headers);
        }
        
        /// <summary>
        /// Sim卡号查当前卡位置的信息 每个联盟成员的用户只能查自己的sim卡（从Sim卡管理平台数据上进行校验）。客户企业用户不能执行。系统管理员不受鉴权限制。
        /// </summary>
        /// <param name="key">登录的key</param> 
        /// <param name="simNum">所查询的卡的卡号</param> 
        /// <returns>SimLocationInfo</returns>            
        public SimLocationInfo ApiSimLocationInfoPost (string key, string simNum)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiSimLocationInfoPost");
            
            // verify the required parameter 'simNum' is set
            if (simNum == null) throw new ApiException(400, "Missing required parameter 'simNum' when calling ApiSimLocationInfoPost");
            
    
            var path = "/api/simLocationInfo";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (simNum != null) formParams.Add("simNum", ApiClient.ParameterToString(simNum)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiSimLocationInfoPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiSimLocationInfoPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (SimLocationInfo) ApiClient.Deserialize(response.Content, typeof(SimLocationInfo), response.Headers);
        }
    
        /// <summary>
        /// Sim卡号查当前卡位置的信息 每个联盟成员的用户只能查自己的sim卡（从Sim卡管理平台数据上进行校验）。客户企业用户不能执行。系统管理员不受鉴权限制。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="simNum">所查询的卡的卡号</param>
        /// <returns>SimLocationInfo</returns>
        public async System.Threading.Tasks.Task<SimLocationInfo> ApiSimLocationInfoPostAsync (string key, string simNum)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiSimLocationInfoPost");
            // verify the required parameter 'simNum' is set
            if (simNum == null) throw new ApiException(400, "Missing required parameter 'simNum' when calling ApiSimLocationInfoPost");
            
    
            var path = "/api/simLocationInfo";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (simNum != null) formParams.Add("simNum", ApiClient.ParameterToString(simNum)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiSimLocationInfoPost: " + response.Content, response.Content);

            return (SimLocationInfo) ApiClient.Deserialize(response.Content, typeof(SimLocationInfo), response.Headers);
        }
        
        /// <summary>
        /// Sim卡号查当前卡开关机的信息 每个联盟成员的用户只能查自己的sim卡（从Sim卡管理平台数据上进行校验）。客户企业用户不能执行。系统管理员不受鉴权限制。
        /// </summary>
        /// <param name="key">登录的key</param> 
        /// <param name="simNum">所查询的卡的卡号</param> 
        /// <returns>OnAndOffInfo</returns>            
        public OnAndOffInfo ApiSimOnAndOffInfoPost (string key, string simNum)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiSimOnAndOffInfoPost");
            
            // verify the required parameter 'simNum' is set
            if (simNum == null) throw new ApiException(400, "Missing required parameter 'simNum' when calling ApiSimOnAndOffInfoPost");
            
    
            var path = "/api/simOnAndOffInfo";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (simNum != null) formParams.Add("simNum", ApiClient.ParameterToString(simNum)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiSimOnAndOffInfoPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiSimOnAndOffInfoPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (OnAndOffInfo) ApiClient.Deserialize(response.Content, typeof(OnAndOffInfo), response.Headers);
        }
    
        /// <summary>
        /// Sim卡号查当前卡开关机的信息 每个联盟成员的用户只能查自己的sim卡（从Sim卡管理平台数据上进行校验）。客户企业用户不能执行。系统管理员不受鉴权限制。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="simNum">所查询的卡的卡号</param>
        /// <returns>OnAndOffInfo</returns>
        public async System.Threading.Tasks.Task<OnAndOffInfo> ApiSimOnAndOffInfoPostAsync (string key, string simNum)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiSimOnAndOffInfoPost");
            // verify the required parameter 'simNum' is set
            if (simNum == null) throw new ApiException(400, "Missing required parameter 'simNum' when calling ApiSimOnAndOffInfoPost");
            
    
            var path = "/api/simOnAndOffInfo";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (simNum != null) formParams.Add("simNum", ApiClient.ParameterToString(simNum)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiSimOnAndOffInfoPost: " + response.Content, response.Content);

            return (OnAndOffInfo) ApiClient.Deserialize(response.Content, typeof(OnAndOffInfo), response.Headers);
        }
        
        /// <summary>
        /// Sim卡号查当前卡账户状态/余额/ICCID/IMSI的信息 每个联盟成员的用户只能查自己的sim卡（从Sim卡管理平台数据上进行校验）。客户企业用户不能执行。系统管理员不受鉴权限制。
        /// </summary>
        /// <param name="key">登录的key</param> 
        /// <param name="simNum">所查询的卡的卡号</param> 
        /// <returns>SimStatusInfoPack</returns>            
        public SimStatusInfoPack ApiSimStatusInfoPackPost (string key, string simNum)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiSimStatusInfoPackPost");
            
            // verify the required parameter 'simNum' is set
            if (simNum == null) throw new ApiException(400, "Missing required parameter 'simNum' when calling ApiSimStatusInfoPackPost");
            
    
            var path = "/api/simStatusInfoPack";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (simNum != null) formParams.Add("simNum", ApiClient.ParameterToString(simNum)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiSimStatusInfoPackPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiSimStatusInfoPackPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (SimStatusInfoPack) ApiClient.Deserialize(response.Content, typeof(SimStatusInfoPack), response.Headers);
        }
    
        /// <summary>
        /// Sim卡号查当前卡账户状态/余额/ICCID/IMSI的信息 每个联盟成员的用户只能查自己的sim卡（从Sim卡管理平台数据上进行校验）。客户企业用户不能执行。系统管理员不受鉴权限制。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="simNum">所查询的卡的卡号</param>
        /// <returns>SimStatusInfoPack</returns>
        public async System.Threading.Tasks.Task<SimStatusInfoPack> ApiSimStatusInfoPackPostAsync (string key, string simNum)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiSimStatusInfoPackPost");
            // verify the required parameter 'simNum' is set
            if (simNum == null) throw new ApiException(400, "Missing required parameter 'simNum' when calling ApiSimStatusInfoPackPost");
            
    
            var path = "/api/simStatusInfoPack";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (simNum != null) formParams.Add("simNum", ApiClient.ParameterToString(simNum)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiSimStatusInfoPackPost: " + response.Content, response.Content);

            return (SimStatusInfoPack) ApiClient.Deserialize(response.Content, typeof(SimStatusInfoPack), response.Headers);
        }
        
        /// <summary>
        /// 用于测试目的，没有任何实际业务用途 用于测试目的，没有任何实际业务用途
        /// </summary>
        /// <param name="key">登录的key</param> 
        /// <param name="para1">参数1</param> 
        /// <param name="para2">参数2</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiTestPost (string key, string para1, string para2)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiTestPost");
            
    
            var path = "/api/test";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (para1 != null) formParams.Add("para1", ApiClient.ParameterToString(para1)); // form parameter
            if (para2 != null) formParams.Add("para2", ApiClient.ParameterToString(para2)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiTestPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiTestPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 用于测试目的，没有任何实际业务用途 用于测试目的，没有任何实际业务用途
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="para1">参数1</param>
        /// <param name="para2">参数2</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiTestPostAsync (string key, string para1, string para2)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiTestPost");
            
    
            var path = "/api/test";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (para1 != null) formParams.Add("para1", ApiClient.ParameterToString(para1)); // form parameter
            if (para2 != null) formParams.Add("para2", ApiClient.ParameterToString(para2)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiTestPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 添加维护记录的时候，上传照片 如果没有此位置的照片，就新增；如果已经有了，就覆盖
        /// </summary>
        /// <param name="key">登录key</param> 
        /// <param name="photoStr">照片字节数组的Base64编码结果。</param> 
        /// <param name="vehicleId">车辆的Id。</param> 
        /// <param name="photoType">照片类别Id。 In Excel</param> 
        /// <param name="position">照片在本类别中的位置（1， 2，3）</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiUpdateWorkPhotoPost (string key, string photoStr, string vehicleId, int? photoType, int? position)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiUpdateWorkPhotoPost");
            
            // verify the required parameter 'photoStr' is set
            if (photoStr == null) throw new ApiException(400, "Missing required parameter 'photoStr' when calling ApiUpdateWorkPhotoPost");
            
            // verify the required parameter 'vehicleId' is set
            if (vehicleId == null) throw new ApiException(400, "Missing required parameter 'vehicleId' when calling ApiUpdateWorkPhotoPost");
            
            // verify the required parameter 'photoType' is set
            if (photoType == null) throw new ApiException(400, "Missing required parameter 'photoType' when calling ApiUpdateWorkPhotoPost");
            
            // verify the required parameter 'position' is set
            if (position == null) throw new ApiException(400, "Missing required parameter 'position' when calling ApiUpdateWorkPhotoPost");
            
    
            var path = "/api/updateWorkPhoto";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (photoStr != null) formParams.Add("photoStr", ApiClient.ParameterToString(photoStr)); // form parameter
            if (vehicleId != null) formParams.Add("vehicleId", ApiClient.ParameterToString(vehicleId)); // form parameter
            if (photoType != null) formParams.Add("photoType", ApiClient.ParameterToString(photoType)); // form parameter
            if (position != null) formParams.Add("position", ApiClient.ParameterToString(position)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiUpdateWorkPhotoPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiUpdateWorkPhotoPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 添加维护记录的时候，上传照片 如果没有此位置的照片，就新增；如果已经有了，就覆盖
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="photoStr">照片字节数组的Base64编码结果。</param>
        /// <param name="vehicleId">车辆的Id。</param>
        /// <param name="photoType">照片类别Id。 In Excel</param>
        /// <param name="position">照片在本类别中的位置（1， 2，3）</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiUpdateWorkPhotoPostAsync (string key, string photoStr, string vehicleId, int? photoType, int? position)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiUpdateWorkPhotoPost");
            // verify the required parameter 'photoStr' is set
            if (photoStr == null) throw new ApiException(400, "Missing required parameter 'photoStr' when calling ApiUpdateWorkPhotoPost");
            // verify the required parameter 'vehicleId' is set
            if (vehicleId == null) throw new ApiException(400, "Missing required parameter 'vehicleId' when calling ApiUpdateWorkPhotoPost");
            // verify the required parameter 'photoType' is set
            if (photoType == null) throw new ApiException(400, "Missing required parameter 'photoType' when calling ApiUpdateWorkPhotoPost");
            // verify the required parameter 'position' is set
            if (position == null) throw new ApiException(400, "Missing required parameter 'position' when calling ApiUpdateWorkPhotoPost");
            
    
            var path = "/api/updateWorkPhoto";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (photoStr != null) formParams.Add("photoStr", ApiClient.ParameterToString(photoStr)); // form parameter
            if (vehicleId != null) formParams.Add("vehicleId", ApiClient.ParameterToString(vehicleId)); // form parameter
            if (photoType != null) formParams.Add("photoType", ApiClient.ParameterToString(photoType)); // form parameter
            if (position != null) formParams.Add("position", ApiClient.ParameterToString(position)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiUpdateWorkPhotoPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 更新/上传企业车辆的照片。联盟成员的管理员、客服，客户企业用户可以操作。 新添加、更新车辆照片
        /// </summary>
        /// <param name="key">登录key</param> 
        /// <param name="vehicleId">车辆的ID。</param> 
        /// <param name="photo">照片字节数组的Base64编码结果。</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiUploadVehiclePhotoPost (string key, string vehicleId, string photo)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiUploadVehiclePhotoPost");
            
            // verify the required parameter 'vehicleId' is set
            if (vehicleId == null) throw new ApiException(400, "Missing required parameter 'vehicleId' when calling ApiUploadVehiclePhotoPost");
            
            // verify the required parameter 'photo' is set
            if (photo == null) throw new ApiException(400, "Missing required parameter 'photo' when calling ApiUploadVehiclePhotoPost");
            
    
            var path = "/api/uploadVehiclePhoto";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (vehicleId != null) formParams.Add("vehicleId", ApiClient.ParameterToString(vehicleId)); // form parameter
            if (photo != null) formParams.Add("photo", ApiClient.ParameterToString(photo)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiUploadVehiclePhotoPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiUploadVehiclePhotoPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 更新/上传企业车辆的照片。联盟成员的管理员、客服，客户企业用户可以操作。 新添加、更新车辆照片
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="vehicleId">车辆的ID。</param>
        /// <param name="photo">照片字节数组的Base64编码结果。</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiUploadVehiclePhotoPostAsync (string key, string vehicleId, string photo)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiUploadVehiclePhotoPost");
            // verify the required parameter 'vehicleId' is set
            if (vehicleId == null) throw new ApiException(400, "Missing required parameter 'vehicleId' when calling ApiUploadVehiclePhotoPost");
            // verify the required parameter 'photo' is set
            if (photo == null) throw new ApiException(400, "Missing required parameter 'photo' when calling ApiUploadVehiclePhotoPost");
            
    
            var path = "/api/uploadVehiclePhoto";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (vehicleId != null) formParams.Add("vehicleId", ApiClient.ParameterToString(vehicleId)); // form parameter
            if (photo != null) formParams.Add("photo", ApiClient.ParameterToString(photo)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiUploadVehiclePhotoPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 更新个人头像 新添加、更新头像
        /// </summary>
        /// <param name="key">登录key</param> 
        /// <param name="avatar">照片字节数组的Base64编码结果。</param> 
        /// <returns>NumberResp</returns>            
        public NumberResp ApiUploadavatarPost (string key, string avatar)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiUploadavatarPost");
            
            // verify the required parameter 'avatar' is set
            if (avatar == null) throw new ApiException(400, "Missing required parameter 'avatar' when calling ApiUploadavatarPost");
            
    
            var path = "/api/uploadavatar";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (avatar != null) formParams.Add("avatar", ApiClient.ParameterToString(avatar)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiUploadavatarPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiUploadavatarPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (NumberResp) ApiClient.Deserialize(response.Content, typeof(NumberResp), response.Headers);
        }
    
        /// <summary>
        /// 更新个人头像 新添加、更新头像
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="avatar">照片字节数组的Base64编码结果。</param>
        /// <returns>NumberResp</returns>
        public async System.Threading.Tasks.Task<NumberResp> ApiUploadavatarPostAsync (string key, string avatar)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiUploadavatarPost");
            // verify the required parameter 'avatar' is set
            if (avatar == null) throw new ApiException(400, "Missing required parameter 'avatar' when calling ApiUploadavatarPost");
            
    
            var path = "/api/uploadavatar";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (avatar != null) formParams.Add("avatar", ApiClient.ParameterToString(avatar)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiUploadavatarPost: " + response.Content, response.Content);

            return (NumberResp) ApiClient.Deserialize(response.Content, typeof(NumberResp), response.Headers);
        }
        
        /// <summary>
        /// 查询车辆详细信息 根据车辆Id查询车辆信息
        /// </summary>
        /// <param name="key">登录key</param> 
        /// <param name="vehicleId">车辆Id</param> 
        /// <returns>VehicleInCompany</returns>            
        public VehicleInCompany ApiVehicleInCompanyPost (string key, string vehicleId)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiVehicleInCompanyPost");
            
            // verify the required parameter 'vehicleId' is set
            if (vehicleId == null) throw new ApiException(400, "Missing required parameter 'vehicleId' when calling ApiVehicleInCompanyPost");
            
    
            var path = "/api/vehicleInCompany";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            if (vehicleId != null) queryParams.Add("vehicleId", ApiClient.ParameterToString(vehicleId)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiVehicleInCompanyPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiVehicleInCompanyPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (VehicleInCompany) ApiClient.Deserialize(response.Content, typeof(VehicleInCompany), response.Headers);
        }
    
        /// <summary>
        /// 查询车辆详细信息 根据车辆Id查询车辆信息
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="vehicleId">车辆Id</param>
        /// <returns>VehicleInCompany</returns>
        public async System.Threading.Tasks.Task<VehicleInCompany> ApiVehicleInCompanyPostAsync (string key, string vehicleId)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiVehicleInCompanyPost");
            // verify the required parameter 'vehicleId' is set
            if (vehicleId == null) throw new ApiException(400, "Missing required parameter 'vehicleId' when calling ApiVehicleInCompanyPost");
            
    
            var path = "/api/vehicleInCompany";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            if (vehicleId != null) queryParams.Add("vehicleId", ApiClient.ParameterToString(vehicleId)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiVehicleInCompanyPost: " + response.Content, response.Content);

            return (VehicleInCompany) ApiClient.Deserialize(response.Content, typeof(VehicleInCompany), response.Headers);
        }
        
        /// <summary>
        /// 查询车辆列表 考虑到企业的车辆可能非常多，必须携带查询条件
        /// </summary>
        /// <param name="key">登录Key</param> 
        /// <param name="type">车辆类别，如果是全部类别，请赋值为-1</param> 
        /// <param name="startIndex">起始位置（第1个的起始位置为0）</param> 
        /// <param name="maxNum">最多要的结果数量。</param> 
        /// <param name="companyId">车辆所属的客户企业ID。 如果是企业客户的用户登录，这个ID随便写什么都可以，服务端忽略它。</param> 
        /// <param name="keyword">车辆的关键字（车牌、设备编号、sim卡。），如‘280’。可以空。</param> 
        /// <returns>BriefVehicleList</returns>            
        public BriefVehicleList ApiVehicleListPost (string key, int? type, int? startIndex, int? maxNum, string companyId, string keyword)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiVehicleListPost");
            
            // verify the required parameter 'type' is set
            if (type == null) throw new ApiException(400, "Missing required parameter 'type' when calling ApiVehicleListPost");
            
            // verify the required parameter 'startIndex' is set
            if (startIndex == null) throw new ApiException(400, "Missing required parameter 'startIndex' when calling ApiVehicleListPost");
            
            // verify the required parameter 'maxNum' is set
            if (maxNum == null) throw new ApiException(400, "Missing required parameter 'maxNum' when calling ApiVehicleListPost");
            
    
            var path = "/api/vehicleList";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (companyId != null) formParams.Add("companyId", ApiClient.ParameterToString(companyId)); // form parameter
            if (type != null) formParams.Add("type", ApiClient.ParameterToString(type)); // form parameter
            if (keyword != null) formParams.Add("keyword", ApiClient.ParameterToString(keyword)); // form parameter
            if (startIndex != null) formParams.Add("startIndex", ApiClient.ParameterToString(startIndex)); // form parameter
            if (maxNum != null) formParams.Add("maxNum", ApiClient.ParameterToString(maxNum)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiVehicleListPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiVehicleListPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (BriefVehicleList) ApiClient.Deserialize(response.Content, typeof(BriefVehicleList), response.Headers);
        }
    
        /// <summary>
        /// 查询车辆列表 考虑到企业的车辆可能非常多，必须携带查询条件
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="type">车辆类别，如果是全部类别，请赋值为-1</param>
        /// <param name="startIndex">起始位置（第1个的起始位置为0）</param>
        /// <param name="maxNum">最多要的结果数量。</param>
        /// <param name="companyId">车辆所属的客户企业ID。 如果是企业客户的用户登录，这个ID随便写什么都可以，服务端忽略它。</param>
        /// <param name="keyword">车辆的关键字（车牌、设备编号、sim卡。），如‘280’。可以空。</param>
        /// <returns>BriefVehicleList</returns>
        public async System.Threading.Tasks.Task<BriefVehicleList> ApiVehicleListPostAsync (string key, int? type, int? startIndex, int? maxNum, string companyId, string keyword)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiVehicleListPost");
            // verify the required parameter 'type' is set
            if (type == null) throw new ApiException(400, "Missing required parameter 'type' when calling ApiVehicleListPost");
            // verify the required parameter 'startIndex' is set
            if (startIndex == null) throw new ApiException(400, "Missing required parameter 'startIndex' when calling ApiVehicleListPost");
            // verify the required parameter 'maxNum' is set
            if (maxNum == null) throw new ApiException(400, "Missing required parameter 'maxNum' when calling ApiVehicleListPost");
            
    
            var path = "/api/vehicleList";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (companyId != null) formParams.Add("companyId", ApiClient.ParameterToString(companyId)); // form parameter
            if (type != null) formParams.Add("type", ApiClient.ParameterToString(type)); // form parameter
            if (keyword != null) formParams.Add("keyword", ApiClient.ParameterToString(keyword)); // form parameter
            if (startIndex != null) formParams.Add("startIndex", ApiClient.ParameterToString(startIndex)); // form parameter
            if (maxNum != null) formParams.Add("maxNum", ApiClient.ParameterToString(maxNum)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiVehicleListPost: " + response.Content, response.Content);

            return (BriefVehicleList) ApiClient.Deserialize(response.Content, typeof(BriefVehicleList), response.Headers);
        }
        
        /// <summary>
        /// 返回所有常见车辆类别。用于APP端选项。 常见车辆类别的列表
        /// </summary>
        /// <returns>IntKVPairResp</returns>            
        public IntKVPairResp ApiVehicleTypeListGet ()
        {
            
    
            var path = "/api/vehicleTypeList";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.GET, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiVehicleTypeListGet: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiVehicleTypeListGet: " + response.ErrorMessage, response.ErrorMessage);
    
            return (IntKVPairResp) ApiClient.Deserialize(response.Content, typeof(IntKVPairResp), response.Headers);
        }
    
        /// <summary>
        /// 返回所有常见车辆类别。用于APP端选项。 常见车辆类别的列表
        /// </summary>
        /// <returns>IntKVPairResp</returns>
        public async System.Threading.Tasks.Task<IntKVPairResp> ApiVehicleTypeListGetAsync ()
        {
            
    
            var path = "/api/vehicleTypeList";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.GET, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiVehicleTypeListGet: " + response.Content, response.Content);

            return (IntKVPairResp) ApiClient.Deserialize(response.Content, typeof(IntKVPairResp), response.Headers);
        }
        
        /// <summary>
        /// 检查APP端接口版本的有效性 当用户的APP启动、从后台激活到前台，APP端都应该主动调用本接口，从而校验服务器是否可以对这个APP版本继续提供服务。如果得到的结果是-1，必须禁止用户继续使用该版本。
        /// </summary>
        /// <param name="apiVersion">API接口的版本，如\&quot;1.0.0\&quot;。</param> 
        /// <param name="device">客户端设备类型。InExcel</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiVersionCheckPost (string apiVersion, int? device)
        {
            
            // verify the required parameter 'apiVersion' is set
            if (apiVersion == null) throw new ApiException(400, "Missing required parameter 'apiVersion' when calling ApiVersionCheckPost");
            
            // verify the required parameter 'device' is set
            if (device == null) throw new ApiException(400, "Missing required parameter 'device' when calling ApiVersionCheckPost");
            
    
            var path = "/api/versionCheck";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (apiVersion != null) formParams.Add("apiVersion", ApiClient.ParameterToString(apiVersion)); // form parameter
            if (device != null) formParams.Add("device", ApiClient.ParameterToString(device)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiVersionCheckPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiVersionCheckPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 检查APP端接口版本的有效性 当用户的APP启动、从后台激活到前台，APP端都应该主动调用本接口，从而校验服务器是否可以对这个APP版本继续提供服务。如果得到的结果是-1，必须禁止用户继续使用该版本。
        /// </summary>
        /// <param name="apiVersion">API接口的版本，如\&quot;1.0.0\&quot;。</param>
        /// <param name="device">客户端设备类型。InExcel</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiVersionCheckPostAsync (string apiVersion, int? device)
        {
            // verify the required parameter 'apiVersion' is set
            if (apiVersion == null) throw new ApiException(400, "Missing required parameter 'apiVersion' when calling ApiVersionCheckPost");
            // verify the required parameter 'device' is set
            if (device == null) throw new ApiException(400, "Missing required parameter 'device' when calling ApiVersionCheckPost");
            
    
            var path = "/api/versionCheck";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (apiVersion != null) formParams.Add("apiVersion", ApiClient.ParameterToString(apiVersion)); // form parameter
            if (device != null) formParams.Add("device", ApiClient.ParameterToString(device)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiVersionCheckPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 给低版本的APP推送一条消息 只有系统管理员才可以执行。
        /// </summary>
        /// <param name="key">登录的key</param> 
        /// <param name="minimumVersion">最低版本。低于这个版本的用户，接收通知。</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiVersionUpdateNotifyPost (string key, string minimumVersion)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiVersionUpdateNotifyPost");
            
            // verify the required parameter 'minimumVersion' is set
            if (minimumVersion == null) throw new ApiException(400, "Missing required parameter 'minimumVersion' when calling ApiVersionUpdateNotifyPost");
            
    
            var path = "/api/versionUpdateNotify";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (minimumVersion != null) formParams.Add("minimumVersion", ApiClient.ParameterToString(minimumVersion)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiVersionUpdateNotifyPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiVersionUpdateNotifyPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 给低版本的APP推送一条消息 只有系统管理员才可以执行。
        /// </summary>
        /// <param name="key">登录的key</param>
        /// <param name="minimumVersion">最低版本。低于这个版本的用户，接收通知。</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiVersionUpdateNotifyPostAsync (string key, string minimumVersion)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiVersionUpdateNotifyPost");
            // verify the required parameter 'minimumVersion' is set
            if (minimumVersion == null) throw new ApiException(400, "Missing required parameter 'minimumVersion' when calling ApiVersionUpdateNotifyPost");
            
    
            var path = "/api/versionUpdateNotify";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (minimumVersion != null) formParams.Add("minimumVersion", ApiClient.ParameterToString(minimumVersion)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiVersionUpdateNotifyPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 查看客户企业的所有维修地点 企业客户看自己的。联盟成员用户，看自己客户的。
        /// </summary>
        /// <param name="key">登录Key</param> 
        /// <param name="companyId">客户企业的用户，查看自己的企业信息时，可以为空(null，不能为\&quot;\&quot;)</param> 
        /// <returns>WorkAddrList</returns>            
        public WorkAddrList ApiWorkAddrListPost (string key, string companyId)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiWorkAddrListPost");
            
    
            var path = "/api/workAddrList";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            if (companyId != null) queryParams.Add("companyId", ApiClient.ParameterToString(companyId)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiWorkAddrListPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiWorkAddrListPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (WorkAddrList) ApiClient.Deserialize(response.Content, typeof(WorkAddrList), response.Headers);
        }
    
        /// <summary>
        /// 查看客户企业的所有维修地点 企业客户看自己的。联盟成员用户，看自己客户的。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="companyId">客户企业的用户，查看自己的企业信息时，可以为空(null，不能为\&quot;\&quot;)</param>
        /// <returns>WorkAddrList</returns>
        public async System.Threading.Tasks.Task<WorkAddrList> ApiWorkAddrListPostAsync (string key, string companyId)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiWorkAddrListPost");
            
    
            var path = "/api/workAddrList";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            if (companyId != null) queryParams.Add("companyId", ApiClient.ParameterToString(companyId)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiWorkAddrListPost: " + response.Content, response.Content);

            return (WorkAddrList) ApiClient.Deserialize(response.Content, typeof(WorkAddrList), response.Headers);
        }
        
        /// <summary>
        /// 查询某车辆的照片 按照照片Id查询。
        /// </summary>
        /// <param name="key">登录key</param> 
        /// <param name="photoId">照片的Id。</param> 
        /// <returns>WorkPhoto</returns>            
        public WorkPhoto ApiWorkPhotoByIdPost (string key, string photoId)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiWorkPhotoByIdPost");
            
            // verify the required parameter 'photoId' is set
            if (photoId == null) throw new ApiException(400, "Missing required parameter 'photoId' when calling ApiWorkPhotoByIdPost");
            
    
            var path = "/api/workPhotoById";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            if (photoId != null) queryParams.Add("photoId", ApiClient.ParameterToString(photoId)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiWorkPhotoByIdPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiWorkPhotoByIdPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (WorkPhoto) ApiClient.Deserialize(response.Content, typeof(WorkPhoto), response.Headers);
        }
    
        /// <summary>
        /// 查询某车辆的照片 按照照片Id查询。
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="photoId">照片的Id。</param>
        /// <returns>WorkPhoto</returns>
        public async System.Threading.Tasks.Task<WorkPhoto> ApiWorkPhotoByIdPostAsync (string key, string photoId)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiWorkPhotoByIdPost");
            // verify the required parameter 'photoId' is set
            if (photoId == null) throw new ApiException(400, "Missing required parameter 'photoId' when calling ApiWorkPhotoByIdPost");
            
    
            var path = "/api/workPhotoById";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            if (photoId != null) queryParams.Add("photoId", ApiClient.ParameterToString(photoId)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiWorkPhotoByIdPost: " + response.Content, response.Content);

            return (WorkPhoto) ApiClient.Deserialize(response.Content, typeof(WorkPhoto), response.Headers);
        }
        
        /// <summary>
        /// 工程师到达 工程师到达。
        /// </summary>
        /// <param name="key">登录Key</param> 
        /// <param name="orderId">工程师处理的订单ID</param> 
        /// <param name="userLat">用户当前纬度</param> 
        /// <param name="userLon">用户当前经度</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiWorkerArrivePost (string key, string orderId, float? userLat, float? userLon)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiWorkerArrivePost");
            
            // verify the required parameter 'orderId' is set
            if (orderId == null) throw new ApiException(400, "Missing required parameter 'orderId' when calling ApiWorkerArrivePost");
            
    
            var path = "/api/workerArrive";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            if (orderId != null) queryParams.Add("orderId", ApiClient.ParameterToString(orderId)); // query parameter
            if (userLat != null) queryParams.Add("userLat", ApiClient.ParameterToString(userLat)); // query parameter
            if (userLon != null) queryParams.Add("userLon", ApiClient.ParameterToString(userLon)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiWorkerArrivePost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiWorkerArrivePost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 工程师到达 工程师到达。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">工程师处理的订单ID</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiWorkerArrivePostAsync (string key, string orderId, float? userLat, float? userLon)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiWorkerArrivePost");
            // verify the required parameter 'orderId' is set
            if (orderId == null) throw new ApiException(400, "Missing required parameter 'orderId' when calling ApiWorkerArrivePost");
            
    
            var path = "/api/workerArrive";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            if (orderId != null) queryParams.Add("orderId", ApiClient.ParameterToString(orderId)); // query parameter
            if (userLat != null) queryParams.Add("userLat", ApiClient.ParameterToString(userLat)); // query parameter
            if (userLon != null) queryParams.Add("userLon", ApiClient.ParameterToString(userLon)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiWorkerArrivePost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 工程师出发 工程师出发。
        /// </summary>
        /// <param name="key">登录Key</param> 
        /// <param name="orderId">工程师处理的订单ID</param> 
        /// <param name="userLat">用户当前纬度</param> 
        /// <param name="userLon">用户当前经度</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiWorkerDeparturePost (string key, string orderId, float? userLat, float? userLon)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiWorkerDeparturePost");
            
            // verify the required parameter 'orderId' is set
            if (orderId == null) throw new ApiException(400, "Missing required parameter 'orderId' when calling ApiWorkerDeparturePost");
            
    
            var path = "/api/workerDeparture";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            if (orderId != null) queryParams.Add("orderId", ApiClient.ParameterToString(orderId)); // query parameter
            if (userLat != null) queryParams.Add("userLat", ApiClient.ParameterToString(userLat)); // query parameter
            if (userLon != null) queryParams.Add("userLon", ApiClient.ParameterToString(userLon)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiWorkerDeparturePost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiWorkerDeparturePost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 工程师出发 工程师出发。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">工程师处理的订单ID</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiWorkerDeparturePostAsync (string key, string orderId, float? userLat, float? userLon)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiWorkerDeparturePost");
            // verify the required parameter 'orderId' is set
            if (orderId == null) throw new ApiException(400, "Missing required parameter 'orderId' when calling ApiWorkerDeparturePost");
            
    
            var path = "/api/workerDeparture";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            if (orderId != null) queryParams.Add("orderId", ApiClient.ParameterToString(orderId)); // query parameter
            if (userLat != null) queryParams.Add("userLat", ApiClient.ParameterToString(userLat)); // query parameter
            if (userLon != null) queryParams.Add("userLon", ApiClient.ParameterToString(userLon)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiWorkerDeparturePost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 工程师开始工作 工程师开始工作。
        /// </summary>
        /// <param name="key">登录Key</param> 
        /// <param name="orderId">工程师处理的订单ID</param> 
        /// <param name="userLat">用户当前纬度</param> 
        /// <param name="userLon">用户当前经度</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiWorkerWorkBeginPost (string key, string orderId, float? userLat, float? userLon)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiWorkerWorkBeginPost");
            
            // verify the required parameter 'orderId' is set
            if (orderId == null) throw new ApiException(400, "Missing required parameter 'orderId' when calling ApiWorkerWorkBeginPost");
            
    
            var path = "/api/workerWorkBegin";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            if (orderId != null) queryParams.Add("orderId", ApiClient.ParameterToString(orderId)); // query parameter
            if (userLat != null) queryParams.Add("userLat", ApiClient.ParameterToString(userLat)); // query parameter
            if (userLon != null) queryParams.Add("userLon", ApiClient.ParameterToString(userLon)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiWorkerWorkBeginPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiWorkerWorkBeginPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 工程师开始工作 工程师开始工作。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">工程师处理的订单ID</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiWorkerWorkBeginPostAsync (string key, string orderId, float? userLat, float? userLon)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiWorkerWorkBeginPost");
            // verify the required parameter 'orderId' is set
            if (orderId == null) throw new ApiException(400, "Missing required parameter 'orderId' when calling ApiWorkerWorkBeginPost");
            
    
            var path = "/api/workerWorkBegin";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            if (orderId != null) queryParams.Add("orderId", ApiClient.ParameterToString(orderId)); // query parameter
            if (userLat != null) queryParams.Add("userLat", ApiClient.ParameterToString(userLat)); // query parameter
            if (userLon != null) queryParams.Add("userLon", ApiClient.ParameterToString(userLon)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiWorkerWorkBeginPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 工程师完成工作 工程师完成工作。
        /// </summary>
        /// <param name="key">登录Key</param> 
        /// <param name="orderId">工程师处理的订单ID</param> 
        /// <param name="userLat">用户当前纬度</param> 
        /// <param name="userLon">用户当前经度</param> 
        /// <returns>ApiError</returns>            
        public ApiError ApiWorkerWorkFinishPost (string key, string orderId, float? userLat, float? userLon)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiWorkerWorkFinishPost");
            
            // verify the required parameter 'orderId' is set
            if (orderId == null) throw new ApiException(400, "Missing required parameter 'orderId' when calling ApiWorkerWorkFinishPost");
            
    
            var path = "/api/workerWorkFinish";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            if (orderId != null) queryParams.Add("orderId", ApiClient.ParameterToString(orderId)); // query parameter
            if (userLat != null) queryParams.Add("userLat", ApiClient.ParameterToString(userLat)); // query parameter
            if (userLon != null) queryParams.Add("userLon", ApiClient.ParameterToString(userLon)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiWorkerWorkFinishPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiWorkerWorkFinishPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
    
        /// <summary>
        /// 工程师完成工作 工程师完成工作。
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <param name="orderId">工程师处理的订单ID</param>
        /// <param name="userLat">用户当前纬度</param>
        /// <param name="userLon">用户当前经度</param>
        /// <returns>ApiError</returns>
        public async System.Threading.Tasks.Task<ApiError> ApiWorkerWorkFinishPostAsync (string key, string orderId, float? userLat, float? userLon)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiWorkerWorkFinishPost");
            // verify the required parameter 'orderId' is set
            if (orderId == null) throw new ApiException(400, "Missing required parameter 'orderId' when calling ApiWorkerWorkFinishPost");
            
    
            var path = "/api/workerWorkFinish";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            if (orderId != null) queryParams.Add("orderId", ApiClient.ParameterToString(orderId)); // query parameter
            if (userLat != null) queryParams.Add("userLat", ApiClient.ParameterToString(userLat)); // query parameter
            if (userLon != null) queryParams.Add("userLon", ApiClient.ParameterToString(userLon)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiWorkerWorkFinishPost: " + response.Content, response.Content);

            return (ApiError) ApiClient.Deserialize(response.Content, typeof(ApiError), response.Headers);
        }
        
        /// <summary>
        /// 订单工程师列表 针对/html/workers呈现的WEB页面，给予json格式返回的格式
        /// </summary>
        /// <param name="key">登录key</param> 
        /// <param name="orderId">订单ID</param> 
        /// <returns>List<Worker></returns>            
        public List<Worker> ApiWorkersPost (string key, string orderId)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiWorkersPost");
            
            // verify the required parameter 'orderId' is set
            if (orderId == null) throw new ApiException(400, "Missing required parameter 'orderId' when calling ApiWorkersPost");
            
    
            var path = "/api/workers";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (orderId != null) formParams.Add("orderId", ApiClient.ParameterToString(orderId)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiWorkersPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiWorkersPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (List<Worker>) ApiClient.Deserialize(response.Content, typeof(List<Worker>), response.Headers);
        }
    
        /// <summary>
        /// 订单工程师列表 针对/html/workers呈现的WEB页面，给予json格式返回的格式
        /// </summary>
        /// <param name="key">登录key</param>
        /// <param name="orderId">订单ID</param>
        /// <returns>List<Worker></returns>
        public async System.Threading.Tasks.Task<List<Worker>> ApiWorkersPostAsync (string key, string orderId)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiWorkersPost");
            // verify the required parameter 'orderId' is set
            if (orderId == null) throw new ApiException(400, "Missing required parameter 'orderId' when calling ApiWorkersPost");
            
    
            var path = "/api/workers";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            
            
            if (key != null) formParams.Add("key", ApiClient.ParameterToString(key)); // form parameter
            if (orderId != null) formParams.Add("orderId", ApiClient.ParameterToString(orderId)); // form parameter
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiWorkersPost: " + response.Content, response.Content);

            return (List<Worker>) ApiClient.Deserialize(response.Content, typeof(List<Worker>), response.Headers);
        }
        
        /// <summary>
        /// 查询我的企业内的全部工程师 全部工程师列表，Id为Key， RealName为Value
        /// </summary>
        /// <param name="key">登录Key</param> 
        /// <returns>StrKVPairResp</returns>            
        public StrKVPairResp ApiWorkersInCompanyPost (string key)
        {
            
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiWorkersInCompanyPost");
            
    
            var path = "/api/workersInCompany";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;

            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) ApiClient.CallApi(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
    
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiWorkersInCompanyPost: " + response.Content, response.Content);
            else if (((int)response.StatusCode) == 0)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiWorkersInCompanyPost: " + response.ErrorMessage, response.ErrorMessage);
    
            return (StrKVPairResp) ApiClient.Deserialize(response.Content, typeof(StrKVPairResp), response.Headers);
        }
    
        /// <summary>
        /// 查询我的企业内的全部工程师 全部工程师列表，Id为Key， RealName为Value
        /// </summary>
        /// <param name="key">登录Key</param>
        /// <returns>StrKVPairResp</returns>
        public async System.Threading.Tasks.Task<StrKVPairResp> ApiWorkersInCompanyPostAsync (string key)
        {
            // verify the required parameter 'key' is set
            if (key == null) throw new ApiException(400, "Missing required parameter 'key' when calling ApiWorkersInCompanyPost");
            
    
            var path = "/api/workersInCompany";
    
            var pathParams = new Dictionary<String, String>();
            var queryParams = new Dictionary<String, String>();
            var headerParams = new Dictionary<String, String>();
            var formParams = new Dictionary<String, String>();
            var fileParams = new Dictionary<String, FileParameter>();
            String postBody = null;
    
            pathParams.Add("format", "json");
            
            if (key != null) queryParams.Add("key", ApiClient.ParameterToString(key)); // query parameter
            
            
            
            
    
            // authentication setting, if any
            String[] authSettings = new String[] {  };
    
            // make the HTTP request
            IRestResponse response = (IRestResponse) await ApiClient.CallApiAsync(path, Method.POST, queryParams, postBody, headerParams, formParams, fileParams, pathParams, authSettings);
            if (((int)response.StatusCode) >= 400)
                throw new ApiException ((int)response.StatusCode, "Error calling ApiWorkersInCompanyPost: " + response.Content, response.Content);

            return (StrKVPairResp) ApiClient.Deserialize(response.Content, typeof(StrKVPairResp), response.Headers);
        }
        
    }
    
}
